package com.bea.lsd.avitek.ordermanagement;

/**
 * MRPSession
 *
 * Remote interface for MRPSessionBean
 *
 * @Author Jason Lee
 * $Id:$
 */

import java.rmi.RemoteException;
import javax.ejb.EJBObject;
import java.util.Collection;
import com.bea.lsd.avitek.ordermanagement.entities.Mrp;

public interface MrpSession extends EJBObject {

    /*
     * Returns a Collection of Mrp entities.
     *
     * @return Collection of Mrp entities
     */
    public Collection getMrpAll()
	throws RemoteException;

    /*
     * Returns a Mrp entitiy based on a primary key id.
     *
     * @param Long aPrimaryKeyId
     * @return Mrp aMrp
     */
    public Mrp getMrpByPKId(Long aPKId)
	throws RemoteException;

} // MRPSession
