package com.bea.lsd.avitek.ordermanagement;

/**
 * ShippingLocationSession
 *
 * Remote interface for ShippingLocationSessionBean
 *
 * @Author Jason Lee
 * $Id:$
 */

import java.rmi.RemoteException;
import javax.ejb.EJBObject;
import java.util.Collection;
import com.bea.lsd.avitek.ordermanagement.entities.ShippingLocation;

public interface ShippingLocationSession extends EJBObject {

    /*
     * Returns a Collection of ShippingLocation entities.
     *
     * @return Collection of ShippingLocation entities
     */
    public Collection getShippingLocationAll()
	throws RemoteException;

    /*
     * Returns a ShippingLocation entitiy based on a primary key id.
     *
     * @param Long aPrimaryKeyId
     * @return ShippingLocation aShippingLocation
     */
    public ShippingLocation getShippingLocationByPKId(Long aPKId)
	throws RemoteException;

} // ShippingLocationSession
