package com.bea.lsd.avitek.ordermanagement.entities;

/**
 * Order
 *
 * The Order remote interface.
 *
 * @Author Jason Lee
 *
 */

import java.rmi.RemoteException;
import javax.ejb.EJBObject;
import java.util.Collection;

public interface Order extends EJBObject {

    /* Getters and setters used by bean implementation */
    
    public Long getId() throws RemoteException;
    public void setId(Long aId) throws RemoteException;

    public String getLotId() throws RemoteException;
    public void   setLotId(String aLotId) throws RemoteException;

    public String getSku() throws RemoteException;
    public void   setSku(String aSku) throws RemoteException;

    public String getCarrierId() throws RemoteException;
    public void   setCarrierId(String aCarrierId) throws RemoteException;

    public String getTrackingId() throws RemoteException;
    public void   setTrackingId (String aTrackingId) throws RemoteException;

    public String getCreateDate() throws RemoteException;
    public void   setCreateDate (String aCreateDate) throws RemoteException;

    public int  getQuantityOrdered() throws RemoteException;
    public void setQuantityOrdered (int aQuantityOrdered) throws RemoteException;

    public String getStatus() throws RemoteException;
    public void   setStatus (String aStatus) throws RemoteException;

} // Order
