package com.bea.lsd.avitek.ordermanagement.entities;

/**
 * ShippingHistory
 *
 * The ShippingHistory remote interface.
 *
 * @Author Jason Lee
 *
 */

import java.rmi.RemoteException;
import javax.ejb.EJBObject;
import java.util.Collection;

public interface ShippingHistory extends EJBObject {

    /* Getters and setters used by bean implementation */
    
    public Long getId() throws RemoteException;
    public void setId(Long aId) throws RemoteException;

    public String getCarrierId() throws RemoteException;
    public void   setCarrierId(String aCarrierId) throws RemoteException;

    public String getShipmentId() throws RemoteException;
    public void   setShipmentId(String aTrackingId) throws RemoteException;

    public Long  getLocationId() throws RemoteException;
    public void  setLocationId (Long aLocationId) throws RemoteException;

} // ShippingHistory
