package com.bea.lsd.avitek.ordermanagement.entities;

/**
 * ShippingLocation
 *
 * The ShippingLocation remote interface.
 *
 * @Author Jason Lee
 *
 */

import java.rmi.RemoteException;
import javax.ejb.EJBObject;
import java.util.Collection;

public interface ShippingLocation extends EJBObject {

    /* Getters and setters used by bean implementation */
    
    public Long getId() throws RemoteException;
    public void setId(Long aId) throws RemoteException;

    public String getName() throws RemoteException;
    public void   setName(String aName) throws RemoteException;

    public String getAddress() throws RemoteException;
    public void   setAddress(String aAddress) throws RemoteException;

    public String getCity() throws RemoteException;
    public void   setCity (String aCity) throws RemoteException;

    public String getState() throws RemoteException;
    public void   setState (String aState) throws RemoteException;

    public String getCountry() throws RemoteException;
    public void   setCountry (String aCountry) throws RemoteException;

    public String getZip() throws RemoteException;
    public void   setZip (String aZip) throws RemoteException;

    public String getDate() throws RemoteException;
    public void   setDate (String aDate) throws RemoteException;

} // ShippingLocation
