
/*                 
 * B E A   S Y S T E M S   
 *
 * C O M M E R C E   C O M P O N E N T S
 *                        
 * Copyright (c) 2000-2002  BEA Systems, Inc.  
 *
 * All Rights Reserved. Unpublished rights reserved under the copyright laws 
 * of the United States. The software contained on this media is proprietary 
 * to and embodies the confidential technology of BEA Systems, Inc. The 
 * possession or receipt of this information does not convey any right to disclose 
 * its contents, reproduce it, or use,  or license the use, for manufacture or 
 * sale, the information or anything described therein. Any use, disclosure, or
 * reproduction without BEA System's prior written permission is strictly prohibited.
 *
 */
 
package examples.e2e.b2b;

 
public class CalendarFormData {


    private String monthName;
    private int monthOffset;

    private int dayNumber;


    public CalendarFormData( String monthName, int monthOffset,
                             int dayNumber ) {

        this.monthName = monthName;
        this.monthOffset = monthOffset;
        this.dayNumber = dayNumber;
    }


    public String monthName() {

        return monthName;
    }

    public String monthOffset() {

        return Integer.toString( monthOffset );
    }

    public String dayNumber() {

        return Integer.toString( dayNumber );
    }

}
