<!-- start /framework/portlet.jsp -->



<%@ taglib uri="util.tld" prefix="util" %>

<%@ taglib uri="i18n.tld" prefix="i18n" %>



<%@ page import="com.bea.p13n.util.debug.Debug"%>

<%@ page import="com.bea.portal.model.Portlet"%>

<%@ page import="com.bea.portal.model.PortletState"%>

<%@ page import="com.bea.portal.render.servlets.jsp.PortletRenderHelper"%>



<%

    Debug debug = Debug.getInstance( __portlet.class );



    boolean showBordersBool = Boolean.valueOf("true").booleanValue();

    int verticalSpacer = showBordersBool ? 1 : 5;



    String url = null;



    PortletState    portletState = PortletRenderHelper.getPortletState( request);

    url = portletState.getUrl(Portlet.URL_TITLEBAR);

%>



<!-- Begin portlet padding table. This gives us the space between each portlet -->
<table border="0" cellspacing="0" cellpadding="0"><tr><td>


<!-- Begin portlet container table. -->
<table cellspacing="0" cellpadding="0" border="0">

<%
    try {
%>

        <tr>
         <td>
            <!-- Begin title bar -->

            <util:validURL url="<%=url %>">
                   <jsp:include page="<%=url%>"/>
            </util:validURL>
<%



        if( debug.ON ) 

        {

            debug.out( "**** render portlet minimized = " + portletState.isMinimized() );

            debug.out( "**** PortletRenderHelper.isMinimized() = " + PortletRenderHelper.isMinimized(request) );

        }

        //

        // if the portlet is minimized, do not render the rest of the content

        //

        if( PortletRenderHelper.isMinimized( request ) == false ) 

        {

%>
            <!-- Start the banner table -->
            <% url = portletState.getUrl(Portlet.URL_BANNER); %>
            <util:validURL url="<%=url %>">
                <table cellpadding="0" cellspacing="0" border="0"><tr>
                    <td><jsp:include page="<%=url%>"/></td>
                </tr></table>
            </util:validURL>



            <!-- Start the header table -->
            <% url = portletState.getUrl(Portlet.URL_HEADER); %>
            <util:validURL url="<%=url %>">
                <table cellpadding="0" cellspacing="0" border="0"><tr>
                    <td><jsp:include page="<%=url%>"/></td>
                </tr></table>
            </util:validURL>



            <!--Start the content table-->
            <% url = portletState.getUrl(Portlet.URL_CONTENT); %>
            <util:validURL url="<%=url %>">
                <table cellpadding="0" cellspacing="0" border="0"><tr>
                    <td><jsp:include page="<%=url%>"/></td>
                </tr></table>
            </util:validURL>



            <!-- Start the footer -->
            <% url = portletState.getUrl(Portlet.URL_FOOTER); %>
            <util:validURL url="<%=url %>">
                <table cellpadding="0" cellspacing="0" border="0"><tr>
                    <td><jsp:include page="<%=url%>"/></td>
				</tr></table>
            </util:validURL>

<%

        } // end ( minimized == false )

%>
       </td></tr>
<%  }

    catch (Exception e) {

%>
		<tr><td><i18n:getMessage messageName='portalError' bundleName='portal'/></td></tr>
<%
        e.printStackTrace();    
    }
%>

<!-- end of portlet container table -->
</table>

<!-- end of portlet padding table -->
</td></tr></table>

<!-- end /framework/portlet.jsp -->

