<%@ page import="java.util.ResourceBundle" %>
<%@ page import="java.util.MissingResourceException" %>
<%@ page import="com.bea.portal.render.servlets.jsp.PortalRenderHelper"%>

<%
    // change to true if you want to see a default event info page
    // for unregistered events
    final boolean DEBUG_MODE = false;


    String gpskey = request.getParameter("gpskey");
    boolean debug_mode = DEBUG_MODE || "true".equals(request.getParameter("gps_debug"));

    // auto-generate a suitable key
    if (gpskey == null || gpskey.length() < 1)
    {
        StringBuffer genKey = new StringBuffer();
        String pagename = PortalRenderHelper.getPageIdentifier(request).getName();
        if (pagename != null && pagename.length() > 0) genKey.append(pagename);

        String portlet = request.getParameter("portletid");
        if (portlet != null && portlet.length() > 0) genKey.append("--").append(portlet);

        String link = request.getParameter("wfevent");
        if (link != null && link.length() > 0) genKey.append("--").append(link);

        for (int i = 0; i < genKey.length(); i++)
        {
            // no spaces allowed
            if (genKey.charAt(i) == ' ') genKey.setCharAt(i, '-');
        }
        gpskey = genKey.toString();
    }

    ResourceBundle bundle = ResourceBundle.getBundle("gpsmappings");
    String value = debug_mode ? "debug.jsp" : "";

    try
    {
        value = bundle.getString(gpskey);

    }
    catch(MissingResourceException e)
    {
        // System.out.println("b2b GPS event [" + gpskey + "] key/value mapping not found in properties file.");
    }

    if (value == null || value.trim().length() < 1) return;
    // else:
%>



<script language="Javascript">
// <!--

var gps = window.open(
    "portlets/gps/content/<%=value%>?gpskey=<%=gpskey%>",
    "GPS",
    "toolbar=no,location=no,directories=no,status=yes,menubar=no,scrollbars,resizable,width=350,height=400,top=50,left=150,minimize=yes"
);
//  gps.focus();

// -->
</script>
