<!-- start /portlets/productinventory/content.jsp -->

<%@ page import="java.util.Iterator" %>
<%@ page import="examples.e2e.common.Inventory" %>

<%@ page extends="examples.e2e.b2b.JspBase" %>

<%@ taglib uri="webflow.tld" prefix="webflow" %>
<%@ taglib uri="portlet.tld" prefix="portlet" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>

        
<%@ include file="/framework/resourceURL.inc" %>
<%@ include file="/framework/portletContent.inc" %>

                                           
<table cellpadding="0" cellspacing="0" border="0" width="561"><tr>
	<td width="10">
   <img src="framework/images/dot.gif" width="10" height="20" alt="" border="0">
   </td>
   
	<td>
		
      <table cellpadding="0" cellspacing="0" border="0" width="547">
      <tr class="bgf4f4f3">
			<td width="10">
         <img src="framework/images/dot.gif" width="10" height="23" alt="" border="0" >
         </td>
         
			<td width="537" class="inventory2Portlet">
         <i18n:getMessage bundleName="../b2b" messageName="product.choose" />
            </td>
		</tr>
      </table>	
		
		<table cellpadding="0" cellspacing="0" border="0" width="547">
      
      <tr class="bgd5d5bb">
         <!-- column headers -->
			<td width="231" colspan="2">
         <img src="<webflow:createResourceURL
            resource='<%=imagesPath + "purch_process_step1_model.gif"%>'/>"
            width="231" height="18" alt="" border="0">
         </td>
			<td width="75">
         <img src="<webflow:createResourceURL
            resource='<%=imagesPath + "purch_process_step1_minunits.gif"%>'/>"
            width="75" height="18" alt="" border="0">
         </td>
			<td width="75">
         <img src="<webflow:createResourceURL
            resource='<%=imagesPath + "purch_process_step1_maxunits.gif"%>'/>"
            width="75" height="18" alt="" border="0">
         </td>
			<td width="67">
         <img src="<webflow:createResourceURL
            resource='<%=imagesPath + "purch_process_step1_avail.gif"%>'/>"
            width="67" height="18" alt="" border="0">
         </td>
			<td width="99">
         <img src="framework/images/dot.gif" width="99" height="18" alt="" border="0">
         </td>
		</tr>
      
      
<%
       Iterator it = rState.getProducts().iterator();
       Inventory prod = null;
       String rowCssClass = null;
       String extraParams = null;

       int i = 0;
       for ( ; it.hasNext(); i++ ) {

           prod = (Inventory) it.next();
           
           if ( prod.isBelowMinimum() ) {
                rowCssClass = CSS_INV_BELOW_MIN;
           }
           else {
                rowCssClass = CSS_PRODUCT_ROW;
           }

           extraParams = PRODUCT_PARAM_EQUALS + prod.id();
       
           // skip the row divider the first time through
           if ( i != 0 ) {

%>
                                                                   
      <tr class="bgcccccc">			
		 <td colspan="6"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0" ></td>
      </tr>		
         
<%
           }
%>
         
      <tr class="bgf4f4f3">
      
         <!-- product image TBD: get URL from prod object -->
	     <td width="44"
         ><img src="<webflow:createResourceURL
            resource='<%=imagesPath + prod.imageURL( Inventory.STD_IMAGE ) %>' />"
            width="44" height="28" alt="" border="0" ></td>
            
         <!-- model number -->                                                       
			<td width="187" class="<%= rowCssClass %>"><%= prod.id() %></td>
         <!-- minimum # of units -->
			<td width="75" class="<%= rowCssClass %>"><%= prod.min() %></td>
         <!-- maximum # of units -->
			<td width="75" class="<%= rowCssClass %>"><%= prod.max() %></td>	
         <!-- available # of units -->
			<td width="67" class="<%= rowCssClass %>"><%= prod.available() %></td>
         
         <!-- button image -->
			<td width="99">
         <a href="<portlet:createWebflowURL event='selectProduct'
            extraParams='<%= extraParams %>' />" >
         <img src="<webflow:createResourceURL
            resource='<%=imagesPath + "purch_process_step1_checkparts.gif"%>' />"
            width="90" height="13" alt="check parts for <%= prod.id() %>" border="0" >
         </a>
         </td>
         
		</tr>
<%
      }
%>
      
      <tr class="bgcccccc">						
			<td colspan="6"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>				
		</tr>
      
      <tr class="bgf4f4f3">						
			<td colspan="6">
            <img src="framework/images/dot.gif" width="1" height="10" alt="" border="0">
         </td>
		</tr>
      
      <tr>						
			<td colspan="6">
            <img src="framework/images/dot.gif" width="1" height="10" alt="" border="0">
         </td>
		</tr>
      
      </table>		
	</td>
   
	<td width="4">
   <img src="framework/images/dot.gif" width="4" height="1" alt="" border="0">
   </td>
   
</tr>
</table>

<!-- end /portlets/productinventory/content.jsp -->

