<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>

<!-- start /portlets/cb-catalog/catalog.jsp -->

<%@ taglib uri="webflow.tld" prefix="webflow" %>

<%@ page import="examples.e2e.b2c.util.B2CPortalConstants" %>

<%-- Figure out what to display based on the client's last catalog event --%>

<webflow:getProperty
    id="event"
    type="java.lang.String"
    property="<%= B2CPortalConstants.LAST_CATALOG_EVENT_ATTRIB %>"
    scope="session"
    namespace="portal" />

<%

   if ( event == null )
   {
%>

<%-- Display the catalog index --%>

<jsp:include page="/portlets/cb-catalog/catalog_index.jsp" flush="true" />

<%
   }
   else if ( ( event.equals( "link.category" ) ) ||
             ( event.equals( "button.category.buy" ) ) ||
             ( event.equals( "button.category.save") )   )
   {
%>

<%-- Display a catgory detail --%>

<jsp:include page="/portlets/cb-catalog/category.jsp" flush="true" />

<%
   }
   else if ( ( event.equals( "link.item" ) ) ||
             ( event.equals( "button.item.buy" ) )  ||
             ( event.equals( "button.item.save") )  )
   {
%>

<%-- Display an item detail --%>

<jsp:include page="/portlets/cb-catalog/item.jsp" flush="true" />

<%
   }
   else if ( ( event.equals( "button.search" ) ) ||
             ( event.equals( "button.search.buy" ) )  ||
             ( event.equals( "button.search.save") )  )
   {
%>

<%-- Display search results --%>

<jsp:include page="/portlets/cb-catalog/search_results.jsp" flush="true" />

<% }
	// If none of these is true, display the index by default
   else
   {
%>
<%-- Display the catalog index --%>

<jsp:include page="/portlets/cb-catalog/catalog_index.jsp" flush="true" />

<% } %>

<!-- end /portlets/cb-catalog/catalog.jsp -->
