<%-- Copyright (c) 2002 by BEA Systems, Inc. All Rights Reserved. --%>

<!-- start /portlets/cb-catalog/catalog_index.jsp -->

<%@ taglib uri="cat.tld" prefix="catalog" %>
<%@ taglib uri="portlet.tld" prefix="portlet" %>
<%@ taglib uri="webflow.tld" prefix="webflow" %>

<%@ page import="com.beasys.commerce.ebusiness.catalog.Category" %>

<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>
<%@ page import="com.beasys.commerce.webflow.PipelineSessionConstants" %>

<%@ include file="/framework/resourceURL.inc" %>

<%-- HTTP request parameters for making category detail links --%>

<%!
    protected static final String linkParams =
        HttpRequestConstants.CATALOG_CATEGORY_ID + "=";
%>

<%-- Get the catalog categories view iterator from the pipline session --%>

<webflow:getProperty
    id="categories"
    type="com.beasys.commerce.ebusiness.catalog.ViewIterator"
    property="<%=PipelineSessionConstants.CATALOG_CATEGORIES%>"
    scope="session"
    namespace="portal" />

<table cellpadding="0" cellspacing="0" border="0" width="561">
    <tr valign="top">
        <td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td><!-- 10px space -->
        <td width="547" valign="top">
            <table cellpadding="0" cellspacing="0" border="0" width="547">
                <tr valign="top">
                    <td colspan="5"><img src="<webflow:createResourceURL resource='<%=imagesPath + "prod_step1_header.gif"%>'/>" width="321" height="35" alt="" border="0"></td>
				 </tr>
                <tr class="bgcccccc" valign="top">
                    <td colspan="5"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
			    </tr>
                <tr class="bgffcc33" valign="top">
                    <td colspan="5"><img src="framework/images/dot.gif" width="1" height="4" alt="" border="0"></td>
                </tr>
                <tr valign="top">	
                    <td colspan="5"><img src="framework/images/dot.gif" width="1" height="3" alt="" border="0"></td>
                </tr>

<%-- Iterate through the categories and display each one --%>

<% int categoryCount = 0; %>

<catalog:iterateViewIterator
    id="category"
    returnType="com.beasys.commerce.ebusiness.catalog.Category"
    iterator="<%=categories%>">

    <catalog:getProperty 
        id="categoryKey"
        returnType="com.beasys.commerce.ebusiness.catalog.CategoryKey"
        object="<%= category %>"
        propertyName="key" />

    <catalog:getProperty 
        id="largeImage"
        returnType="com.beasys.commerce.ebusiness.catalog.ImageInfo"
        object="<%= category %>"
        propertyName="image"
        getterArgument="<%= new Integer( Category.LARGE_IMAGE_INDEX ) %>" />

    <catalog:getProperty 
        id="shortDesc"
        returnType="java.lang.String"
        object="<%= category %>"
        propertyName="description"
        getterArgument="<%= new Integer( Category.SHORT_DESCRIPTION_INDEX ) %>" />

    <%-- Decide whether this category goes in the right or left column --%>

    <% 
       if ( ( categoryCount % 3 ) == 0 )
       {
    %>

                	<tr valign="top">		
                    <td width="180"><a href="<portlet:createWebflowURL namespace="cb-catalogportlet" event="link.category" extraParams="<%=linkParams + java.net.URLEncoder.encode( categoryKey.getIdentifier() )%>" />"><img src="<webflow:createResourceURL resource='<%=largeImage.getUrl()%>'/>" width="180" height="137" alt="<%=shortDesc%>" border="0"></a></td>

    <%
       }
       else
       {
    %>
                    <td  width="1" class="bgcccccc"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
                    <td width="180"><a href="<portlet:createWebflowURL namespace="cb-catalogportlet" event="link.category" extraParams="<%=linkParams + java.net.URLEncoder.encode( categoryKey.getIdentifier() )%>" />"><img src="<webflow:createResourceURL resource='<%=largeImage.getUrl()%>'/>" width="180" height="137" alt="<%=shortDesc%>" border="0"></a></td>


    <% } %>

    <% categoryCount++; %>

</catalog:iterateViewIterator>

<%-- Make sure the final separator gets displayed if there are an odd number
     of categories --%>

<%
   if ( ( categoryCount % 2) == 1 )
   {
%>
                </tr>
                <tr class="bgcccccc" valign="top">
                    <td colspan="5"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
                </tr>

<% } %>

<%-- Reset the category view iterator in case the portlet gets refreshed --%>

<% categories.gotoViewAt( 0 ); %>

                <tr valign="top">
                    <td colspan="5"><img src="framework/images/dot.gif" width="1" height="10" alt="" border="0"></td>			 
                </tr>
            </table>
        </td>
        <td valign="top"><img src="framework/images/dot.gif" width="4" height="1" alt="" border="0"></td><!-- 11px space -->
    </tr>
</table>

<!-- end /portlets/cb-catalog/catalog.jsp -->
