
<%!
    static final char SC_ARRAY[] = {'&', '"', '<', '>'};
    static final String SC_SUB_ARRAY[] = {"amp;", "quot;", "lt;", "gt;"};
    String cnvrtSC(String theInpStr)    
    {
        if (theInpStr == null || theInpStr.length() == 0)
            return "";
            
        StringBuffer outStr = new StringBuffer(theInpStr);
        
        // Test for HTML special characters
        int fromIndex = 0;
        int chIndex = 0;
        
        for (int i=0; i<SC_ARRAY.length; i++)
        {
            fromIndex = chIndex = 0;
            while (true)
            {
                chIndex = outStr.toString().indexOf(SC_ARRAY[i], fromIndex);
                if (chIndex == -1)
                    break;
                fromIndex = chIndex+1;
                outStr.setCharAt(chIndex, '&');
                outStr.insert(chIndex+1, SC_SUB_ARRAY[i]);
           }
        }        
        
        return outStr.toString();                
    } 
%>

<%!
    String getBundleName(javax.servlet.jsp.JspPage aJsp)
    {
        String  fullName    = aJsp.getServletConfig().getServletName();
        String  jspName     = fullName.substring(fullName.lastIndexOf('/') + 1);
        int dotPos = jspName.lastIndexOf('.');
        if ( dotPos != -1 )
        {
            jspName = jspName.substring(0,dotPos);
        }
 
        return jspName;
    }
%>
    
<%!
    String getJwsUrl(javax.servlet.http.HttpServletRequest request, String jwsFile)
    {
        // Check to see if the base is in the session.  If so
        // there is no reason to do all of the parsing.
        StringBuffer jwsLocation = (StringBuffer)request.getSession().getAttribute("webservice.wizard.portlet.endpoint.jws.location");
        if ( jwsLocation == null )
        {
            jwsLocation = new StringBuffer();
            String fullUrl = request.getRequestURL().toString();
            String strip = request.getContextPath() + request.getServletPath();
            jwsLocation.append(fullUrl.substring(0, fullUrl.lastIndexOf(strip)));
            jwsLocation.append("/");
            jwsLocation.append("workshop");
            jwsLocation.append("/");

            request.getSession().setAttribute("webservice.wizard.portlet.endpoint.jws.location",
                                              jwsLocation);
        }
        jwsLocation.append(jwsFile);

        return jwsLocation.toString();
    }
%>
