<!-- start /portlets/checkout/step1.jsp -->

<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="webflow.tld" prefix="webflow" %>
<%@ taglib uri="portlet.tld" prefix="portlet" %>
<%@ taglib uri="portal.tld" prefix="portal" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>

<%-- ------------------------------------------------------------ --%>
<%-- page imports                                                 --%>
<%-- ------------------------------------------------------------ --%>
<%@ page import="java.util.*" %>
<%@ page import="java.text.*" %>
<%@ page import="com.beasys.commerce.axiom.units.*" %>
<%@ page import="com.beasys.commerce.ebusiness.shoppingcart.*" %>
<%@ page import="com.bea.commerce.ebusiness.price.service.DiscountPresentation" %>
<%@ page import="com.bea.commerce.ebusiness.price.quote.OrderAdjustment" %>
<%@ page import="com.bea.commerce.ebusiness.price.quote.AdjustmentDetail" %>

<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>
<%@ page import="com.beasys.commerce.webflow.PipelineSessionConstants" %>
<%@ page import="examples.e2e.b2c.util.B2CPortalConstants" %>

<%@ page import="com.bea.p13n.appflow.webflow.WebflowJSPHelper" %>

<%-- ------------------------------------------------------------ --%>
<%-- Resource setup                                               --%>
<%-- ------------------------------------------------------------ --%>
<%@ include file="/framework/resourceURL.inc"%>

<%-- --------------------------------------------------------------- --%>
<%-- Get shopping cart and saved shopping cart from pipeline session --%>
<%-- --------------------------------------------------------------- --%>
<webflow:getProperty id="shoppingCart" property="<%=PipelineSessionConstants.SHOPPING_CART%>" type="com.beasys.commerce.ebusiness.shoppingcart.ShoppingCart" scope="session" namespace="portal" />
<webflow:getProperty id="savedShoppingCart" property="<%=PipelineSessionConstants.SAVED_SHOPPING_CART%>" type="com.beasys.commerce.ebusiness.shoppingcart.ShoppingCart" scope="session" namespace="portal" />
<webflow:getProperty id="inventoryCount" property="<%=B2CPortalConstants.INVENTORY_CHECK%>" type="int[]" scope="session" namespace="portal" />

<!-- To put as part of the request, mainly for the SKU on which we act -->
<%
	String extraParams = null;
%>

<!-- create the number formatter objects for discount display  -->
<%
	NumberFormat priceFormat = NumberFormat.getInstance();
	priceFormat.setMinimumFractionDigits(2);
	priceFormat.setMaximumFractionDigits(2);

	NumberFormat quantityFormat = NumberFormat.getInstance();
	quantityFormat.setMinimumFractionDigits(0);
	quantityFormat.setMaximumFractionDigits(0);
%>

<!-- ----------------------------------------------------------- -->
<!-- Definition of the page set up as a Table                    -->
<!-- ----------------------------------------------------------- -->
<form method="POST" name="shoppingCartForm" action="<portlet:createWebflowURL namespace="checkoutportlet" event="button.updateShoppingCartQuantities" />" >

	<table cellpadding="0" cellspacing="0" border="0"><tr valign="top">
		<td class="bge6e6e6" valign="top"><img src="framework/images/dot.gif" width="193" height="1" alt="" border="0"></td>
		<td  valign="top"><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
	<td>

<table cellpadding="0" cellspacing="0" border="0"><tr>

    <!-- the portlet header "My Shopping Cart [1]-[2] ... -->
		<td colspan="13" width="547"><img src="<webflow:createResourceURL resource='<%=imagesPath + "exp_checkout_cancel_header.gif"%>'/>" width="547" height="40" alt="" border="0"></td>
	</tr><tr>

	<!-- the table header, Qty. -->
		<td colspan="13"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step1_currentitems.gif"%>'/>" width="547" height="23" alt="" border="0"></td>
	</tr><tr class="bgd5d5bb">

	<!-- a bit more space under the header -->
		<td width="39"><img src="framework/images/dot.gif" width="39" height="1" alt="" border="0"></td>	
		<td width="6"><img src="framework/images/dot.gif" width="6" height="1" alt="" border="0"></td>	
		<td width="215"><img src="framework/images/dot.gif" width="215" height="1" alt="" border="0"></td>	
		<td width="6"><img src="framework/images/dot.gif" width="6" height="1" alt="" border="0"></td>
		<td width="6"><img src="framework/images/dot.gif" width="6" height="1" alt="" border="0"></td>	
		<td width="83"><img src="framework/images/dot.gif" width="83" height="1" alt="" border="0"></td>	
		<td width="6"><img src="framework/images/dot.gif" width="6" height="1" alt="" border="0"></td>
		<td width="6"><img src="framework/images/dot.gif" width="6" height="1" alt="" border="0"></td>	
		<td width="56"><img src="framework/images/dot.gif" width="56" height="1" alt="" border="0"></td>	
		<td width="6"><img src="framework/images/dot.gif" width="6" height="1" alt="" border="0"></td>
		<td width="6"><img src="framework/images/dot.gif" width="6" height="1" alt="" border="0"></td>	
		<td width="106"><img src="framework/images/dot.gif" width="106" height="1" alt="" border="0"></td>	
		<td width="6"><img src="framework/images/dot.gif" width="6" height="1" alt="" border="0"></td>
	</tr><tr class="bgd5d5bb">

	<!-- the table header, Items, Unit, ext. price -->
		<td align="center"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step1_qty.gif"%>'/>" width="39" height="18" alt="" border="0"></td>	
		<td><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>	
		<td width="215"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step1_item.gif"%>'/>" width="20" height="18" alt="" border="0"></td>	
		<td><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>
		<td><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>	
		<td align="center" width="83"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step1_unit.gif"%>'/>" width="46" height="18" alt="" border="0"></td>	
		<td><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>
		<td><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>	
		<td align="center" width="56"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step1_ext.gif"%>'/>" width="44" height="18" alt="" border="0"></td>	
		<td><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>
		<td><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>	
		<td width="106"><img src="framework/images/dot.gif" width="106" height="1" alt="" border="0"></td>	
		<td><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>
	</tr>

<%-- A bit of preparation for the inventory stock --%>
<% int inventoryIndex = 0; 
   boolean outOfStock = false; %>
 

<%-- iterate through all shopping cart lines --%>
<wl:repeat set="<%=shoppingCart.getShoppingCartLineCollection().iterator()%>" id="shoppingCartLine" type="ShoppingCartLine" count="100000">

    <!-- extra parameters are used to let the action know on what product item to act -->
    <%
	    extraParams = HttpRequestConstants.CATALOG_ITEM_SKU + "=" + shoppingCartLine.getProductItem().getKey().getIdentifier();
     %>	  


	<!-- the input text for the Qty update followed by the line item -->
	<TR CLASS="bgf4f4f3">
		<td align="center" valign="top" class="checkinputPortlet"><font color="red" size="14">X</font></td>
		<td><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>	

		<!-- What to display in the 'Item' column: the name of the product -->
		<!-- and possibly a message if the qty is '>' than the inventory -->
		<td width="215" class="checkPortlet"> <% if ( (inventoryCount != null) && (inventoryCount[inventoryIndex] <= shoppingCartLine.getQuantity() ) ) { outOfStock = true; %><%= shoppingCartLine.getProductItem().getName() %> - <i><i18n:getMessage bundleName="checkout" messageName="over_inventory"/></i> - <% ;} else { %><%= shoppingCartLine.getProductItem().getName() %> <% } %> </td>
		<td><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>	
		<td><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>	
		<td align="center" width="83" class="checkPortlet">
		     <i18n:getMessage bundleName="/commerce/currency" messageName="<%= shoppingCartLine.getUnitPrice().getCurrency() %>"/><%= WebflowJSPHelper.priceFormat( shoppingCartLine.getUnitPrice().getValue() ) %> 
        </td>	
		<td><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>
		<td class="bgffffcc"><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>	
		<td  align="center" width="56" class="checkffffccPortlet">
             <i18n:getMessage bundleName="/commerce/currency" messageName="<%= shoppingCartLine.getBaseTotal().getCurrency() %>"/><%= WebflowJSPHelper.priceFormat( shoppingCartLine.getBaseTotal().getValue() ) %>
        </td>	
		<td class="bgffffcc"><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>
		<td><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>	
		<td width="106"><img src="framework/images/dot.gif" width="2" height="13" alt="" border="0">&nbsp;</td>	
		<td><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td> 
	</TR>
	<tr>
		<td colspan="13" class="bgcccccc"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
	</tr>

	<!-- If there are any discount for theis line item, show them now -->
	<%
		ArrayList discountPresentations = shoppingCartLine.getDiscountPresentations();
		if (discountPresentations !=null) 
		{
			// Loop through the adjustments/discounts for this line item.
		    for (int i=0; i < discountPresentations.size(); i++)
		    {
				DiscountPresentation dp = (DiscountPresentation) discountPresentations.get(i);
	%>
	<tr class="bgf4f4f3">
		<td ALIGN="center" class="checkerrorPortlet"><%= quantityFormat.format(dp.getQuantity()) %> of 
						<%= WebflowJSPHelper.quantityFormat( shoppingCartLine.getQuantity() ) %></td>	
		<td><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>	
		<td width="215" class="checkerrorPortlet">
<%-- Show the description from the Control Center if it isn't empty, --%>
<%-- otherwise show the calculated discount description.             --%>
<% if ((dp.getReason() != null) && (dp.getReason().trim().length() > 0)) { %>
<%= dp.getReason() %>
<% } else { %>
<%=dp.getComputation()%>
<% } %>  
		</td>	
		<td><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>	
		<td><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>	
		<td><img src="framework/images/dot.gif" width="83" height="18" alt="" border="0"></td>	
		<td><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>
		<td class="bgffffcc"><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>	
		<td  align="center" width="56" class="checkffffccPortlet">
<font color="red"><i18n:getMessage bundleName='/commerce/currency' messageName='<%= dp.getDiscount().getCurrency() %>'/><%= priceFormat.format(dp.getDiscount().getValue()) %></font>
        </td>	
		<td class="bgffffcc"><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>	
		<td colspan="3"><img src="framework/images/dot.gif" width="6" height="18" alt="" border="0"></td>	
	</tr>
	<%
		   }
	   }
	%>
	<%-- End of discounts for this shopping cart line. --%>

</wl:repeat>
	
	<tr><!-- error message sample row end -->
		<td colspan="13" class="bgcccccc"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
	</tr><tr class="bgf4f4f3">
</table>
	

	<table cellpadding="0" cellspacing="0" border="0">
<!-- Only show the recalculate if there are items in the shopping cart. -->   
<% if ( shoppingCart.isEmpty() == false ) { %>
	 <tr class="bgf4f4f3">
		<!-- td colspan="2" width="266"><a href="<portlet:createWebflowURL namespace="checkoutportlet" event="button.updateShoppingCartQuantities" extraParams="<%= extraParams %>" />"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step1_recalc.gif"%>'/>" width="62" height="13" alt="" border="0"></a></TD -->
		<td colspan="2" width="266">&nbsp;</TD>
		<td width="95"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step1_subtotal.gif"%>'/>" width="95" height="19" alt="" border="0"></td>	
		<td class="bgffffcc"><img src="framework/images/dot.gif" width="6" height="1" alt="" border="0"></td>	
		<td align="center" width="56" class="checkffffccPortlet">
<i18n:getMessage bundleName="/commerce/currency" messageName="<%= shoppingCart.getTotalPrice().getCurrency() %>"/><%=WebflowJSPHelper.priceFormat( shoppingCart.getSubtotal().getValue() ) %></b>
</td>	
		<td class="bgffffcc"><img src="framework/images/dot.gif" width="6" height="1" alt="" border="0"></td>
		<td colspan="3" width="118"><img src="framework/images/dot.gif" width="118" height="1" alt="" border="0"></td>	
	</tr>
<% } %>
	<tr>
		<td colspan="9" class="bgcccccc"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
	</tr>
<!-- Only if we have an actual Order Discount do we show the following lines -->	
  <%-- Only try to show order adjustments/discounts if the shopping cart has items in it. --%>
  <% if ( shoppingCart.isEmpty() == false ) {

		// Get a list of order adjustments/discounts
		ArrayList orderDiscountPresentations = shoppingCart.getOrderDiscountPresentations();
		
		if (orderDiscountPresentations != null && orderDiscountPresentations.size() > 0) 
		{
			// Currently, there can be only one order adjustment/discount. Get that one from the list.
			OrderAdjustment odp = (OrderAdjustment) orderDiscountPresentations.get(0);
			// Order adjustments/discounts only have one AdjustmentDetail. Get that one from the list.
			AdjustmentDetail ad = (AdjustmentDetail)odp.getDetails().get(0);
	%>
	<tr class="bgf4f4f3">	
		<td><img src="framework/images/dot.gif" width="11" height="18" alt="" border="0"></td>	
		<td width="255"><img src="framework/images/dot.gif" width="1" height="13" alt="" border="0"></td>	
		<td width="95"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step1_discount.gif"%>'/>" width="95" height="19" alt="" border="0"></td>	
		<td class="bgffffcc"><img src="framework/images/dot.gif" width="6" height="1" alt="" border="0"></td>	
		<td align="center" width="56" class="checkerror2Portlet">-<i18n:getMessage bundleName="/commerce/currency" messageName="<%= odp.getAdjustmentAmount().getCurrency() %>"/><%=priceFormat.format(odp.getAdjustmentAmount().getValue()) %></td>	
		<td class="bgffffcc"><img src="framework/images/dot.gif" width="6" height="1" alt="" border="0"></td>
		<td colspan="3" width="118"><img src="framework/images/dot.gif" width="118" height="1" alt="" border="0"></td>	
	</tr>

	<%
	   }
  }
	%>
	<%-- End of discounts for this order. --%>

	<tr> <td colspan="9" class="bgcccccc"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
	</tr><tr class="bgf4f4f3">
		<td><img src="framework/images/dot.gif" width="11" height="18" alt="" border="0"></td>	
		<td width="255" class="checkPortlet"><span class="checkasterisksPortlet">*</span><i18n:getMessage bundleName="checkout" messageName="total_note" /></td>	
		<td width="95"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step1_total.gif"%>'/>" width="95" height="25" alt="" border="0"></td>	
		<td class="bgffffcc"><img src="framework/images/dot.gif" width="6" height="1" alt="" border="0"></td>	
		<td align="center" width="56" class="checktotalPortlet"><b>
			  	<i18n:getMessage bundleName="/commerce/currency" messageName="<%= shoppingCart.getTotal().getCurrency() %>"/><%=WebflowJSPHelper.priceFormat( shoppingCart.getTotal().getValue() ) %></b>
		</div>
    </b></td>	
		<td class="bgffffcc"><img src="framework/images/dot.gif" width="6" height="1" alt="" border="0"></td>
		<td colspan="3" width="118"><img src="framework/images/dot.gif" width="118" height="1" alt="" border="0"></td>	
	</tr><tr>
		<td colspan="9" class="bgcccccc"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
	</tr></table>
	
  <% // Determine whether we are logged in or not.
     // If we are then show the user's saved list and allow them to edit it

    if (request != null &&
	    request.getRemoteUser() != null &&
	    request.getRemoteUser().length() != 0 &&
		savedShoppingCart != null &&
		savedShoppingCart.getShoppingCartLineCollection() != null &&
		savedShoppingCart.getShoppingCartLineCollection().isEmpty() != true) {
  %>

	<table cellpadding="0" cellspacing="0" border="0"><tr class="bgf4f4f3">
		<td colspan="2"><img src="framework/images/dot.gif" width="361" height="30" alt="" border="0"></td>
		<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
		<td><img src="framework/images/dot.gif" width="118" height="1" alt="" border="0"></td>
	</tr>
	
	<tr>
		<td class="bgf4f4f3">
		<table cellpadding="0" cellspacing="0" border="0"><tr class="bgf4f4f3">
				<td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
				<td colspan="6"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step1_searchitems.gif"%>'/>" width="151" height="11" alt="" border="0"></td>
			</tr>
			<tr>
				<td colspan="7"><img src="framework/images/dot.gif" width="1" height="4" alt="" border="0"></td>
			</tr><tr class="bgcccccc">		
				<td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
				<td><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step1_item2.gif"%>'/>" width="20" height="18" alt="" border="0"></td>
				<td colspan="3"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step1_price.gif"%>'/>" width="61" height="18" alt="" border="0"></td>
				<td colspan="2"><img src="framework/images/dot.gif" width="106" height="18" alt="" border="0"></td>
			</tr>
<%-- iterate through all SAVED shopping cart lines --%>
<wl:repeat set="<%=savedShoppingCart.getShoppingCartLineCollection().iterator()%>" id="shoppingCartLine" type="ShoppingCartLine" count="100">
    <!-- extra parameters are used to let the action know on what product item to act -->
    <%
	    extraParams = HttpRequestConstants.CATALOG_ITEM_SKU + "=" + shoppingCartLine.getProductItem().getKey().getIdentifier();
     %>	  
			<tr class="bgf4f4f3">	
				<td><img src="framework/images/dot.gif" width="10" height="13" alt="" border="0"></td>
				<td class="checkPortlet"><%= shoppingCartLine.getProductItem().getName() %></td>
				<td><img src="framework/images/dot.gif" width="3" height="1" alt="" border="0"></td>		
				<td width="55" class="checkPortlet" align="center">
<i18n:getMessage bundleName="/commerce/currency" messageName="<%= shoppingCartLine.getUnitPrice().getCurrency() %>"/><%= WebflowJSPHelper.priceFormat( shoppingCartLine.getUnitPrice().getValue() ) %> 
				</td>		
				<td><img src="framework/images/dot.gif" width="3" height="1" alt="" border="0"></td>		
				<td>
                <a href="<portlet:createWebflowURL namespace="checkoutportlet" event="button.deleteItemFromSavedList" extraParams="<%= extraParams %>" />"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step1_remove.gif"%>'/>" width="42" height="13" alt="" border="0"></a> 
                <a href="<portlet:createWebflowURL namespace="checkoutportlet" event="button.moveItemToShoppingCart"  extraParams="<%= extraParams %>" />"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step1_add.gif"%>'/>" width="52" height="13" alt="" border="0"></a> 
				</td>		
				<td class="bgcccccc">
				<img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>										
			</tr>
			<tr>				
				<td colspan="7" class="bgcccccc"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
			</tr>
</wl:repeat>
			</table></td>
		<td class="bgf4f4f3"><img src="framework/images/dot.gif" width="33" height="1" alt="" border="0"></td>	
		<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
		<td class="bgf4f4f3"><img src="framework/images/dot.gif" width="118" height="1" alt="" border="0"></td>
	</tr>
	<tr>
		<td class="bgf4f4f3" colspan="2"><img src="framework/images/dot.gif" width="361" height="13" alt="" border="0"></td>
		<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
		<td class="bgf4f4f3"><img src="framework/images/dot.gif" width="118" height="1" alt="" border="0"></td>
	</tr>
    </table>
	
  <%
  }
  %>
  <%-- End of conditional saved list display. --%>

	<table cellpadding="0" cellspacing="0" border="0">
<% if ( shoppingCart.isEmpty() == false ) { %>
<tr class="bgf4f4f3">
<!-- Only show the last rows if there are items in the shopping cart. -->  
<td colspan="3">
	<table cellpadding="0" cellspacing="0" border="0"><tr class="bgf4f4f3">
	<td><img src="framework/images/dot.gif" width="361" height="1" alt="" border="0"></td>
	<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="10" alt="" border="0"></td>
	<td><img src="framework/images/dot.gif" width="118" height="1" alt="" border="0"></td>	
	</tr></table>
	</td>
</tr>
<tr class="bgf4f4f3"> 
	<td width="321"><img src="framework/images/dot.gif" width="321" height="1" alt="" border="0"></td>
	<td><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step1_arrowtip.gif"%>'/>" width="148" height="64" alt="" border="0"></td>
	<td width="78"><img src="framework/images/dot.gif" width="78" height="1" alt="" border="0"></td>
	</tr>
<% } %>
	</table>
	
	<table cellpadding="0" cellspacing="0" border="0"><tr>
		<td colspan="5"><img src="framework/images/dot.gif" width="547" height="10" alt="" border="0"></td>
	</tr>

<!-- Only show the last rows if there are items in the shopping cart. -->   
<% if ( shoppingCart.isEmpty() == false ) { %>

	<tr>
		<td width="301">&nbsp;</td> 
		<td width="56"><img src="framework/images/dot.gif" width="56" height="1" alt="" border="0"></td>
		<td width="75"><a href="<portal:createPortalPageChangeURL  pagename="Products" />"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step4_continueshop.gif"%>'/>" width="100" height="19" alt="" border="0"></a></td>
		<td width="59"><img src="framework/images/dot.gif" width="59" height="1" alt="" border="0"></td>
		<td width="56"><img src="framework/images/dot.gif" width="56" height="1" alt="" border="0"></td>
	</tr>
	
	<tr>
		<td colspan="5"><img src="framework/images/dot.gif" width="547" height="6" alt="" border="0"></td>
	</tr>
	
	<tr>
		<td width="301"><img src="framework/images/dot.gif" width="301" height="1" alt="" border="0"></td>
		<td colspan="3" class="checknobgPortlet" align="center">Your express checkout order has been canceled.</td>
		<td width="56"><img src="framework/images/dot.gif" width="56" height="1" alt="" border="0"></td>
	</tr>

<% } %>

	</table></td>

</tr></table>

</form>

<!-- end /portlets/checkout/step1.jsp -->
