<%-- ------------------------------------------------------------ --%>
<%-- taglibs                                                      --%>
<%-- ------------------------------------------------------------ --%>
<%@ taglib uri="webflow.tld" prefix="webflow" %>
<%@ taglib uri="portlet.tld" prefix="portlet" %>
<%@ taglib uri="um.tld" prefix="um" %>
<%@ taglib uri="es.tld" prefix="es" %>
<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>

<%-- ------------------------------------------------------------ --%>
<%-- page imports                                                 --%>
<%-- ------------------------------------------------------------ --%>
<%@ page import="java.util.*" %>
<%@ page import="java.text.*" %>
<%@ page import="com.beasys.commerce.axiom.contact.*" %>
<%@ page import="com.beasys.commerce.ebusiness.shipping.*" %>
<%@ page import="com.beasys.commerce.ebusiness.customer.*" %>

<%@ page import="com.beasys.commerce.axiom.units.*" %>
<%@ page import="com.beasys.commerce.ebusiness.shoppingcart.*" %>
<%@ page import="com.bea.commerce.ebusiness.price.service.DiscountPresentation" %>
<%@ page import="com.bea.commerce.ebusiness.price.quote.OrderAdjustment" %>
<%@ page import="com.bea.commerce.ebusiness.price.quote.AdjustmentDetail" %>
<%@ page import="com.bea.commerce.ebusiness.price.quote.AdjustmentType" %>
<%@ page import="com.bea.commerce.ebusiness.price.service.DiscountPresentation" %>

<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>
<%@ page import="com.beasys.commerce.webflow.PipelineSessionConstants" %>
<%@ page import="examples.e2e.b2c.util.B2CPortalConstants" %>

<%@ page import="com.bea.p13n.appflow.webflow.WebflowJSPHelper" %>

<%-- ------------------------------------------------------------ --%>
<%-- Include the resourceURL.inc                                  --%>
<%-- ------------------------------------------------------------ --%>
<%@ include file="/framework/resourceURL.inc" %>

<%-- ------------------------------------------------------------ --%>
<%-- Get the user profile                                         --%>
<%-- ------------------------------------------------------------ --%>
<webflow:getProperty id="customer" property="<%=PipelineSessionConstants.USER_NAME%>" type="java.lang.String" scope="session" namespace="portal" />
<um:getProfile
	profileKey="<%=customer%>"
	profileType="WLCS_Customer" />

<!-- The extra param string is use, mainly for credit card info   -->
<%
	String extraParams = "";
%>

<%-- ------------------------------------------------------------ --%>
<%-- Get the shopping cart                                        --%>
<%-- ------------------------------------------------------------ --%>
<webflow:getProperty id="shoppingCart" property="<%=PipelineSessionConstants.SHOPPING_CART%>"     type="com.beasys.commerce.ebusiness.shoppingcart.ShoppingCart" scope="session" namespace="portal" />
<webflow:getProperty id="orderQuote"   property="<%=PipelineSessionConstants.ORDER_ADJUSTMENTS%>" type="com.bea.commerce.ebusiness.price.quote.Quote"            scope="session" namespace="sampleapp_main" />


<!-- create the number formatter objects for discount display  -->
<%
	NumberFormat priceFormat = NumberFormat.getInstance();
	priceFormat.setMinimumFractionDigits(2);
	priceFormat.setMaximumFractionDigits(2);

	NumberFormat quantityFormat = NumberFormat.getInstance();
	quantityFormat.setMinimumFractionDigits(0);
	quantityFormat.setMaximumFractionDigits(0);

	
%>


<%-- ------------------------------------------------------------ --%>
<%-- Start the presentation part.                                 --%>
<%-- ------------------------------------------------------------ --%>
<form>

	<table cellpadding="0" cellspacing="0" border="0"><tr valign="top">
		<td class="bge6e6e6"><img src="framework/images/dot.gif" width="211" height="20" alt="" border="0"><br><img src="<webflow:createResourceURL resource='<%=imagesPath + "step3_left1.gif"%>'/>" width="211" height="78" alt="" border="0"></td>
		<td><img src="<webflow:createResourceURL resource='<%=imagesPath + "dot.gif"%>'/>" width="10" height="1" alt="" border="0"></td>
	<td>
<table cellpadding="0" cellspacing="0" border="0"><tr>
	<td><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step3_header.gif"%>'/>" width="547" height="54" alt="" border="0"></td>
</tr></table>

	
	<!---------------------------------------------------------------->
	<!-- the table for 'Step 3 Order Summary                       --->
	<!---------------------------------------------------------------->
	<table cellpadding="0" cellspacing="0" border="0" width="547"><tr class="bgf4f4f3">
			<td valign="top"><img src="framework/images/dot.gif" width="10" height="9" alt="" border="0"></td>
			<td width="527"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step3_ordersummary.gif"%>'/>" width="479" height="22" alt="" border="0"></td>
			<td valign="top"><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>
		</tr></table>
		<table cellpadding="0" cellspacing="0" border="0" width="547">
    	<!-- the table header, Items, Unit, ext. price -->
        <tr>
			<td class="bgf4f4f3" rowspan="16" valign="top"><img src="framework/images/dot.gif" width="10" height="9" alt="" border="0"></td>
			<td class="bgd5d5bb"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_qty.gif"%>'/>" width="38" height="18" alt="" border="0"></td>
			<td class="bgd5d5bb"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_spacer.gif"%>'/>" width="7" height="18" alt="" border="0"></td>		
			<td class="bgd5d5bb"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_item.gif"%>'/>" width="267" height="18" alt="" border="0"></td>
			<td class="bgd5d5bb"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_unitprice.gif"%>'/>" width="99" height="18" alt="" border="0"></td>		
			<td class="bgd5d5bb" colspan="2"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_extprice.gif"%>'/>" width="68" height="18" alt="" border="0"></td>					
			<td class="bgf4f4f3" rowspan="16" valign="top"><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>
		</tr>
		<%-- iterate through all shopping cart lines --%>
<wl:repeat set="<%=shoppingCart.getShoppingCartLineCollection().iterator()%>" id="shoppingCartLine" type="ShoppingCartLine" count="100000">

	<!-- The qty / unit price / extended price for each cart line -->
	<tr class="bgf4f4f3">
		<td class="checkPortlet" align="center"><%= WebflowJSPHelper.quantityFormat( shoppingCartLine.getQuantity() ) %></td>
		<td class="checkPortlet"><img src="framework/images/dot.gif" width="7" height="1" alt="" border="0"></td>		
		<td class="checkPortlet"><%= shoppingCartLine.getProductItem().getName() %></td>
		<td class="checkPortlet" align="center">
					     <i18n:getMessage bundleName="/commerce/currency" messageName="<%= shoppingCartLine.getUnitPrice().getCurrency() %>"/><%= WebflowJSPHelper.priceFormat( shoppingCartLine.getUnitPrice().getValue() ) %> 
        </td>		
		<td width="58" class="checkffffccPortlet" align="right">
			             <i18n:getMessage bundleName="/commerce/currency" messageName="<%= shoppingCartLine.getBaseTotal().getCurrency() %>"/><%= WebflowJSPHelper.priceFormat( shoppingCartLine.getBaseTotal().getValue() ) %>
        </td>	
		<td width="10" class="bgffffcc"><img src="framework/images/dot.gif" width="10" height="19" alt="" border="0"></td>					
	</tr>

	<!-- If there are any discount for this line item, show them now -->
	<%
		ArrayList discountPresentations = shoppingCartLine.getDiscountPresentations();
		if (discountPresentations !=null) 
		{
			// Loop through the adjustments/discounts for this line item.
		    for (int i=0; i < discountPresentations.size(); i++)
		    {
				DiscountPresentation dp = (DiscountPresentation) discountPresentations.get(i);
	%>

	<!-- discount row -->
	<tr class="bgf4f4f3">
			<td ALIGN="center" class="checkerrorPortlet">
		            	<%= quantityFormat.format(dp.getQuantity()) %> of 
						<%= WebflowJSPHelper.quantityFormat( shoppingCartLine.getQuantity() ) %>
		    </td>
			<td class="checkPortlet"><img src="framework/images/dot.gif" width="7" height="1" alt="" border="0"></td>		
			<td class="checkerrorPortlet">
				<%-- Show the description from the Control Center if it isn't empty, --%>
				<%-- otherwise show the calculated discount description.             --%>
				<% if ((dp.getReason() != null) && (dp.getReason().trim().length() > 0)) { %>
				<%= dp.getReason() %>
				<% } else { %>
				<%=dp.getComputation()%>
				<% } %>  
			</td>
			<td class="checkerrorPortlet" align="center">
				<font color="red"><i18n:getMessage bundleName='/commerce/currency' messageName='<%= dp.getDiscount().getCurrency() %>'/><%= priceFormat.format(dp.getDiscount().getValue()) %></font>
			</td>	 
			<td width="58" class="bgffffcc" align="right">&nbsp;</td>	
			<td width="10" class="bgffffcc"><img src="framework/images/dot.gif" width="10" height="19" alt="" border="0"></td>					
	</tr>

	<!-- discount row -->	
	<tr class="bgcccccc">	   
			<td colspan="6"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>				
	</tr>
	
	<%
		   }
	   }
	%>
	<%-- End of discounts for this shopping cart line. --%>

	<%-- End of shopping cart lines                    --%>

</wl:repeat>


	<%-- The subtotal line                             --%>
	<tr class="bgf4f4f3">
		<td class="checkPortlet" align="center" colspan="3">&nbsp;</td>
		<td class="checkPortlet" align="center"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_subtotal.gif"%>'/>" width="99" height="19" alt="" border="0"></td>		
		<td width="58" class="checkffffccPortlet" align="right">
			<i18n:getMessage bundleName="/commerce/currency" messageName="<%= shoppingCart.getTotalPrice().getCurrency() %>"/><%=WebflowJSPHelper.priceFormat( shoppingCart.getSubtotal().getValue() ) %></b>
		</td>	
		<td width="10" class="bgffffcc"><img src="framework/images/dot.gif" width="10" height="19" alt="" border="0"></td>					
	</tr>
	<tr class="bgcccccc">						
		<td colspan="6"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>				
	</tr>
	 
  <!-- Only if we have an actual Order Discount do we show the following lines -->	
  <%-- Only try to show order adjustments/discounts if the shopping cart has items in it. --%>
  <% if ( shoppingCart.isEmpty() == false ) {

		// Get a list of order adjustments/discounts
		ArrayList orderDiscountPresentations = shoppingCart.getOrderDiscountPresentations();
		
		if (orderDiscountPresentations != null && orderDiscountPresentations.size() > 0) 
		{
			// Currently, there can be only one order adjustment/discount. Get that one from the list.
			OrderAdjustment odp = (OrderAdjustment) orderDiscountPresentations.get(0);
			// Order adjustments/discounts only have one AdjustmentDetail. Get that one from the list.
			AdjustmentDetail ad = (AdjustmentDetail)odp.getDetails().get(0);
	%> 
	
	<tr class="bgf4f4f3">
			<td class="checkPortlet" align="center" colspan="3">&nbsp;</td>
			<td class="checkPortlet" align="center"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_orderdiscount.gif"%>'/>" width="99" height="19" alt="" border="0"></td>		
			<td width="58" class="checkerror2Portlet" align="right">-<i18n:getMessage bundleName="/commerce/currency" messageName="<%= odp.getAdjustmentAmount().getCurrency() %>"/><%= priceFormat.format(odp.getAdjustmentAmount().getValue()) %></td>	
			<td width="10" class="bgffffcc"><img src="framework/images/dot.gif" width="10" height="19" alt="" border="0"></td>	
	</tr>

	<%
	   }
  }
	%>
	<%-- End of discounts for this order. --%>

	<%-- The order discount/total         --%>

	<tr class="bgcccccc">						
		<td colspan="6"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>				
	</tr>
	 
	<!-- If the system allows Shipping Discounts, then this gets very complex -->
	<!-- to do a complete shipping handling, look at the wlcs / checkout.jsp  -->
	<!-- Here, we simply get the shopping cart shipping.                      -->
	<tr class="bgf4f4f3">
			<td class="checkPortlet" align="center" colspan="3">&nbsp;</td>
			<td class="checkPortlet" align="center"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step3_shipping.gif"%>'/>" width="99" height="20" alt="" border="0"></td>		
			<td width="58" class="checkffffccPortlet" align="right">
			    <i18n:getMessage bundleName="/commerce/currency" messageName="<%= shoppingCart.getShipping().getCurrency() %>"/><%=WebflowJSPHelper.priceFormat( shoppingCart.getShipping().getValue() ) %></b>
			</td>	
			<td width="10" class="bgffffcc"><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>					
	</tr>
	<tr class="bgcccccc">						
			<td colspan="6"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>				
	</tr>

	<!-- the the tax for the overall total -->
    <% Money tax = shoppingCart.getTotal(ShoppingCartConstants.LINE_TAX); %>
	<tr class="bgf4f4f3">
			<td class="checkPortlet" align="center" colspan="3">&nbsp;</td>
			<td class="checkPortlet" align="center"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step3_tax.gif"%>'/>" width="99" height="19" alt="" border="0"></td>		
			<td width="58" class="checkffffccPortlet" align="right">
			  <i18n:getMessage bundleName="/commerce/currency" messageName="<%= tax.getCurrency() %>"/><%=WebflowJSPHelper.priceFormat(tax.getValue()) %>
			<td width="10" class="bgffffcc"><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>					
	</tr>
	<tr class="bgcccccc">						
			<td colspan="6"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>				
	</tr>
	<tr class="bgf4f4f3">				
			<td class="checkPortlet" colspan="3">&nbsp;</td>
			<td class="checkPortlet" align="center"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step3_total.gif"%>'/>" width="99" height="26" alt="" border="0"></td>		
			<td width="58" class="checktotalPortlet" align="right"><b><b><i18n:getMessage bundleName="currency" messageName="<%= shoppingCart.getTotal().getCurrency() %>"/><%=WebflowJSPHelper.priceFormat( shoppingCart.getTotal().getValue() ) %></b></td>	
			<td width="10" class="bgffffcc"><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>					
	</tr>
	<tr class="bgcccccc">						
		<td colspan="6"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>				
	</tr> 
	</TABLE>

		<!----------------------------------------------------------------------------->
	    <!--- The Customer's basic info, name, address is shown here          --------->
		<!----------------------------------------------------------------------------->
	    <webflow:getProperty id="shippingAddress" property="<%=PipelineSessionConstants.SHIPPING_ADDRESS%>" type="com.beasys.commerce.axiom.contact.Address" scope="session" namespace="portal" />
		<%String stateZip  = shippingAddress.getState()+ "-" + shippingAddress.getPostalCode();%>
	
		<table cellpadding="0" cellspacing="0" border="0" width="547"><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="412" height="10" alt="" border="0"></td>			
			<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>						
		</tr><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			<td><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step3_shippedto.gif"%>'/>" width="78" height="14" alt="" border="0"></td>			
			<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>						
		</tr><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="78" height="4" alt="" border="0"></td>			
			<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>						
		</tr><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			<td class="checkPortlet">&nbsp;<um:getPropertyAsString propertySet="CustomerProperties" propertyName="firstName"/> <um:getPropertyAsString propertySet="CustomerProperties" propertyName="lastName"/><br>&nbsp;<%=shippingAddress.getStreet1()%><br>&nbsp;<%=shippingAddress.getCity()%>, <%=stateZip%></td>
			<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>						
		</tr><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="78" height="16" alt="" border="0"></td>			
			<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>						
		</tr>
		
		
		<!-- ------------------------------------ -------------->
		<!-- Shipping Method                      -------------->
		<!-- ------------------------------------ -------------->
	    <webflow:getProperty id="shippingMethodValue" property="<%=PipelineSessionConstants.SHIPPING_METHOD%>" type="com.beasys.commerce.ebusiness.shipping.ShippingMethodValue" scope="session" namespace="portal" />
		<tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			<td><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step3_shippingmethod.gif"%>'/>" width="119" height="14" alt="" border="0"></td>			
			<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>						
		</tr><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="78" height="4" alt="" border="0"></td>			
			<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>						
		</tr><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			<td class="checkPortlet">&nbsp;<%= shippingMethodValue.description %></td>			
			<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>							
		</tr><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="10" height="16" alt="" border="0"></td>
			<td class="checkPortlet">&nbsp;</td>			
			<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>							
				
		</tr></table> 
		  	
	    <!-- -------------------------------- -->
	    <!-- Get the Credit Cart info out now -->
	    <!-- -------------------------------- -->
	    <webflow:getProperty id="creditCard" property="<%=PipelineSessionConstants.PAYMENT_CREDIT_CARD%>" type="com.beasys.commerce.axiom.contact.CreditCard" scope="session" namespace="portal" />
		<table cellpadding="0" cellspacing="0" border="0" width="547"><tr>
			<td class="bgf4f4f3"><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			<td class="bgf4f4f3" valign="top" width="374"><table cellpadding="0" cellspacing="0" width="374" border="0" class="bgf4f4f3"><tr>
			<td><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step3_paymentmethod.gif"%>'/>" width="115" height="13" alt="" border="0"></td>
			</tr><tr>
			<td><img src="framework/images/dot.gif" width="1" height="3" alt="" border="0"></td>
			</tr>
			
			<tr>  
			<td class="checkPortlet">&nbsp;<%= creditCard.getType() %> - <%= creditCard.getDisplayNumber() %></td>
			</tr></table>		
			</td>
			<td><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step3_arrowtip.gif"%>'/>" width="144" height="65" alt="" border="0"></td>
			<td class="bgf4f4f3"><img src="framework/images/dot.gif" width="20" height="1" alt="" border="0"></td>
		</tr></table>
		
		<table cellpadding="0" cellspacing="0" border="0" width="547"><tr>
			<td colspan="3"><img src="framework/images/dot.gif" width="1" height="10" alt="" border="0"></td>
			</tr><tr>		
			<td><img src="framework/images/dot.gif" width="368" height="1" alt="" border="0"></td>
			<td><a href="<portlet:createWebflowURL namespace="checkoutportlet" event="link.cancel" />"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_cancel.gif"%>'/>" width="46" height="19" alt="" border="0"></a>&nbsp; <a href="<portlet:createWebflowURL namespace="checkoutportlet" httpsInd="https" event="link.next" />"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step3_submit.gif"%>'/>" width="74" height="19" alt="" border="0"></a></td>
			<td><img src="framework/images/dot.gif" width="51" height="1" alt="" border="0"></td>
		</tr></table>
		
	</td>
</tr></table>
</form>
<!-- end /portlets/checkout/content.jsp -->

