<%-- ------------------------------------------------------------ --%>
<%-- taglibs                                                      --%>
<%-- ------------------------------------------------------------ --%>
<%@ taglib uri="webflow.tld" prefix="webflow" %>
<%@ taglib uri="portlet.tld" prefix="portlet" %>
<%@ taglib uri="portal.tld" prefix="portal" %>
<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="um.tld" prefix="um" %>
<%@ taglib uri="es.tld" prefix="es" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %> 

<%-- ------------------------------------------------------------ --%>
<%-- page imports                                                 --%>
<%-- ------------------------------------------------------------ --%>
<%@ page import="java.util.*" %>
<%@ page import="java.text.*" %>
<%@ page import="com.beasys.commerce.axiom.units.*" %>
<%@ page import="com.beasys.commerce.axiom.contact.*" %>
<%@ page import="com.beasys.commerce.axiom.util.helper.*;" %>
<%@ page import="com.beasys.commerce.ebusiness.order.*" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.*" %>
<%@ page import="com.beasys.commerce.ebusiness.shipping.*" %>
<%@ page import="com.beasys.commerce.util.*; " %>

<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>
<%@ page import="com.beasys.commerce.webflow.PipelineSessionConstants" %>
<%@ page import="com.bea.p13n.appflow.webflow.WebflowJSPHelper" %>
<%@ page import="examples.e2e.b2c.util.B2CPortalConstants" %>

<!-- start /portlets/checkout/content.jsp -->
<%@ include file="/framework/resourceURL.inc" %>

<%-- ------------------------------------------------------------ --%>
<%-- Get the user profile and basic code setup                    --%>
<%-- ------------------------------------------------------------ --%>

<webflow:getProperty id="customer" property="<%=PipelineSessionConstants.USER_NAME%>" type="java.lang.String" scope="session" namespace="portal" />
<um:getProfile profileKey="<%=customer%>" profileType="WLCS_Customer" />
<webflow:getProperty id="orderValue"  property="<%=PipelineSessionConstants.ORDER_VALUE%>" type="OrderValue" scope="request" namespace="portal" />

<%
  // create the number formatter objects
  NumberFormat priceFormat = NumberFormat.getInstance();
  priceFormat.setMinimumFractionDigits(2);
  priceFormat.setMaximumFractionDigits(2);

  NumberFormat quantityFormat = NumberFormat.getInstance();
  quantityFormat.setMinimumFractionDigits(0);
  quantityFormat.setMaximumFractionDigits(0);
%>

<%-- ------------------------------------------------------------ --%>
<%-- The presentation part of the JSP.                            --%>
<%-- ------------------------------------------------------------ --%>
<form>
	<table cellpadding="0" cellspacing="0" border="0"><tr valign="top">
		<td class="bge6e6e6"><img src="framework/images/dot.gif" width="211" height="17" alt="" border="0"><br><img src="<webflow:createResourceURL resource='<%=imagesPath + "step4_left1.gif"%>'/>" width="211" height="164" alt="" border="0"></td>
		<td><img src="<webflow:createResourceURL resource='<%=imagesPath + "dot.gif"%>'/>" width="10" height="1" alt="" border="0"></td>
	<td>
<table cellpadding="0" cellspacing="0" border="0">
	  <td><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step4_header.gif"%>'/>" width="547" height="55" alt="" border="0"></td>
</tr></table>
	
	<!-- Your order has been confirmed: a GIF  -->
	<table cellpadding="0" cellspacing="0" border="0" width="547"><tr class="bgf4f4f3">
			<td valign="top"><img src="framework/images/dot.gif" width="10" height="9" alt="" border="0"></td>
  			<td width="402"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step4_orderconfirmed.gif"%>'/>" width="402" height="58" alt="" border="0"></td>
  			<td wdith="100" align="center" valign="middle"><a href="<portal:createPortalPageChangeURL  pagename="Products" />"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step4_continueshop.gif"%>'/>" width="100" height="19" alt="" border="0"></a></td>
			<td valign="top"><img src="framework/images/dot.gif" width="35" height="1" alt="" border="0"></td>
		</tr>
		
		<tr class="bgffffff">
			<td colspan="4" valign="top"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>			
		</tr>
	</table>

	<!-- The order number line -->
	<table cellpadding="0" cellspacing="0" border="0" width="547">
	    <tr class="bgf4f4f3">
			<td colspan="4" valign="top"><img src="framework/images/dot.gif" width="1" height="5" alt="" border="0"></td>								
		</tr>
		<tr>
			<td class="bgf4f4f3" valign="top"><img src="framework/images/dot.gif" width="10" height="9" alt="" border="0"></td>
			<td><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step4_ordernumber.gif"%>'/>" width="114" height="20" alt="" border="0"></td>
			<td width="71"  class="checktotalPortlet" align="center"><b><%= orderValue.identifier %></b></td>
			<td class="bgf4f4f3" valign="top"><img src="framework/images/dot.gif" width="352" height="1" alt="" border="0"></td>
		</tr>
		<tr class="bgf4f4f3">
			<td colspan="4" valign="top"><img src="framework/images/dot.gif" width="1" height="5" alt="" border="0"></td>						
		</tr>
		<tr class="bgffffff">
			<td colspan="4" valign="top"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>			
		</tr>
	</table>
	
	<!-- the 'order summary' GIF -->
	<table cellpadding="0" cellspacing="0" border="0" width="547"><tr class="bgf4f4f3">
			<td valign="top"><img src="framework/images/dot.gif" width="10" height="9" alt="" border="0"></td>
			<td width="527"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step3_ordersummary.gif"%>'/>" width="479" height="22" alt="" border="0"></td>
			<td valign="top"><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>
		</tr>
	</table>

	<!-- ------------------------------------------------- -->
	<!-- the order summary                                 -->
	<!-- ------------------------------------------------- -->
	<table cellpadding="0" cellspacing="0" border="0" width="547">
		<!-- The headers for each column, [Qty], [Item], [Unit Price], [Ext.Price] GIFs -->
		<tr>
			<td class="bgf4f4f3" rowspan="16" valign="top"><img src="framework/images/dot.gif" width="10" height="9" alt="" border="0"></td>
			<td class="bgd5d5bb"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_qty.gif"%>'/>" width="38" height="18" alt="" border="0"></td>
			<td class="bgd5d5bb"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_spacer.gif"%>'/>" width="7" height="18" alt="" border="0"></td>		
			<td class="bgd5d5bb"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_item.gif"%>'/>" width="267" height="18" alt="" border="0"></td>
			<td class="bgd5d5bb"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_unitprice.gif"%>'/>" width="99" height="18" alt="" border="0"></td>		
			<td class="bgd5d5bb" colspan="2"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_extprice.gif"%>'/>" width="68" height="18" alt="" border="0"></td>					
			<td class="bgf4f4f3" rowspan="16" valign="top"><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>
		</tr>
		
     <%--Iterate through order to get all order lines --%>
     <wl:repeat set="<%=orderValue.orderLines.iterator()%>" id="orderLine" type="OrderLine" count="100000">
		<!-- Line items summary -->
		<!--    the original price -->
	  	<%
			// Calculate the line subtotal without adjustments/discounts
			double orderLineTotal = (orderLine.getQuantity() * orderLine.getUnitPrice().getValue());
		%>
			
		<tr class="bgf4f4f3">
			<td class="checkPortlet" align="center"><%= WebflowJSPHelper.quantityFormat( orderLine.getQuantity()) %></td>
			<td class="checkPortlet"><img src="framework/images/dot.gif" width="7" height="1" alt="" border="0"></td>		
			<td class="checkPortlet"><%= orderLine.getDescription() %></td>
			<td class="checkPortlet" align="center"><i18n:getMessage bundleName="/commerce/currency" messageName="<%= orderLine.getUnitPrice().getCurrency() %>"/><%= WebflowJSPHelper.priceFormat( orderLine.getUnitPrice().getValue() ) %></td>		
			<td width="58" class="checkffffccPortlet" align="right"><i18n:getMessage bundleName="/commerce/currency" messageName="<%= orderLine.getUnitPrice().getCurrency() %>"/><%= WebflowJSPHelper.priceFormat( orderLineTotal ) %></td>	
			<td width="10" class="bgffffcc"><img src="framework/images/dot.gif" width="10" height="19" alt="" border="0"></td>					
		</tr>

		
	  <%-- If there are ANY adjustments/discounts for this line item, show them now. --%>
	  <%  
	    ArrayList adjustmentPresentations = orderLine.getAdjustmentPresentations();
		if (adjustmentPresentations !=null) 
		{
		    for (int i=0; i < adjustmentPresentations.size(); i++)
		    {
			OrderAdjustmentPresentation oa = (OrderAdjustmentPresentation) adjustmentPresentations.get(i);
            // Show the description from the Control Center if it isn't empty, 
            // otherwise show the calculated discount description.            
			String discountDesc = null;
            if ((oa.getReason() != null) && (oa.getReason().trim().length() > 0)) {
				discountDesc =  oa.getReason();
            } else {
				discountDesc =  oa.getComputation();
            }
	  %>
					
		<tr class="bgf4f4f3">
			<td class="checkPortlet" align="center"><%= quantityFormat.format(oa.getQuantity()) %> of 
					<%= WebflowJSPHelper.quantityFormat( orderLine.getQuantity()) %></td>
			<td class="checkPortlet"><img src="framework/images/dot.gif" width="7" height="1" alt="" border="0"></td>		
			<td class="checkerrorPortlet"><%= discountDesc%></td>
			<td class="checkerrorPortlet" align="center"><i18n:getMessage bundleName="/commerce/currency" messageName="<%= oa.getDiscount().getCurrency() %>"/><%= priceFormat.format(oa.getDiscount().getValue() ) %></td>		
			<td width="58" class="bgffffcc" align="right">&nbsp;</td>	
			<td width="10" class="bgffffcc"><img src="framework/images/dot.gif" width="10" height="19" alt="" border="0"></td>					
		</tr>

		<!-- separator row -->
		<tr class="bgcccccc">	   
			<td colspan="6"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>				
		</tr>

	    <%
		    }
	    }
		%>

    <!-- End of the order lines -->
    </wl:repeat>
		
	<!-- separator row -->
	<tr class="bgcccccc">	   
		<td colspan="6"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>				
	</tr>

	<!-- Order discount -->	
	<%
		// If there are ANY adjustments/discounts on the order or shipping, show them now.
        ArrayList adjustmentPresentations = (ArrayList) orderValue.adjustmentPresentations;
		OrderAdjustmentPresentation oa = null;

		// Get the first adjustmentPresentation if there is one. Currently only one is supported.
		if ( (adjustmentPresentations != null) && (adjustmentPresentations.size() != 0) )
		{
			oa = (OrderAdjustmentPresentation) adjustmentPresentations.get(0);
		}

		if ( ( oa != null ) && ( oa.getAdjustmentType().equals("ORDER DISCOUNT") ) )
		{
			// BEGIN CONDITIONAL HANDLING OF ORDER ADJUSTMENT/DISCOUNT
	%>

		<!-- Order discount -->
		<tr class="bgf4f4f3">
			<td class="checkPortlet" align="center" colspan="3">&nbsp;</td>
			<td class="checkPortlet" align="center"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_orderdiscount.gif"%>'/>" width="99" height="19" alt="" border="0"></td>		
			<td width="58" class="checkerror2Portlet" align="right">-<i18n:getMessage bundleName="/commerce/currency" messageName="<%= oa.getDiscount().getCurrency() %>"/><%= priceFormat.format(oa.getDiscount().getValue() ) %></td>	
			<td width="10" class="bgffffcc"><img src="framework/images/dot.gif" width="10" height="19" alt="" border="0"></td>					
		</tr><tr class="bgcccccc">						
			<td colspan="6"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>				
		</tr>
					
	<%			
			// END CONDITIONAL HANDLING OF ORDER ADJUSTMENT/DISCOUNT
		}
						
	%>
		<!-- Shipping costs -->
		<tr class="bgf4f4f3">
			<td class="checkPortlet" align="center" colspan="3">&nbsp;</td>
			<td class="checkPortlet" align="center"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step3_shipping.gif"%>'/>" width="99" height="20" alt="" border="0"></td>		
			<td width="58" class="checkffffccPortlet" align="right"><i18n:getMessage bundleName="/commerce/currency" messageName="<%= orderValue.getBaseShipping().getCurrency() %>"/><%= priceFormat.format( orderValue.getBaseShipping().getValue() ) %></td>	
			<td width="10" class="bgffffcc"><img src="framework/images/dot.gif" width="10" height="19" alt="" border="0"></td>					
		</tr><tr class="bgcccccc">						
			<td colspan="6"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>				
		</tr>
		
		<!-- Taxes -->
	  	<% Money tax = orderValue.getTotal(OrderConstants.LINE_TAX); %>
		<tr class="bgf4f4f3">
			<td class="checkPortlet" align="center" colspan="3">&nbsp;</td>
			<td class="checkPortlet" align="center"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step3_tax.gif"%>'/>" width="99" height="19" alt="" border="0"></td>		
			<td width="58" class="checkffffccPortlet" align="right"><i18n:getMessage bundleName="/commerce/currency" messageName="<%= tax.getCurrency() %>"/><%= WebflowJSPHelper.priceFormat(tax.getValue()) %></td>	
			<td width="10" class="bgffffcc"><img src="framework/images/dot.gif" width="10" height="19" alt="" border="0"></td>					
		</tr><tr class="bgcccccc">						
			<td colspan="6"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>				
		</tr>
		
		<!-- Total price tag -->
        <% Money total = orderValue.price; %>
		<tr class="bgf4f4f3">				
			<td class="checkPortlet" colspan="3">&nbsp;</td>
			<td class="checkPortlet" align="center"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step3_total.gif"%>'/>" width="99" height="26" alt="" border="0"></td>		
			<td width="58" class="checktotalPortlet" align="right"><b><i18n:getMessage bundleName="/commerce/currency" messageName="<%= total.getCurrency() %>"/><%= WebflowJSPHelper.priceFormat(total.getValue()) %></b></td>	
			<td width="10" class="bgffffcc"><img src="framework/images/dot.gif" width="10" height="19" alt="" border="0"></td>					
		</tr><tr class="bgcccccc">						
			<td colspan="6"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>				
		</tr>
	</table>	
		
	<!----------------------------------------------------------------------------->
	<!--- The Customer's basic info, name, address is shown here          --------->
	<!--  One could add the county, second street,others, which are not   --------->
	<!--  spec'ed for the 'simple' sample.                                --------->
	<!----------------------------------------------------------------------------->
	<%String stateZip = orderValue.shippingAddress.getState()+ "-" + orderValue.shippingAddress.getPostalCode();%>
	<table cellpadding="0" cellspacing="0" border="0" width="547"><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="412" height="10" alt="" border="0"></td>			
			<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>						
		</tr><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			<td><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step3_shippedto.gif"%>'/>" width="78" height="14" alt="" border="0"></td>			
			<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>						
		</tr><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="78" height="4" alt="" border="0"></td>			
			<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>						
		</tr><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			<td class="checkPortlet">&nbsp;<um:getPropertyAsString propertySet="CustomerProperties" propertyName="firstName" />&nbsp;<um:getPropertyAsString propertySet="CustomerProperties" propertyName="lastName" /><br>&nbsp;<%=orderValue.shippingAddress.getStreet1()%><br>&nbsp;<%=orderValue.shippingAddress.getCity()%>, <%=stateZip%></td>
			<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>						
		</tr><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="78" height="16" alt="" border="0"></td>			
			<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>						
		</tr>
		
		<!-- ------------------------------------ -------------->
		<!-- Shipping Method                      -------------->
		<!-- ------------------------------------ -------------->
	    <webflow:getProperty id="shippingMethodValue" property="<%=PipelineSessionConstants.SHIPPING_METHOD%>" type="com.beasys.commerce.ebusiness.shipping.ShippingMethodValue" scope="session" namespace="portal" />
		<tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			<td><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step3_shippingmethod.gif"%>'/>" width="119" height="14" alt="" border="0"></td>			
			<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>						
		</tr><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="78" height="4" alt="" border="0"></td>			
			<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>						
		</tr><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			<td class="checkPortlet">&nbsp;<%= shippingMethodValue.description %></td>			
			<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>							
		</tr><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="10" height="16" alt="" border="0"></td>
			<td class="checkPortlet">&nbsp;</td>			
			<td class="bge8e8cb"><img src="framework/images/dot.gif" width="68" height="1" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>							
				
		</tr>
	</table>		


	<!-- -------------------------------- -->
	<!-- Get the Credit Cart info out now -->
	<!-- -------------------------------- -->
	<webflow:getProperty id="creditCard" property="<%=PipelineSessionConstants.PAYMENT_CREDIT_CARD%>" type="com.beasys.commerce.axiom.contact.CreditCard" scope="session" namespace="portal" />
	<table cellpadding="0" cellspacing="0" border="0" width="547"><tr>
			<td class="bgf4f4f3"><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			<td class="bgf4f4f3" valign="top" width="374"><table cellpadding="0" cellspacing="0" width="374" border="0" class="bgf4f4f3"><tr>
			<td><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step3_paymentmethod.gif"%>'/>" width="115" height="13" alt="" border="0"></td>
			</tr><tr>
			<td><img src="framework/images/dot.gif" width="1" height="3" alt="" border="0"></td>
			</tr><tr>
			<td class="checkPortlet">&nbsp;<%= creditCard.getType() %> - <%= creditCard.getDisplayNumber() %></td>
			</tr></table>		
			</td>
			<td><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step3_arrowtip.gif"%>'/>" width="144" height="65" alt="" border="0"></td>
			<td class="bgf4f4f3"><img src="framework/images/dot.gif" width="20" height="1" alt="" border="0"></td>
		</tr>
	</table>
		
	<!-- -------------------------------- -->
	<!-- The 'Continue Shopping' link     -->
	<!-- -------------------------------- -->
	<table cellpadding="0" cellspacing="0" border="0" width="547"><tr class="bgffffff">
			<td colspan="3"><img src="framework/images/dot.gif" width="1" height="10" alt="" border="0"></td>
			</tr><tr class="bgffffff">		
			<td><img src="framework/images/dot.gif" width="410" height="1" alt="" border="0"></td>
			<td><a href="<portal:createPortalPageChangeURL  pagename="Products" />"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step4_continueshop.gif"%>'/>" width="100" height="19" alt="" border="0"></a></td>
			<td><img src="framework/images/dot.gif" width="35" height="1" alt="" border="0"></td>
		</tr>
	</table>
	</td>
</tr>
</table>
</form>
<!-- end /portlets/checkout/content.jsp -->
