<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>

<!-- start /portlets/evaluator/evaluator.jsp -->

<%@ taglib uri="webflow.tld" prefix="webflow" %>
<%@ page import="examples.e2e.b2c.util.B2CPortalConstants" %>

<%-- Figure out what to display based on the client's last catalog event --%>

<webflow:getProperty
    id="event"
    type="java.lang.String"
    property="<%= B2CPortalConstants.LAST_CATALOG_EVENT_ATTRIB %>"
    scope="session"
    namespace="portal" />


<%

   String evalEvent = "";
   if ( event == null )
   {
%>

<%-- Note that the reason this logic is done here
     instead of in webflow is because we are reacting to
     an event that we did not generate, so webflow is not
     calling the evaluator portlet's webflow. We must
     react to external portlet events directly, here. --%>

<%-- Display the discount ad --%>

<jsp:include page="/portlets/evaluator/step1.jsp" flush="true" />

<%
   }
   else
   {
       if ( ( event.equals( "link.category" ) )       ||
       		 ( event.equals( "expressCheckout" ) )       ||
             ( event.equals( "button.category.buy" ) ) ||
             ( event.equals( "button.category.save") ) )
       {
           // Process results of Item browsing
           evalEvent = "browse";

           // for LSD, we only want evaluator to show for item pages, and we want the category list!
           %>
           <jsp:include page="/portlets/evaluator/step1.jsp" flush="true" />
           <%
           return;

       }
       else if (  ( event.equals( "link.item" ) )          ||
             ( event.equals( "button.item.buy" ) )     ||
             ( event.equals( "button.item.save") ) )
       {
           // Process detail browsing
           // evalEvent = "detail";
           evalEvent = "browse";

       }
       else if (  ( event.equals( "button.search" ) )      ||
             ( event.equals( "button.search.buy" ) )   ||
             ( event.equals( "button.search.save") ) )
       {
           // Process search request
           evalEvent = "search";

       }
%>


       <webflow:setProperty property="B2CPortalConstants.PRODUCT_EVAL_ATTRIB"
                     scope="request"
                     value="<%=evalEvent%>"
                     namespace="portal"/>

<%-- Display evaluator portlet. If the evaluator portlet
     is posting to itself, it will display results of the
     productEvalIP with the select list focused on the
     requested product item. Otherwise, it will display
     an unselected list of product items and no rating
     information.  --%>

      <jsp:include page="/portlets/evaluator/step2.jsp" flush="true" />
<%
   }
%>

