<!-- start /portlets/microSearch/content.jsp -->

<%@ taglib uri="webflow.tld" prefix="webflow" %>
<%@ taglib uri="portlet.tld" prefix="portlet" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>

<%@ page import="com.bea.portal.appflow.PortalAppflowConstants" %>
<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>
<%@ page import="examples.e2e.b2c.util.B2CPortalConstants" %>

<%@ include file="/framework/resourceURL.inc" %>

<%
   String formParams =
       PortalAppflowConstants.PORTLET_WEBFLOW_EVENT_PARAMETER + "=" + "button.search" + "&" +
       PortalAppflowConstants.PAGE_PARAMETER + "=" + B2CPortalConstants.PRODUCTS_PAGE_NAME + "&" +
       PortalAppflowConstants.PORTLET_PARAMETER + "=" + "search" ;
%>

<table cellpadding="0" cellspacing="0" border="0"><tr>
<form method="POST" action="<webflow:createWebflowURL event="bea.portal.framework.internal.portlet.event" origin="searchform.jsp" extraParams="<%= formParams %>"/>" onsubmit="return ValidateSearchForm(this)">
        <td colspan="3"><img src="<webflow:createResourceURL resource='<%=imagesPath + "search_product_header.gif"%>'/>" width="211" height="23" alt="" border="0"></td>
</tr><tr>
	<td class="bge6e6e6" rowspan="7"><img src="framework/images/dot.gif" width="5" height="1" alt="" border="0"></td>
	<td class="bge6e6e6" width="205"><img src="framework/images/dot.gif" width="205" height="10" alt="" border="0"></td>	
	<td class="bgd0d0d0" rowspan="7"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>	
</tr><tr class="bge6e6e6">	
	<td class="searchPortlet"><input name="<%=HttpRequestConstants.CATALOG_SEARCH_STRING%>" type="text" size="18" class="searchPortlet"></td>	
</tr><tr class="bge6e6e6">	
	<td><img src="framework/images/dot.gif" width="1" height="10" alt="" border="0"></td>
</tr><tr class="bge6e6e6">	
	<td class="searchPortlet"><select name="product_list" class="searchPortlet">
	<option>All Products</option>
	</select></td>
</tr><tr class="bge6e6e6">	
	<td><img src="framework/images/dot.gif" width="1" height="10" alt="" border="0"></td>
</tr><tr class="bge6e6e6">	
	<td class="searchPortlet"><select name="product_price_range" class="searchPortlet">
	<option>under $2500</option>
	</select> &nbsp; <input type="image" src="<webflow:createResourceURL resource='<%=imagesPath + "go.gif"%>'/>" alt="" border="0"  align="absmiddle"></td>					
</tr><tr class="bge6e6e6">	
	<td><img src="framework/images/dot.gif" width="1" height="20" alt="" border="0"></td>	
</tr><tr class="bge6e6e6">	
	<td colspan="3"><img src="<webflow:createResourceURL resource='<%=imagesPath + "search_product_bottom.gif"%>'/>" width="211" height="5" alt="" border="0"></td>	
</tr><tr>	
	<td colspan="3"><img src="framework/images/dot.gif" width="1" height="20" alt="" border="0"></td>	
</form>	
</tr></table>

<script language="javascript">
// <!--
function ValidateSearchForm( form )
{
    var searchString = 
        form.<%=HttpRequestConstants.CATALOG_SEARCH_STRING%>.value;
    var pattern = /^\s+$/;

    // Don't submit the form if the search field is blank or all spaces

    if ( ( searchString.length == 0 ) || ( searchString.match( pattern ) ) )
    {
        alert( "<i18n:getMessage messageName="noSearchValue" bundleName="searchform"/>" );
        return false;
    }

    return true;
}
// -->
</script>

<!-- end /portlets/microSearch/content.jsp -->
