<%-- Copyright (c) 2002 by BEA Systems, Inc. All Rights Reserved. --%>

<!-- start /portlets/search/searchform.jsp -->

<%@ taglib uri="webflow.tld" prefix="webflow" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>

<%@ page import="com.bea.portal.appflow.PortalAppflowConstants" %>
<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>
<%@ page import="examples.e2e.b2c.util.B2CPortalConstants" %>

<%@ include file="/framework/resourceURL.inc" %>

<%-- Extra webflow parameters that changes to the "Products" tab and executes 
     the search portlet's webflow --%>

<%
   String formParams =
       PortalAppflowConstants.PORTLET_WEBFLOW_EVENT_PARAMETER + "=" + "button.search" + "&" +
       PortalAppflowConstants.PAGE_PARAMETER + "=" + B2CPortalConstants.PRODUCTS_PAGE_NAME + "&" +
       PortalAppflowConstants.PORTLET_PARAMETER + "=" + "search" ;
%>

<form method="POST" action="<webflow:createWebflowURL event="bea.portal.framework.internal.portlet.event" origin="searchform.jsp" extraParams="<%= formParams %>"/>" onsubmit="return ValidateSearchForm(this)">
    <table cellpadding="0" cellspacing="0" border="0" width="561">
        <tr>
            <td class="bg663300"><img src="framework/images/dot.gif" width="103" height="1" alt="" border="0"></td>
            <td class="bg663300"><img src="framework/images/dot.gif" width="186" height="1" alt="" border="0"></td>
            <td class="bg663300"><img src="framework/images/dot.gif" width="5" height="1" alt="" border="0"></td>
            <td class="bg663300"><img src="framework/images/dot.gif" width="35" height="1" alt="" border="0"></td>
            <td class="bg663300"><img src="framework/images/dot.gif" width="224" height="1" alt="" border="0"></td>
        </tr>
        <tr class="bg663300">
            <td width="103"><img src="<webflow:createResourceURL resource='<%=imagesPath + "search.gif"%>'/>" width="103" height="26" alt="search" border="0"></td>
            <td class="searchPortlet" width="186" align="right"><input name="<%=HttpRequestConstants.CATALOG_SEARCH_STRING%>" type="text" class="searchPortlet" size="18"></td>
            <td width="5"><img src="framework/images/dot.gif" width="5" height="1" alt="" border="0"></td>
            <td width="35"><input type="image" src="<webflow:createResourceURL resource='<%=imagesPath + "go.gif"%>'/>" alt="" border="0"></td>
            <td><img src="<webflow:createResourceURL resource='<%=imagesPath + "search_image_right.gif"%>'/>" width="224" height="26" alt="" border="0"></td>
        </tr>
        <tr>
            <td class="bgffffff" colspan="5"><img src="<webflow:createResourceURL resource='<%=imagesPath + "search_grey_line.gif"%>'/>" width="561" height="8" alt="" border="0"></td>	
        </tr>
    </table>
</form>

<script language="javascript">
// <!--
function ValidateSearchForm( form )
{
    var searchString = 
        form.<%=HttpRequestConstants.CATALOG_SEARCH_STRING%>.value;
    var pattern = /^\s+$/;

    // Don't submit the form if the search field is blank or all spaces

    if ( ( searchString.length == 0 ) || ( searchString.match( pattern ) ) )
    {
        alert( "<i18n:getMessage messageName="noSearchValue" bundleName="searchform"/>" );
        return false;
    }

    return true;
}
// -->
</script>

<!-- end /portlets/search/searchform.jsp -->
