<%-- Copyright (c) 2002 by BEA Systems, Inc. All Rights Reserved. --%>

<%@ taglib uri="cat.tld" prefix="catalog" %>
<%@ taglib uri="es.tld" prefix="es" %>
<%@ taglib uri="portlet.tld" prefix="portlet" %> 
<%@ taglib uri="webflow.tld" prefix="webflow" %>

<%@ page import="examples.e2e.b2c.util.B2CPortalConstants" %>

<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>
<%@ page import="com.beasys.commerce.webflow.PipelineSessionConstants" %>

<%@ page import="com.bea.portal.render.servlets.jsp.PortalRenderHelper"%>

<%-- Constants used when generating URLs to retrieve product categories --%>

<%!
   protected static final String consumerParams = 
       HttpRequestConstants.CATALOG_CATEGORY_ID + "=" +
       java.net.URLEncoder.encode( B2CPortalConstants.CONSUMER_CATEGORY_ID );

   protected static final String proParams =
       HttpRequestConstants.CATALOG_CATEGORY_ID + "=" +
       java.net.URLEncoder.encode( B2CPortalConstants.PRO_CATEGORY_ID );

   protected static final String videoParams =
       HttpRequestConstants.CATALOG_CATEGORY_ID + "=" +
       java.net.URLEncoder.encode( B2CPortalConstants.VIDEO_CATEGORY_ID );

   protected static final String flashParams =
       HttpRequestConstants.CATALOG_CATEGORY_ID + "=" +
       java.net.URLEncoder.encode( B2CPortalConstants.FLASH_CATEGORY_ID );

   protected static final String bagParams =
       HttpRequestConstants.CATALOG_CATEGORY_ID + "=" +
       java.net.URLEncoder.encode( B2CPortalConstants.BAGS_CATEGORY_ID );

   protected static final String memoryParams =
       HttpRequestConstants.CATALOG_CATEGORY_ID + "=" + 
       java.net.URLEncoder.encode( B2CPortalConstants.MEMORY_CATEGORY_ID );
%>

<%-- Check to see if we're on the products portal page or not --%>

<%
   String currentPage =
       PortalRenderHelper.getPageIdentifier( request ).getName();

   if ( currentPage.equals( B2CPortalConstants.PRODUCTS_PAGE_NAME ) )
   {
%><map name="subnav_categories">
  <area href="<portlet:createWebflowURL event="link.category" extraParams="<%= consumerParams %>" />" alt="<%= B2CPortalConstants.CONSUMER_CATEGORY_DESC %>" shape="rect" coords="403,17,580,33">
  <area href="<portlet:createWebflowURL event="link.category" extraParams="<%= proParams %>" />" alt="<%= B2CPortalConstants.PRO_CATEGORY_DESC %>" shape="rect" coords="403,35,580,50">
  <area href="<portlet:createWebflowURL event="link.category" extraParams="<%= videoParams %>" />" alt="<%= B2CPortalConstants.VIDEO_CATEGORY_DESC %>" shape="rect" coords="403,52,580,67">
  <area href="<portlet:createWebflowURL event="link.category" extraParams="<%= flashParams %>" />" alt="<%= B2CPortalConstants.FLASH_CATEGORY_DESC %>" shape="rect" coords="582,17,758,33">
  <area href="<portlet:createWebflowURL event="link.category" extraParams="<%= bagParams %>" />" alt="<%= B2CPortalConstants.BAGS_CATEGORY_DESC %>" shape="rect" coords="582,35,758,50">
  <area href="<portlet:createWebflowURL event="link.category" extraParams="<%= memoryParams %>" />" alt="<%= B2CPortalConstants.MEMORY_CATEGORY_DESC %>" shape="rect" coords="582,52,758,67">
</map><%-- Retrieve the current category name and display the appropriate GIF --%>
<webflow:getProperty id="category"
                     type="com.beasys.commerce.ebusiness.catalog.Category"
                     property="<%= PipelineSessionConstants.CATALOG_CATEGORY %>"
                     scope="session" />
<es:notNull item="<%= category %>">
    <catalog:getProperty id="categoryName"
                         object="<%= category %>"
                         propertyName="name" />
    <%
       if ( categoryName.equals( B2CPortalConstants.CONSUMER_CATEGORY_NAME ) )
       {
    %><img src="<webflow:createResourceURL resource="/framework/skins/newskin/images/subnav_concamera_on.gif"/>" border="0" usemap="#subnav_categories"><%
       }
       else if ( categoryName.equals( B2CPortalConstants.PRO_CATEGORY_NAME ) )
       {
    %><img src="<webflow:createResourceURL resource="/framework/skins/newskin/images/subnav_procamera_on.gif"/>" border="0" usemap="#subnav_categories"><%
       }
       else if ( categoryName.equals( B2CPortalConstants.VIDEO_CATEGORY_NAME ) )
       {
    %><img src="<webflow:createResourceURL resource="/framework/skins/newskin/images/subnav_digcamera_on.gif"/>" border="0" usemap="#subnav_categories"><%
       }
       else if ( categoryName.equals( B2CPortalConstants.FLASH_CATEGORY_NAME ) )
       {
    %><img src="<webflow:createResourceURL resource="/framework/skins/newskin/images/subnav_flashes_on.gif"/>" border="0" usemap="#subnav_categories"><%
       }
       else if ( categoryName.equals( B2CPortalConstants.BAGS_CATEGORY_NAME ) )
       {
    %><img src="<webflow:createResourceURL resource="/framework/skins/newskin/images/subnav_bags_on.gif"/>" border="0" usemap="#subnav_categories"><%
       }
       else if ( categoryName.equals( B2CPortalConstants.MEMORY_CATEGORY_NAME ) )
       {
    %><img src="<webflow:createResourceURL resource="/framework/skins/newskin/images/subnav_memory_on.gif"/>" border="0" usemap="#subnav_categories"><%
       }
       else
       {
    %><img src="<webflow:createResourceURL resource="/framework/skins/newskin/images/subnav_default.gif"/>" border="0" usemap="#subnav_categories"><% } %>
</es:notNull>
<es:isNull item="<%= category %>"><img src="<webflow:createResourceURL resource="/framework/skins/newskin/images/subnav_default.gif"/>" border="0" usemap="#subnav_categories">
</es:isNull><%
   }
   else if ( currentPage.equals( B2CPortalConstants.PHOTO_CENTER_PAGE_NAME ) )
   {
%><img src="<webflow:createResourceURL resource="/framework/skins/newskin/images/subnav_photo_center.gif"/>" border="0"><%
   }
   else 
   {
%>
<%-- We're not on the products or photo center portal pages so just display the background --%><img src="<webflow:createResourceURL resource="/framework/skins/newskin/images/subnav_bg.gif"/>" border="0"><% } %>