 <!-- start /portlets/summarycart/emptycart.jsp -->
<%@ taglib uri="webflow.tld" prefix="webflow" %>
<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="webflow.tld" prefix="webflow" %>
<%@ taglib uri="portlet.tld" prefix="portlet" %>
<%@ taglib uri="portal.tld" prefix="portal" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>

<%-- ------------------------------------------------------------ --%>
<%-- page imports                                                 --%>
<%-- ------------------------------------------------------------ --%>
<%@ page import="java.util.*" %>
<%@ page import="java.text.*" %>
<%@ page import="com.beasys.commerce.axiom.units.*" %>
<%@ page import="com.beasys.commerce.ebusiness.shoppingcart.*" %>
<%@ page import="com.bea.commerce.ebusiness.price.service.DiscountPresentation" %>
<%@ page import="com.bea.commerce.ebusiness.price.quote.OrderAdjustment" %>
<%@ page import="com.bea.commerce.ebusiness.price.quote.AdjustmentDetail" %>

<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>
<%@ page import="com.beasys.commerce.webflow.PipelineSessionConstants" %>

<%@ page import="com.bea.p13n.appflow.webflow.WebflowJSPHelper" %>

<%-- ------------------------------------------------------------ --%>
<%-- Resource setup                                               --%>
<%-- ------------------------------------------------------------ --%>
<%@ include file="/framework/resourceURL.inc"%>

<%-- --------------------------------------------------------------- --%>
<%-- Get shopping cart and saved shopping cart from pipeline session --%>
<%-- --------------------------------------------------------------- --%>
<webflow:getProperty id="shoppingCart" property="<%=PipelineSessionConstants.SHOPPING_CART%>" type="com.beasys.commerce.ebusiness.shoppingcart.ShoppingCart" scope="session" namespace="portal" />
<webflow:getProperty id="savedShoppingCart" property="<%=PipelineSessionConstants.SAVED_SHOPPING_CART%>" type="com.beasys.commerce.ebusiness.shoppingcart.ShoppingCart" scope="session" namespace="portal" />

<img src="<webflow:createResourceURL resource='<%=imagesPath + "prod_cart_step1_header.gif"%>'/>" width="139" height="21" alt="" border="0">
<table cellpadding="0" cellspacing="0" border="0" width="211">
<%-- --------------------------------------------------------------- --%>
<%-- Display shopping cart contents                                  --%>
<%-- --------------------------------------------------------------- --%>
<% if (shoppingCart != null && shoppingCart.isEmpty() == false)
   {
%>

  <tr class="bgf4f4f3">
	<td colspan="3"><img src="<webflow:createResourceURL resource='<%=imagesPath + "prod_cart_step1_current.gif"%>'/>" width="175" height="25" alt="" border="0"></td>
	<td width="5"><img src="framework/images/dot.gif" width="5" height="1" alt="" border="0"></td>
  </tr>
  <tr class="bgd5d5bb">
	<td width="12"><img src="framework/images/dot.gif" width="12" height="18" alt="" border="0"></td>
	<td class="productboldPortlet" width="133"><i18n:getMessage bundleName="summarycart" messageName="item" /></td>
	<td class="productboldPortlet" width="30"><i18n:getMessage bundleName="summarycart" messageName="quantity" /></td>
	<td width="36" class="bgd5d5bb"><img src="framework/images/dot.gif" width="36" height="1" alt="" border="0"></td>
  </tr>
    <wl:repeat set="<%=shoppingCart.getShoppingCartLineCollection().iterator()%>" id="shoppingCartLine" type="ShoppingCartLine" count="100000">
    <tr class="productPortlet">
	  <td width="12"><img src="framework/images/dot.gif" width="12" height="18" alt="" border="0"></td>
	  <td class="productPortlet" width="133"><%= shoppingCartLine.getProductItem().getName() %></td>
	  <td class="productPortlet" width="30"><%= WebflowJSPHelper.quantityFormat( shoppingCartLine.getQuantity() ) %></td>
	  <td width="5" class="bgffffff"><img src="framework/images/dot.gif" width="5" height="1" alt="" border="0"></td>
    </tr>
    <tr class="bgcccccc">
	  <td colspan="3"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
	  <td width="5"><img src="framework/images/dot.gif" width="5" height="1" alt="" border="0"></td>
    </tr>
    </wl:repeat>
<%
   }
   else
   {
%>
<tr>
	<td><img src="/framework/images/dot.gif" width="10" height="5" alt="" border="0"></td>
	<td colspan="2"><img src="/framework/images/dot.gif" width="189" height="5" alt="" border="0"></td>
	<td><img src="/framework/images/dot.gif" width="10" height="5" alt="" border="0"></td>
</tr>
<tr class="bgf4f4f3">
	<td><img src="/framework/images/dot.gif" width="10" height="8" alt="" border="0"></td>
	<td colspan="2"><img src="/framework/images/dot.gif" width="189" height="8" alt="" border="0"></td>
	<td><img src="/framework/images/dot.gif" width="10" height="8" alt="" border="0"></td>
</tr>
</tr><tr class="bgf4f4f3">
	  <td><img src="/framework/images/dot.gif" width="10" height="8" alt="" border="0"></td>
	  <td colspan="2" class="productBgPortlet"><i18n:getMessage bundleName="summarycart" messageName="empty_cart" /></td>
	  <td><img src="/framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
</tr>
<%
   }
%>

<% // Determine whether we are logged in or not.
   // If we are then show the user's saved list and allow them to edit it
if (request != null &&
    request.getRemoteUser() != null &&
	request.getRemoteUser().length() != 0 &&
	savedShoppingCart != null &&
	savedShoppingCart.getShoppingCartLineCollection() != null &&
	savedShoppingCart.getShoppingCartLineCollection().isEmpty() != true)
{
%>
  <tr class="bgf4f4f3">
    <td colspan="3"><img src="<webflow:createResourceURL resource='<%=imagesPath + "prod_cart_step1_saved.gif"%>'/>" width="175" height="30" alt="" border="0"></td>
    <td width="5" class="bgffffff"><img src="framework/images/dot.gif" width="5" height="1" alt="" border="0"></td>
  </tr>
  <tr class="bgd5d5bb">
	<td width="12"><img src="framework/images/dot.gif" width="12" height="18" alt="" border="0"></td>
	<td colspan="2" class="productboldPortlet" width="163"><i18n:getMessage bundleName="summarycart" messageName="item" /></td>
	<td width="5"><img src="framework/images/dot.gif" width="5" height="1" alt="" border="0"></td>
  </tr>

  <%-- --------------------------------------------------------------- --%>
  <%-- Display saved items                                             --%>
  <%-- --------------------------------------------------------------- --%>

  <wl:repeat set="<%=savedShoppingCart.getShoppingCartLineCollection().iterator()%>" id="shoppingCartLine" type="ShoppingCartLine" count="100">
    <tr class="productPortlet">
	  <td width="12"><img src="framework/images/dot.gif" width="12" height="18" alt="" border="0"></td>
	  <td colspan="2" class="productPortlet" width="163"><%= shoppingCartLine.getProductItem().getName() %></td>
	  <td width="5" class="bgffffff"><img src="framework/images/dot.gif" width="5" height="1" alt="" border="0"></td>
    </tr>
    <tr class="bgcccccc">
	  <td colspan="3"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
	  <td width="5"><img src="framework/images/dot.gif" width="5" height="1" alt="" border="0"></td>
    </tr>
  </wl:repeat>
<%
}
%>

<%-- --------------------------------------------------------------- --%>
<%-- Display shopping cart contents                                  --%>
<%-- --------------------------------------------------------------- --%>
<% if (shoppingCart != null && shoppingCart.isEmpty() == false)
   {
%>
<tr class="bgcccccc">
	<td colspan="3"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
	<td width="5"><img src="framework/images/dot.gif" width="5" height="1" alt="" border="0"></td>
</tr>
<tr class="bgf4f4f3">
	<td colspan="3"><img src="framework/images/dot.gif" width="1" height="7" alt="" border="0"></td>
	<td width="5"><img src="framework/images/dot.gif" width="5" height="1" alt="" border="0"></td>
</tr>
<tr class="bgf4f4f3">
	<td width="12"><img src="framework/images/dot.gif" width="12" height="18" alt="" border="0"></td>
	<%--<td width="40"><img src="framework/images/dot.gif" width="50" height="18" alt="" border="0"></td>--%>
	<td colspan="2" align="center"><img src="framework/images/dot.gif" width="5" height="18" alt="" border="0"><a href="<portal:createPortalPageChangeURL  pagename="Shopping Cart" />"><img src="<webflow:createResourceURL resource='<%=imagesPath + "prod_cart_step1_checkout.gif"%>'/>" width="76" height="18" alt="" border="0"></a></td>
	<td width="5"><img src="framework/images/dot.gif" width="5" height="18" alt="" border="0"></td>
</tr>
<%
   }
   else
   {
%>
<%
   }
%>
<tr class="bgf4f4f3">
	<td colspan="4"><img src="framework/images/dot.gif" width="1" height="10" alt="" border="0"></td>
</tr>
<tr>
	<td colspan="4"><img src="framework/images/dot.gif" width="1" height="20" alt="" border="0"></td>
</tr>
</table>
<!-- end /portlets/summarycart/emptycart.jsp -->
