<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>

<%@ taglib uri="es.tld" prefix="es" %>
<%@ taglib uri="webflow.tld" prefix="webflow" %>

<%@ page import="java.io.*" %>

<%@ page import="com.bea.portal.render.servlets.jsp.PortalRenderHelper" %>

<%@ page import="examples.e2e.common.tourguide.TourGuide" %>
<%@ page import="examples.e2e.common.tourguide.TourGuideData" %>

<%-- Get the Tour Guide from the pipeline session --%>

<webflow:getProperty
    id="tourGuide"
    type="examples.e2e.common.tourguide.TourGuide"
    property="<%= TourGuide.PIPELINE_ATTR %>"
    scope="session"
    namespace="portal" />

<%
   /* Get the current page name */

   String currentPage =
       PortalRenderHelper.getPageIdentifier( request ).getName();

   TourGuideData tgData = tourGuide.getInstanceData( currentPage );

   /* Get the source file to be viewed */

   String codeFile = tgData.getCodeFile();
%>

<%-- Read the source file into memory from an input stream. --%>

<%
   InputStream is = pageContext.getServletContext().getResourceAsStream( "/" + codeFile );

   int l = is.available();
   byte[] buf = new byte[l];
   int i = is.read(buf);
%>

<%-- Display the file as preformatted text --%>

<pre><es:convertSpecialChars string="<%= new String( buf ) %>" /></pre>

<%-- Cleanup --%>

<%
   out.flush();
   is.close();
%>
