/*                 
 * B E A   S Y S T E M S   
 *
 * C O M M E R C E   C O M P O N E N T S
 *                        
 * Copyright (c) 2000-2002  BEA Systems, Inc.  
 *
 * All Rights Reserved. Unpublished rights reserved under the copyright laws 
 * of the United States. The software contained on this media is proprietary 
 * to and embodies the confidential technology of BEA Systems, Inc. The 
 * possession or receipt of this information does not convey any right to disclose 
 * its contents, reproduce it, or use,  or license the use, for manufacture or 
 * sale, the information or anything described therein. Any use, disclosure, or
 * reproduction without BEA System's prior written permission is strictly prohibited.
 *
 * $Header: /cvsroot/site/bea-lsd/deploy/e2eDomain/beaApps/e2eApp/src/examples/e2e/b2c/payment/CreditCardServiceHome.java,v 1.2 2002/05/02 00:22:11 toneill Exp $
 */


package examples.e2e.b2c.payment;

import com.beasys.commerce.foundation.SmartEJBHome;
import java.rmi.RemoteException;
import javax.ejb.CreateException;

/**
 * The home interface for the CreditCardService Session Bean.  Use
 * this class to create CreditCardService.
 */
public interface CreditCardServiceHome extends SmartEJBHome
{
    /**
     *  Create a new CreditCardService Session.
     */
    public CreditCardService create() throws CreateException, RemoteException;
}
