<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>
<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>

<%@ page import="com.bea.jsptools.p13n.common.servlets.jsp.JspUtilPages" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.jsp.*" %>
<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>

<jsp:useBean id="hierarchyManagementBeanCMS" class="com.beasys.commerce.ebusiness.catalog.jsp.beans.HierarchyManagementBean" scope="session" />
<% request.setAttribute(SERVICEMANAGER_CURRENT_PAGE, getJspName(pageContext));%>

<%
  String statusMsg = null;
  CategoryTreeManagerImpl categoryTreeManager = (CategoryTreeManagerImpl)hierarchyManagementBeanCMS.getTreeManager();
  String identifier = request.getParameter( HttpRequestConstants.CATALOG_CATEGORY_ID);
%>


<wl:process name="formSubmit">

  <%
       // create a subcategory below top level
       statusMsg = categoryTreeManager.getDisplayName(identifier) + " category edited successfully.";
       try 
       {
           categoryTreeManager.updateCategory(request);
       } 
       catch (UserInputException uie) 
       {
           statusMsg = uie.getLocalizedMessage();
       }
  %>

</wl:process>

<%
  try 
  {
     categoryTreeManager.assignCategoryAttributesToRequest( request );
  } 
  catch( UserInputException uie ) 
  {
	  statusMsg = uie.getLocalizedMessage();
  }

  // try to find the category
%>


<html>
<head>
<title>Category Edit</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<SCRIPT LANGUAGE="JavaScript">

function MM_openBrWindow(theURL,winName,features) { //v2.0
  window.open(theURL,winName,features);
  return false;
}

function submitForm() {
   var category_name = this.document.CatalogMgmtForm.<%= HttpRequestConstants.CATALOG_NAME %>.value;
   var category_desc = this.document.CatalogMgmtForm.<%= HttpRequestConstants.CATALOG_SHORT_DESC %>.value;
   
   // Check that category_name and category_desc are non-blank
   var results1 = category_name.match(/[\S]+/);
   var results2 = category_desc.match(/[\S]+/);
   if ((results1 == null) || (results2 == null))
      {
      alert("Both Category Name and Short Description must be specified.");
      return false;
      }
      
   // Check that no HTML is specified in category_name
   var fresult = category_name.indexOf("<");
   if (fresult != -1)
      {
      alert("Open brackets or HTML not allowed in Category Name.");
      return false;
      }

   this.document.CatalogMgmtForm.submit();
   return true;
}
</SCRIPT>
</head>


<body bgcolor="#FFFFFF" topmargin="0" leftmargin="0" marginwidth="0" marginheight="0">

<!-- Header  -->
<jsp:include page="<%=JspUtilPages.JSP_UTIL_HOME_HDR%>"/>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="3%" bgcolor="#000000"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></b></font></td>
    <td width="88%" bgcolor="#000000"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></b></font></td>
    <td width="6%" bgcolor="#000000"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/stopclear.gif"/>" width="65" height="8"></b></font></td>
    <td width="3%" bgcolor="#000000"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></b></font></td>
  </tr>

  <tr>
    <td width="3%" bgcolor="#008000"><img src="<wf:createResourceURL resource="/repository/images/cms.gif"/>" width="30" height="24"></td>
    <td width="88%" bgcolor="#008000"><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#000000"><b><font color="#FFFFFF">Categories</font></b></font></td>
    <td width="6%" bgcolor="#008000"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/smiddleclear.gif"/>" width="65" height="24"></b></font></td>
    <td width="3%" bgcolor="#FFFFFF"><img src="<wf:createResourceURL resource="/repository/images/curves_cms1_1.gif"/>" width="30" height="24"></td>
  </tr>
  <tr>
    <td width="3%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></b></font></td>
    <td width="88%"><% if (statusMsg != null) { %> <%@ include file="/tools/catalog/status.inc" %><% } %></td>
    <td width="6%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/sbottomclear.gif"/>" width="65" height="8"></b></font></td>
    <td width="3%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></b></font></td>
  </tr>
</table>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
  <tr>
    <td width="2%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="90%">&nbsp;</td>
    <td width="2%">&nbsp;</td>
  </tr>
  <tr>
    <td width="2%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="20" height="8"></td>
    <td rowspan="2" width="6%"> <font face="Verdana, Arial, Helvetica, sans-serif" size="2"><img src="<wf:createResourceURL resource="/repository/images/icon_create.gif"/>" width="65" height="50"></font></td>
    <td bgcolor="#CCCCCC" width="90%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8">Editing Category :&nbsp; <%= categoryTreeManager.getDisplayName(identifier) %></b></font></td>
    <td width="2%" bgcolor="#CCCCCC">&nbsp;</td>
  </tr>
  <tr>
    <td width="2%">&nbsp;</td>
    <td width="90%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2">Enter
      the appropriate information then click Save.</font></td>
    <td width="2%">&nbsp;</td>
  </tr>
<%String categoryItems = "populateCategoryItems=yes&" + HttpRequestConstants.CATALOG_CATEGORY_ID + "=" + identifier; %>
  <tr>
    <td width="2%"></td>
    <td width="6%"></td>
    <td width="90%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2">To modify the items assigned to this category, please click <a href="<wf:createWebflowURL event="link.category_add_remove_items" extraParams="<%=categoryItems%>"/>"">here.</a></font></td>
    <td width="2%"></td>
  </tr>

  <tr>
    <!-- validation error display -->
    <td width="2%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="90%">&nbsp;</td>
    <td width="2%">&nbsp;</td>
  </tr>

  <tr>
    <td width="2%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="90%">
      <form method="post" action="<wf:createWebflowURL event="link.category_edit"/>" name="CatalogMgmtForm">
        <table width="797" border="0" cellspacing="2" cellpadding="0">
          <tr>
            <td width="178" valign="middle">
              <div align="left"><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>
                Category Identifier: </b></font></div>
            </td>
            <td width="275" valign="middle"> <font face="Verdana, Arial, Helvetica, sans-serif">
	      <b><%= identifier %></b>
            </td>
            <td width="330" valign="middle"><FONT face="Verdana, Arial, Helvetica, sans-serif"
      size="1">Unique category identifier.</FONT></td>
          </tr>

          <!-- include the page with all the attributes -->
	  <jsp:include page="<%=com.beasys.commerce.ebusiness.catalog.jsp.CatalogManagementJspPages.CATEGORY_INCLUDE_JSP%>"/>		

          <tr>
            <td width="178">&nbsp;</td>
            <td width="275" valign="bottom">&nbsp; </td>
            <td width="330">
              <table border="0" cellspacing="4" cellpadding="0" align="right">
                <tr>
                  <td>
                    <div align="right"><a href="<wf:createWebflowURL event="link.category_search"/>"><img src="<wf:createResourceURL resource="/repository/images/back_cms1.gif"/>" width="65" height="40" alt="Return to the Previous Page" border="0"></a></div>
                  </td>
                  <td>
                    <div align="right"><A HREF="javascript:submitForm();" onClick="submitForm(); return false;"><img src="<wf:createResourceURL resource="/repository/images/save_cms1.gif"/>" width="65" height="40" alt="Update Category" border="0"></a></div>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>

        <input type="hidden" name="<%=DESTINATION_TAG%>" value="<%=getRequestURI(request)%>">
        <input type="hidden" name="formSubmit" value="formSubmit">
        <input type="hidden" name="<%=  HttpRequestConstants.CATALOG_CATEGORY_ID %>" value="<%= identifier %>">
      </form>
    </td>
    <td width="2%">&nbsp;</td>
  </tr>
  <tr>
    <td width="2%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="90%" bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"></font></td>
    <td width="2%">&nbsp;</td>
  </tr>

</table>

</body>
</html>
