<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<%@ page extends="com.bea.jsptools.commerce.catalog.servlets.jsp.JspHierarchyBase" %>

<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="es.tld" prefix="es" %>

<%@ page import="com.beasys.commerce.ebusiness.catalog.jsp.*" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.jsp.beans.HierarchyManagementBean" %>
<%@ page import="com.bea.jsptools.p13n.common.servlets.jsp.JspUtilPages" %>

<jsp:useBean id="hierarchyManagementBeanCMS" class="com.beasys.commerce.ebusiness.catalog.jsp.beans.HierarchyManagementBean" scope="session" />

<% request.setAttribute(SERVICEMANAGER_CURRENT_PAGE, getJspName(pageContext));%>

<%
 // to print error status messages
 String statusMsg = null;

 TreeManager treeManager = hierarchyManagementBeanCMS.getTreeManager();
 CategoryTreeManagerImpl categoryTreeManager = (CategoryTreeManagerImpl)treeManager;

%>

<%-- check the fact that the user might have clicked on the expand/collapse buttons --%>
<% String categoryName = request.getParameter("categoryName"); %>

<wl:process name="hierarchyAction" value="expand">
    <% hierarchyManagementBeanCMS.addCategoryAsExpanded(categoryName); %>
</wl:process>

<wl:process name="hierarchyAction" value="collapse">
      <% hierarchyManagementBeanCMS.removeCategoryAsExpanded(categoryName); %>
</wl:process>

<!-- reset the tree if no action is taken -->
<es:isNull item="<%= categoryName %>" >
     <% hierarchyManagementBeanCMS.reset(); %>
     <% hierarchyManagementBeanCMS.setSearchCategoryName(null); %>
</es:isNull>


<!-- for the search results -->
<wl:process name="category">
  <%
	    String category2Search = request.getParameter("category");
	    if( hierarchyManagementBeanCMS.search(category2Search) == false ) {
	      statusMsg = "Category '" + cnvrtSC(category2Search) + "' not found, please try again.";
	    }
   %>
</wl:process>


<!-- if the user has deleted a category -->
<wl:process name="deleteCategory">
  <%
	    String category2delete =  request.getParameter("deleteCategory");
	    try {
  	      categoryTreeManager.removeCategory(request);
      } 
      catch(UserInputException uie) {
	        statusMsg = uie.getLocalizedMessage();
      }
	  %>
</wl:process>

<html>
<head>
<title>Category Search</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<SCRIPT LANGUAGE="JavaScript">
function submitForm() {
   this.document.CatalogMgmtForm.submit();
   return true;
}

function deleteSubCategory(deleteString)
{
   return (confirm(deleteString));
}

</SCRIPT>
</head>

<body bgcolor="#FFFFFF"  vlink="#0000FF" link="#0000FF" topmargin="0" leftmargin="0" marginwidth="0" marginheight="0">

<!-- Header  -->
<jsp:include page="<%=JspUtilPages.JSP_UTIL_HOME_HDR%>"/>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="2%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="88%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="7%" bgcolor="#000000"><a href="<wf:createWebflowURL event="link.catalog_home"/>"><img src="<wf:createResourceURL resource="/repository/images/stopblack_cms1.gif"/>" width="65" height="8" border="0" alt="Return to Catalog Management"></a></td>
    <td width="3%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
  </tr>
  <tr>
    <td width="2%" bgcolor="#008000"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#FFFFFF"><img src="<wf:createResourceURL resource="/repository/images/cms.gif"/>" width="30" height="24" align="absmiddle"></font></td>
    <td width="88%" bgcolor="#008000"><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#FFFFFF"><b><font color="#FFFFFF">Categories</font></b></font></td>
    <td width="7%" bgcolor="#008000"><a href="<wf:createWebflowURL event="link.catalog_home"/>"><img src="<wf:createResourceURL resource="/repository/images/sfinished_cms1.gif"/>" width="65" height="24" border="0" alt="Return to Catalog Management"></a></td>
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/curves_cms1_1.gif"/>" width="30" height="24"></td>
  </tr>
  <tr>
    <td width="2%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="88%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="7%"><a href="<wf:createWebflowURL event="link.catalog_home"/>"><img src="<wf:createResourceURL resource="/repository/images/sbottom_cms1.gif"/>" width="65" height="8" border="0" alt="Return to Catalog Management"></a></td>
    <td width="3%"></td>
  </tr>
  <tr>
    <td width="2%">&nbsp;</td>
    <td width="88%">&nbsp;<% if (statusMsg != null) { %> <%@ include file="status.inc" %> <% } %></td>
    <td width="7%">&nbsp;</td>
    <td width="3%">&nbsp;</td>
  </tr>
</table>
<form method="post" action="<wf:createWebflowURL event="link.category_search"/>" name="CatalogMgmtForm">
  <table width="100%" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="30" height="5"></td>
      <td width="81%" bgcolor="#CCCCCC"><b><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8">Search
        for Categories </font></b></td>
      <td width="11%" bgcolor="#CCCCCC">&nbsp;</td>
    </tr>
    <tr>
      <td width="3%">&nbsp;</td>
      <td width="81%">
        <table width="100%" border="0" cellspacing="8" cellpadding="0">
          <tr>
            <td width="49%" valign="top">
              <font face="Verdana, Arial, Helvetica, sans-serif" size="2">Click through the hierarchy to find a category, or search for the category by its primary key shown in parenthesis. 
                Click the category title to edit it, or click <img src="<wf:createResourceURL resource="/repository/images/x.gif"/>" width="15" height="15" align="absmiddle"> to delete the category.
                <div><b>Warning: </b>deleting a category will also delete its subcategories and cannot be undone.</font></td>
            <td width="51%">
              <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr valign="top">
                  <td width="30%" nowrap valign="middle">
                    <div align="right"><b><font face="Verdana, Arial, Helvetica, sans-serif" size="2">Category Identifier: </font></b></div>
                  </td>
                  <td width="47%">
                    <div align="center"><b>
                      <input type="text" name="category" size="20" maxlength="50" value="">
                      </b></div>
                  </td>
                  <td width="23%" rowspan="2"><b><A HREF="javascript:submitForm();" onClick="submitForm(); return false;"><img src="<wf:createResourceURL resource="/repository/images/search_cms1.gif"/>" border=0 width="65" height="40" alt="Get Search Results"></a></b></td>
                </tr>
                <tr valign="top">
                  <td width="30%">&nbsp;</td>
                  <td width="47%">&nbsp;</td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </td>
      <td width="11%">&nbsp;</td>
    </tr>
    <tr>
      <td width="3%">&nbsp;</td>
      <td width="81%" bgcolor="#ffffff">&nbsp;</td>
      <td width="11%" bgcolor="#ffffff">&nbsp;</td>
    </tr>
    <tr>
      <td width="3%">&nbsp;</td>
      <td width="81%" bgcolor="#CCCCCC"><b><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8">Category
        Hierarchy </font></b></td>
      <td width="11%" bgcolor="#CCCCCC">&nbsp;</td>
    </tr>
    <tr>
      <td width="3%">&nbsp;</td>
      <td width="81%">
        <table width="100%" border="0" cellspacing="2" cellpadding="2">
          <tr>
            <td colspan="3"><b><font face="Verdana, Arial, Helvetica, sans-serif" size="3">Top
              Level Categories</font></b></td>
          </tr>

	  <% String categoryNames[] = treeManager.getTopLevelNames(); %>
	  <% hierarchyManagementBeanCMS.setDisplayType(HierarchyManagementBean.SEARCH); %>

	  <es:forEachInArray id="currcategoryName" array="<%= categoryNames %>" type="String" counterId="i">
		    <%= printSubCategories(treeManager, currcategoryName, i.intValue(), hierarchyManagementBeanCMS, response, request, pageContext)%>
	  </es:forEachInArray>

        </table>
      </td>
      <td width="11%">&nbsp;</td>
    </tr>
    <tr>
      <td width="3%">&nbsp;</td>
      <td width="81%">
        <table border="0" cellspacing="4" cellpadding="0" align="right">
          <tr>
            <td><a href="<wf:createWebflowURL event="link.catalog_home"/>"><img src="<wf:createResourceURL resource="/repository/images/finished_cms1.gif"/>" width="65" height="40" alt="Return to Catalog Management" border="0"></a></td>
          </tr>
        </table>
      </td>
      <td width="11%">&nbsp;</td>
    </tr>
    <tr>
      <td width="3%">&nbsp;</td>
      <td width="81%">&nbsp;</td>
      <td width="11%">&nbsp;</td>
    </tr>
  </table>
  <input type="hidden" name="<%=DESTINATION_TAG%>" value="<%=getRequestURI(request)%>">
</form>
</body>
</html>
