<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>

<%@ page import="java.net.URLEncoder" %>
<%@ page import="com.bea.jsptools.p13n.common.servlets.jsp.JspUtilPages" %>

<%@ page import="com.bea.p13n.property.PropertyDefinition" %>
<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.*" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.jsp.*" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.service.item.*" %>

<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="es.tld" prefix="es" %>

<jsp:useBean id="itemPropertyBean" class="com.beasys.commerce.ebusiness.catalog.jsp.beans.ItemPropertyBean" scope="session" />
<jsp:setProperty name="itemPropertyBean" property="*" />
<% request.setAttribute(SERVICEMANAGER_CURRENT_PAGE, getJspName(pageContext));%>

<%
   String identifier = request.getParameter("identifier");
   Collection currentPropertyValue = null;

   ProductItemJspHelper helper = new ProductItemJspHelper( ProductItemJspHelper.getCatalogManager().createAdminCatalogRequest()); 
   ProductItem item = helper.getProductItemManager().getItem(helper.getCatalogRequest(), new ProductItemKey(identifier));

   PropertyDefinition property = itemPropertyBean.getPropertyObject(); 

    // get the meta data from the default scope if we have to
    if ( property == null )
    {
        property = itemPropertyBean.getDefaultPropertyMetaDataForItem( identifier );
    }

   itemPropertyBean.setPropertyMetaData(property);
   String propertyName = itemPropertyBean.getPropertyName(); 
   String scopeName = itemPropertyBean.getScopeName(); 
   if ( scopeName == null ) 
      scopeName = ""; 

   String schemaGroupName = itemPropertyBean.getSchemaGroupName(); 
   Collection currentPropertyValueCopy = itemPropertyBean.getCurrentPropertyValue(); 
   String valueEditor = itemPropertyBean.getPropertyValueEditor( property ); 
   String statusMsg = null; 
   String returnPage = CatalogManagementJspPages.ITEM_PROPERTY_EDIT_JSP; 

%>


<wl:process name="newValueSubmit">

  <% 
       String propertyValue = request.getParameter("customValue");
       if (propertyValue != null && propertyValue.trim().length() > 0 ){
          
          Object valueObject = itemPropertyBean.getAsObject(propertyValue);
          //since PropertyBean only returns null instead of throwing an exception
          //we are checking for that and proceeding only if it is not null
          if (valueObject != null){
            
            // before adding an element to the current property collection, 
            // make sure it is not null and initialized properly
            if (currentPropertyValueCopy == null) {
                currentPropertyValueCopy = new ArrayList();
            }
            
            currentPropertyValueCopy.add(valueObject);
            item.setProperty(scopeName, propertyName, currentPropertyValueCopy); 
            statusMsg = "Value '"+ cnvrtSC(valueObject.toString()) + "' set correctly for this property set."; 
          }
          
          else {
            statusMsg = "Value '" + propertyValue + "' is invalid for this property set.";
          }

       }
    %>
  
</wl:process>
  
  <wl:process name="removeValue">
  <%-- remove the value from the property --%>
  <% 
      Object removeObject = itemPropertyBean.getAsObject(request.getParameter("removeValue"));

      if(currentPropertyValueCopy.remove(removeObject))
            statusMsg = "Property '"+ cnvrtSC(removeObject.toString()) + "' Removed.";
      else
            statusMsg = "Cannot remove Property '"+ cnvrtSC(removeObject.toString()) + "'";
  %>
 <%
          Iterator it = currentPropertyValueCopy.iterator();
          while (it.hasNext()) 
          {
              out.println("Value " + it.next());
          }

 %>
 <% item.setProperty(scopeName, propertyName, currentPropertyValueCopy); %>

</wl:process>

<%  currentPropertyValue = (Collection)item.getProperty(scopeName, propertyName); 
    
    if (currentPropertyValue == null){
    currentPropertyValue = (Collection)property.getDefaultValue();
    }
%>
<%
          Iterator it1 = currentPropertyValue.iterator();
          while (it1.hasNext()) 
          {
              out.println("Value " + it1.next());
          }

 %>

<%
   itemPropertyBean.setCurrentPropertyValue(currentPropertyValue);
%>
<html>
<head>
<title>Property Set Management</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<SCRIPT LANGUAGE="JavaScript">
function submitValueForm() {
   this.document.ValueForm.submit();
   return true;
}

function confirmValueDelete(typeName)
{
   return (confirm("Are you sure you want to delete '" + typeName + "'?"));
}

</SCRIPT>
</head>


<body bgcolor="#FFFFFF" topmargin="0" leftmargin="0" marginwidth="0" marginheight="0">
<!-- Header  -->
<jsp:include page="<%=JspUtilPages.JSP_UTIL_HOME_HDR%>"/>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td width="3%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="88%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="5%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="65" height="8"></td>
    <td width="4%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
  </tr>
  <tr> 
    <td width="3%" bgcolor="#008000"> 
      <div align="right"><img src="<wf:createResourceURL resource="/repository/images/psm.gif"/>" width="30" height="24"></div>
    </td>
    <td width="88%" bgcolor="#008000"><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#FFFFFF"><b>
      Property Set: <%= cnvrtSC(scopeName.equals("") ? "<Default>" : scopeName) %></b></font></td>
    <td width="5%" bgcolor="#008000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="65" height="24" border="0"></td>
    <td width="4%" bgcolor="#FFFFFF"><img src="<wf:createResourceURL resource="/repository/images/curves_cms1_1.gif"/>" width="30" height="24"></td>
  </tr>
  <tr> 
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="88%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="5%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="65" height="8"></td>
    <td width="4%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
  </tr>
  <tr> 
    <td width="3%">&nbsp;</td>
    <td width="88%"><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#CC0000"><b>
      Property: <%= cnvrtSC(propertyName) %> (Type: Multiple, Unrestricted)</b></font></td>
    <td width="5%">&nbsp;</td>
    <td width="4%">&nbsp;</td>
  </tr>
</table>

<table border="0" cellspacing="0" cellpadding="0" width="100%">
  <tr> 
    <td width="1%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="82%"><% if (statusMsg != null) { %><%@ include file="status.inc" %><% } %></td>
    <td width="11%">&nbsp;</td>
  </tr>
  <tr> 
    <td width="1%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="20" height="8"></td>
    <td rowspan="3" valign="top" width="6%" align="right"> <font face="Verdana, Arial, Helvetica, sans-serif" size="2"><img src="<wf:createResourceURL resource="/repository/images/icon_edit.gif"/>" width="65" height="50"></font></td>
    <td bgcolor="#CCCCCC" width="82%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8">Edit 
      Property Values</b></font></td>
    <td width="11%">&nbsp;</td>
  </tr>
  <tr> 
    <td width="1%">&nbsp;</td>
    <td width="82%" bgcolor="#666666"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#FFFFFF"><b>Create 
      New Values</b></font></td>
    <td width="11%">&nbsp;</td>
  </tr>
  <tr> 
    <td width="1%">&nbsp;</td>
    <td width="82%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2">To 
      add a new value to this property, enter the value then click create. 
      New values will display in the list below.</font></td>
    <td width="11%">&nbsp;</td>
  </tr>
  <tr>
    <td width="1%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="82%">&nbsp;</td>
    <td width="11%">&nbsp;</td>
  </tr>
  <tr> 
    <td width="1%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="82%"> 
      <form method="post" action="<wf:createWebflowURL origin="item_property_edit_mu.jsp" event="link.item_property_edit_mu"/>" name="ValueForm">
        <table width="100%" border="0" cellspacing="2" cellpadding="0">
          <tr> 
            <td width="21%" nowrap><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b>New 
              Value: </b></font></td>
            <td width="34%"> 
              <% request.setAttribute( "Property", property ); %>
              <% request.setAttribute( "PropertyValue", "" ); %>
              <% request.setAttribute( "FieldName", "customValue" ); %>
              <jsp:include page="<%= valueEditor %>"/>
            </td>
            <td width="45%"> 
              <table border="0" cellspacing="4" cellpadding="0" align="right">
                <tr> 
                  <td> 
                    <div align="right"><a href="javascript:submitValueForm();" onClick="submitValueForm(); return false;"><img src="<wf:createResourceURL resource="/repository/images/create_cms1.gif"/>" width="65" height="40" alt="Create Value" border="0"></a></div>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>

        <input type="hidden" name="propertyName" value="<%=propertyName%>">
        <input type="hidden" name="scopeName" value="<%=scopeName%>">
        <input type="hidden" name="schemaGroupName" value="<%=schemaGroupName%>">
        <input type="hidden" name="<%=DESTINATION_TAG%>" value="<%=getRequestURI(request)%>">
        <input type="hidden" name="newValueSubmit" value="newValueSubmit">
        <input type="hidden" name="<%= "identifier" %>" value="<%= identifier %>">

      </form>
    </td>
    <td width="11%">&nbsp;</td>
  </tr>
  <tr> 
    <td width="1%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="82%" bgcolor="#666666"> 
      <div align="left"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#FFFFFF"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8">Values</b></font></div>
    </td>
    <td width="11%">&nbsp;</td>
  </tr>
  <tr> 
    <td width="1%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="82%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2">Following is a list of the default value(s) for this Property.
      To remove a value from this property, click its associated delete icon. When you are done, click Back.</font></td>
    <td width="11%">&nbsp;</td>
  </tr>

  <%-- display all default values --%>
  <%
        Collection defaults = itemPropertyBean.getAsCollection( currentPropertyValue );
  %>
  <es:notNull item = "<%= defaults %>" >
    <%
      Object[] arr = defaults.toArray();
      int defaultCount = arr.length;
      int rows = defaultCount / 2;
      if ( defaultCount % 2 == 1 ) rows++;
      int rowCount = 1;
      boolean secondCol = false;
    %>
    <tr> 
      <td width="1%">&nbsp;</td>
      <td width="6%">&nbsp;</td>
      <td width="82%"> 
        <table width="100%" border="0" cellpadding="0" cellspacing="4">
          <tr> 
            <td width="45%" valign="top"> 
              <table width="100%" border="1" cellpadding="2" cellspacing="0" bgcolor="#cccccc" bordercolor="#ffffff">
              <% String urlTail = "&scopeName=" + URLEncoder.encode(scopeName) + "&propertyName=" + URLEncoder.encode(propertyName) + "&schemaGroupName=" + URLEncoder.encode(schemaGroupName);
                for (int i = 0; i < arr.length; i++) {
                  
                  //If an element of the property array is valid
                  if (arr[i] != null) {
                    String formattedValue = itemPropertyBean.formatPropertyValue( property, arr[i]); 
                    String bgcolor = (rowCount % 2 == 1 ? "#cccccc" : "#ffffff"); 
                
                %>
                
                <tr bgcolor="<%= bgcolor %>"> 
                  <td><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><%= cnvrtSC(arr[i].toString()) %></font></td>
		              <% String params =  "removeValue=" + URLEncoder.encode(formattedValue) + urlTail + "&" + "identifier=" + URLEncoder.encode(identifier); %>
                  <td width="4%"><a href="<wf:createWebflowURL origin="item_property_edit_mu.jsp" event="link.item_property_edit_mu" extraParams="<%=params%>"/>" onClick="return confirmValueDelete('<%= formattedValue %>');"><img src="<wf:createResourceURL resource="/repository/images/x.gif"/>" width="15" height="15" border="0" alt="Remove Value"></a></td>
                </tr>
                <% if ( rowCount++ >= rows && !secondCol ) { %>
                  <%-- end the first column and start the next --%>
                  <% rowCount = 1; secondCol = true; %>
                      </table>
                   </td>
                  <td>&nbsp;</td>
                  <td width="45%" valign="top"> 
                    <table width="100%" border="1" cellpadding="2" cellspacing="0" bgcolor="#cccccc" bordercolor="#ffffff">
                <% }
                  }
                }
                %>
               </table>
            </td>
          </tr>
        </table>
      </td>
      <td width="11%">&nbsp;</td>
    </tr>
  </es:notNull>
  <tr>
    <td width="1%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="82%">&nbsp;</td>
    <td width="11%">&nbsp;</td>
  </tr>
  <tr> 
    <td width="1%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="82%" align="right">
      <table width="10%" border="0" cellpadding="0" align="right">
        <tr> 
        <% String params  = HttpRequestConstants.CATALOG_ITEM_SKU +  "=" + URLEncoder.encode(identifier) + 
                            "&groupPropertySets=" + URLEncoder.encode(scopeName) +
                            "&formSubmit=formSubmit";
        %>

        <td><a href="<wf:createWebflowURL origin="item_property_edit_mu.jsp" event="link.item_property_edit" extraParams="<%=params%>"/>"><img src="<wf:createResourceURL resource="/repository/images/back_cms1.gif"/>" width="65" height="40" border="0" alt="Return to the Previous Page"></a></td>
        </tr>
      </table>
    <td width="11%">&nbsp;</td>
  </tr>
  </table>
</body>
</html>

