<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>


<%@ page import="com.bea.p13n.property.*" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.*" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.jsp.*" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.service.item.*" %>
<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>

<%@ taglib uri="es.tld" prefix="es" %>

<jsp:useBean id="propertyBean" class="com.bea.jsptools.p13n.usermgmt.servlets.jsp.PropertyBean" scope="request" />

<%-- renderer to view Multiple Unrestricted properties --%>
<%
   Object currentPropertyValue = null;
   String identifier = request.getParameter( HttpRequestConstants.CATALOG_ITEM_SKU );

   ProductItemJspHelper helper = new ProductItemJspHelper( ProductItemJspHelper.getCatalogManager().createAdminCatalogRequest()); 
   ProductItem item = helper.getProductItemManager().getItem(helper.getCatalogRequest(), new ProductItemKey(identifier));

   PropertyDefinition property = (PropertyDefinition)request.getAttribute( "Property" ); 
   String propertyName = (String)request.getAttribute( "PropertyName" ); 
   String scopeName = (String)request.getAttribute( "scopeName" ); 

   // get the property
   currentPropertyValue = item.getProperty(scopeName, propertyName);

    if (currentPropertyValue == null){
        currentPropertyValue = property.getDefaultValue(); 
    }

    Collection defaults = propertyBean.getAsCollection( currentPropertyValue ); 
%>

<table width="100%" border="0" cellspacing="0" cellpadding="2" bgcolor="#FFFFFF">
  <es:notNull item="<%= defaults %>">
    <% 
        int rowcount = 0;
        Object[] arr = defaults.toArray(); 
       
        for (int i = 0; i < arr.length; i++){
  
          //If an element of the property array is valid, print two elements per row.
          if (arr[i] != null) {
                        
            //print table-row tag once for every two table-data tags
            if (rowcount % 2  == 0) {  
              %> <tr>
              
            <% } %> 
        
            <td width="50%"><%= propertyBean.formatPropertyValue(property, arr[i]) %></td>
      
          <%
            rowcount++;
            if (rowcount % 2  == 0) { %>
               </tr>
            
      <%     }
          }
        }   // for (int i=...)
    %>    
    </tr>
</es:notNull>













  <es:isNull item = "<%= defaults %>" >
    <tr bgcolor="#FFFFFF"> 
      <td width="26%"><font color="#000000" face="Verdana, Arial, Helvetica, sans-serif" size="2">No Default Values Specified</font></td>
      <td width="26%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2">&nbsp;</font></td>
      <td width="26%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2">&nbsp;</font></td>
    </tr>
  </es:isNull>
</table>
