<%------------------------------------------------------------------%>
<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>
<%------------------------------------------------------------------%>
<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>

<%-- ------------------------------------------------------------ --%>
<%-- page imports                                                 --%>
<%-- ------------------------------------------------------------ --%>
<%@ page import="com.bea.portal.model.PortalConstants"%>
<%@ page import="com.bea.portal.model.GroupPortal"%>
<%@ page import="com.bea.portal.jsp.JspConstants"%>

<%@ page import="java.util.StringTokenizer"%>
<%@ page import="java.util.ArrayList"%>
<%@ page import="java.util.List"%>

<%@ page errorPage="error.jsp" %>


<%-- ------------------------------------------------------------ --%>
<%-- taglibs                                                      --%>
<%-- ------------------------------------------------------------ --%>
<%@ taglib uri="es.tld" prefix="es" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>
<%@ taglib uri="dam.tld" prefix="dam" %>
<%@ taglib uri="res.tld" prefix="res" %>
<%@ taglib uri="vum.tld" prefix="vum" %>


<%-- ------------------------------------------------------------ --%>
<%-- i18n (internationalization) and skin setup                   --%>
<%-- ------------------------------------------------------------ --%>

<%@ include file="/tools/portal/i18n_setup.inc"%>

<%-- ------------------------------------------------------------ --%>
<%-- environment setup                                            --%>
<%-- ------------------------------------------------------------ --%>

<%-- ------------------------------------------------------------ --%>
<%-- DECLARE NavLocation VALUE                                    --%>
<%-- Used for the left_navbar highlighting                        --%>
<%-- ------------------------------------------------------------ --%>
  <wf:setProperty property='NavLocation' value='<%=JspConstants.EDIT_DELEGATED_ADMIN_NAV%>' scope='request'/>

<%-- Get the Default Group Portal Display name to use on the page --%>
<i18n:getMessage id='defaultGroupPortalName' messageName='defaultGroupPortalDisplayName' bundleName='tools'/>

<%
  //Determine if we're coming from portal_home/portal_more or somewhere else.  Set up page variables accordingly
  GroupPortal currentGroupPortal = null;
  String portalNameStr = null;
  String portalIdStr = null;
  String userGroupId = null;
  String pageEvent = request.getParameter("event");
  if( pageEvent.equals("link.edit_portal_admin") )
  {
    portalNameStr = request.getParameter("portalName");
    portalIdStr = request.getParameter("portalID");
    userGroupId = request.getParameter("userGroupID");
%>   
    <res:getGroupPortal id="tempCurrentGroupPortal" portalID="<%=portalIdStr%>" userGroupID="<%=userGroupId%>"/>
    <wf:setProperty property='portalName' value='<%=portalNameStr%>'/>
    <wf:setProperty property='groupPortalObj' value='<%=tempCurrentGroupPortal%>'/>
    <wf:setProperty property='isDefaultGroup' value='<%="true"%>'/>
<%  currentGroupPortal = tempCurrentGroupPortal;
    pageEvent = "link.browse_admin_edit";
  }
  else
  {
%>
    <wf:getProperty property="groupPortalObj" id="tempCurrentGroupPortal" type="com.bea.portal.model.GroupPortal"/>
<%  currentGroupPortal = tempCurrentGroupPortal;
  }
%>
  
  <%--setup variables used in this page --%>
  <wf:getProperty property='portalName' id='portalName' type='String'/>
  <wf:getProperty property='isDefaultGroup' id='isDefaultGroupString' type='String'/>

<%
  boolean isDefaultGroup = (new Boolean(isDefaultGroupString)).booleanValue();
  String groupPortalGroupId = currentGroupPortal.getGroupIdentifier();
  String groupPortalName = currentGroupPortal.getDisplayName();

  if( isDefaultGroup )
  {
    groupPortalName = defaultGroupPortalName;
  }
  
  String statusMsg = null;
  String[] userArray = null;
  String[] groupuserArray = null;
  String[] allUsers;
  String[] promotableGAs;
  String searchCriteria=request.getParameter("userName2Search");
  if( searchCriteria == null || searchCriteria.equals("") )
  {
    searchCriteria = "*";
  }
  int limit = PortalConstants.DEFAULT_USER_LIMIT;

  //Now, get the language so we can internationalize the sort.  This info got set when we called 
  //  <i18n:localize/>
  String language = (String)pageContext.findAttribute("LANGUAGE");
  //Need to pass in a language to the sort tag, so default to english
  if(language == null || language.compareTo("") == 0)
  {
    language = "en";
  }
%>

<%-- ------------------------------------------------------------ --%>
<%-- form handling                                                --%>
<%-- ------------------------------------------------------------ --%>
<%
  //String pageEvent = request.getParameter("event");
  boolean isCreateNew = false;
  if(pageEvent.equals("link.browse_admin_new"))
  {
    isCreateNew = true;
  }
  List userListLarge = new ArrayList();
  List groupAdminsList = new ArrayList();
%>
  <%-- Get list of eligible users, using the search expression input by the user.
        Base the list wether we're editing the default portal group (in which we'll
        only be dealing with portal admins) or a specific group, in which we'll be 
        dealing with group admins.
        Also, we need to make one dam call unconditionally(we'll use the case of 'associate 
        new admin for non default group', to initialize the 'userList' variable.  We can 
        re-populate based on conditions and use throughout the page.
  --%>
    
<%
  if(isCreateNew)
  {
    if(isDefaultGroup)
    {
%>    <dam:getPortalAdminEligibleUsers id='tempList' portalIdentifier='<%=currentGroupPortal.getPortalIdentifier()%>'/>  
      <%-- Now get a list of promotable GA's, if they exist, and sort them --%>
      <dam:getPortalAdminEligibleGroupAdmins id='tempPromoList' portalIdentifier='<%=currentGroupPortal.getPortalIdentifier()%>'/>
      <vum:stringListI18nSort id='groupAdminsSorted' list='<%=tempPromoList%>' language='<%=language%>'/>
<%    userListLarge = tempList;
      groupAdminsList = groupAdminsSorted;
    }
    else
    {
%>    <dam:getGroupAdminEligibleUsers id='tempList' groupPortal='<%=currentGroupPortal%>'/>
<%    userListLarge = tempList;
    }
  }
  else
  {
    if(isDefaultGroup)
    {
%>    <dam:getPortalAdmins id='tempList' portalIdentifier='<%=currentGroupPortal.getPortalIdentifier()%>'/>
<%    userListLarge = tempList;
    }
    else
    {
%>    <dam:getGroupAdmins id='tempList' groupPortal='<%=currentGroupPortal%>'/>
<%    userListLarge = tempList;
    }
  }
%>

  <es:notNull item='<%=userListLarge%>'>
    <dam:adminSearchList id='userListUnsorted' adminList='<%=userListLarge%>' searchExp='<%=searchCriteria%>'/>
    <vum:stringListI18nSort id='userList' list='<%=userListUnsorted%>' language='<%=language%>'/>
<%
    //Now, take our list of users and put the user names into a String array to use on the page
    allUsers = new String[userList.size()]; 
    for(int j=0;j<userList.size();j++)
    {
      allUsers[j] = (String)userList.get(j);
    }
    groupuserArray = allUsers;
%>
  </es:notNull>
    
<%
  String backEvent = request.getParameter("backEvent");
  if(backEvent == null)
  {
    String tempBackEvent = (String)request.getAttribute("backEvent");
    if(tempBackEvent == null)
    {
      String lastPageOrigin = request.getParameter("origin");
      if( lastPageOrigin.equals("portal_home.jsp") || lastPageOrigin.equals("portal_more.jsp") )
      {
          backEvent = "link.portal_home";
      }
      else
      {
          if(isDefaultGroup)
          {
              backEvent = "link.portal_home";
          }
          else
          {
              backEvent = "link.edit_portal";
          }
      }
    }
    else
    {
        backEvent = tempBackEvent;
    }
  }
%>

<%-- ------------------------------------------------------------ --%>
<%-- begin rendering                                              --%>
<%-- ------------------------------------------------------------ --%>
<HTML>
<HEAD>
  <TITLE>
<%
    if(isDefaultGroup)
    {
        if(isCreateNew)
        {
%>
          <i18n:getMessage messageName='pageCreatePortalTitle'/>
<%
        }
        else
        {
%>
          <i18n:getMessage messageName='pagePortalTitle'/>
<%
        }
    }
    else
    {
        if(isCreateNew)
        {
%>
          <i18n:getMessage messageName='pageCreateGroupTitle'/>
<%
        }
        else
        {
%>
          <i18n:getMessage messageName='pageGroupTitle'/>
<%
        }
    }
%>
  </TITLE>
  <LINK REL=StyleSheet HREF="<wf:createResourceURL resource='<%=cssFile%>'/>" TYPE="text/css" MEDIA="screen">

  <%-- ------------------------------------------------------------ --%>
  <%-- begin JavaScript setup                                       --%>
  <%-- ------------------------------------------------------------ --%>
 
  <SCRIPT LANGUAGE="JavaScript">
var img = new Array(4);
for (i = 0; i < 4; i++)
   img[i] = new Image();

img[1].src = "<wf:createResourceURL resource='<%=imagesPath + "select_user.gif"%>'/>";
img[3].src = "<wf:createResourceURL resource='<%=imagesPath + "select_user_disabled.gif"%>'/>";

var state = 1;

function button_down() {
   if (state == 3) return;
   state = 1;
}

function button_up() {
   if (state == 3) return;
   state = 0;
}

function selectCount(selectAdmin){
  var cnt = 0;
	var moreObj = eval("document.forms[1]."+selectAdmin);

  for (var i=0; i<moreObj.options.length; i++) 
  {
		if ( ( moreObj.options[i].value == "spacer" ) && ( moreObj.options[i].selected == true ) )
    {
        moreObj.options[i].selected = false;
    }

    if (moreObj.options[i].selected == true)
    {
        cnt = cnt + 1;
    }
	}
  if (cnt == 0) 
  {
		state = 1;
		document ["selectUser"].src = img[3].src;
	}
	else 
  {
		state = 0;
		document ["selectUser"].src = img[1].src;
	}	
}

    <!-- Begin hide from old browsers
    function deselectPA(value) 
    {
      //First, if they have selected something from the other select box, deselect the choice
      document.SaveForm.group_users.selectedIndex = -1;
      //Now, if they have chosen the 'spacer' option, delect the current select, since it's
      // not a valid option
      if(value == "spacer")
      {
        document.SaveForm.group_users_ga.selectedIndex = -1;
      }
    }
 
    function deselectGA(promotableGAs, value) 
    {
      //We only perform this if we have promotable GA's.  If we do this with no GA's
      // we'll get a javascript error
      if(promotableGAs != 0)
      {
        //First, if they have selected something from the other select box, deselect the choice
        document.SaveForm.group_users_ga.selectedIndex = -1;
      }
      //Now, if they have chosen the 'spacer' option, delect the current select, since it's
      // not a valid option
      if(value == "spacer")
      {
        document.SaveForm.group_users.selectedIndex = -1;
      }
    }
    // End hide from old browsers -->

    function formSubmit()
    {
        var cnt = 0;
        var moreObj = document.forms[1].group_users;
        var defaultSelected = false;
        for (var i=0; i<moreObj.options.length-1; i++) {
          if (moreObj.options[i].selected == true)
          {
              cnt = cnt + 1;
          }
        }
        if((<%=(isCreateNew && isDefaultGroup && groupAdminsList != null)%>) && (<%=(groupAdminsList.size() != 0)%>) && !defaultSelected)
        {
            var moreObj = document.forms[1].group_users_ga;
            for (var i=0; i<moreObj.options.length-1; i++) {
              if (moreObj.options[i].selected == true)
              {
                  cnt = cnt + 1;
              }
            }
        }
        
        if(cnt == 1 || cnt > 1 && (document.SaveForm.group_users.selectedIndex >= 0 || document.SaveForm.group_users_ga.selectedIndex >= 0))
        {
            document.SaveForm.submit();
        }
    }
  </SCRIPT>

  <%-- ------------------------------------------------------------ --%>
  <%-- end JavaScript setup                                         --%>
  <%-- ------------------------------------------------------------ --%>

</HEAD>

<BODY leftmargin="0" rightmargin="0" marginwidth="0" marginheight="0" STYLE='BACKGROUND-IMAGE:url("<wf:createResourceURL resource='<%=imagesPath + "bg_subpage.gif"%>'/>"); BACKGROUND-REPEAT: no-repeat; BACKGROUND-POSITION:left top;'>

  <%@ include file="/tools/util/admin_header.inc"%>
  <!-- end top nav bar -->

  <!-- This is the uber table that contains two table data cells: one for the left nav, the other for the main page layout -->
  <TABLE border="0" cellspacing="0" cellpadding="0" height="100%" width="100%">
    <TR>
      <TD align="left" valign="top" class="sidenav" width="1%">
        <!-- include  table for left nav bar -->
<%      if(isDefaultGroup)
        {
%>
          <jsp:include page="left_navbar_portal_admin.jsp"/>
<%      }
        else
        {
%>
          <jsp:include page="left_navbar.jsp"/>
<%      }
%>
      </TD>

      <TD align="center" valign="top" width="2%">
        <!-- spacer cell -->
        &nbsp;&nbsp;
      </TD>

      <!-- begin table for main content area -->
      <TD align="left" valign="top" width="95%">
        <%-- Include the error message display logic --%>
        <%@ include file="/tools/util/error_message.inc"%>

<%      if(isCreateNew)
        {
          if(isDefaultGroup)
          {
%>        
            <SPAN class="pageheader"><i18n:getMessage messageName='createPortalAdminLabel'/></SPAN><BR>
<%      
          }
          else
          {
%>        
            <SPAN class="pageheader"><i18n:getMessage messageName='createGroupAdminLabel'/></SPAN><BR>
<%      
          }
      }
        else
        {
          if(isDefaultGroup)
          {
%>        
            <SPAN class="pageheader"><i18n:getMessage messageName='portalDisplayEdit'/></SPAN><BR>
<%      
          }
          else
          {
%>        
            <SPAN class="pageheader"><i18n:getMessage messageName='groupDisplayEdit'/></SPAN><BR>
<%      
          }
        }
        // number of labels in category listing header section
        int numberOfLabels = 1;

      if(isDefaultGroup)
      {
        if(isCreateNew)
        {
%>
          <SPAN class="instructions"><i18n:getMessage messageName='portalDisplaySubHeadPortalAdd'/></SPAN>
<%    
        }
        else
        {
%>
          <SPAN class="instructions"><i18n:getMessage messageName='portalDisplaySubHead'/></SPAN>
<%    
        }
      }
      else
      {
        if(isCreateNew)
        {
%>
          <SPAN class="instructions"><i18n:getMessage messageName='portalDisplaySubHeadGroupAdd'/></SPAN>
<%    
        }
        else
        {
%>
          <SPAN class="instructions"><i18n:getMessage messageName='portalDisplaySubHead'/></SPAN>
<%    
        }
      }
%>
        <BR><BR>

<%--Begin new table stuff--%>
<TABLE cellspacing="0" cellpadding="0" border="0" width="35%">
  <TR>
    <TD align="left" valign="top" rowspan="2">
      <!-- category listing left hand side -->
      <jsp:include page="category_list_header_lhs.jsp"/>
    </TD>

    <!-- It may seem strange to put a td width of 1000 in here, but after much trial and error this is the only way Netscape will maintain the fixed border widths along with the liquid, stretchable layout of the table -->
    <TD class="categoryHeadingBorderCell" colspan="<%=numberOfLabels%>" height="1px" width="1000"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>

    <TD align="left" valign="top" rowspan="2">
      <!-- category listing right hand side -->
      <jsp:include page="category_list_header_rhs.jsp"/>
    </TD>
  </TR>

  <TR>
    <!-- * START LABELS -->
    <TD class="categoryHeadingCell" nowrap width=100%>
<%    if(isDefaultGroup)
      {
	     if (isCreateNew)
		 {
%>          <i18n:getMessage messageName='newPortalAdmin'/>
<%       }
         else
		 {
%>          <i18n:getMessage messageName='editPortalAdmin'/>
<%       }
      }
      else
      {
	     if (isCreateNew)
		 {
%>          <i18n:getMessage messageName='newGroupAdmin'/>
<%       }
         else
		 {
%>          <i18n:getMessage messageName='editGroupAdmin'/>
<%       }
      }
%>      
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<%    if(!isCreateNew)
      {
%>
        <A href="<wf:createWebflowURL namespace='admin_portal' event='link.browse_admin_new' extraParams='<%="backEvent="+backEvent%>'/>"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "create_new_admin.gif"%>'/>" border="0" vspace="1" align="middle" alt="<i18n:getMessage messageName='createNewAdmin'/>"></A>
<%    }
      else
      {
          backEvent = "link.browse_admin_edit";
      }
%>
    </TD>
    <!-- * END LABELS -->
  </TR>

  <!-- This creates the dark green line at the bottom of the green header -->
  <TR>
    <TD class="categoryHeadingBorderCell" colspan="<%=(numberOfLabels+2)%>" height="1"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
  </TR>
  <!-- START DETAIL ROW -->
  <TR>
    <TD class="row">&nbsp;</TD>
    <TD class="row" nowrap>

<%--End new table stuff--%>
<%    
    //**************************
    // Begin QuickSearch section
	  //**************************
%>    <i18n:getMessage messageName='showQuickSearch' id='showQuickSearch'/>
<%
      // Only include the QuickSearch section if showQuickSearch = "true"
      if ( showQuickSearch.equals("true") )
      {
		  // First, get the quick-search strings and line splitting preference from the properties file 
%>
		  <i18n:getMessage messageName='quickSearchStrings' id='quickSearchStrings'/>
		  <i18n:getMessage messageName='quickSearchSplit' id='quickSearchSplit'/>
<%
		  StringTokenizer st = new StringTokenizer(quickSearchStrings, ",", false);
		  String currentString = "";
		  int len = st.countTokens();
		  int wrapAtLength = (len / 2) + 1;
		  int wrapCounter = 0;
		  boolean doQuickSearchWrap = false;
		  if ( quickSearchSplit.equals("true") )
		  {
			 doQuickSearchWrap = true;
		  }
%>

      <TABLE border="0" cellspacing="4" cellpadding="4">
        <TR>
<%        // print all the QuickSearch strings
          while (st.hasMoreTokens())
		  {
		    currentString = st.nextToken();
			wrapCounter = wrapCounter + 1;
			
		    // parameters to be passed to the url
            String params = "doSearch=search" + "&userName2Search=" + currentString.toLowerCase() + "*" + "&backEvent=" + backEvent; 

            //wrap QuickSearch strings half way through list if specified
            if(doQuickSearchWrap && wrapCounter == wrapAtLength)
            { 
%>
         </TR>
         <TR>
<%
            } 
%>
            <TD class="categoryHeadingLabel">
              <A HREF="<wf:createWebflowURL namespace='admin_portal' event='<%=pageEvent%>' extraParams='<%=params%>'/>"><%=currentString%></A>
            </TD>
<%         } // end while
%>
        </TR>
      </TABLE>
<%
      } 
	  //************************
	  // end QuickSearch section
	  //************************
%>
  
      <TABLE cellspacing="0" cellpadding="0" border="0" width="100%">
        <!-- START DETAIL ROW -->
        <TR>
          <TD>
          </TD>
          <!-- * START DETAIL -->
          <TD align="left" valign="top">
            <wf:form namespace='admin_portal' event='<%=pageEvent%>' origin='choose_admin.jsp' hide='true' method='post' name='SearchForm'>
              <br>
              <span class="fieldLabel"><i18n:getMessage messageName='userNameLabel'/></span>
              <br>
              <INPUT TYPE="text" NAME="userName2Search" MAXLENGTH="50" VALUE="<%= (searchCriteria == null) ? "" : searchCriteria %>">
              <INPUT TYPE="IMAGE" SRC="<wf:createResourceURL resource='<%=imagesPath + "search.gif"%>'/>" ALT="<i18n:getMessage messageName='performUserSearch'/>" BORDER="0">
              <INPUT TYPE="hidden" NAME="<%=DESTINATION_TAG%>" VALUE="<%=getRequestURI(request)%>">
              <INPUT TYPE="hidden" NAME="doSearch" VALUE="search">
              <INPUT TYPE="hidden" NAME="BOGUSevent" VALUE="link.choose_admin">
              <INPUT TYPE="hidden" NAME="backEvent" VALUE="<%=backEvent%>">
			        <br>
			        <span class="instructions"><i18n:getMessage messageName='searchHint'/></span>
            </wf:form>      
          </TD>
          <!-- * END DETAIL -->

          <TD>
          </TD>
        </TR>
        <!-- END DETAIL ROW -->
        <TR>
          <TD class="emptyRow" colspan="<%=(numberOfLabels+2)%>"></TD>
        </TR>
        <!-- START DETAIL ROW -->
        <TR>
          <TD>
          </TD>
          <!-- * START DETAIL -->
          <TD class="fieldLabel" align="left" valign="top">
<%
            String formEvent = "link.edit_delegated_admin";
            if(isCreateNew)
            {
                formEvent = "link.new_delegated_admin";
            }
%>          <%-- TODO:WF --%>
            <%--<wf:form namespace='admin_portal' event='<%=formEvent%>' origin='choose_admin' hide='true' method='post' name='SaveForm'>--%>
            <FORM method="post" action="<wf:createWebflowURL namespace='admin_portal' event='<%=formEvent%>'/>" name="SaveForm">  
              <BR>
              <TABLE>
                <TR>
                  <TD>
<%  
                    if(isCreateNew)
                    {
%>
                      <span class="fieldLabel"><i18n:getMessage messageName='searchResultsLabel'/></span><br>
<%
                    }
                    else
                    {
                      if(isDefaultGroup)
                      {
%>
                      <span class="fieldLabel"><i18n:getMessage messageName='searchResultsPortalLabel'/></span><br>
<%
                      }
                      else
                      {
%>
                      <span class="fieldLabel"><i18n:getMessage messageName='searchResultsGroupLabel'/></span><br>
<%
                      }
                    }
%>
<%
                  //Set up switch based off of the number of promotable GA's we find.  Only want
                    // to get the amount if creating new PA.
                    int possibleGAs = 0;
                    if(isCreateNew && groupAdminsList != null)
                    {
                        possibleGAs = groupAdminsList.size();
                    }
%>                                
                    <SELECT name="group_users" size="10" ONCHANGE='deselectGA(<%=possibleGAs%>, this[selectedIndex].value);selectCount("group_users")'>
                      <es:notNull item='<%=groupuserArray%>'>
                        <es:forEachInArray id='userName' array='<%=groupuserArray%>' type='String' counterId='i'>
                          <OPTION VALUE="<%= cnvrtSC(userName) %>"><%= cnvrtSC(userName) %></OPTION>
                        </es:forEachInArray>
                      </es:notNull>
                      <option value="spacer" >---------------------------------</option>
                    </SELECT>
                  </TD>
<%                //For Promotable GA's
                  if(isCreateNew && isDefaultGroup && groupAdminsList != null)
                  {
                    if(groupAdminsList.size() != 0)
                    {
                      promotableGAs = new String[groupAdminsList.size()]; 
                      for(int j=0;j<groupAdminsList.size();j++)
                      {
                        promotableGAs[j] = (String)groupAdminsList.get(j);
                      }
%>
                        <TD>
                          &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        </TD>
                        <TD nowrap>
                          <span class="fieldLabel"><i18n:getMessage messageName='promotableGroupAdmins'/></span><BR>    
                          <SELECT name="group_users_ga" size="10" ONCHANGE='deselectPA(this[selectedIndex].value);selectCount("group_users_ga")'>
                            <es:forEachInArray id='gaName' array='<%=promotableGAs%>' type='String' counterId='i'>
                              <OPTION><%= cnvrtSC(gaName) %></OPTION>
                            </es:forEachInArray>
                            <OPTION value="spacer">---------------------------------</OPTION>
                          </SELECT>
                        </TD>
<%                  }
                  }
%>          
                </TR>
              </TABLE>
              <br><br>
              <INPUT type="hidden" name="<%=DESTINATION_TAG%>" value="<%=getRequestURI(request)%>">
              <INPUT type="hidden" name="doSearch" value="search"> <!-- do the search after save -->
              <INPUT type="hidden" name="userName2Search" value="<%= searchCriteria %>">
              <INPUT TYPE="hidden" NAME="backEvent" VALUE="<%=backEvent%>">
              <A HREF="<wf:createWebflowURL namespace='admin_portal' event='<%=backEvent%>'/>"><IMG name="backButton" src="<wf:createResourceURL resource='<%=imagesPath + "back.gif"%>'/>" border="0" align="bottom"></A>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
              <a href="" onClick="return false;" onMouseDown="button_down(); return false;" onMouseUp="button_up(); formSubmit(); return false;" onMouseOut="button_up(); return false;"><IMG name="selectUser" src="<wf:createResourceURL resource='<%=imagesPath + "select_user_disabled.gif"%>'/>" border="0" align="bottom" alt="<i18n:getMessage messageName='selectUser'/>"></A>
            </FORM>
            </TD>
            <!-- * END DETAIL -->

            <TD>
            </TD>
          </TR>
          <!-- END DETAIL ROW -->
          <TR>
            <TD class="emptyRow" colspan="<%=(numberOfLabels+2)%>">
            </TD>
          </TR>
        </TABLE>
</TD>
</TR>
</TABLE>
      </TD>
      <!-- end content area -->
      <TD align="center" valign="top" width="2%">
        <!-- spacer cell -->
		&nbsp;&nbsp;
      </TD>
    </TR>
  </TABLE>
</BODY>
</HTML>

