<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>
<%@ page import="com.bea.p13n.property.PropertyDefinition" %>
<%@ page import="com.bea.jsptools.p13n.common.servlets.jsp.JspUtilPages" %>

<%@ taglib uri="webflow.tld" prefix="wf"%>
<%@ taglib uri="i18n.tld" prefix="i18n" %>
<%@ taglib uri="vum.tld" prefix="vum" %>

<% PropertyDefinition property = (PropertyDefinition)request.getAttribute( "Property" );
  Object propertyValue = request.getAttribute( "PropertyValue" );
  String fieldName = (String)request.getAttribute( "FieldName" );
  String formName = (String)request.getAttribute( "FormName" );
  if ( fieldName == null )
  {
    fieldName = "propertyValue";
  }
  if ( formName == null )
  {
    formName = "ValueForm"; 
  }
%>
<vum:formatPropertyValue id='formattedValue' propertyDefinition='<%=property%>' valueObject='<%=propertyValue%>' />

<%-- I don't like putting the javascript here, but it makes sure we have it --%>
<script language="JavaScript">
<!--
function MM_openBrWindow(theURL,winName,features) { //v2.0
  window.open(theURL,winName,features);
  return false;
}
//-->
</script>

<input type="hidden" name="<%= fieldName %>" value="<%= formattedValue %>">

<table>
  <tr>
    <td width="5%" align="right">
    <img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="10" height="15">
    </td>
    <td class="row">
      <i18n:getMessage messageName='instructions' bundleName='tools/portal/date_value_editor' id='instructions'/>
      <input size="35" type="text" name="Vis<%= fieldName %>" value="<%= formattedValue %>" onFocus="this.blur(); alert('<%=instructions%>');">
    </td>
    <td nowrap> 
<%
      String calendarParams = "elemVisible=" + formName + ".Vis" + fieldName + "&elemHidden=" + formName + "." + fieldName;
%>
      <div align="left"><a href="#" onClick="MM_openBrWindow('<wf:createWebflowURL event="link.calendar" extraParams="<%=calendarParams%>"/>','','<%= JSP_CALENDAR_FEATURES %>')"><img src="<wf:createResourceURL resource="/repository/images/calendar.gif"/>" width="30" height="30" alt="<i18n:getMessage messageName='gifAltMessage' bundleName='tools/portal/date_value_editor'/>" align="absmiddle" border="0"></a></div>
    </td>
  </tr>
</table>