<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>
<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>

<%-- ------------------------------------------------------------ --%>
<%-- page imports                                                 --%>
<%-- ------------------------------------------------------------ --%>
<%@ page import="com.bea.portal.model.Identifier"%>
<%@ page import="com.bea.portal.model.PortalConstants"%>
<%@ page import="com.bea.portal.model.Portal"%>
<%@ page import="com.bea.portal.model.PortalIdentifier"%>
<%@ page import="com.bea.portal.model.PortalMetadata"%>
<%@ page import="com.bea.portal.model.SkinIdentifier"%>
<%@ page import="com.bea.portal.model.GroupPortal"%>
<%@ page import="com.bea.portal.admin.DelegatedAdminConstants"%>
<%@ page import="com.bea.portal.entitlement.resource.PortalAdminTaskResourceConstants"%>
<%@ page import="com.bea.portal.entitlement.resource.PortalEntitlementResourceConstants"%>
<%@ page import="com.bea.portal.jsp.JspConstants"%>

<%@ page import="java.net.URLEncoder"%>
<%@ page import="java.util.List"%>
<%@ page import="java.util.Properties"%>
<%@ page import="javax.naming.Context"%>
<%@ page import="javax.naming.InitialContext"%>
<%@ page import="javax.naming.NamingException"%>
<%@ page import="weblogic.jndi.Environment"%>

<%@ page errorPage="error.jsp" %>

<%-- ------------------------------------------------------------ --%>
<%-- taglibs                                                      --%>
<%-- ------------------------------------------------------------ --%>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>
<%@ taglib uri="dam.tld" prefix="dam" %>

<%-- ------------------------------------------------------------ --%>
<%-- i18n (internationalization) and skin setup                   --%>
<%-- ------------------------------------------------------------ --%>

<%@ include file="/tools/portal/i18n_setup.inc"%>

<%-- ------------------------------------------------------------ --%>
<%-- environment setup                                            --%>
<%-- ------------------------------------------------------------ --%>

<%-- ------------------------------------------------------------ --%>
<%-- DECLARE NavLocation VALUE                                    --%>
<%-- Used for the left_navbar highlighting                        --%>
<%-- ------------------------------------------------------------ --%>
  <wf:setProperty property='NavLocation' value='<%=JspConstants.EDIT_DELEGATED_ADMIN_NAV%>' scope='request'/>

<%-- Get the Default Group Portal Display name to use on the page --%>
<i18n:getMessage id='defaultGroupPortalName' messageName='defaultGroupPortalDisplayName' bundleName='tools'/>

<%
  String selectedUserMessage = "";
  String usersName = request.getParameter("group_users");
  if(request.getParameter("group_users_ga") != null)
  {
    usersName = request.getParameter("group_users_ga");
  }
  String backEvent = request.getParameter("backEvent");
  String onSubmit = request.getParameter("submitForm");
  String pageEvent = request.getParameter("event");
  String removeAdmin = request.getParameter("submitRemove");
  boolean newAdmin = false;

  // Change the back button depending on whether we're
  // choosing a new admin or an existing one.
  String backLink = "link.browse_admin_edit";
  if(pageEvent.equals("link.new_delegated_admin"))
  {
    backLink = "link.browse_admin_new";
    newAdmin = true;

  }
%>
  <wf:getProperty property='portalName' id='portalName' type='String'/>
  <wf:getProperty property='groupPortalObj' id='currentGroupPortal' type='com.bea.portal.model.GroupPortal'/>
  <wf:getProperty property='isDefaultGroup' id='isDefaultGroup' type='String'/>
<%
  //  isDefaultGroup = (new Boolean(isDefaultGroupString)).booleanValue();
  String groupPortalGroupId = currentGroupPortal.getGroupIdentifier();
  String groupPortalName = currentGroupPortal.getDisplayName();

  // If we're editing the default group set var to "Portal", otherwise to "Group"
  String scope = "Group";

  if ( ( isDefaultGroup != null ) && ( isDefaultGroup.equals("true") ) )
  {
    scope = "Portal";
    groupPortalName = defaultGroupPortalName;
  }
  //If the page is being posted to by 'Remove Admin', remove Admin here
  if(removeAdmin != null)
  {
    if(scope.equals("Group"))
    {
%>    <dam:removeGroupAdmin userName='<%=usersName%>' groupPortal='<%=currentGroupPortal%>'/>
<%  
    }
    else
    {
%>    <dam:removePortalAdmin userName='<%=usersName%>' portalIdentifier='<%=currentGroupPortal.getPortalIdentifier()%>' />
<%  }
    usersName = null;
    //Need to pass our back button info if we forward
    request.setAttribute("backEvent", backEvent);
%>  
<%-- The following form and associated javascript allow for the "page forward" on a successful save --%>  
 
<%
      //We only want to forward if there have been no generated errors within the tags
      String logId = (String)pageContext.getAttribute("logId");
      if(logId == null)
      {
        String params = "backEvent=" + backEvent;
%>
        <SCRIPT LANGUAGE="JavaScript">
          window.location.replace("<wf:createWebflowURL namespace='admin_portal' event='<%=backLink%>' extraParams='<%=params%>'/>");
        </SCRIPT>
<%    }
   }

  // Determine if a Delegatee has been selected
  boolean isUserSelected = false;
  if ( ( usersName != null ) && ( usersName.trim().length() > 0 ) ) 
  {
    isUserSelected = true;
    selectedUserMessage = usersName;
  } 
  else 
  {
    // If there is no selected User Name, then enter helpful message instead.
%>
    <i18n:getMessage id='noUserMessage' messageName='noUserSelected'/>
<%
    selectedUserMessage = noUserMessage;
  }
  boolean canUsersDelegate = false;
  boolean canSkinsDelegate = false;
  boolean canPortalPagesDelegate = false;
  boolean canPortletsDelegate = false;
  boolean canPortalPagesEntitle = false;
  boolean canPortletsEntitle = false;
  if(isUserSelected)
  {
    if(scope.equals("Group"))
    {
%>
      <%-- Set up variables to know what to display to the user --%>
      <dam:isGroupAdminAccessAllowed id='tempUsersDelegate' resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_USERS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE %>' groupPortal='<%=currentGroupPortal%>' userName='<%=request.getRemoteUser()%>'/>
      <dam:isGroupAdminAccessAllowed id='tempSkinsDelegate' resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_SKINS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' groupPortal='<%=currentGroupPortal%>' userName='<%=request.getRemoteUser()%>'/>
      <dam:isGroupAdminAccessAllowed id='tempPortalPagesDelegate' resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_PORTAL_PAGES %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' groupPortal='<%=currentGroupPortal%>' userName='<%=request.getRemoteUser()%>'/>
      <dam:isGroupAdminAccessAllowed id='tempPortletsDelegate' resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%=PortalAdminTaskResourceConstants.DELEGATE_MANAGE_PORTLETS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' groupPortal='<%=currentGroupPortal%>' userName='<%=request.getRemoteUser()%>'/>
      <dam:isGroupAdminAccessAllowed id='tempPortalPagesEntitle' resourceType='<%=PortalEntitlementResourceConstants.RESOURCE_TYPE%>' adminTask='<%=PortalEntitlementResourceConstants.ENTITLE_PORTAL_PAGES %>' capabilityKey='<%=PortalEntitlementResourceConstants.ENTITLEABLE%>' groupPortal='<%=currentGroupPortal%>' userName='<%=request.getRemoteUser()%>'/>
      <dam:isGroupAdminAccessAllowed id='tempPortletsEntitle' resourceType='<%=PortalEntitlementResourceConstants.RESOURCE_TYPE%>' adminTask='<%=PortalEntitlementResourceConstants.ENTITLE_PORTLETS %>' capabilityKey='<%=PortalEntitlementResourceConstants.ENTITLEABLE%>' groupPortal='<%=currentGroupPortal%>' userName='<%=request.getRemoteUser()%>'/>
<%
      canUsersDelegate = tempUsersDelegate.booleanValue();
      canSkinsDelegate = tempSkinsDelegate.booleanValue();
      canPortalPagesDelegate = tempPortalPagesDelegate.booleanValue();
      canPortletsDelegate = tempPortletsDelegate.booleanValue();
      canPortalPagesEntitle = tempPortalPagesEntitle.booleanValue();
      canPortletsEntitle = tempPortletsEntitle.booleanValue();
    }
    else
    {
%>
      <%-- Set up variables to know what to display to the user --%>
      <dam:isPortalAdminAccessAllowed id='tempUsersDelegate' resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_USERS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE %>' portalIdentifier='<%=currentGroupPortal.getPortalIdentifier()%>' userName='<%=request.getRemoteUser()%>'/>
      <dam:isPortalAdminAccessAllowed id='tempSkinsDelegate' resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_SKINS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' portalIdentifier='<%=currentGroupPortal.getPortalIdentifier()%>' userName='<%=request.getRemoteUser()%>'/>
      <dam:isPortalAdminAccessAllowed id='tempPortalPagesDelegate' resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_PORTAL_PAGES %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' portalIdentifier='<%=currentGroupPortal.getPortalIdentifier()%>' userName='<%=request.getRemoteUser()%>'/>
      <dam:isPortalAdminAccessAllowed id='tempPortletsDelegate' resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%=PortalAdminTaskResourceConstants.DELEGATE_MANAGE_PORTLETS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' portalIdentifier='<%=currentGroupPortal.getPortalIdentifier()%>' userName='<%=request.getRemoteUser()%>'/>
      <dam:isPortalAdminAccessAllowed id='tempPortalPagesEntitle' resourceType='<%=PortalEntitlementResourceConstants.RESOURCE_TYPE%>' adminTask='<%=PortalEntitlementResourceConstants.ENTITLE_PORTAL_PAGES %>' capabilityKey='<%=PortalEntitlementResourceConstants.ENTITLEABLE%>' portalIdentifier='<%=currentGroupPortal.getPortalIdentifier()%>' userName='<%=request.getRemoteUser()%>'/>
      <dam:isPortalAdminAccessAllowed id='tempPortletsEntitle' resourceType='<%=PortalEntitlementResourceConstants.RESOURCE_TYPE%>' adminTask='<%=PortalEntitlementResourceConstants.ENTITLE_PORTLETS %>' capabilityKey='<%=PortalEntitlementResourceConstants.ENTITLEABLE%>' portalIdentifier='<%=currentGroupPortal.getPortalIdentifier()%>' userName='<%=request.getRemoteUser()%>'/>
<%
      canUsersDelegate = tempUsersDelegate.booleanValue();
      canSkinsDelegate = tempSkinsDelegate.booleanValue();
      canPortalPagesDelegate = tempPortalPagesDelegate.booleanValue();
      canPortletsDelegate = tempPortletsDelegate.booleanValue();
      canPortalPagesEntitle = tempPortalPagesEntitle.booleanValue();
      canPortletsEntitle = tempPortletsEntitle.booleanValue();
    }
  }
%>

<%-- ------------------------------------------------------------ --%>
<%-- Form handling logic                                          --%>
<%-- ------------------------------------------------------------ --%>
<%
  //Need to declare all of our boolean variables used for the checkboxes
  boolean bUMGrant = false;
  boolean bUMCanDelegate = false;
  boolean bPageGrant = false;
  boolean bPageCanDelegate = false;
  boolean bPageCanEntitle = false;
  boolean bPortletGrant = false;
  boolean bPortletCanDelegate = false;
  boolean bPortletCanEntitle = false;
  boolean bSkinGrant = false;
  boolean bSkinCanDelegate = false;
  
  if (onSubmit == null)
  {
    //Has not submitted local form
    //Now, get all of the current capabilities.
    //We only want to get capabilities once we have identified a user
    if(usersName != null)
    {
      if(scope.equals("Group"))
      {
%>
        <dam:isGroupAdminAccessAllowed id="tempCanUMGrant" groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_USERS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>'  userName="<%=usersName%>"/>
        <dam:isGroupAdminAccessAllowed id="tempCanUMDelegate" groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_USERS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=usersName%>"/>
        <dam:isGroupAdminAccessAllowed id="tempCanPageGrant" groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_PORTAL_PAGES %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=usersName%>"/>
        <dam:isGroupAdminAccessAllowed id="tempCanPageDelegate" groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_PORTAL_PAGES %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=usersName%>"/>
        <dam:isGroupAdminAccessAllowed id="tempCanPageEntitle" groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalEntitlementResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalEntitlementResourceConstants.ENTITLE_PORTAL_PAGES %>' capabilityKey='<%=PortalEntitlementResourceConstants.ENTITLEABLE%>' userName="<%=usersName%>"/>
        <dam:isGroupAdminAccessAllowed id="tempCanPortletGrant" groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_PORTLETS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=usersName%>"/>
        <dam:isGroupAdminAccessAllowed id="tempCanPortletDelegate" groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_PORTLETS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=usersName%>"/>
        <dam:isGroupAdminAccessAllowed id="tempCanPortletEntitle" groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalEntitlementResourceConstants.RESOURCE_TYPE%>' adminTask='<%=PortalEntitlementResourceConstants.ENTITLE_PORTLETS %>' capabilityKey='<%=PortalEntitlementResourceConstants.ENTITLEABLE%>' userName="<%=usersName%>"/>
        <dam:isGroupAdminAccessAllowed id="tempCanSkinGrant" groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_SKINS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=usersName%>"/>
        <dam:isGroupAdminAccessAllowed id="tempCanSkinDelegate" groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_SKINS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=usersName%>"/>
<%
        bUMGrant = tempCanUMGrant.booleanValue();
        bUMCanDelegate = tempCanUMDelegate.booleanValue();
        bPageGrant = tempCanPageGrant.booleanValue();
        bPageCanDelegate = tempCanPageDelegate.booleanValue();
        bPageCanEntitle = tempCanPageEntitle.booleanValue();
        bPortletGrant = tempCanPortletGrant.booleanValue();
        bPortletCanDelegate = tempCanPortletDelegate.booleanValue();
        bPortletCanEntitle = tempCanPortletEntitle.booleanValue();
        bSkinGrant = tempCanSkinGrant.booleanValue();
        bSkinCanDelegate = tempCanSkinDelegate.booleanValue();
      }
      else
      {
%>
        <dam:isPortalAdminAccessAllowed id="tempCanUMGrant" portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_USERS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>'  userName="<%=usersName%>"/>
        <dam:isPortalAdminAccessAllowed id="tempCanUMDelegate" portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_USERS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=usersName%>"/>
        <dam:isPortalAdminAccessAllowed id="tempCanPageGrant" portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_PORTAL_PAGES %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=usersName%>"/>
        <dam:isPortalAdminAccessAllowed id="tempCanPageDelegate" portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_PORTAL_PAGES %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=usersName%>"/>
        <dam:isPortalAdminAccessAllowed id="tempCanPageEntitle" portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalEntitlementResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalEntitlementResourceConstants.ENTITLE_PORTAL_PAGES %>' capabilityKey='<%=PortalEntitlementResourceConstants.ENTITLEABLE%>' userName="<%=usersName%>"/>
        <dam:isPortalAdminAccessAllowed id="tempCanPortletGrant" portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_PORTLETS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=usersName%>"/>
        <dam:isPortalAdminAccessAllowed id="tempCanPortletDelegate" portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_PORTLETS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=usersName%>"/>
        <dam:isPortalAdminAccessAllowed id="tempCanPortletEntitle" portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalEntitlementResourceConstants.RESOURCE_TYPE%>' adminTask='<%=PortalEntitlementResourceConstants.ENTITLE_PORTLETS %>' capabilityKey='<%=PortalEntitlementResourceConstants.ENTITLEABLE%>' userName="<%=usersName%>"/>
        <dam:isPortalAdminAccessAllowed id="tempCanSkinGrant" portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_SKINS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=usersName%>"/>
        <dam:isPortalAdminAccessAllowed id="tempCanSkinDelegate" portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_SKINS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=usersName%>"/>
<%
        bUMGrant = tempCanUMGrant.booleanValue();
        bUMCanDelegate = tempCanUMDelegate.booleanValue();
        bPageGrant = tempCanPageGrant.booleanValue();
        bPageCanDelegate = tempCanPageDelegate.booleanValue();
        bPageCanEntitle = tempCanPageEntitle.booleanValue();
        bPortletGrant = tempCanPortletGrant.booleanValue();
        bPortletCanDelegate = tempCanPortletDelegate.booleanValue();
        bPortletCanEntitle = tempCanPortletEntitle.booleanValue();
        bSkinGrant = tempCanSkinGrant.booleanValue();
        bSkinCanDelegate = tempCanSkinDelegate.booleanValue();
      }
    }
  }
  else
  {
    //Has submitted local form
    String umGrant =request.getParameter("submitUMGrant");
    String umCanDelegate = request.getParameter("submitUMCanDelegate");
    String pageGrant = request.getParameter("submitPageGrant");
    String pageCanDelegate = request.getParameter("submitPageCanDelegate");
    String pageCanEntitle = request.getParameter("submitPageCanEntitle");
    String portletGrant = request.getParameter("submitPortletGrant");
    String portletCanDelegate = request.getParameter("submitPortletCanDelegate");
    String portletCanEntitle = request.getParameter("submitPortletCanEntitle");
    String skinGrant = request.getParameter("submitSkinGrant");
    String skinCanDelegate = request.getParameter("submitSkinCanDelegate");
    
    bUMGrant = (Boolean.valueOf(umGrant)).booleanValue();
    bUMCanDelegate = (Boolean.valueOf(umCanDelegate)).booleanValue();
    bPageGrant = (Boolean.valueOf(pageGrant)).booleanValue();
    bPageCanDelegate = (Boolean.valueOf(pageCanDelegate)).booleanValue();
    bPageCanEntitle = (Boolean.valueOf(pageCanEntitle)).booleanValue();
    bPortletGrant = (Boolean.valueOf(portletGrant)).booleanValue();
    bPortletCanDelegate = (Boolean.valueOf(portletCanDelegate)).booleanValue();
    bPortletCanEntitle = (Boolean.valueOf(portletCanEntitle)).booleanValue();
    bSkinGrant = (Boolean.valueOf(skinGrant)).booleanValue();
    bSkinCanDelegate = (Boolean.valueOf(skinCanDelegate)).booleanValue();
    
    if ( newAdmin )
    {
      if ( scope.equals( "Group" ) ) 
      {
%>
        <dam:addGroupAdmin userName="<%=usersName%>" groupPortal="<%=currentGroupPortal%>" />
<%    }
      else
      {
%>
        <dam:addPortalAdmin userName="<%=usersName%>" portalIdentifier ="<%=currentGroupPortal.getPortalIdentifier()%>" />
<%
      }
    }      
    //We only want to try to set resources if we were successful in the creation of the user
    String logId = (String)pageContext.getAttribute("logId");
    if(logId == null)
    {
      if ( scope.equals( "Group" ) ) 
      {
        //We need to check access before we set because if we don't and we set it (even though it's false)
        // we'll get a security violation
        if(canUsersDelegate)
        {
%>          
          <dam:setGroupAdminAccessAllowed groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_USERS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=usersName%>" capabilityValue="<%=umGrant%>"/>
          <dam:setGroupAdminAccessAllowed groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_USERS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=usersName%>" capabilityValue="<%=umCanDelegate%>"/>
<%
        }
        if(canPortalPagesDelegate)
        {
%>
          <dam:setGroupAdminAccessAllowed groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_PORTAL_PAGES %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=usersName%>" capabilityValue="<%=pageGrant%>"/>
          <dam:setGroupAdminAccessAllowed groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_PORTAL_PAGES %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=usersName%>" capabilityValue="<%=pageCanDelegate%>"/>
<%
        }
        if(canPortalPagesEntitle)
        {
%>
          <dam:setGroupAdminAccessAllowed groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalEntitlementResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalEntitlementResourceConstants.ENTITLE_PORTAL_PAGES %>' capabilityKey='<%=PortalEntitlementResourceConstants.ENTITLEABLE%>' userName="<%=usersName%>" capabilityValue="<%=pageCanEntitle%>"/>
<%
        }
        if(canPortletsDelegate)
        {
%>
          <dam:setGroupAdminAccessAllowed groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_PORTLETS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=usersName%>" capabilityValue="<%=portletGrant%>"/>
          <dam:setGroupAdminAccessAllowed groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_PORTLETS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=usersName%>" capabilityValue="<%=portletCanDelegate%>"/>
<%
        }
        if(canPortletsEntitle)
        {
%>
          <dam:setGroupAdminAccessAllowed groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalEntitlementResourceConstants.RESOURCE_TYPE%>' adminTask='<%=PortalEntitlementResourceConstants.ENTITLE_PORTLETS %>' capabilityKey='<%=PortalEntitlementResourceConstants.ENTITLEABLE%>' userName="<%=usersName%>" capabilityValue="<%=portletCanEntitle%>"/>
<%
        }
        if(canSkinsDelegate)
        {
%>
          <dam:setGroupAdminAccessAllowed groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_SKINS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=usersName%>" capabilityValue="<%=skinGrant%>"/>
          <dam:setGroupAdminAccessAllowed groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_SKINS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=usersName%>" capabilityValue="<%=skinCanDelegate%>"/>
<%
        }
      }
      else 
      { 
        //We need to check access before we set because if we don't and we set it (even though it's false)
        // we'll get a security violation
        if(canUsersDelegate)
        {
%>          
          <dam:setPortalAdminAccessAllowed portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_USERS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=usersName%>" capabilityValue="<%=umGrant%>"/>
          <dam:setPortalAdminAccessAllowed portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_USERS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=usersName%>" capabilityValue="<%=umCanDelegate%>"/>
<%
        }
        if(canPortalPagesDelegate)
        {
%>
          <dam:setPortalAdminAccessAllowed portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_PORTAL_PAGES %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=usersName%>" capabilityValue="<%=pageGrant%>"/>
          <dam:setPortalAdminAccessAllowed portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_PORTAL_PAGES %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=usersName%>" capabilityValue="<%=pageCanDelegate%>"/>
<%
        }
        if(canPortalPagesEntitle)
        {
%>
          <dam:setPortalAdminAccessAllowed portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalEntitlementResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalEntitlementResourceConstants.ENTITLE_PORTAL_PAGES %>' capabilityKey='<%=PortalEntitlementResourceConstants.ENTITLEABLE%>' userName="<%=usersName%>" capabilityValue="<%=pageCanEntitle%>"/>
<%
        }
        if(canPortletsDelegate)
        {
%>
          <dam:setPortalAdminAccessAllowed portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_PORTLETS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=usersName%>" capabilityValue="<%=portletGrant%>"/>
          <dam:setPortalAdminAccessAllowed portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_PORTLETS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=usersName%>" capabilityValue="<%=portletCanDelegate%>"/>
<%
        }
        if(canPortletsEntitle)
        {
%>
          <dam:setPortalAdminAccessAllowed portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalEntitlementResourceConstants.RESOURCE_TYPE%>' adminTask='<%=PortalEntitlementResourceConstants.ENTITLE_PORTLETS %>' capabilityKey='<%=PortalEntitlementResourceConstants.ENTITLEABLE%>' userName="<%=usersName%>" capabilityValue="<%=portletCanEntitle%>"/>
<%
        }
        if(canSkinsDelegate)
        {
%>
          <dam:setPortalAdminAccessAllowed portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_SKINS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=usersName%>" capabilityValue="<%=skinGrant%>"/>
          <dam:setPortalAdminAccessAllowed portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_SKINS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=usersName%>" capabilityValue="<%=skinCanDelegate%>"/>
<%      }
      }      
%>  
     <%-- The following form and associated javascript allow for the "page forward" on a successful save --%>  
<%
      //We only want to forward if there have been no generated errors within the tags
      logId = (String)pageContext.getAttribute("logId");
      if(logId == null)
      {
        String params = "backEvent=" + backEvent;
%>
        <SCRIPT LANGUAGE="JavaScript">
          window.location.replace("<wf:createWebflowURL namespace='admin_portal' event='<%=backLink%>' extraParams='<%=params%>'/>");
        </SCRIPT>
<%    }
    }  
    request.setAttribute("backEvent", backEvent);
  }
%>

<%-- ------------------------------------------------------------ --%>
<%-- begin rendering                                              --%>
<%-- ------------------------------------------------------------ --%>
<HTML>
<HEAD>
  <TITLE>
<%  if(scope.equals( "Group" ))
    {
      if(newAdmin)
      {
%>
          <i18n:getMessage messageName='pageTitleNewGroup'/>
<%          
      }
      else
      {
%>
          <i18n:getMessage messageName='pageTitleEditGroup'/>
<%          
      }
    }
    else
    {
        if(newAdmin)
        {
%>
          <i18n:getMessage messageName='pageTitleNewPortal'/>
<%          
        }
        else
        {
%>
          <i18n:getMessage messageName='pageTitleEditPortal'/>
<%          
        }
    }
%>
  </TITLE>
  <LINK REL=StyleSheet HREF="<wf:createResourceURL resource='<%=cssFile%>'/>" TYPE="text/css" MEDIA="screen">
  
  <%-- ------------------------------------------------------------ --%>
  <%-- JavaScript setup                                             --%>
  <%-- ------------------------------------------------------------ --%>
  <SCRIPT LANGUAGE="JavaScript">
    <!-- Begin hide from old browsers

    // store the user selection state to control the execution of various
    // 'onLoad' related code blocks
    var jsIsUserSelected = <%=isUserSelected%>;
    var NN4 = document.layers? true : false; //Netscape Navigator 4.x.
    function userManagementCheckBox()
    {
      // a valid user must be selected
      if (!jsIsUserSelected) { return; }
      if(NN4)
      {
        // Begin Netscape 4 logic
        if(document.forms["fUMGrant"].elements["umGrant"].checked == true)
        {
          document.layers.dUMCanDelegate.visibility = "show";
        }
        else
        {
          document.layers["dUMCanDelegate"].document.forms["fUMCanDelegate"].elements["umCanDelegate"].checked = false;
          document.layers.dUMCanDelegate.visibility = "hidden";
        }
      }
      else
      {
        // Begin IE5+ and Netscape 6+ logic
        if(document.getElementById('umGrant').checked == true)
        {
          document.getElementById('dUMCanDelegate').style.visibility = "visible";
        }
        else
        {
          document.getElementById('umCanDelegate').checked = false;
          document.getElementById('dUMCanDelegate').style.visibility = "hidden";
        }
      }
    }
 
    function portalpageCheckBox()
    {
      // a valid user must be selected
      if (!jsIsUserSelected) { return; }
      if(NN4)
      {
        // Begin Netscape 4 logic
        if(document.forms["fPageGrant"].elements["pageGrant"].checked == true)
        {
          document.layers.dPageCanDelegate.visibility = "show";
          document.layers.dPageCanEntitle.visibility = "show";
        }
        else
        {
          document.layers["dPageCanDelegate"].document.forms["fPageCanDelegate"].elements["pageCanDelegate"].checked = false;
          document.layers["dPageCanEntitle"].document.forms["fPageCanEntitle"].elements["pageCanEntitle"].checked = false;
          document.layers.dPageCanDelegate.visibility = "hidden";
          document.layers.dPageCanEntitle.visibility = "hidden";
        }
      }
      else
      {
        // Begin IE5+ and Netscape 6+ logic
        if(document.getElementById('pageGrant').checked == true)
        {
          document.getElementById('dPageCanDelegate').style.visibility = "visible";
          document.getElementById('dPageCanEntitle').style.visibility = "visible";
        }
        else
        {
          document.getElementById('pageCanDelegate').checked = false;
          document.getElementById('pageCanEntitle').checked = false;
          document.getElementById('dPageCanDelegate').style.visibility = "hidden";
          document.getElementById('dPageCanEntitle').style.visibility = "hidden";
        }
      }
    }
  
  function portletCheckBox()
  {
    // a valid user must be selected
    if (!jsIsUserSelected) { return; }
    if(NN4)
    {
      // Begin Netscape 4 logic
      if(document.forms["fPortletGrant"].elements["portletGrant"].checked == true)
      {
        document.layers.dPortletCanDelegate.visibility = "show";
        document.layers.dPortletCanEntitle.visibility = "show";
      }
      else
      {
        document.layers["dPortletCanDelegate"].document.forms["fPortletCanDelegate"].elements["portletCanDelegate"].checked = false;
        document.layers["dPortletCanEntitle"].document.forms["fPortletCanEntitle"].elements["portletCanEntitle"].checked = false;
        document.layers.dPortletCanDelegate.visibility = "hidden";
        document.layers.dPortletCanEntitle.visibility = "hidden";
      }
    }
    else
    {
      // Begin IE5+ and Netscape 6+ logic
      if(document.getElementById('portletGrant').checked == true)
      {
        document.getElementById('dPortletCanDelegate').style.visibility = "visible";
        document.getElementById('dPortletCanEntitle').style.visibility = "visible";
      }
      else
      {
        document.getElementById('portletCanDelegate').checked = false;
        document.getElementById('portletCanEntitle').checked = false;
        document.getElementById('dPortletCanDelegate').style.visibility = "hidden";
        document.getElementById('dPortletCanEntitle').style.visibility = "hidden";
      }
    }
  }

  function skinCheckBox()
  {
    // a valid user must be selected
    if (!jsIsUserSelected) { return; }
    if(NN4)
    {
      // Begin Netscape 4 logic
      if(document.forms["fSkinGrant"].elements["skinGrant"].checked == true)
      {
        document.layers.dSkinCanDelegate.visibility = "show";
      }
      else
      {
        document.layers["dSkinCanDelegate"].document.forms["fSkinCanDelegate"].elements["skinCanDelegate"].checked = false;
        document.layers.dSkinCanDelegate.visibility = "hidden";
      }
    }
    else
    {
      // Begin IE5+ and Netscape 6+ logic
      if(document.getElementById('skinGrant').checked == true)
      {
        document.getElementById('dSkinCanDelegate').style.visibility = "visible";
      }
      else
      {
        document.getElementById('skinCanDelegate').checked = false;
        document.getElementById('dSkinCanDelegate').style.visibility = "hidden";
      }
    }
  }

  function checkBoxHarvest()
  {
    // a valid user must be selected
    if (!jsIsUserSelected) { return; }

    //TODO:  Check all browser compatibility
    if(NN4)
    {
      // Begin Netscape 4 logic
      document.forms["SubmitForm"].elements["submitUMGrant"].value = document.forms["fUMGrant"].elements["umGrant"].checked;
      document.forms["SubmitForm"].elements["submitUMCanDelegate"].value = document.layers["dUMCanDelegate"].document.forms["fUMCanDelegate"].elements["umCanDelegate"].checked;
      document.forms["SubmitForm"].elements["submitPageGrant"].value = document.forms["fPageGrant"].elements["pageGrant"].checked;
      document.forms["SubmitForm"].elements["submitPageCanDelegate"].value = document.layers["dPageCanDelegate"].document.forms["fPageCanDelegate"].elements["pageCanDelegate"].checked;
      document.forms["SubmitForm"].elements["submitPageCanEntitle"].value = document.layers["dPageCanEntitle"].document.forms["fPageCanEntitle"].elements["pageCanEntitle"].checked;
      document.forms["SubmitForm"].elements["submitPortletGrant"].value = document.forms["fPortletGrant"].elements["portletGrant"].checked;
      document.forms["SubmitForm"].elements["submitPortletCanDelegate"].value = document.layers["dPortletCanDelegate"].document.forms["fPortletCanDelegate"].elements["portletCanDelegate"].checked;
      document.forms["SubmitForm"].elements["submitPortletCanEntitle"].value = document.layers["dPortletCanEntitle"].document.forms["fPortletCanEntitle"].elements["portletCanEntitle"].checked;
      document.forms["SubmitForm"].elements["submitSkinGrant"].value = document.forms["fSkinGrant"].elements["skinGrant"].checked;
      document.forms["SubmitForm"].elements["submitSkinCanDelegate"].value = document.layers["dSkinCanDelegate"].document.forms["fSkinCanDelegate"].elements["skinCanDelegate"].checked;
    }
    else
    {
      // Begin IE5+ and Netscape 6+ logic
      document.getElementById('submitUMGrant').value = document.getElementById('umGrant').checked;
      document.getElementById('submitUMCanDelegate').value = document.getElementById('umCanDelegate').checked;
      document.getElementById('submitPageGrant').value = document.getElementById('pageGrant').checked;
      document.getElementById('submitPageCanDelegate').value = document.getElementById('pageCanDelegate').checked;
      document.getElementById('submitPageCanEntitle').value = document.getElementById('pageCanEntitle').checked;
      document.getElementById('submitPortletGrant').value = document.getElementById('portletGrant').checked;
      document.getElementById('submitPortletCanDelegate').value = document.getElementById('portletCanDelegate').checked;
      document.getElementById('submitPortletCanEntitle').value = document.getElementById('portletCanEntitle').checked;
      document.getElementById('submitSkinGrant').value = document.getElementById('skinGrant').checked;
      document.getElementById('submitSkinCanDelegate').value = document.getElementById('skinCanDelegate').checked;
    }

    document.SubmitForm.submit();
  }

  function deleteConfimation(message)
  {
    if(confirm(message))
    {
      document.RemoveForm.submit();
    }
  }
  // End hide from old browsers -->
</SCRIPT>
<%-- ------------------------------------------------------------ --%>
<%-- end JavaScript setup                                         --%>
<%-- ------------------------------------------------------------ --%>

</HEAD>
<BODY ONLOAD="userManagementCheckBox(), portalpageCheckBox(), portletCheckBox(), skinCheckBox()" leftmargin="0" rightmargin="0" marginwidth="0" marginheight="0" STYLE='BACKGROUND-IMAGE:url("<wf:createResourceURL resource='<%=imagesPath + "bg_subpage.gif"%>'/>"); BACKGROUND-REPEAT: no-repeat; BACKGROUND-POSITION:left top;'>

<!-- Begin top nav bar -->
<%@ include file="/tools/util/admin_header.inc"%>
<!-- End top nav bar -->

<!-- This is the uber table that contains two table data cells: one for the left nav, the other for the main page layout -->
  <TABLE border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
    <TR>
      <TD align="left" valign="top" class="sidenav" width="1%">
        <!-- include  table for left nav bar -->
<%      if( (new Boolean(isDefaultGroup)).booleanValue() )
        {
%>
          <jsp:include page="left_navbar_portal_admin.jsp"/>
<%      }
        else
        {
%>
          <jsp:include page="left_navbar.jsp"/>
<%      }
%>
      </TD>
      <TD align="center" valign="top" width="2%">
        <!-- spacer cell -->
        &nbsp;&nbsp;
      </TD>

      <!-- begin table for main content area -->
      <TD align="left" valign="top">
        <%-- Include the error message display logic --%>
        <%@ include file="/tools/util/error_message.inc"%>

<%
        // Creation of message arguments
        Object[] args = new Object[] { cnvrtSC(selectedUserMessage) };
%>
<%  if(scope.equals( "Group" ))
    {
      if(newAdmin)
      {
%>
        <SPAN class="pageheader"><i18n:getMessage messageName='portalDisplayNewGroup' messageArgs='<%=args%>'/></span><BR>
<%          
      }
      else
      {
%>
        <SPAN class="pageheader"><i18n:getMessage messageName='portalDisplayEditGroup' messageArgs='<%=args%>'/></span><BR>
<%          
      }
    }
    else
    {
      if(newAdmin)
      {
%>
        <SPAN class="pageheader"><i18n:getMessage messageName='portalDisplayNewPortal' messageArgs='<%=args%>'/></span><BR>
<%            
      }
      else
      {
%>
        <SPAN class="pageheader"><i18n:getMessage messageName='portalDisplayEditPortal' messageArgs='<%=args%>'/></span><BR>
<%          
      }
    }
%>
        <SPAN class="instructions"><i18n:getMessage messageName='portalDisplaySubHead'/></span>
        <br><br>

        <!-- start Webflow/Pipeline enabled FORM -->

<%      if ( isUserSelected && !newAdmin)
        {
%>
          <TABLE>
            <TR>
              <TD>
                <wf:form namespace="admin_portal" event="link.edit_delegated_admin" origin="delegated_admin.jsp" hide="true" method="post" name="RemoveForm">
<%
                  args = new Object[] { selectedUserMessage };
%>
                  <i18n:getMessage id='deleteConfimation' messageName='deleteConfimation' messageArgs='<%=args%>'/>
                  <A HREF="javascript:deleteConfimation('<%=deleteConfimation%>')"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "remove_admin.gif"%>'/>" border="0" align="top" alt="<i18n:getMessage messageName='removeAdmin'/>"></A>
                  <INPUT TYPE="HIDDEN" NAME="group_users" VALUE="<%=usersName%>">
                  <INPUT TYPE="HIDDEN" NAME="submitRemove" VALUE="true">
                  <INPUT TYPE="HIDDEN" NAME="backEvent" VALUE="<%=backEvent%>">
                </wf:form>
              </TD>
            </TR>
          </TABLE>
<%      }
%>

        <!-- END TODO -->
  
  <%
        if ( isUserSelected )
        {
          // number of labels in category listing header section
          int numberOfLabels = 4;
  
          if(canUsersDelegate || canSkinsDelegate || canPortalPagesDelegate || canPortletsDelegate)
          {  
  %>  
            <TABLE cellspacing="0" cellpadding="0" border="0">
              <TR>
                <TD align="left" valign="top" rowspan="2">
                  <!-- category listing left hand side -->
                  <jsp:include page="category_list_header_lhs.jsp"/>
                </TD>
          
                <!-- It may seem strange to put a td width of 1000 in here, but after much trial and error this is the only way Netscape will maintain the fixed border widths along with the liquid, stretchable layout of the table -->
                <TD class="categoryHeadingBorderCell" colspan="<%=numberOfLabels%>" height="1px" width="1000"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
          
                <TD align="left" valign="top" rowspan="2">
                  <!-- category listing right hand side -->
                  <jsp:include page="category_list_header_rhs.jsp"/>
                </TD>
              </TR>
          
              <TR>
                <!-- * START LABELS                                                               -->
                <TD class="categoryHeadingCell" align="left" nowrap><i18n:getMessage messageName='adminTasks'/></TD>
                <TD class="categoryHeadingCell" align="center" nowrap><i18n:getMessage messageName='canGrantLabel'/></TD>
                <TD class="categoryHeadingCell" align="center" nowrap><i18n:getMessage messageName='canDelegateLabel'/></TD>
<%   if (canPortletsEntitle || canPortalPagesEntitle)
     {
%>              <TD class="categoryHeadingCell" align="center" nowrap><i18n:getMessage messageName='canSetEntitlementsLabel'/></TD>
<%   } else {
%>              <TD class="categoryHeadingCell" align="center" nowrap>&nbsp;</TD>
<%   }
%>
                <!-- * END LABELS                                                                 -->
              </TR>
          
              <!-- This creates the dark green line at the bottom of the green header -->
              <TR>
                <TD class="categoryHeadingBorderCell" colspan="<%=(numberOfLabels+2)%>" height="1"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
              </TR>
          
              <%-- Note:  The if/else statements with the form and div elements are there for the sake of
                          the javascript.  If the form and div elements aren't represented on the page, the
                          javascript functionality (hiding the checkboxes) goes away.  Hence, the need for
                          the 'HIDDEN' elements in the else statements.
              --%>          
              <!-- Begining of User Management row -->
  <%          
              //Initialize a variable we'll use for formating purposes (if rowFormat is odd, we
              // display the row in white, if even, display in gray).  This alternates white and gray
              // and we don't worry about how many rows we have
              int rowFormat = 1;
              String classFormat = null;
              if(canUsersDelegate)
              {
                if((rowFormat%2) == 0)
                {
                  classFormat = "row2";
                }
                else
                {
                  classFormat = "row1";
                }
                rowFormat = rowFormat + 1;
  %>        
                <!-- START DETAIL ROW -->
                <TR>
                  <TD class="<%=classFormat%>">&nbsp;</TD>
              
                  <!-- * START DETAIL -->
                  <TD class="<%=classFormat%>" align="left" valign="middle" nowrap>
                    <i18n:getMessage messageName='userManagementLabel'/>
                  </TD>
                  <TD class="<%=classFormat%>" align="center" valign="middle">
                    <FORM NAME="fUMGrant">
                      <INPUT TYPE="CHECKBOX" name="umGrant" id="umGrant" onclick="userManagementCheckBox()" <%if(bUMGrant){%>CHECKED<%}%>>
                    </FORM>
                  </TD>
                  <TD class="<%=classFormat%>" align="center" valign="middle">
                    <DIV ID="dUMCanDelegate" STYLE="position:relative; visibility:show;">
                      <FORM NAME="fUMCanDelegate">
                        <INPUT TYPE="CHECKBOX" name="umCanDelegate" id="umCanDelegate" <%if(bUMCanDelegate){%>CHECKED<%}%>>
                      </FORM>
                    </DIV>
                  </TD>
                  <TD class="<%=classFormat%>" align="center" valign="middle">&nbsp;
                    
                  </TD>
                  <!-- * END DETAIL -->
              
                  <TD class="<%=classFormat%>">&nbsp;</TD>
                </TR>
                <!-- END DETAIL ROW -->
  <%          }
              else
              {
  %>
                <TR>
                  <TD>
                    <FORM NAME="fUMGrant">
                      <INPUT TYPE="HIDDEN" name="umGrant" id="umGrant" onclick="userManagementCheckBox()" <%if(bUMGrant){%>CHECKED<%}%>>
                    </FORM>
                  </TD>
                  <TD>
                    <DIV ID="dUMCanDelegate" STYLE="position:relative; visibility:show;">
                      <FORM NAME="fUMCanDelegate">
                        <INPUT TYPE="HIDDEN" name="umCanDelegate" id="umCanDelegate" <%if(bUMCanDelegate){%>CHECKED<%}%>>
                      </FORM>
                    </DIV>
                  </TD>
                </TR>
  <%
              }
  %>
              <!-- End of User Management row -->
          
              <!-- Begining of Portal Page Management row -->
  <%          if(canPortalPagesDelegate)
              {
                if((rowFormat%2) == 0)
                {
                  classFormat = "row2";
                }
                else
                {
                  classFormat = "row1";
                }
                rowFormat = rowFormat + 1;
  %>        
                <!-- START DETAIL ROW -->
                <TR>
                  <TD class="<%=classFormat%>">&nbsp;</TD>
              
                  <!-- * START DETAIL -->
                  <TD class="<%=classFormat%>" align="left" valign="middle" nowrap>
                    <i18n:getMessage messageName='portalPageManagementLabel'/>
                  </TD>
                  <TD class="<%=classFormat%>" align="center" valign="middle">
                    <FORM NAME="fPageGrant">
                      <INPUT TYPE="CHECKBOX" name="pageGrant" ID="pageGrant" ONCLICK="portalpageCheckBox()" <%if(bPageGrant){%>CHECKED<%}%>>
                    </FORM>
                  </TD>
                  <TD class="<%=classFormat%>" align="center" valign="middle">
                    <DIV ID="dPageCanDelegate" STYLE="position:relative; visibility:show;">
                      <FORM NAME="fPageCanDelegate">
                        <INPUT TYPE="CHECKBOX" name="pageCanDelegate" id="pageCanDelegate" <%if(bPageCanDelegate){%>CHECKED<%}%>>
                      </FORM>
                    </DIV>
                  </TD>
  <%              if(canPortalPagesEntitle)
                  {
  %>
                    <TD class="<%=classFormat%>" align="center" valign="middle">
                      <DIV ID="dPageCanEntitle" STYLE="position:relative; visibility:show;">
                        <FORM NAME="fPageCanEntitle">
                          <INPUT TYPE="CHECKBOX" name="pageCanEntitle" ID="pageCanEntitle" <%if(bPageCanEntitle){%>CHECKED<%}%>>
                        </FORM>
                      </DIV>
                    </TD>
  <%              }
                  else
                  {
  %>
                    <TD class="<%=classFormat%>" align="center" valign="middle">
                      <DIV ID="dPageCanEntitle" STYLE="position:relative; visibility:show;">
                        <FORM NAME="fPageCanEntitle">
                          <INPUT TYPE="HIDDEN" name="pageCanEntitle" ID="pageCanEntitle" <%if(bPageCanEntitle){%>CHECKED<%}%>>
                        </FORM>
                      </DIV>
                    </TD>
  <%              }
  %>
                  <!-- * END DETAIL -->
              
                  <TD class="<%=classFormat%>">&nbsp;</TD>
                </TR>
                <!-- END DETAIL ROW -->
  <%          }
              else
              {
  %>
                <TR>
                  <TD>
                    <FORM NAME="fPageGrant">
                      <INPUT TYPE="HIDDEN" name="pageGrant" ID="pageGrant" ONCLICK="portalpageCheckBox()" <%if(bPageGrant){%>CHECKED<%}%>>
                    </FORM>
                  </TD>
                  <TD>
                    <DIV ID="dPageCanDelegate" STYLE="position:relative; visibility:show;">
                      <FORM NAME="fPageCanDelegate">
                        <INPUT TYPE="HIDDEN" name="pageCanDelegate" id="pageCanDelegate" <%if(bPageCanDelegate){%>CHECKED<%}%>>
                      </FORM>
                    </DIV>
                  </TD>
                  <TD>
                    <DIV ID="dPageCanEntitle" STYLE="position:relative; visibility:show;">
                      <FORM NAME="fPageCanEntitle">
                        <INPUT TYPE="HIDDEN" name="pageCanEntitle" ID="pageCanEntitle" <%if(bPageCanEntitle){%>CHECKED<%}%>>
                      </FORM>
                    </DIV>
                  </TD>
                </TR>
  <%
              }
  %>
              <!-- End of Portal Page Management row -->
          
              <!-- Begining of Portlet Management row -->
  <%          if(canPortletsDelegate)
              {
                if((rowFormat%2) == 0)
                {
                  classFormat = "row2";
                }
                else
                {
                  classFormat = "row1";
                }
                rowFormat = rowFormat + 1;
  %>        
                <!-- START DETAIL ROW -->
                <TR>
                  <TD class="<%=classFormat%>">&nbsp;</TD>
              
                  <!-- * START DETAIL -->
                  <TD class="<%=classFormat%>" align="left" valign="middle" nowrap>
                    <i18n:getMessage messageName='portletManagementLabel'/>
                  </TD>
                  <TD class="<%=classFormat%>" align="center" valign="middle">
                    <FORM NAME="fPortletGrant">
                      <INPUT TYPE="CHECKBOX" name="portletGrant" id="portletGrant" ONCLICK="portletCheckBox()" <%if(bPortletGrant){%>CHECKED<%}%>>
                    </FORM>
                  </TD>
                  <TD class="<%=classFormat%>" align="center" valign="middle">
                    <DIV ID="dPortletCanDelegate" STYLE="position:relative; visibility:show;">
                      <FORM NAME="fPortletCanDelegate">
                        <INPUT TYPE="CHECKBOX" name="portletCanDelegate" id="portletCanDelegate" <%if(bPortletCanDelegate){%>CHECKED<%}%>>
                      </FORM>
                    </DIV>
                  </TD>
  <%              if(canPortletsEntitle)
                  {
  %>
                    <TD class="<%=classFormat%>" align="center" valign="middle">
                      <DIV ID="dPortletCanEntitle" STYLE="position:relative; visibility:show;">
                        <FORM NAME="fPortletCanEntitle">
                          <INPUT TYPE="CHECKBOX" name="portletCanEntitle" id="portletCanEntitle" <%if(bPortletCanEntitle){%>CHECKED<%}%>>
                        </FORM>
                      </DIV>
                    </TD>
  <%              }
                  else
                  {
  %>
                    <TD class="<%=classFormat%>" align="center" valign="middle">
                      <DIV ID="dPortletCanEntitle" STYLE="position:relative; visibility:show;">
                        <FORM NAME="fPortletCanEntitle">
                          <INPUT TYPE="HIDDEN" name="portletCanEntitle" id="portletCanEntitle" <%if(bPortletCanEntitle){%>CHECKED<%}%>>
                        </FORM>
                      </DIV>
                    </TD>
  <%          
                  }
  %>
                  <!-- * END DETAIL -->
              
                  <TD class="<%=classFormat%>">&nbsp;</TD>
                </TR>
                <!-- END DETAIL ROW -->
  <%          }
              else
              {
  %>
                <TR>
                  <TD>
                    <FORM NAME="fPortletGrant">
                      <INPUT TYPE="HIDDEN" name="portletGrant" id="portletGrant" ONCLICK="portletCheckBox()" <%if(bPortletGrant){%>CHECKED<%}%>>
                    </FORM>
                  </TD>
                  <TD>
                    <DIV ID="dPortletCanDelegate" STYLE="position:relative; visibility:show;">
                      <FORM NAME="fPortletCanDelegate">
                        <INPUT TYPE="HIDDEN" name="portletCanDelegate" id="portletCanDelegate" <%if(bPortletCanDelegate){%>CHECKED<%}%>>
                      </FORM>
                    </DIV>
                  </TD>
                  <TD>
                    <DIV ID="dPortletCanEntitle" STYLE="position:relative; visibility:show;">
                      <FORM NAME="fPortletCanEntitle">
                        <INPUT TYPE="HIDDEN" name="portletCanEntitle" id="portletCanEntitle" <%if(bPortletCanEntitle){%>CHECKED<%}%>>
                      </FORM>
                    </DIV>
                  </TD>
                </TR>
  <%
              }
  %>
              <!-- End of Portlet Management row -->
          
              <!-- Begining of Skins Management row -->
  <%          if(canSkinsDelegate)
              {
                if((rowFormat%2) == 0)
                {
                  classFormat = "row2";
                }
                else
                {
                  classFormat = "row1";
                }
                rowFormat = rowFormat + 1;
  %>        
                <!-- START DETAIL ROW -->
                <TR>
                  <TD class="<%=classFormat%>">&nbsp;</TD>
              
                  <!-- * START DETAIL -->
                  <TD class="<%=classFormat%>" align="left" valign="middle" nowrap>
                    <i18n:getMessage messageName='skinsManagementLabel'/>
                  </TD>
                  <TD class="<%=classFormat%>" align="center" valign="middle">
                    <FORM NAME="fSkinGrant">
                      <INPUT TYPE="CHECKBOX" name="skinGrant" id="skinGrant" ONCLICK="skinCheckBox()" <%if(bSkinGrant){%>CHECKED<%}%>>
                    </FORM>
                  </TD>
                  <TD class="<%=classFormat%>" align="center" valign="middle">
                    <DIV ID="dSkinCanDelegate" STYLE="position:relative; visibility:show;">
                      <FORM NAME="fSkinCanDelegate">
                        <INPUT TYPE="CHECKBOX" name="skinCanDelegate" id="skinCanDelegate" <%if(bSkinCanDelegate){%>CHECKED<%}%>>
                      </FORM>
                    </DIV>
                  </TD>
                  <TD class="<%=classFormat%>" align="center" valign="middle">&nbsp;
                  </TD>
                  <!-- * END DETAIL -->
              
                  <TD class="<%=classFormat%>">&nbsp;</TD>
                </TR>
                <!-- END DETAIL ROW -->
  <%          }
              else
              {
  %>
                <TR>
                  <TD>
                    <FORM NAME="fSkinGrant">
                      <INPUT TYPE="HIDDEN" name="skinGrant" id="skinGrant" ONCLICK="skinCheckBox()" <%if(bSkinGrant){%>CHECKED<%}%>>
                    </FORM>
                  </TD>
                  <TD>
                    <DIV ID="dSkinCanDelegate" STYLE="position:relative; visibility:show;">
                      <FORM NAME="fSkinCanDelegate">
                        <INPUT TYPE="HIDDEN" name="skinCanDelegate" id="skinCanDelegate" <%if(bSkinCanDelegate){%>CHECKED<%}%>>
                      </FORM>
                    </DIV>
                  </TD>
                </TR>
  <%
              }
  %>
              <!-- End of Skins Management row -->
            </TABLE>
            <br>
  
            <!-- start Webflow/Pipeline enabled FORM -->
            <!-- Need to put whole form into logic because wf:form won't take expressions for event -->
  <%        String formEvent = "link.edit_delegated_admin";
            if(newAdmin)
            {
              formEvent = "link.new_delegated_admin";
            }
  %>   
            <TABLE cellspacing="0" cellpadding="0" border="0" width="100%">
             <TR>
               <TD>
<%               String backParams = "backEvent=" + backEvent;
%>               
                 <wf:form namespace="admin_portal" event="<%=formEvent%>" origin="delegated_admin.jsp" hide="true" method="post" name="SubmitForm">
                    &nbsp;&nbsp;
                    <A HREF="<wf:createWebflowURL namespace='admin_portal' event='<%=backLink%>' extraParams='<%=backParams%>'/>"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "back.gif"%>'/>" border="0" align="bottom"></A>&nbsp;&nbsp;&nbsp;&nbsp;
                    <INPUT TYPE="HIDDEN" NAME="submitUMGrant" ID="submitUMGrant">
                    <INPUT TYPE="HIDDEN" NAME="submitUMCanDelegate" ID="submitUMCanDelegate">
                    <INPUT TYPE="HIDDEN" NAME="submitPageGrant" ID="submitPageGrant">
                    <INPUT TYPE="HIDDEN" NAME="submitPageCanDelegate" ID="submitPageCanDelegate">
                    <INPUT TYPE="HIDDEN" NAME="submitPageCanEntitle" ID="submitPageCanEntitle">
                    <INPUT TYPE="HIDDEN" NAME="submitPortletGrant" ID="submitPortletGrant">
                    <INPUT TYPE="HIDDEN" NAME="submitPortletCanDelegate" ID="submitPortletCanDelegate">
                    <INPUT TYPE="HIDDEN" NAME="submitPortletCanEntitle" ID="submitPortletCanEntitle">
                    <INPUT TYPE="HIDDEN" NAME="submitSkinGrant" ID="submitSkinGrant">
                    <INPUT TYPE="HIDDEN" NAME="submitSkinCanDelegate" ID="submitSkinCanDelegate">
                    <INPUT TYPE="HIDDEN" NAME="group_users" VALUE="<%=usersName%>">
                    <INPUT TYPE="HIDDEN" NAME="backEvent" VALUE="<%=backEvent%>">
                    <INPUT TYPE="HIDDEN" NAME="submitForm" VALUE="true">
                    <A HREF="javascript:checkBoxHarvest()"><IMG  SRC="<wf:createResourceURL resource='<%=imagesPath + "save.gif"%>'/>" border="0"></A>
                  </wf:form>
                </TD>
              </TR>
            </TABLE>
      
  <%      }  //End of if (check if any 'Delegate' entitlements)
          else
          {
  %>        <B><i18n:getMessage messageName='noDelegation'/></B>
  <%      }
  
        } // End of if ( isUserSelected )
        else
        {
  %>
          <BR>
          <A HREF="<wf:createWebflowURL namespace='admin_portal' event='<%=backLink%>'/>"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "back.gif"%>'/>" border="0" align="bottom"></A>
  <%
        }
  %>

      </TD>
      <!-- end content area -->

      <TD align="center" valign="top" width="2%">
        <!-- spacer cell -->
      </TD>
  
    </TR>
  </TABLE>

</BODY>
</HTML>
