<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>
<%@ page import="java.util.Enumeration"%>
<%@ page import="com.bea.p13n.property.PropertyDefinition"%>
<%@ page import="com.bea.p13n.property.PropertySet"%>
<%@ page import="com.bea.portal.admin.VisitorUserConstants"%>

<%-- TODO: consolidate vars ------------------------------------ --%>
<%
  List hiddenNamesList = new ArrayList();
  List hiddenValuesList = new ArrayList();
  String tempHiddenName;
  for (Enumeration hiddenValueNames = hiddenValues.keys() ; hiddenValueNames.hasMoreElements() ;) {
    tempHiddenName = (String)hiddenValueNames.nextElement();
    hiddenNamesList.add( tempHiddenName );
    hiddenValuesList.add( (String)hiddenValues.get(tempHiddenName) );
  }

  //This is for the Users page, we may need to pass these two variables around  
  String userNameInc = request.getParameter("userName");
  
  pageContext.setAttribute("userName", userNameInc, pageContext.REQUEST_SCOPE);
  
  String newUsersInc = request.getParameter("newUsers");
  
  String sIndex = request.getParameter("index");
  int iIndex = 0;
  if(sIndex != null && !sIndex.equals(""))
  {
    iIndex = Integer.parseInt(sIndex.trim());
  }
  if(iIndex < 0)
  {
    iIndex = 0;
  }

  //This is for the "Properties displayed per page" count.
  String sPropertyCount = request.getParameter("property_count");
  //If we're not posting to ourselves, check if there's a value in the pipeline
  if(sPropertyCount == null)
  {
%>
    <wf:getProperty property="property_count" id="sPropertyCountTemp" type="String"/>
<%
     sPropertyCount = sPropertyCountTemp;
  }
  
%>
  <i18n:getMessage messageName='propertiesDisplayed' id='propertiesDisplayed' bundleName='tools'/>
<%
  //In this part, we get the string from the tools.properties that is then turned into the 'Displayed
  // Per Page' drop down box.  We also need to get the number that will be the default
  propertiesDisplayed = propertiesDisplayed + ",";
  ArrayList propertiesDisplayedList = new ArrayList();
  String newNumber = null;
  while(propertiesDisplayed.length()>0)
  {
    newNumber = propertiesDisplayed.substring( 0, propertiesDisplayed.indexOf(",") );
    propertiesDisplayedList.add( newNumber.trim() );
    propertiesDisplayed = propertiesDisplayed.substring(propertiesDisplayed.indexOf(",") + 1, propertiesDisplayed.length());
  }

%>
  <i18n:getMessage messageName='propertiesDisplayedDefault' id='propertiesDisplayedDefault' bundleName='tools'/>
<%
  int iPropertyCount = Integer.parseInt(propertiesDisplayedDefault);
  if(sPropertyCount != null && !sPropertyCount.equals(""))
  {
    iPropertyCount = Integer.parseInt(sPropertyCount.trim());
%>
    <wf:setProperty property='property_count' value='<%=String.valueOf(iPropertyCount)%>' />
<%
  }
  
  //Set up the search string, if one is not passed in, do a search for all
  String searchString = request.getParameter("SearchString");
  //Handle the case were nothing was entered, we return all
  if (searchString == null || searchString == "") 
  {
    searchString = "*";
  }
  //If something was entered, we have to return the start index to 0, since we don't know how many will
  // be in the return set
  else
  {
    iIndex = 0;
  }
  
  //This is for the Property Set selection list.  We want to put it in the session for 
  // two reasons.  One, if the refresh the page from a different source than this list box.
  // Two, to persist throughout the user's session
  String selectedPropertySet = request.getParameter("selectedPropertySet");
  if(selectedPropertySet == null)
  {
%>
    <wf:getProperty property='selectedPropertySet' id='selectedPropertySetTemp' type='String'/>
<%
    selectedPropertySet = selectedPropertySetTemp;
  }
  if(selectedPropertySet != null && !selectedPropertySet.equals(""))
  {
%>
    <wf:setProperty property='selectedPropertySet' value='<%=selectedPropertySet%>' />
<%
  }
%>
  <%-- Get the list of Property Sets for this portal --%>
  <res:getPropertySets id='propertySetList' portalIdentifier='<%=currentGroupPortal.getPortalIdentifier()%>'/>
<%
  //Since all PropertySets are of type 'User', we can just use the PropertySet name as
  // it's identifier
  List propertySets = new ArrayList();
  for(int psCount=0;psCount<propertySetList.size();psCount++)
  {
    propertySets.add( (String)propertySetList.get(psCount) );
  }
  
  
  //Handle the 'first time in' case where a Property Set has not been selected, 
  // and is not in the pipeline.  However, we can only do this as long as we get 
  // something in the list.  If the list is populated, set it to the first in the list.
  Set setPropertyNames = new HashSet();
  Map propertiesMap = new HashMap();
  if(propertySets != null && propertySets.size() > 0 )
  {
    if(selectedPropertySet == null)
    {
      selectedPropertySet = (String)propertySets.get(0);
    }
%>
    <%-- Get the list of properties for the selected Property Set --%>
    <vum:getProperties id='tempPropertiesMap' propertySet='<%=selectedPropertySet%>'/>
  
<%
    propertiesMap = tempPropertiesMap;
    setPropertyNames = propertiesMap.keySet();
  }
  
  List propertiesListLarge = new ArrayList();
  propertiesListLarge.addAll(setPropertyNames);
  List propertiesListLargeSorted = null;
%>
  
  <es:notNull item='<%=propertiesListLarge%>'>
    <%-- Narrow list down from search params --%>
    <vum:stringSearchList id='propertiesListNarrowed' list='<%=propertiesListLarge%>' searchExp='<%=searchString%>'/>
<%  //Now, get the language so we can internationalize the sort.  This info got set when we called 
    //TODO:Actually use localize tag
    //  <i18n:localize/>
    String language = (String)pageContext.findAttribute("LANGUAGE");
    //Need to pass in a language to the sort tag, so default to english
    if(language.compareTo("") == 0 || language == null)
    {
      language = "en";
    }
%>
    <vum:stringListI18nSort id='propertiesListLargeSortedTemp'
                            list='<%=propertiesListNarrowed%>'
                            language='<%=language%>'/>
<%  propertiesListLargeSorted = propertiesListLargeSortedTemp;
%>
  </es:notNull>
<%
  //Now we need to get a smaller sublist to display
  int iMaxCount = propertiesListLargeSorted.size();
  int toIndex = iIndex+iPropertyCount;
  boolean propertyListIsEmpty = false;
  if(iMaxCount == 0)
  {
    propertyListIsEmpty = true;
  }
  if(iMaxCount < toIndex)
  {
    toIndex = iMaxCount;
  }
  List propertiesList = propertiesListLargeSorted.subList(iIndex,toIndex);
  String propertyName = null;
 
 //The following code is used to set the profile of either the user, or the group, depending on where
 // we're coming from
 String origin = request.getParameter("origin");
 String profileKey = null;
 String successorKey = null;

 if( origin.equals("choose_user.jsp") )
 {
   profileKey = pageContext.getAttribute("userName", pageContext.REQUEST_SCOPE).toString();
   successorKey = currentGroupPortal.getGroupIdentifier();
%>
   <um:getProfile profileKey="<%=profileKey%>" successorKey="<%=successorKey%>" groupOnly="false" scope="session"/>    
<%
 }
 else if ( ( origin.equals("left_navbar.jsp") ) || ( origin.equals("portal_edit.jsp") ) )
 {        
   profileKey = currentGroupPortal.getGroupIdentifier();        
%>
   <um:getProfile profileKey="<%=profileKey%>" groupOnly="true" scope="session"/>    
<%        
 }
%>
<%
com.bea.p13n.usermgmt.profile.ProfileWrapper w = com.bea.p13n.usermgmt.SessionHelper.getProfile(request);
%>  

  <%-- END TODO: -------------------------------------------------- --%>

  <%-- ------------------------------------------------------------ --%>
  <%-- begin JavaScript setup                                       --%>
  <%-- ------------------------------------------------------------ --%>
   
  <SCRIPT LANGUAGE="JavaScript">
    <!-- Begin hide from old browsers
      function submitPerPage()
      {
        this.document.indexForm.submit();
      }

      function submitPropertySet()
      {
        this.document.propertySetForm.submit();
      }
      
      function submitProperty(fName)
      {
        this.document.forms[fName].submit();
      }
    // End hide from old browsers -->
  </SCRIPT>
  <%-- ------------------------------------------------------------ --%>
  <%-- end JavaScript setup                                         --%>
  <%-- ------------------------------------------------------------ --%>


  <!-- This is the uber table that contains two table data cells: one for the left nav, the other for the main page layout -->
  <TABLE border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
    <TR>

      <TD align="center" valign="top" width="2%">
        <!-- spacer cell -->
        &nbsp;&nbsp;
      </TD>

      <!-- begin table for main content area -->
      <TD align="left" valign="top">
        <% // Include the error message display logic %>

<%      if(propertySets == null || propertySets.size() == 0)
        {
%>
          <i18n:getMessage messageName='noPropertySets' bundleName='tools/portal/edit_properties'/>
<%        
        }
        else
        {
%>
          <BR>
          <i18n:getMessage messageName='selectInstructions' bundleName='tools/portal/edit_properties'/>
          <BR><BR>
        
          <wf:form namespace='admin_portal' event='link.refresh' origin='<%=originPage%>' hide='true' method='post' name='propertySetForm'>
            <i18n:getMessage messageName='availablePropertySets' bundleName='tools/portal/edit_properties'/>
            &nbsp;&nbsp;
            <SELECT SIZE="1" NAME="selectedPropertySet" onChange="submitPropertySet();">
<%            for(int propSetCount = 0;propSetCount<propertySets.size();propSetCount++)
              {
                if(selectedPropertySet != null && selectedPropertySet.equals( (String)propertySets.get(propSetCount) ) )
                {
%>
                  <OPTION SELECTED><%=cnvrtSC( (String)propertySets.get(propSetCount) )%></OPTION>
<%        
                }
                else
                {
%>
                  <OPTION><%=cnvrtSC( (String)propertySets.get(propSetCount) )%></OPTION>
<%
                }                
              }
%>
            </SELECT>
<%
            for (int propertySetCount = 0;propertySetCount<hiddenNamesList.size();propertySetCount++) {
%>
              <INPUT TYPE="HIDDEN" NAME="<%=hiddenNamesList.get(propertySetCount)%>" VALUE="<%=hiddenValuesList.get(propertySetCount)%>">
<%
            }
%>            
          </wf:form>
          <BR>
<%
        
          // number of labels in category listing header section
          int numberOfLabelsInc = 1;
  
          String userNameFormInfo = "&userName=" + userNameInc;
          String newUsersFormInfo = "&newUsers=" + newUsersInc;
          
          String portalInfo = "portalName=" + portalName + "&portalID=" + portalIdStr;
          String sPrevious = portalInfo + "&index=" + (iIndex - iPropertyCount) + "&property_count=" + iPropertyCount + userNameFormInfo + newUsersFormInfo;
          String sNext = portalInfo + "&index=" + (iIndex + iPropertyCount) + "&property_count=" + iPropertyCount + userNameFormInfo + newUsersFormInfo;
          String sFirst = portalInfo + "&index=0" + "&property_count=" + iPropertyCount + userNameFormInfo + newUsersFormInfo;
          String sLast = portalInfo + "&index=" + (iMaxCount-iPropertyCount) + "&property_count=" + iPropertyCount + userNameFormInfo + newUsersFormInfo;
          boolean bPrev = false;
          boolean bNext = false;
          if(iIndex != 0)
          {
            bPrev = true;
          }
          if(iIndex + iPropertyCount < iMaxCount)
          {
            bNext = true;
          }
%>
  
          <TABLE cellspacing="0" cellpadding="0" border="0" width="100%">
            <TR>
              <TD align="left" valign="top" colspan="<%=(numberOfLabelsInc+2)%>">
              <!-- Begin Tab Table -->      
              <TABLE cellspacing="0" cellpadding="0" border="0" width="100%">
                <TR>
                  <!-- category listing left hand side -->
                  <TD align="left" valign="top" ROWSPAN="2"><jsp:include page="category_list_header_lhs.jsp"/></TD>
                  <!-- It may seem strange to put a td width of 1000 in here, but after much trial and error this is the only way Netscape will maintain the fixed border widths along with the liquid, stretchable layout of the table -->
                  <TD class="categoryHeadingBorderCell" colspan="<%=numberOfLabelsInc%>" height="1px" width="1000"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
                  <!-- category listing right hand side -->
                  <TD align="left" valign="top" ROWSPAN="2"><jsp:include page="category_list_header_rhs.jsp"/></TD>
                </TR>
                <TR>
                  <!-- * START LABELS -->
                  <TD class="categoryHeadingCell" nowrap width="100%">
<%                  // Creation of message arguments
                    Object[] args_inc = new Object[] { cnvrtSC(selectedPropertySet) };
%>                  <i18n:getMessage messageName='properties' messageArgs='<%=args_inc%>' bundleName='tools/portal/edit_properties'/>
                  </TD>
                  <!-- * END LABELS  -->
                </TR>
                <!-- This creates the dark green line at the bottom of the green header -->
                <TR>
                  <TD class="categoryHeadingBorderCell" colspan="3" height="1"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
                </TR>
              </TABLE>
              <!-- End Tab Table -->
              </TD>
            </TR>
            <!-- START DETAIL ROW -->
            <TR>
			  <TD class="row">&nbsp;&nbsp;</TD>
              <TD class="row" nowrap>
                <!-- start Webflow/Pipeline enabled FORM -->
                <BR>
                <wf:form namespace='admin_portal'  event='link.refresh' origin='<%=originPage%>' hide='true' method='post' name='searchForm'>
                      <INPUT TYPE="TEXT" NAME="SearchString" VALUE="<%=searchString%>">
                      &nbsp;
                      <INPUT TYPE="IMAGE" SRC="<wf:createResourceURL resource='<%=imagesPath + "search.gif"%>'/>" ALT="<i18n:getMessage messageName='performPropertySearch' bundleName='tools/portal/edit_properties'/>" border="0">
                      <INPUT TYPE="HIDDEN" NAME="index" VALUE="<%=iIndex%>">
<%
                      for (int searchCount = 0;searchCount<hiddenNamesList.size();searchCount++) {
%>
                        <INPUT TYPE="HIDDEN" NAME="<%=hiddenNamesList.get(searchCount)%>" VALUE="<%=hiddenValuesList.get(searchCount)%>">
<%
                      }
%>            
                </wf:form>
                <!-- start Webflow/Pipeline enabled FORM -->
                <wf:form namespace='admin_portal' event='link.refresh' origin='<%=originPage%>' hide='true' method='post' name='indexForm'>
<%                if(propertyListIsEmpty)
                  {
%>                  <BR><i18n:getMessage messageName='noProperties' bundleName='tools/portal/edit_properties'/>
<%
                  }
                  else
                  {
                    if((iIndex+1) == toIndex)
                    {
                      args_inc = new Object[] { String.valueOf(toIndex), String.valueOf(iMaxCount) };
%>                    <BR><B><i18n:getMessage messageName='displayOneOfMany' messageArgs='<%=args_inc%>' bundleName='tools'/></B>
<%
                    }
                    else
                    {
                      args_inc = new Object[] { String.valueOf(iIndex + 1), String.valueOf(toIndex), String.valueOf(iMaxCount) };
%>                    <BR><B><i18n:getMessage messageName='displayOneThroughMany' messageArgs='<%=args_inc%>' bundleName='tools'/></B>
<%                  }
                  }
%>
                  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                  <i18n:getMessage messageName='displayedPropertiesPerPage' bundleName='tools/portal/edit_properties'/>
                  <SELECT SIZE="1" NAME="property_count" onChange="submitPerPage();">
<%                for(int j=0;j<propertiesDisplayedList.size();j++)
                    {
                      if(Integer.parseInt( (String)propertiesDisplayedList.get(j) ) == iPropertyCount)
                      {
%>                      <OPTION SELECTED><%=propertiesDisplayedList.get(j)%>
<%                    }
                      else
                      {
%>                      <OPTION><%=propertiesDisplayedList.get(j)%>
<%                    }
                    }
%>
                  </SELECT>
                  <INPUT TYPE="HIDDEN" NAME="index" VALUE="<%=iIndex%>">
                  <INPUT TYPE="HIDDEN" NAME="SearchString" VALUE="<%=searchString%>">
<%
                  for (int indexCount = 0;indexCount<hiddenNamesList.size();indexCount++) {
%>
                    <INPUT TYPE="HIDDEN" NAME="<%=hiddenNamesList.get(indexCount)%>" VALUE="<%=hiddenValuesList.get(indexCount)%>">
<%
                  }
%>            
                </wf:form>
                <br>&nbsp;&nbsp;&nbsp;&nbsp;
<%              if(bPrev && !bNext)
                {
%>                <a href="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sPrevious%>'/>"><i18n:getMessage messageName='previous' bundleName='tools'/> <%=iPropertyCount%> </A>&nbsp;|
                  <a href="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sFirst%>'/>"><i18n:getMessage messageName='first' bundleName='tools'/> </A><br><br>
<%              }
                else if(bNext && ! bPrev)
                {
%>                <a href="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sNext%>'/>"><i18n:getMessage messageName='next' bundleName='tools'/> <%=iPropertyCount%> </A>&nbsp;|
                  <a href="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sLast%>'/>"><i18n:getMessage messageName='last' bundleName='tools'/> </A><br><br>
<%              }
                else if(bPrev && bNext)
                {
%>                <a href="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sPrevious%>'/>"><i18n:getMessage messageName='previous' bundleName='tools'/> <%=iPropertyCount%> </A>&nbsp;|
                  <a href="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sNext%>'/>"><i18n:getMessage messageName='next' bundleName='tools'/> <%=iPropertyCount%> </A>&nbsp;
                  [ <a href="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sFirst%>'/>"><i18n:getMessage messageName='first' bundleName='tools'/> </A>&nbsp;|
                  <a href="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sLast%>'/>"><i18n:getMessage messageName='last' bundleName='tools'/></A> ]<br><br>
<%              }
%>
              </TD>
			  <TD class="row">&nbsp;&nbsp;</TD>
            </TR>
            
<%
            PropertyDefinition propDef = null;
            String includePage = null;
            String editPage = null;
            for(int propertyCount=0;propertyCount<propertiesList.size();propertyCount++)
            {
              propertyName = (String)propertiesList.get(propertyCount);
              propDef = (PropertyDefinition)propertiesMap.get(propertyName);  
              request.setAttribute( "Property", propDef );
              request.setAttribute( "PropertyName", propertyName ); 
              request.setAttribute( "scopeName", selectedPropertySet );
              boolean isMultiValued = false;
              boolean isRestricted = false;
              if(propDef.isMultiValued())
              {
                isMultiValued = true;
                if(propDef.isRestricted())
                {
                  isRestricted = true;
                  includePage = VisitorUserConstants.PROPERTY_VIEW_MR;
                  editPage = VisitorUserConstants.PROPERTY_EDIT_MR;
                }
                else
                {
                  includePage = VisitorUserConstants.PROPERTY_VIEW_MU;
                  editPage = VisitorUserConstants.PROPERTY_EDIT_MU;
                }
              }
              else
              {
                if(propDef.isRestricted())
                {
                  isRestricted = true;
                  includePage = VisitorUserConstants.PROPERTY_VIEW_SR;
                  editPage = VisitorUserConstants.PROPERTY_EDIT_SR;
                }
                else
                {
                  includePage = VisitorUserConstants.PROPERTY_VIEW_SU;
                  editPage = VisitorUserConstants.PROPERTY_EDIT_SU;
                }
              }
              String multiple = null;
              String restricted = null;
              if(isMultiValued)
              {
%>
                <i18n:getMessage id='tempMultiple' messageName='isMulti' bundleName='tools/portal/edit_properties'/>
<%              multiple = tempMultiple;
              }
              else
              {
%>
                <i18n:getMessage id='tempMultiple' messageName='isNotMulti' bundleName='tools/portal/edit_properties'/>
<%              multiple = tempMultiple;
              }                
              if(isRestricted)
              {
%>
                <i18n:getMessage id='tempRestricted' messageName='isRestricted' bundleName='tools/portal/edit_properties'/>
<%              restricted = tempRestricted;
              }
              else
              {
%>
                <i18n:getMessage id='tempRestricted' messageName='isNotRestricted' bundleName='tools/portal/edit_properties'/>
<%              restricted = tempRestricted;
              }                
%>
              <!-- START DETAIL ROW -->
              <TR>
			    <TD class="row2">&nbsp;&nbsp;</TD>
                <TD class="row2" nowrap>
                    <wf:form namespace='admin_portal' event='<%=editPage%>' origin='<%=originPage%>' hide='true' method='post' name='<%= cnvrtSC(propertyName) %>'>
                    <INPUT TYPE="HIDDEN" NAME="propertySet" VALUE="<%=selectedPropertySet%>">
                    <INPUT TYPE="HIDDEN" NAME="propertyName" VALUE="<%=propertyName%>">
<%                    
                    if(userNameInc != null)
                    {
%>
                      <INPUT TYPE="HIDDEN" NAME="userName" VALUE="<%=userNameInc%>">
                      <INPUT TYPE="HIDDEN" NAME="newUsers" VALUE="<%=newUsersInc%>">
<%                  }
%>
                        
                    </wf:form>
                    <vum:getTypeForDisplay id='propertyType' propertyDefinition='<%=propDef%>'/>
<%                  args_inc = new Object[] {propertyType, multiple, restricted};
%>
                    <TABLE border="0" cellspacing="0" cellpadding="2">
                      <TR>
                        <TD>
                          &nbsp;&nbsp;<a href="javascript:submitProperty('<%=cnvrtSC(propertyName)%>')"><span class="fieldlabel"><%=cnvrtSC(propertyName)%></span></a><br>
                        </TD>
                      </TR>
                      <TR>
                        <TD>
                          &nbsp;&nbsp;<i18n:getMessage messageName='propertyDescriptor' messageArgs='<%=args_inc%>' bundleName='tools/portal/edit_properties'/>
                        </TD>
                      </TR>
                    </TABLE>
                </TD>
                <TD class="row2">&nbsp;&nbsp;</TD>
              </TR>
              <TR>
                <TD class="row">&nbsp;</TD>
                <TD class="row" align="center" nowrap>
                  <br><jsp:include page="<%=includePage%>" />                   
                </TD>
                <TD class="row">&nbsp;</TD>
              </TR>
              <!-- END DETAIL ROW -->
                  
              <!-- SPACER ROW -->
              <TR>
                <TD class="spacerRow" colspan="<%=(numberOfLabelsInc+2)%>">&nbsp;</TD>
              </TR>
<%
            }
%>
            <TR>
              <TD class="row">&nbsp;</TD>
              <TD class="row" nowrap>
                <BR>&nbsp;&nbsp;&nbsp;&nbsp;
<%              if(bPrev && !bNext)
                {
%>                <a href="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sPrevious%>'/>"><i18n:getMessage messageName='previous' bundleName='tools'/> <%=iPropertyCount%> </A>&nbsp;|
                  <a href="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sFirst%>'/>"><i18n:getMessage messageName='first' bundleName='tools'/> </A>
<%              }
                else if(bNext && ! bPrev)
                {
%>                <a href="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sNext%>'/>"><i18n:getMessage messageName='next' bundleName='tools'/> <%=iPropertyCount%> </A>&nbsp;|
                  <a href="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sLast%>'/>"><i18n:getMessage messageName='last' bundleName='tools'/> </A>
<%              }
                else if(bPrev && bNext)
                {
%>                <a href="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sPrevious%>'/>"><i18n:getMessage messageName='previous' bundleName='tools'/> <%=iPropertyCount%> </A>&nbsp;|
                  <a href="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sNext%>'/>"><i18n:getMessage messageName='next' bundleName='tools'/> <%=iPropertyCount%> </A>&nbsp;
                  [ <a href="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sFirst%>'/>"><i18n:getMessage messageName='first' bundleName='tools'/> </A>&nbsp;|
                  <a href="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sLast%>'/>"><i18n:getMessage messageName='last' bundleName='tools'/></A> ]
<%              }
%>
              </TD>
              <TD class="row">&nbsp;</TD>
            </TR>
  
          </TABLE>
<%
        }
%>
        </TD>
        <!-- end content area -->

        <TD align="center" valign="top" width="2%">
          <!-- spacer cell -->
          &nbsp;&nbsp;
        </TD>
      
    </TR>
  </TABLE>

