<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>
<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>

<%-- ------------------------------------------------------------ --%>
<%-- page imports                                                 --%>
<%-- ------------------------------------------------------------ --%>
<%@ page import="com.bea.portal.model.PortalConstants"%>
<%@ page import="com.bea.portal.model.GroupPortal"%>
<%@ page import="com.bea.portal.model.Portal"%>
<%@ page import="com.bea.portal.manager.PortalFactory"%>
<%@ page import="com.bea.portal.model.PortalIdentifier"%>
<%@ page import="java.net.URLEncoder"%>
<%@ page import="com.bea.portal.jsp.JspConstants"%>
<%@ page import="com.bea.portal.i18n.CommonAdminLogger"%>

<%@ page errorPage="error.jsp" %>

<%-- ------------------------------------------------------------ --%>
<%-- taglibs                                                      --%>
<%-- ------------------------------------------------------------ --%>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>
<%@ taglib uri="res.tld" prefix="res" %>
<%@ taglib uri="vum.tld" prefix="vum" %>
<%@ taglib uri="es.tld" prefix="es" %>
<%@ taglib uri="um.tld" prefix="um" %>


<%-- ------------------------------------------------------------ --%>
<%-- i18n (internationalization) and skin setup                   --%>
<%-- ------------------------------------------------------------ --%>
<%@ include file="/tools/portal/i18n_setup.inc"%>

<%  // Grab the html title string from the properties file %>
<i18n:getMessage messageName='pageTitle' id='pageTitle'/>


<%-- ------------------------------------------------------------ --%>
<%-- environment setup                                            --%>
<%-- ------------------------------------------------------------ --%>
  
<%-- ------------------------------------------------------------ --%>
<%-- DECLARE NavLocation VALUE                                    --%>
<%-- Used for the left_navbar highlighting                        --%>
<%-- ------------------------------------------------------------ --%>
  <wf:setProperty property='NavLocation' value='<%=JspConstants.USER_GROUP_NAV%>' scope='request'/>
 
  <wf:getProperty property='groupPortalObj' id='currentGroupPortal' type='GroupPortal'/>
  <wf:getProperty property='portalName' id='portalName' type='String'/>
  <wf:getProperty property='gpPortalIDCurrent' id='portalIdStr' type='String'/>

<%-- ------------------------------------------------------------ --%>
<%-- begin rendering                                              --%>
<%-- ------------------------------------------------------------ --%>
<HTML>
<HEAD>
  <TITLE><%=pageTitle%></TITLE>
  <LINK REL=StyleSheet HREF="<wf:createResourceURL resource='<%=cssFile%>'/>" TYPE="text/css" MEDIA="screen">

  <%-- ------------------------------------------------------------ --%>
  <%-- begin JavaScript setup                                       --%>
  <%-- ------------------------------------------------------------ --%>
   
  <SCRIPT LANGUAGE="JavaScript">
    <!-- Begin hide from old browsers
      function submitBack()
      {
        this.document.backForm.submit();
      }
    // End hide from old browsers -->
  </SCRIPT>
</HEAD>
<BODY leftmargin="0" rightmargin="0" marginwidth="0" marginheight="0" STYLE='BACKGROUND-IMAGE:url("<wf:createResourceURL resource='<%=imagesPath + "bg_subpage.gif"%>'/>"); BACKGROUND-REPEAT: no-repeat; BACKGROUND-POSITION:left top;'>

<%@ include file="/tools/util/admin_header.inc"%>
<!-- end top nav bar -->

<!-- This is the uber table that contains two table data cells: one for the left nav, the other for the main page layout -->
<TABLE border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
  <TR>    
    <TD align="left" valign="top" class="sidenav" width="1%">
      <!-- include  table for left nav bar -->
      <jsp:include page="left_navbar.jsp"/>
    </TD>

    <TD align="center" valign="top" width="2%">
      <!-- spacer cell -->
      &nbsp;&nbsp;
    </TD>

    <!-- begin table for main content area -->
    <TD align="left" valign="top" width="95%">
<%
      // Creation of message arguments
      Object[] args = new Object[] { cnvrtSC(currentGroupPortal.getGroupIdentifier()) };
%>
      <SPAN class="pageheader"><i18n:getMessage messageName='portalDisplay' messageArgs='<%=args%>'/></SPAN><BR>
      
<%    /***********************************************************/
      // Variables we need to set up for the edit_properties.inc
         String originPage = "edit_user_group.jsp";
         //This is for any values we pass around when the page gets refreshed
         // However, on this page we don't have any, but we still must declare it
         Hashtable hiddenValues = new Hashtable();
      /***********************************************************/
%>
      <table width="100%" border="0" cellpadding="0" cellspacing="0">
	      <tr>
	        <td>
<%
            try
            {          
%>
              <%@ include file="/tools/portal/edit_properties.inc"%>
<%
            }
            //We're just going to deal with a generic exception here since we're not quite sure of what all 
            // could be thrown from the tag (system exception, ldap configuration exception, etc)
            catch(Exception e)
            {
              String logId = CommonAdminLogger.genericException(e.getMessage(),e); 
              pageContext.setAttribute("logId", logId);
            }
%>
            <TABLE>
              <TR>
                <TD ALIGN="LEFT">
                  <%-- Include the error message display logic --%>
                  <%@ include file="/tools/util/error_message.inc"%>
                </TD>
              </TR>
            </TABLE>          
          </td>
  		  </tr>
  		  <tr>
  		    <td>
            &nbsp;&nbsp;&nbsp;<a href="<wf:createWebflowURL namespace='admin_portal' origin='edit_user_group.jsp' event='link.back_group_home'/>"><img src="<wf:createResourceURL resource='<%=imagesPath + "back.gif"%>'/>" border="0"></a>
	        </td>
  		  </tr>
      </table>
    </TD>
    <!-- end content area -->

    <TD align="center" valign="top" width="2%">
      <!-- spacer cell -->
      &nbsp;&nbsp;
    </TD>

  </TR>
</TABLE>

</BODY>
</HTML>
