<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>

<%-- ------------------------------------------------------------ --%>
<%-- page imports                                                 --%>
<%-- ------------------------------------------------------------ --%>
<%@ page import="com.bea.portal.model.GroupPortal"%>
<%@ page import="com.bea.portal.model.PagePersonalization"%>
<%@ page import="com.bea.portal.model.PageIdentifier"%>
<%@ page import="com.bea.portal.entitlement.resource.PortalAdminTaskResourceConstants"%>
<%@ page import="com.bea.portal.entitlement.resource.PortalEntitlementResourceConstants"%>
<%@ page import="com.bea.portal.jsp.JspConstants"%>

<%@ page errorPage="error.jsp" %>

<%-- ------------------------------------------------------------ --%>
<%-- taglibs                                                      --%>
<%-- ------------------------------------------------------------ --%>
<%@ taglib uri="res.tld" prefix="res" %>
<%@ taglib uri="dam.tld" prefix="dam" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>

<%-- ------------------------------------------------------------ --%>
<%-- i18n (internationalization) and skin setup                   --%>
<%-- ------------------------------------------------------------ --%>

<%@ include file="/tools/portal/i18n_setup.inc"%>

<%  // Grab the html title string from the properties file %>
<i18n:getMessage messageName='pageTitle' id='pageTitle'/>

<%-- ------------------------------------------------------------ --%>
<%-- environment setup                                            --%>
<%-- ------------------------------------------------------------ --%>

<%-- ------------------------------------------------------------ --%>
<%-- DECLARE NavLocation VALUE                                    --%>
<%-- Used for the left_navbar highlighting                        --%>
<%-- ------------------------------------------------------------ --%>
  <wf:setProperty property='NavLocation' value='<%=JspConstants.PAGES_LAYOUTS_PORTLETS_NAV%>' scope='request'/>

<wf:getProperty property="portalName" id="portalName" type="String"/>
<wf:getProperty property="groupPortalObj" id="currentGroupPortal" type="com.bea.portal.model.GroupPortal"/>
<wf:getProperty property="isDefaultGroup" id="isDefaultGroup" type="String"/>

<res:getSelectedPages id="pages" groupId="<%=currentGroupPortal%>"/>

<%-- Let's also add in the unavailable pages, so we can also edit their attributes --%>
<res:getAvailablePages id="availPages" groupId="<%=currentGroupPortal%>"/>

<%
  Iterator availPagesIt = availPages.iterator();
  while(availPagesIt.hasNext())
  {
      pages.add( availPagesIt.next() );
  }

  String groupPortalGroupId = currentGroupPortal.getGroupIdentifier();
  String groupPortalName = currentGroupPortal.getDisplayName();

  boolean defaultScope = false;
  if(( isDefaultGroup != null ) && ( isDefaultGroup.equals("true") ))
  {
    defaultScope = true;
  }
  
  boolean canPortletsDelegate = true;
  boolean canPageEntitle = true;
  if(!defaultScope)
  {
%>

      <%-- Set up the check to see if the user has portlet management rights.  If they don't, we will use our setup
           to hid links later in the page
      --%>
     <dam:isGroupAdminAccessAllowed id='tempPortletsDelegate' resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%=PortalAdminTaskResourceConstants.DELEGATE_MANAGE_PORTLETS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' groupPortal='<%=currentGroupPortal%>' userName='<%=request.getRemoteUser()%>'/>
     <dam:isGroupAdminAccessAllowed id='tempPageEntitle' resourceType='<%=PortalEntitlementResourceConstants.RESOURCE_TYPE%>' adminTask='<%=PortalEntitlementResourceConstants.ENTITLE_PORTAL_PAGES %>' capabilityKey='<%=PortalEntitlementResourceConstants.ENTITLEABLE%>' groupPortal='<%=currentGroupPortal%>' userName='<%=request.getRemoteUser()%>'/>
<%
     canPortletsDelegate = tempPortletsDelegate.booleanValue();
     canPageEntitle = tempPageEntitle.booleanValue();
  }
%>

<res:getHomePage id='currentHomePageId' groupId='<%=currentGroupPortal%>'/>
<% String currentHomePageName = currentHomePageId.getName(); 
%>

<%-- ------------------------------------------------------------ --%>
<%-- begin rendering                                              --%>
<%-- ------------------------------------------------------------ --%>
<html>

<head>
  <title><%=pageTitle%></title>
  <LINK REL=StyleSheet HREF="<wf:createResourceURL resource='<%=cssFile%>'/>" TYPE="text/css" MEDIA="screen">

<script language="JavaScript">

function doFormSubmit(event) {
    var cnt = 0;
	var moreObj = document.forms[0].selectedPages;
  var defaultSelected = false;
	for (var i=0; i<moreObj.options.length-1; i++) {
		if (moreObj.options[i].selected == true)
    {
        cnt = cnt + 1;
        if(moreObj.options[i].value == "<%=currentHomePageName%>")
        {
            defaultSelected = true;
        }
    }
	}
  //Check to see if more than one selection was made, if the default was one of them, and if the 'Set Attributes'
  // was clicked
  if(cnt > 1 && defaultSelected && event == "link.pageattr")
  {
      alert("<i18n:getMessage messageName='multiSelectWithDefault'/>");
  }
	//Now, we only want to forward if there's been a valid choice.  For instance one or more pages were selected,
  // and if more than one was selected, and page attributes was clicked, the default page was not selected
  if (cnt == 1 || cnt > 1 && (event == "link.pageattr"  && !defaultSelected) ) {
		document.forms[0].event.value = event;		
		document.forms[0].submit();
	}
}

var img = new Array(4);
for (i = 0; i < 4; i++)
   img[i] = new Image();

img[1].src = "<wf:createResourceURL resource='<%=imagesPath + "set_attributes.gif"%>'/>";
img[3].src = "<wf:createResourceURL resource='<%=imagesPath + "set_attributes_disabled.gif"%>'/>";

var state = new Array(2);
state["pageattr"] = 1;

function button_down(i, base) {
   if (state[i] == 3) return;
   state[i] = 1;
}

function button_up(i, base) {
   if (state[i] == 3) return;
   state[i] = 0;
}

function selectCount() {
    var cnt = 0;
	var moreObj = document.forms[0].selectedPages;	
	for (var i=0; i<moreObj.options.length; i++) {
		if ( ( moreObj.options[i].value == "spacer" ) && ( moreObj.options[i].selected == true ) )
            moreObj.options[i].selected = false;

        if (moreObj.options[i].selected == true)
			cnt = cnt + 1;
	}
	if (cnt == 0) {
		state["pageattr"] = 1;
		document ["pageattr"].src = img[3].src;
	}
	else {
		state["pageattr"] = 0;
		document ["pageattr"].src = img[1].src;
	}	
}

function setDefault()
{
  //Put a * by the default skin name in the list
  for (var i=0; i<document.forms[0].selectedPages.options.length; i++) 
  {
    if (document.forms[0].selectedPages.options[i].value == "<%=currentHomePageName%>") 
    {
      document.forms[0].selectedPages.options[i].text = "* " + document.forms[0].selectedPages.options[i].text;
    }
  }

}
</script>

</head>

<BODY onLoad="setDefault()" leftmargin="0" rightmargin="0" marginwidth="0" marginheight="0" STYLE='BACKGROUND-IMAGE:url("<wf:createResourceURL resource='<%=imagesPath + "bg_subpage.gif"%>'/>"); BACKGROUND-REPEAT: no-repeat; BACKGROUND-POSITION:left top;'>

<%@ include file="/tools/util/admin_header.inc"%>

<!-- end top nav bar -->

<!-- This is the uber table that contains two table data cells: one for the left nav, the other for the main page layout -->
<TABLE border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
<TR><TD align="left" valign="top" class="sidenav" width="1%">
<!-- include  table for left nav bar -->
<jsp:include page="left_navbar.jsp"/>
</TD>


<TD align="center" valign="top" width="2%">
  <!-- spacer cell -->
  &nbsp;&nbsp;
</TD>

<!-- begin table for main content area -->
<TD align="left" valign="top" width="95%">

  <%
    // Creation of message arguments
    Object[] args = new Object[] { portalName, groupPortalName };
  %>
  <span class="pageheader"><i18n:getMessage messageName='portalDisplay' messageArgs='<%=args%>'/></span><BR>
  <span class="instructions"><i18n:getMessage messageName='portalDisplaySubHead'/></span><BR><br>

  <!-- start Webflow/Pipeline enabled FORM -->
  <wf:form namespace="admin_portal"  event="link.refresh" origin="page_mult_attr.jsp" hide="true" method="post" name="pageForm">

<%
        // number of labels in category listing header section
        int numberOfLabels = 1;
%>
        <TABLE align="left" valign="top" cellspacing="0" cellpadding="0" border="0" width="40%">
          <TR>
              <TD colspan="<%=(numberOfLabels+2)%>">

              <!-- Begin Tab Table -->      
              <TABLE cellspacing="0" cellpadding="0" border="0" width="100%">
                <TR>
                  <!-- category listing left hand side -->
                  <TD align="left" valign="top" ROWSPAN="2"><jsp:include page="category_list_header_lhs.jsp"/></TD>
                  <!-- It may seem strange to put a td width of 1000 in here, but after much trial and error this is the only way Netscape will maintain the fixed border widths along with the liquid, stretchable layout of the table -->
                  <TD class="categoryHeadingBorderCell" colspan="<%=numberOfLabels%>" height="1px" width="100%"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
                   <!-- category listing right hand side -->
                  <TD align="left" valign="top" ROWSPAN="2"><jsp:include page="category_list_header_rhs.jsp"/></TD>
                </TR>
                <TR>
                  <!-- * START LABELS -->
                  <TD class="categoryHeadingCell" nowrap>
                    <i18n:getMessage messageName='pages'/>
                  </TD>
                  <!-- * END LABELS  -->
                </TR>
                <!-- This creates the dark green line at the bottom of the green header -->
                <TR>
                  <TD class="categoryHeadingBorderCell" colspan="<%=(numberOfLabels+2)%>" height="1"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
                </TR>
              </TABLE>
            <!-- End Tab Table -->
            </TD>
         </TR>
          <!-- SPACER ROW -->
          <TR>
            <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
          </TR>
    
          <!-- START DETAIL ROW -->
          <TR>
            <!-- * START DETAIL -->
            <TD class="row" align="center" valign="top" nowrap width="1%">
              <!--PAGE LIST-->
      				<select name="selectedPages" size="15" onchange="selectCount()" multiple>
<%
      					if (pages != null && pages.size() !=0 ) 
                {
      					  for (int i=0; i<pages.size(); i++) 
                  {
      						  PagePersonalization aPage = (PagePersonalization) pages.get(i);
      						  if (aPage != null) 
                    {
%>
  						        <option value='<%=aPage.getPageIdentifier().getName()%>'><%=aPage.getDisplayName()%></option>
<%
                    }
                  }
                }
%>
      				  <option value="spacer">----------------------------------------</option>
	  	    		</select>
            </TD>
          </TR>
          <!-- END DETAIL ROW -->

          <!-- SPACER ROW -->
          <TR>
            <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>"><br>&nbsp;
      				<TABLE width="100%" cellpadding="0" cellspacing="0" align="left" valign="top">
			        	<TR>        
<!--				          
                  <TD align="right" COLSPAN="2" nowrap><b><i18n:getMessage messageName='selectedPage'/></b></TD>
        				  <TD>&nbsp;</TD>  
        				  <TD><a href="" onClick="return false;" onMouseDown="button_down('pageattr', 3); return false;" onMouseUp="button_up('pageattr', 3); doFormSubmit('link.pageattr'); return false;" onMouseOut="button_up('pageattr', 3); return false;">
        				  <img name="pageattr" src="<wf:createResourceURL resource='<%=imagesPath + "set_attributes_disabled.gif"%>'/>" border="0" vspace="3"></a></TD>
-->
                  <TD align="center" COLSPAN="4" nowrap>
                    <b><i18n:getMessage messageName='selectedPage'/></b>
        				    <a href="" onClick="return false;" onMouseDown="button_down('pageattr', 3); return false;" onMouseUp="button_up('pageattr', 3); doFormSubmit('link.pageattr'); return false;" onMouseOut="button_up('pageattr', 3); return false;">
        				      <img name="pageattr" src="<wf:createResourceURL resource='<%=imagesPath + "set_attributes_disabled.gif"%>'/>" border="0" align=middle></a>
                  </TD>
				        </TR>
      				  <TR>
        					<TD colspan="4">
        					  <br>&nbsp;<br>&nbsp;<br>      
        					  <a href="<wf:createWebflowURL namespace='admin_portal' origin='page_mult_attr.jsp' event='link.back.manage_portal_pages.jsp'/>"><img src="<wf:createResourceURL resource='<%=imagesPath + "back.gif"%>'/>" border="0"></a>
        					</TD>
      				  </TR> 
      			  </TABLE>
             </TD>
          </TR>
	      </TABLE>
      </wf:form>

</TD>
<!-- end content area -->

<TD align="center" valign="top" width="2%">
  <!-- spacer cell -->&nbsp;
</TD>

</TR>
</TABLE>

</BODY>

<script language="JavaScript">
selectCount();
</script>

</HTML>
