<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<%@ taglib uri="es.tld" prefix="es" %>
<%@ taglib uri="um.tld" prefix="um" %>
<%@ taglib uri="vum.tld" prefix="vum" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>

<%@ page import="com.bea.p13n.property.PropertyDefinition" %>
<%@ page import="com.bea.portal.admin.VisitorUserConstants" %>
<%@ page import="com.bea.portal.model.GroupPortal" %>

<%-- renderer to view Single Unrestricted properties --%>

<%-- ------------------------------------------------------------ --%>
<%-- Variable setup                                               --%>
<%-- ------------------------------------------------------------ --%>
<% 
String bundleName = "property_view_su"; 
String imagesPath = pageContext.getAttribute("imagesPath", pageContext.REQUEST_SCOPE).toString();
PropertyDefinition property = (PropertyDefinition)request.getAttribute( "Property" );
String propertyName = (String)request.getAttribute( "PropertyName" );
String scopeName = (String)request.getAttribute( "scopeName" );
%>

<wf:getProperty property='groupPortalObj' id='currentGroupPortal' type='GroupPortal'/>

<%
Object currentPropertyValue = null;
try
{
%>
  <um:getProperty id="currentPropertyValueTemp" propertySet="<%= scopeName %>" propertyName="<%= propertyName%>" />
<%
  currentPropertyValue = currentPropertyValueTemp;
} 
//We're just going to deal with a generic exception here since we're not quite sure of what all could be 
// thrown from the tag (system exception, ldap configuration exception, etc)
catch(Exception e)
{
  throw e;
}
%>

<es:isNull item="<%=currentPropertyValue%>">
    <% currentPropertyValue = property.getDefaultValue(); %>
</es:isNull>

<vum:formatPropertyValue id='value' propertyDefinition='<%=property%>' valueObject='<%=currentPropertyValue%>' />

<table width="90%" border="1" cellspacing="2" cellpadding="2">
  <tr> 
    <td class="row" width="100%" nowrap>
      <i18n:getMessage messageName='value' bundleName='<%=bundleName%>'/><span class="fieldlabel"><%= value%></span>
    </td>
  </tr>
</table>
