<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>
<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>

<%-- ------------------------------------------------------------ --%>
<%-- page imports                                                 --%>
<%-- ------------------------------------------------------------ --%>
<%@ page import="java.util.HashMap"%>
<%@ page import="java.util.Map"%>
<%@ page import="java.util.Set"%>
<%@ page import="java.util.Iterator"%>

<%@ page import="com.bea.portal.model.PortalConstants"%>
<%@ page import="com.bea.portal.model.GroupPortal"%>
<%@ page import="com.bea.portal.model.Portal"%>
<%@ page import="com.bea.portal.model.Page"%>
<%@ page import="com.bea.portal.model.SkinDefinition"%>
<%@ page import="com.bea.portal.model.PagePersonalization"%>
<%@ page import="com.bea.portal.model.PortalIdentifier"%>
<%@ page import="com.bea.portal.manager.internal.InternalFactory"%>
<%@ page import="com.bea.portal.model.SkinIdentifier"%>
<%@ page import="com.bea.portal.jsp.JspConstants"%>

<%@ page errorPage="error.jsp" %>


<%-- ------------------------------------------------------------ --%>
<%-- taglibs                                                      --%>
<%-- ------------------------------------------------------------ --%>
<%@ taglib uri="util.tld" prefix="util" %>
<%@ taglib uri="res.tld" prefix="res" %>
<%@ taglib uri="es.tld" prefix="es" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>
<%@ taglib uri="weblogic.tld" prefix="wl" %>

<%-- ------------------------------------------------------------ --%>
<%-- i18n (internationalization) and skin setup                   --%>
<%-- ------------------------------------------------------------ --%>

<%@ include file="/tools/portal/i18n_setup.inc"%>

<%  // Grab the html title sTRing from the properties file %>
<i18n:getMessage messageName='pageTitle' id='pageTitle'/>

<%-- ------------------------------------------------------------ --%>
<%-- environment setup                                            --%>
<%-- ------------------------------------------------------------ --%>
<% // Get messages for javascript functions %>
<i18n:getMessage id='selectOneMsgTemp' messageName='selectOne' bundleName='<%=jsPath+"tool_utils"%>'/>
<i18n:getMessage id='leaveOneMsgTemp' messageName='leaveOne' bundleName='<%=jsPath+"tool_utils"%>'/>
<%
   String selectOneMsg = selectOneMsgTemp;
   String leaveOneMsg = leaveOneMsgTemp;
%> 

<%-- ------------------------------------------------------------ --%>
<%-- DECLARE NavLocation VALUE                                    --%>
<%-- Used for the left_navbar highlighting                        --%>
<%-- ------------------------------------------------------------ --%>
  <wf:setProperty property='NavLocation' value='<%=JspConstants.SKINS_NAV%>' scope='request'/>
 
<%-- Get the Default Group Portal Display name to use on the page --%>
<i18n:getMessage id='defaultGroupPortalName' messageName='defaultGroupPortalDisplayName' bundleName='tools'/>

  <wf:getProperty property="portalName" id="portalName" type="String"/>
  <wf:getProperty property="groupPortalObj" id="currentGroupPortal" type="com.bea.portal.model.GroupPortal"/>
  <wf:getProperty property="isDefaultGroup" id="isDefaultGroup" type="String"/>
<%
//  isDefaultGroup = (new Boolean(isDefaultGroupString)).booleanValue();
  String groupPortalGroupId = currentGroupPortal.getGroupIdentifier();
  String groupPortalName = currentGroupPortal.getDisplayName();
  PortalIdentifier portalIdentifier = currentGroupPortal.getPortalIdentifier();
  SkinDefinition defaultSkin = null;
  SkinIdentifier skinIdentifier = null;
  int caught = 0;
  String Message = null;

  if(( isDefaultGroup != null ) && ( isDefaultGroup.equals("true") ))
  {
    groupPortalName = defaultGroupPortalName;
  }
%>

<!-- Get the web app context name -->
<res:getWebAppName portalIdentifier="<%=portalIdentifier%>" id="webappName"/>

<%-- ------------------------------------------------------------ --%>
<%-- form processing                                              --%>
<%-- ------------------------------------------------------------ --%>

<!-- If the 'save' button was clicked, go ahead and process the input. -->
<wl:process name="doUpdate" value="true">
<%
  ServletRequest req = pageContext.getRequest();

  String selectedSkinIds = req.getParameter("selectedSkinIds");
  String selectedDefaultSkin = req.getParameter("skinId");
	String destination = req.getParameter("submitMode");
	String saveChanges = req.getParameter("saveChanges");
  if(saveChanges.equals("true"))
  {
%>
    <res:setSelectedSkins groupId="<%=currentGroupPortal %>" selectedSkinIds="<%=selectedSkinIds %>"  />
    <res:setSkin groupId="<%=currentGroupPortal %>" selectedDefaultSkin="<%=selectedDefaultSkin %>"  />
<%
  }
      //The following form and associated javascript allow for the "page forward" on a successful save
      //We only want to forward if there have been no generated errors within the tags
      String logId = (String)pageContext.getAttribute("logId");
      if(logId == null)
      {
        if ( destination.equals("editNames") )
        {
%>           <SCRIPT LANGUAGE="JavaScript">
               window.location.replace("<wf:createWebflowURL namespace='admin_portal' event='link.display_names'/>");
             </SCRIPT>
<%        } else {
%>
             <SCRIPT LANGUAGE="JavaScript">
               window.location.replace("<wf:createWebflowURL namespace='admin_portal' event='link.back'/>");
             </SCRIPT>
<%      }
      }
%>
</wl:process>

  <res:getSkin id="defaultSkinDef" groupId="<%=currentGroupPortal %>" />
<%String defaultSkinName = defaultSkinDef.getDisplayName();
  String defaultSkinId = defaultSkinDef.getIdentifier().getName();
%>
<%-- ------------------------------------------------------------ --%>
<%-- begin rendering                                              --%>
<%-- ------------------------------------------------------------ --%>
<html>
<head>
  <title><%=pageTitle%></title>
  <LINK REL=StyleSheet HREF="<wf:createResourceURL resource='<%=cssFile%>'/>" TYPE="text/css" MEDIA="screen">

<script language="JavaScript" src="<wf:createResourceURL resource='<%=jsPath+"tool_utils.js"%>'/>"></script>

<script language="JavaScript">
var skinsChanged = false;
      
function showPreviewThumbnail(selectObject) {

    var val = selectObject.options[selectObject.selectedIndex].value;
    if (val && val != "spacer") {
        var src = "<%=webappName %>/framework/skins/" + val + "/images/preview.gif";
        var img = document.images["previewSelection"];

        if (img != null) {
            img.src = src;
        }

    }
}

function setDefaultSkin(selectObjectId) {
    
    var selectObject = document.forms[0].elements[selectObjectId];
    var val = selectObject.options[selectObject.selectedIndex].value;
    
    if (val && val != "spacer") {
        
        document.forms[0].elements["skinId"].value = val;

        for (var i=0; i<selectObject.options.length; i++) {
            if (selectObject.options[i].text.indexOf("* ") == 0) {
                selectObject.options[i].text = selectObject.options[i].text.substr(2);
            }
    }
    
    var displayName = selectObject.options[selectObject.selectedIndex].text;
        selectObject.options[selectObject.selectedIndex].text =
            "* " + selectObject.options[selectObject.selectedIndex].text;
    }
    
    //Show, in text, the selected default skin
    //For Netscape 4
    if(document.layers){
        //First, we want to hide all the layers
        for (var i=0; i<selectObject.options.length; i++) {
          if (selectObject.options[i].value != "spacer") {
            eval("document.layers."+selectObject.options[i].value+".visibility = 'hide'");
          }
        }
        //Now, show the layer that was selected
        eval("document.layers."+val+".visibility = 'show'");
    }
    else
    {
        var elem = document.getElementById("dynamicTextBlock");
        if (elem != null) 
        {
          elem.innerHTML = "<i18n:getMessage messageName='defaultSkin'/><BR>"+ val;
        }
    }
    
    //Display the default skin's preview
    var src = "<%=webappName %>/framework/skins/" + val + "/images/preview.gif";
    var img = document.images["previewDefault"];
    if (img != null) {
      img.src = src;
    }

    skinsChanged = true;
}

function submitForm(mode) {

    var txt = "";
    var selObj = document.forms[0].elements["C1"];
    var popDialog = false;
  
    // skip spacer at end of list
    for (var i=0; i<selObj.options.length-1; i++) 
    {
      txt += selObj.options[i].value;
      if (i < selObj.options.length - 2) 
      {
        txt += "|";
      }
    }
  
    document.forms[0].elements["selectedSkinIds"].value = txt;

	if (mode == "editNames")
	{
	   document.forms[0].elements["submitMode"].value = mode;
     if(skinsChanged)
     {
         popDialog = true;
     }

	} else {
	   document.forms[0].elements["submitMode"].value = "save";
	}

    if(popDialog)
    {
        if(!confirm("You have made changes to the available skins.  Before you can edit the skin display names, you must save the changes.  \n\nWould you like to automatically save the changes now?"))
        {
            this.document.forms[0].saveChanges.value = false;
        }
    }
    this.document.forms[0].submit();
}

function setDefault()
{
  var skinName = "<%=defaultSkinName%>";
  var skinId = "<%=defaultSkinId%>";
  
  //Show, in text, the selected default skin
  //For Netscape 4
  if(document.layers){
      //First, we want to hide all the layers
      for (var i=0; i<document.forms[0].C1.options.length; i++) {
        if (document.forms[0].C1.options[i].value != "spacer") {
          eval("document.layers."+document.forms[0].C1.options[i].value+".visibility = 'hide'");
        }
      }
      //Now, show the layer that was selected
      eval("document.layers."+skinId+".visibility = 'show'");
  }
  else
  {
      var elem = document.getElementById("dynamicTextBlock");
      if (elem != null) 
      {
        elem.innerHTML = "<span class='fieldlabel'><i18n:getMessage messageName='defaultSkin'/></span><BR>"+ skinId;
      }
  }
  
  //Put a * by the default skin name in the list
  for (var i=0; i<document.forms[0].C1.options.length; i++) 
  {
    if (document.forms[0].C1.options[i].text.indexOf(skinName) == 0) 
    {
      document.forms[0].C1.options[i].text = "* " + skinName;
    }
  }

  //Display the default skin's preview
  var src = "<%=webappName %>/framework/skins/" + skinId + "/images/preview.gif";
  var img = document.images["previewDefault"];
  if (img != null) {
    img.src = src;
  }
}

function checkDefaultSkin()
{
  if ( document.forms[0].C1.selectedIndex != -1)
  {
    if ( this.document.forms[0].C1.options[document.forms[0].C1.selectedIndex].text.indexOf("* ") == 0 )
    {
        alert( "<i18n:getMessage messageName='cannotMoveDefaultAlert'/>" );
        return true;
    }
  }
  return false;
}

function setSkinsChanged()
{
    skinsChanged = true;
}

</script>

</head>
<BODY onLoad="setDefault();" leftmargin="0" rightmargin="0" marginwidth="0" marginheight="0" STYLE='BACKGROUND-IMAGE:url("<wf:createResourceURL resource='<%=imagesPath + "bg_subpage.gif"%>'/>"); BACKGROUND-REPEAT: no-repeat; BACKGROUND-POSITION:left top;'>

<%@ include file="/tools/util/admin_header.inc"%>

<!-- end top nav bar -->

<!-- This is the uber table that contains two table data cells: one for the left nav, the other for the main page layout -->
<TABLE border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
  <TR>
    <TD align="left" valign="top" class="sidenav" width="1%">
      <!-- include  table for left nav bar -->
      <jsp:include page="left_navbar.jsp"/>
    </TD>

    <TD align="center" valign="top" width="2%">
      <!-- spacer cell -->
      &nbsp;&nbsp;
    </TD>

    <!-- begin table for main content area -->
    <TD align="left" valign="top">
      <%-- Include the error message display logic --%>
      <%@ include file="/tools/util/error_message.inc"%>

<%
      // Creation of message arguments
      Object[] args = new Object[] { cnvrtSC(portalName), cnvrtSC(groupPortalName) };
%>
      <span class="pageheader"><i18n:getMessage messageName='portalDisplay' messageArgs='<%=args%>'/></span><BR>
      <span class="instructions"><i18n:getMessage messageName='portalDisplaySubHead'/></span>
      <BR><BR>
      <a href="javascript:submitForm('editNames');"><img src="<wf:createResourceURL resource='<%=imagesPath + "edit_skin_name.gif"%>'/>" border="0" alt="<i18n:getMessage messageName='setDisplayNames'/>"></a><BR>&nbsp;

      <!-- start Webflow/Pipeline enabled FORM -->
      <wf:form namespace="admin_portal"  event="link.refresh" origin="select_skins.jsp" hide="true" method="post">
<%
        // number of labels in category listing header section
        int numberOfLabels = 1;
%>

        <TABLE cellspacing="0" cellpadding="0" border="0" width="100%">
      
          <TR>
            <TD align="left" valign="top">
              <!-- Begin Tab Table -->      
              <TABLE cellspacing="0" cellpadding="0" border="0" width="100%">
                <TR>
                  <!-- category listing left hand side -->
                  <TD align="left" valign="top" ROWSPAN="2"><jsp:include page="category_list_header_lhs.jsp"/></TD>
                  <!-- It may seem strange to put a td width of 1000 in here, but after much trial and error this is the only way Netscape will maintain the fixed border widths along with the liquid, stretchable layout of the table -->
                  <TD class="categoryHeadingBorderCell" colspan="<%=numberOfLabels%>" height="1px" width="1000"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
                  <!-- category listing right hand side -->
                  <TD align="left" valign="top" ROWSPAN="2"><jsp:include page="category_list_header_rhs.jsp"/></TD>
                </TR>
                <TR>
                  <!-- * START LABELS -->
                  <TD class="categoryHeadingCell" NOWRAP="true">
                    <i18n:getMessage messageName='availableItemsLabel'/>
                  </TD>
                  <!-- * END LABELS  -->
                </TR>
                <!-- This creates the dark green line at the bottom of the green header -->
                <TR>
                  <TD class="categoryHeadingBorderCell" colspan="3" height="1"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
                </TR>
              </TABLE>
              <!-- End Tab Table -->      
        
            </TD>
            <TD width="50%"></TD>
            <TD align="left" valign="top">
            
              <!-- Begin Tab Table -->      
              <TABLE cellspacing="0" cellpadding="0" border="0" width="100%">
                <TR>
                  <!-- category listing left hand side -->
                  <TD align="left" valign="top" ROWSPAN="2"><jsp:include page="category_list_header_lhs.jsp"/></TD>
                  <!-- It may seem strange to put a td width of 1000 in here, but after much trial and error this is the only way Netscape will maintain the fixed border widths along with the liquid, stretchable layout of the table -->
                  <TD class="categoryHeadingBorderCell" colspan="<%=numberOfLabels%>" height="1px" width="1000"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
                  <!-- category listing right hand side -->
                  <TD align="left" valign="top" ROWSPAN="2"><jsp:include page="category_list_header_rhs.jsp"/></TD>
                </TR>
                <TR>
                  <!-- * START LABELS -->
                  <TD class="categoryHeadingCell" NOWRAP="true">
                    <i18n:getMessage messageName='selectedItemsLabel'/>
                  </TD>
                  <!-- * END LABELS  -->
                </TR>
                <!-- This creates the dark green line at the bottom of the green header -->
                <TR>
                  <TD class="categoryHeadingBorderCell" colspan="3" height="1"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
                </TR>
              </TABLE>
              <!-- End Tab Table -->      
        
            </TD>
            <TD width="50%"></TD>
  
          </TR>
          <TR>
            <TD colspan="<%=(numberOfLabels)%>">
              <!--AVAILABLE LIST-->
              <res:getUnusedSkins id="unusedskinList" groupId="<%=currentGroupPortal %>" />
<%
              StringBuffer availNames = new StringBuffer();
  
              if (unusedskinList != null && unusedskinList.size() !=0 ) 
              {
                for (int i=0; i<unusedskinList.size(); i++) 
                {
                  if (unusedskinList.get(i) != null) 
                  {
                    String displayText = ((SkinIdentifier)unusedskinList.get(i)).getName();
                    availNames.append("<option value=\"" + displayText + "\">" + cnvrtSC(displayText) + "</option>"); 
%>
                    <%-- Type (0=Page/1=PagePersonalization)
                         Mandatory (M=mandatory/ O=optional) --%>
                   <input type="hidden" name="<%=displayText+"T"%>" value="0">
                   <input type="hidden" name="<%=displayText+"M"%>" value="">
<%
                  }
                }
              }
%>
              <select multiple="true" name="C0" size="15" onChange="processSelectionWPrev(this,this.name, this[selectedIndex].value, this[selectedIndex].text)"><%=availNames.toString()%><option value="spacer">----------------------------------------</option>
              </select>
  
            </TD>
  
            <TD align="center" valign="middle" width="50%">
              <table border="0">
                <TR>
                  <TD align="center" valign="top">
                    <a href="javascript:moveRight(<%=selectOneMsg%>);" onClick="moveRight(<%=selectOneMsg%>); setSkinsChanged();return false;"><img src="<wf:createResourceURL resource='<%=imagesPath + "arrow_right_enabled.gif"%>'/>" border="0"></a>
                  </TD>
                </TR>
                <TR>
                  <TD align="center" valign="bottom">
                    <a href="javascript:moveLeft(<%=selectOneMsg%>, <%=leaveOneMsg%>);" onClick="if ( !checkDefaultSkin() ) {moveLeft(<%=selectOneMsg%>, <%=leaveOneMsg%>);setSkinsChanged();} return false;"><img src="<wf:createResourceURL resource='<%=imagesPath + "arrow_left_enabled.gif"%>'/>" border="0"></a>
                  </TD>
                </TR>
              </table>
            </TD>
  
            <TD colspan="<%=(numberOfLabels)%>">
  
              <!--SELECTED LIST-->
              <res:getSelectedSkins id="selectedSkinList" groupId="<%=currentGroupPortal %>" />
<%
              StringBuffer selectedNames = new StringBuffer();
              if (selectedSkinList != null) 
              {
                String name = "";
                String displayName = "";
                List skins = (List)selectedSkinList;
                for (int i=0; i<skins.size(); i++) 
                {
                  if (skins.get(i) != null) 
                  {
                    String displayText = ((SkinDefinition)skins.get(i)).getIdentifier().getName();
                    String tobeDisplayed = ((SkinDefinition)skins.get(i)).getDisplayName();
                    selectedNames.append("<option value=\"" + displayText + "\">" + cnvrtSC(tobeDisplayed) + "</option>"); 
%>
                    <%-- Type (0=Page/1=PagePersonalization)
                         Mandatory (M=mandatory/ O=optional) --%>
                    <input type="hidden" name="<%=displayText+"T"%>" value="1">
                    <input type="hidden" name="<%=displayText+"M"%>" value="0">
<%
                  }
                }
              }
%>
              <select multiple="true" name="C1" size="15" onChange="processSelectionWPrev(this,this.name, this[selectedIndex].value, this[selectedIndex].text);"><%=selectedNames.toString()%><option value="spacer">----------------------------------------</option>
              </select>
  
              <!-- HIDDEN ELEMENTS HERE -->
              <input type="hidden" name="selectedPageIndex" value="">
              <input type="hidden" name="selectedPageFormName" value="">
              <input type="hidden" name="selectedPageNameValue" value="">
              <input type="hidden" name="selectedPageNameText" value="">
              <input type="hidden" name="lastSelectedPageFormName" value="">
              <input type="hidden" name="doUpdate" value="true">
              <input type="hidden" name="viewScope" value="group">
              <input type="hidden" name="portalName" value="<%=portalName%>">
              <input type="hidden" name="groupId" value="<%=groupPortalGroupId%>">
              <input type="hidden" name="userId" value="">
              <input type="hidden" name="selectedSkinIds" value="">
              <input type="hidden" name="skinId" value="<%=defaultSkinId%>">
              <input type="hidden" name="saveChanges" value="true">
			  <input type="hidden" name="submitMode" value="save">
            </TD>
            <TD align="left" valign="middle" width="50%">
              <table>
                <tr>
                  <td>
                    <span class="fieldlabel"><i18n:getMessage messageName='previewLabel'/></span>
                  </td>
                </tr>
                <tr>
                  <td align="center" valign="top">
                    <img id="previewSelection" name="previewSelection" src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" border="0" supress="yes" width=76 height=50 >
                    <br>&nbsp;
                    <br>&nbsp;
                  </td>
                </tr>
                <tr>
                  <td>
                   <span class="fieldlabel"><i18n:getMessage messageName='currentDefaultLabel'/></span>
                  </td>
                </tr>
                <tr>
                  <td align="center" valign="top">
                    <img id="previewDefault" name="previewDefault" src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" border="0" supress="yes" width=76 height=50 >
                  </td>
                </tr>
              </table>
            </TD>
          </TR>
  
          <TR>
            <TD class="emptyRow" colspan="<%=( ( (numberOfLabels+2) * 2) + 2)%>"></TD>
          </TR>
  
          <TR>
            <TD colspan="<%=(numberOfLabels)%>">
              <a href="<wf:createWebflowURL namespace='admin_portal' origin='select_skins.jsp' event='link.back'/>"><img src="<wf:createResourceURL resource='<%=imagesPath + "back.gif"%>'/>" border="0" alt="<i18n:getMessage messageName='backLabel'/>"></a>
              &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="javascript:submitForm('save');"><img src="<wf:createResourceURL resource='<%=imagesPath + "save.gif"%>'/>" border="0" alt="<i18n:getMessage messageName='saveLabel'/>"></a>
            </TD>
            <TD></TD>
  
            <TD colspan="<%=(numberOfLabels)%>">
              <TABLE cellspacing="0" cellpadding="2" border="0">
                <TR>
                  <TD>
                    <A HREF="#" ONCLICK="setDefaultSkin('C1');return false; "><IMG src="<wf:createResourceURL resource='<%=imagesPath + "set_as_default.gif"%>'/>" border="0"></A>
                  </TD>
                </TR>
                <TR>
                  <TD>
                    <span name="dynamicTextBlock" id="dynamicTextBlock"></span>
                    <DIV id="nav4" STYLE="visibility:hidden;">
<%
                      if (selectedSkinList != null) 
                      {
                        String displayName = "";
                        List skinNames = (List)selectedSkinList;
                        for (int i=0; i<skinNames.size(); i++) 
                        {
                          if (skinNames.get(i) != null)
                          {
                            displayName = ((SkinDefinition)skinNames.get(i)).getIdentifier().getName();
%>
                            
                            <ILAYER ID="<%=displayName%>" visibility="hide" style="position:absolute;"><i18n:getMessage messageName='defaultSkin'/> 
                            <%=displayName%></ILAYER>
<%
                          }
                        }
                      }
%>
                    </DIV>
                  </TD>
                </TR>
              </TABLE>
            </TD>
  
            <TD></TD>
          </TR>
  
        </TABLE>

    </wf:form>

    </TD>
    <!-- end content area -->

    <TD align="center" valign="top" width="2%">
      <!-- spacer cell -->
    </TD>

  </TR>
</TABLE>

</BODY>
</HTML>
