<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>

<%-- ------------------------------------------------------------ --%>
<%-- page imports                                                 --%>
<%-- ------------------------------------------------------------ --%>
<%@ page import="com.bea.portal.model.GroupPortal"%>
<%@ page import="com.bea.portal.model.Page"%>
<%@ page import="com.bea.portal.model.PageIdentifier"%>
<%@ page import="com.bea.portal.model.MutablePagePersonalization"%>
<%@ page import="java.util.List"%>
<%@ page import="java.util.StringTokenizer"%>
<%@ page import="com.bea.portal.entitlement.taxonomy.PortalPageTaxonomy"%>
<%@ page import="com.bea.portal.entitlement.resource.PortalPageResourceConstants"%>
<%@ page import="com.bea.portal.jsp.JspConstants"%>
<%@ page import="com.bea.p13n.entitlements.common.Role"%>

<%@ page errorPage="error.jsp" %>

<%-- ------------------------------------------------------------ --%>
<%-- taglibs                                                      --%>
<%-- ------------------------------------------------------------ --%>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>
<%@ taglib uri="res.tld" prefix="res" %>
<%@ taglib uri="ent.tld" prefix="ent" %>

<%-- ------------------------------------------------------------ --%>
<%-- i18n (internationalization) and skin setup                   --%>
<%-- ------------------------------------------------------------ --%>

<%@ include file="/tools/portal/i18n_setup.inc"%>

<%  // Grab the html title string from the properties file %>
<i18n:getMessage messageName='pageTitle' id='pageTitle'/> 

<%-- ------------------------------------------------------------ --%>
<%-- environment setup                                            --%>
<%-- ------------------------------------------------------------ --%>

<%-- ------------------------------------------------------------ --%>
<%-- DECLARE NavLocation VALUE                                    --%>
<%-- Used for the left_navbar highlighting                        --%>
<%-- ------------------------------------------------------------ --%>
  <wf:setProperty property='NavLocation' value='<%=JspConstants.PAGES_LAYOUTS_PORTLETS_NAV%>' scope='request'/>

<%-- Get the Default Group Portal Display name to use on the page --%>
<i18n:getMessage id='defaultGroupPortalName' messageName='defaultGroupPortalDisplayName' bundleName='tools'/>

<wf:getProperty property="portalName" id="portalName" type="String"/>
<wf:getProperty property="portalId" id="portalId" type="String"/>
<wf:getProperty property="groupPortalObj" id="currentGroupPortal" type="com.bea.portal.model.GroupPortal"/>
<wf:getProperty property="isDefaultGroup" id="isDefaultGroup" type="String"/>

<%
  String groupPortalGroupId = currentGroupPortal.getGroupIdentifier();
  String groupPortalName = currentGroupPortal.getDisplayName();

  if(( isDefaultGroup != null ) && ( isDefaultGroup.equals("true") ))
  {
    groupPortalName = defaultGroupPortalName;
  }
%>

<%-- ------------------------------------------------------------ --%>
<%-- begin rendering                                              --%>
<%-- ------------------------------------------------------------ --%>
<html>

<head>
  <title><%=pageTitle%></title>
  <LINK REL=StyleSheet HREF="<wf:createResourceURL resource='<%=cssFile%>'/>" TYPE="text/css" MEDIA="screen">

<script language="JavaScript">

function doFormSubmit()
{
  var undefTxt = "";
	var selObj = document.forms[0].elements["undefSelect"];
	// skip spacer at end of list
	for (var i=0; i<selObj.options.length-1; i++)
  {
		undefTxt += selObj.options[i].value;
		if (i <	selObj.options.length - 2)
    {
			undefTxt += "\\~";
		}
	}

	var defTxt = "";
	var selObj1 = document.forms[0].elements["defSelect"];
	// skip spacer at end of list
	for (var i=0; i<selObj1.options.length-1; i++)
  {
		defTxt += selObj1.options[i].value;
		if (i <	selObj1.options.length - 2)
    {
			defTxt += "\\~";
		}
	}

  document.forms[0].elements["undefinedSegmentIds"].value = undefTxt;
  document.forms[0].elements["definedSegmentIds"].value = defTxt;    
	document.forms[0].submit();

}

function checkSpacerDefSelect() {
	var moreObj = document.forms[0].defSelect;	
        
    for (var i=0; i<moreObj.options.length; i++) {
        if ( ( moreObj.options[i].value == "--------------------------------------------------" ) && ( moreObj.options[i].selected == true ) ){
            moreObj.selectedIndex = -1;
        }
    }
}

function checkSpacerUndefSelect() {
	var moreObj = document.forms[0].undefSelect;	

    for (var i=0; i<moreObj.options.length; i++) {
        if ( ( moreObj.options[i].value == "--------------------------------------------------" ) && ( moreObj.options[i].selected == true ) ){
            moreObj.selectedIndex = -1;
        }
    }
}

function move(fromEle, toEle)
{
  var selId = this.document.forms[0].elements[fromEle].selectedIndex;
	if ( selId == -1 || this.document.forms[0].elements[fromEle].options[selId].value == "--------------------------------------------------")
  {
	    return false;
  }

  values = new Array();
  for(var i=0;i<this.document.forms[0].elements[fromEle].options.length;i++)
  {
      if(this.document.forms[0].elements[fromEle].options[i].selected== true)
      {
          values[values.length] = this.document.forms[0].elements[fromEle].options[i].value;
      }
  }


	var from = document.forms[0].elements[fromEle];
  var to = document.forms[0].elements[toEle];
	
  for(var j=0;j<values.length;j++)
  {
    var v = values[j];
    var cnt = to.options.length;
    var t = to.options[cnt-1].value;    
    
    var isNav;
    if (parseInt(navigator.appVersion) >=4 && navigator.appName == "Netscape") 
    {
      isNav = true;
    }
    else
    {
      isNav = false;
    }
      
    if (isNav)
    {
      from.options[from.selectedIndex] = null;
      to.options[cnt-1] = null;
      to.options[cnt-1] = new Option(v, v, false, false);
      to.options[cnt-1].selected = false;
      to.options[cnt] = new Option(t, t, false, false);
      to.options[cnt].selected = false;    	
    }
    else
    {
      from.options.remove(from.selectedIndex);
      to.options.remove(cnt-1);
      var newElem = document.createElement('OPTION');
      newElem.text = v;
      newElem.value = v;
      to.options.add(newElem);
      newElem = document.createElement('OPTION');
      newElem.text = t;
      newElem.value = t;
      to.options.add(newElem);   		
    }
  }

	return false;
}

</script>

</head>

<BODY leftmargin="0" rightmargin="0" marginwidth="0" marginheight="0" STYLE='BACKGROUND-IMAGE:url("<wf:createResourceURL resource='<%=imagesPath + "bg_subpage.gif"%>'/>"); BACKGROUND-REPEAT: no-repeat; BACKGROUND-POSITION:left top;'>

<%
  String[] selectedPages = request.getParameterValues("selectedPages");
  if (selectedPages == null)
  {
%>	
    <wf:getProperty property="selectedPages" id="selPages" type="String[]"/>  
<%  selectedPages = selPages;  
  }
  else
  { 
%>
    <wf:setProperty property="selectedPages" value="<%= selectedPages %>"/>
<% 
  }
  java.util.ArrayList undefRoleList = null, defRoleList = null;
  if (request.getParameter("pessavemode") != null)  		// remove all segments and add back from the form settings
  {
    undefRoleList = new java.util.ArrayList();
    defRoleList = new java.util.ArrayList();   
    String unselected = request.getParameter("undefinedSegmentIds");
    String selected = request.getParameter("definedSegmentIds");
    if (unselected != null) 
    {
      StringTokenizer st = new StringTokenizer(unselected, "\\~");
      while (st.hasMoreTokens())
      {
        undefRoleList.add(st.nextToken());
      }
    }
    if (selected != null)
    {
      StringTokenizer st = new StringTokenizer(selected, "\\~");
      while (st.hasMoreTokens())
      {
        defRoleList.add(st.nextToken());
      }
    }
    // resetting entitlement segments for each selected page
    for (int j=0; j<selectedPages.length; j++)
    {
      PortalPageTaxonomy resourceTaxonomy = new PortalPageTaxonomy(portalId,currentGroupPortal.getGroupIdentifier(), selectedPages[j]);
      String resourceType = PortalPageResourceConstants.RESOURCE_TYPE;        
      java.util.ArrayList tempList = (java.util.ArrayList)defRoleList.clone();      
%>
      <ent:getEntitlementSegments resourceType="<%=resourceType%>" resourceTaxonomy="<%=resourceTaxonomy%>" filter="DEFINED" id="definedList" />
<%    
      for (int i=0; i<definedList.size(); i++) 
      if (!((String)definedList.get(i)).equals(Role.EVERYONE)) 
      { 
        String roleName = (String)definedList.get(i);
        boolean stay = false;
        for (int k=0; k<tempList.size(); k++) 	// for existing defined roles, don't remove and add
        if (((String)tempList.get(k)).equals(roleName))
        { 
        	stay = true;
        	tempList.remove(k);
        	break;
        }
        if (!stay) 
        {
%>
          <ent:removeEntitlementRole resourceType="<%=resourceType%>" resourceTaxonomy="<%=resourceTaxonomy%>" roleName="<%=roleName%>"  />
<%      }
	    }
      for (int i=0; i<tempList.size(); i++) 
      { 
%>
        <ent:setDefaultEntitlement resourceType="<%=resourceType%>" resourceTaxonomy="<%=resourceTaxonomy%>" roleName="<%=(String)tempList.get(i)%>" id="success" />
<%    
      }
    }
  
    // The following form and associated javascript allow for the "page forward" on a successful save
    //We only want to forward if there have been no generated errors within the tags
    String logId = (String)pageContext.getAttribute("logId");
    if(logId == null)
    {
%>
      <SCRIPT LANGUAGE="JavaScript">
        window.location.replace("<wf:createWebflowURL namespace='admin_portal' event='link.back'/>");
      </SCRIPT>
<%  
    } 
  } 
  else
  { 
      
    PortalPageTaxonomy resourceTaxonomy = new PortalPageTaxonomy(portalId,currentGroupPortal.getGroupIdentifier(), selectedPages[0]);
    String resourceType = PortalPageResourceConstants.RESOURCE_TYPE;  
%>
    <ent:getEntitlementSegments resourceType="<%=resourceType%>" resourceTaxonomy="<%=resourceTaxonomy%>" filter="UNDEFINED" id="undefinedList" />
    <ent:getEntitlementSegments resourceType="<%=resourceType%>" resourceTaxonomy="<%=resourceTaxonomy%>" filter="DEFINED" id="definedList" />
<%
    undefRoleList = (java.util.ArrayList)undefinedList;
    defRoleList = (java.util.ArrayList)definedList;
  }
%>

<%@ include file="/tools/util/admin_header.inc"%>

<!-- end top nav bar -->

<!-- This is the uber table that contains two table data cells: one for the left nav, the other for the main page layout -->
<TABLE border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
<TR><TD align="left" valign="top" class="sidenav" width="1%">
<!-- include  table for left nav bar -->
<jsp:include page="left_navbar.jsp"/>
</TD>


<TD align="center" valign="top" width="2%">
  <!-- spacer cell -->
</TD>

<!-- begin table for main content area -->
<TD align="left" valign="top">

  <%
    // Creation of message arguments
      StringBuffer selectedPageNames = new StringBuffer();
      for ( int i = 0; i < selectedPages.length; i++ ) {
            selectedPageNames.append( selectedPages[ i ] );
            if ( ( i + 1 ) != selectedPages.length ){
                selectedPageNames.append( ", " );
            }
      }
%>
      <i18n:getMessage messageName='selectedPages' messageArgs='<%=new Object[]{ selectedPageNames.toString() }%>' id='pname'/>
<%
    
      Object[] args = new Object[] { selectedPageNames.toString() };
  %>
  <span class="pageheader"><i18n:getMessage messageName='portalDisplay' messageArgs='<%=args%>'/></span><BR>
  <span class="instructions"><i18n:getMessage messageName='portalDisplaySubHead'/></span>
  <br><br>
  
  <!-- start Webflow/Pipeline enabled FORM -->
  <wf:form namespace="admin_portal"  event="link.save" origin="set_page_ent_segments.jsp" hide="true" method="post" name="attrform">

  <TABLE cellspacing="5" cellpadding="5" border="0">
    <TR>
      <TD><b><i18n:getMessage messageName='allEntSegments'/></b></TD>
      <TD></TD>
      <TD><b><i18n:getMessage messageName='selEntSegments'/></b></TD>
    </TR>
    <TR>
      <TD>
		<SELECT MULTIPLE="true" SIZE="10" NAME="undefSelect" onchange="checkSpacerUndefSelect()">
<%		for (int i=0; i<undefRoleList.size(); i++) {        
		if (!((String)undefRoleList.get(i)).equals(Role.EVERYONE))
%>
		<option value="<%=(String)undefRoleList.get(i)%>"><%=(String)undefRoleList.get(i)%></option>
<%      } %>	
        <option value="--------------------------------------------------">--------------------------------------------------</option>
		</SELECT> 
      </TD>
      <TD align="center" valign="middle" width="25%">
        <!-- -->
        <table border="0">
             <TR>
                 <TD align="center" valign="bottom">
                  <a href="javascript:move('undefSelect', 'defSelect');" onClick="move('undefSelect', 'defSelect'); return false;"><img src="<wf:createResourceURL resource='<%=imagesPath + "arrow_right_enabled.gif"%>'/>" border="0"></a>
                 </TD>
          </TR>
            <TR>
                 <TD align="center" valign="top">
                  <a href="javascript:move('defSelect', 'undefSelect');" onClick="move('defSelect', 'undefSelect'); return false;"><img src="<wf:createResourceURL resource='<%=imagesPath + "arrow_left_enabled.gif"%>'/>" border="0"></a>
                 </TD>
             </TR>
        
        </table>
        <!-- -->
      </TD>      
      <TD>
		<SELECT MULTIPLE="true" SIZE="10" NAME="defSelect" onchange="checkSpacerDefSelect()"">
<%		for (int i=0; i<defRoleList.size(); i++) {         
		if (!((String)defRoleList.get(i)).equals(Role.EVERYONE))
%>
		<option value="<%=(String)defRoleList.get(i)%>"><%=(String)defRoleList.get(i)%></option>
<%      } %>
        <option value="--------------------------------------------------">--------------------------------------------------</option>
        </select>
      </TD>
    </TR>
  </TABLE>
  <br><br>
<A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.back'/>"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "back.gif"%>'/>" border="0" align="bottom"></A>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<A HREF="javascript:doFormSubmit()"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "save.gif"%>'/>" border="0" align="bottom"></A>

<input type="hidden" name="undefinedSegmentIds" value="">
<input type="hidden" name="definedSegmentIds" value="">
<input type="hidden" name="pessavemode" value="savemode">

</wf:form>

</TD>
<!-- end content area -->

<TD align="center" valign="top" width="2%">
  <!-- spacer cell -->
</TD>

</TR>
</TABLE>
</BODY>
</HTML>
