<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>
<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="es.tld" prefix="es" %>
<%@ taglib uri="um.tld" prefix="um" %>
<%@ page import="com.bea.p13n.property.PropertyDefinition" %>

<%-- TODO: session monitor to check login --%>
<jsp:useBean id="propertyBean" class="com.bea.jsptools.p13n.usermgmt.servlets.jsp.PropertyBean" scope="request" />

<!-- renderer to view Single Restricted properties -->

<% PropertyDefinition property = (PropertyDefinition)request.getAttribute( "Property" ); %>
<% String propertyName = (String)request.getAttribute( "PropertyName" ); %>
<% String scopeName = (String)request.getAttribute( "scopeName" ); %>

<%-- get a list of restricted values, and defaults to display --%>
<um:getProperty id="currentPropertyValue" propertySet="<%= scopeName %>" propertyName="<%= propertyName %>" />

<es:isNull item="<%=currentPropertyValue%>">
    <%
      currentPropertyValue = property.getDefaultValue();
    %>
</es:isNull>

<%
    Collection valids = property.getRestrictedValues();
    Collection defaults = propertyBean.getAsCollection( currentPropertyValue );
%>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <es:notNull item="<%=valids%>">
    <%
      Object[] arr = valids.toArray();
      int validCount = arr.length;
      int rows = validCount / 2;
      if ( validCount % 2 == 1 ) rows++;
      int rowCount = 1;
      int count = 0;
      boolean secondCol = false;
    %>
          <tr> 
            <td width="45%" valign="top"> 
              <table width="100%" border="0" cellpadding="2" cellspacing="2" bgcolor="#cccccc" bordercolor="#ffffff">
              <es:forEachInArray id="valueObject" array="<%= arr %>" type="Object">
                <% String formattedObject = propertyBean.formatPropertyValue( property, valueObject ); %>
                <% count++; %>
                <% String bgcolor = (rowCount % 2 == 1 ? "#cccccc" : "#ffffff"); %>
                <tr bgcolor="<%= bgcolor %>"> 
                  <td width="8%"> 
                    <% if ( defaults.contains( valueObject ) ) { %><img src="<wf:createResourceURL resource="/repository/images/check.gif"/>" width="15" height="15"><% } else { %>&nbsp;<% } %>
                  </td>
                  <td><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><%= formattedObject %></font></td>
                </tr>
                <% if ( rowCount++ >= rows && !secondCol ) { %>
                  <%-- end the first column and start the next --%>
                  <% rowCount = 1; secondCol = true; %>
                      </table>
                   </td>
                  <td>&nbsp;</td>
                  <td width="45%" valign="top"> 
                    <table width="100%" border="0" cellpadding="2" cellspacing="2" bgcolor="#cccccc" bordercolor="#ffffff">
                <% } %>
              </es:forEachInArray>
              </table>
            </td>
          </tr>
  </es:notNull>

  <es:isNull item="<%=valids%>">
  <tr><td><font face="Verdana, Arial, Helvetica, sans-serif" size="2">No Default Value Specified</font></td></tr>
  </es:isNull>
</table>
