<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<%----------------------------------------------------------
Clean up checklist

[x] - using header include for the header
[x] - page extends com.bea.jsptools.common.servlets.jsp.ToolsJspBase
[x] - finished button at top and bottom (if page requires it)
[x] - check color consistency
[x] - cnvrtSC()
[x] - check tool tips 
[x] - blank text fields when first loaded 
[x] - check text input size
[x] - page wrapped in transaction 
[x] - colon after textfield labels
[x] - monitor session tag
[x] - goto error page
[x] - check for TODOs
----------------------------------------------------------%>

<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>
<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="es.tld" prefix="es" %>
<%@ page import="com.bea.jsptools.p13n.common.servlets.jsp.JspUtilPages" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.net.URLEncoder" %>

<jsp:useBean id="realmConfigBean" class="com.bea.jsptools.p13n.usermgmt.servlets.jsp.RealmConfigBean" scope="request" />
<jsp:setProperty name="realmConfigBean" property="*" />

<% request.setAttribute(SERVICEMANAGER_CURRENT_PAGE, getJspName(pageContext));%>

<% String statusMsg = null; %>

<wl:process name="cleanupGroups">
  <%-- cleanup groups --%>
  <% statusMsg = cnvrtSC(realmConfigBean.cleanupMisconfiguredGroups()); %>
</wl:process>

<% String[] misconfigured = realmConfigBean.getMisconfiguredGroups();

   if(misconfigured == null)
   {
       statusMsg = "An error prevented misconfigured groups from being retrieved.";
   }
%>

<html>
<head>
<title>User Management</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<SCRIPT LANGUAGE="JavaScript">
function submitForm() {
   this.document.EditGroupsForm.submit();
   return true;
}

function confirmCleanup()
{
   return (confirm("Are you sure you want to cleanup these groups?  All information associated with these groups will be deleted."));
}
</SCRIPT>

<%@ include file="/tools/util/startUserTransaction.inc" %>
<body bgcolor="#FFFFFF" topmargin="0" leftmargin="0" marginwidth="0" marginheight="0"> 
<!-- Header  -->
<jsp:include page="<%=JspUtilPages.JSP_UTIL_HOME_HDR%>"/>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr bgcolor="#000000"> 
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="91%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/stopclear.gif"/>" width="65" height="8"></td>
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
  </tr>
  <tr> 
    <td width="3%" bgcolor="#006666" height="14"><img src="<wf:createResourceURL resource="/repository/images/um.gif"/>" width="30" height="24"></td>
    <td width="91%" bgcolor="#006666" height="14"><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#FFFFFF"><b>Realm Configuration</b></font></td>
    <td width="3%" bgcolor="#006666" height="14"><img src="<wf:createResourceURL resource="/repository/images/smiddleclear.gif"/>" width="65" height="24"></td>
    <td width="3%" height="14"><img src="<wf:createResourceURL resource="/repository/images/curves_um1_1.gif"/>" width="30" height="24"></td>
  </tr>
  <tr> 
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="91%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/sbottomclear.gif"/>" width="65" height="8"></td>
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
  </tr>
</table>
<table border="0" cellspacing="0" cellpadding="0" width="100%">

  <tr> 
    <td width="2%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="92%" colspan="2">&nbsp;</td>
  </tr>

  <es:notNull item="<%=statusMsg%>">
  <tr>
    <!-- validation error display -->
    <td width="2%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="92%" colspan="2"><%@ include file="status.inc" %></td>
  </tr>
  </es:notNull>

  <tr> 
    <td width="2%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="20" height="8"></td>
    <td rowspan="2" width="6%" valign="top" align="left"><img src="<wf:createResourceURL resource="/repository/images/icon_edit.gif"/>" width="65" height="50" align="top"></td>
    <td bgcolor="#CCCCCC" width="92%" colspan="2"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8">Clean Up
      Groups</b></font></td>
  </tr>
  <tr> 
    <td width="2%">&nbsp;</td>
    <td width="92%" colspan="2"><font face="Verdana, Arial, Helvetica, sans-serif" size="2">Groups found in the personalization database but not found in the realm are called misconfigured groups. Clicking &quot;Clean Up&quot; will remove these groups and all of their profile information from the database.</font></td>
  </tr>
  <tr> 
    <td width="2%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="92%" colspan="2">&nbsp;</td>
  </tr>
  <tr> 
    <td width="2%" height="10">&nbsp;</td>
    <td width="6%" height="10">&nbsp;</td>
    <td width="90%" height="10"> 
      <font face="Verdana, Arial, Helvetica, sans-serif" size="2">

        <es:notNull item="<%=misconfigured%>">
          <% boolean misconfiguredGroupsExist = misconfigured.length > 0; 
   
             if(misconfiguredGroupsExist)
             { %>
            There are <%= misconfigured.length %> groups that will be affected.
          <% }
             else
             {  %>
            No misconfigured groups exist.
          <% } %>
        </es:notNull>

      </font>
    </td>
    <td width="2%" height="10">&nbsp;<img src="<wf:createResourceURL resource="/repository/images/shim.gif"/>" width="15" height="8"></td>
  </tr>

  <tr> 
    <td width="2%" height="10">&nbsp;</td>
    <td width="6%" height="10">&nbsp;</td>
    <td width="90%" height="10">&nbsp;</td>
    <td width="2%" height="10">&nbsp;</td>
  </tr>
  <tr> 
    <td width="2%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="92%" colspan="2"> 
      <table border="0" cellspacing="4" cellpadding="0" align="right">
        <tr> 
          <td> 
            <div align="right"><a href="<wf:createWebflowURL event="link.realm_config"/>"><img src="<wf:createResourceURL resource="/repository/images/back_um1.gif"/>" width="65" height="40" border="0" alt="Return to the Previous Page"></a></div>
          </td>
          <td> 
          <%String realmConfigParams = "cleanupGroups=yes";%>
            <div align="right"><a href="<wf:createWebflowURL event="link.realm_config_group" extraParams="<%=realmConfigParams%>"/>" onClick="return confirmCleanup();"><img src="<wf:createResourceURL resource="/repository/images/cleanup_um1.gif"/>" width="65" height="40" alt="Delete Misconfigured Groups" border="0"></a></div>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
</body>
<%@ include file="/tools/util/endUserTransaction.inc" %>
</html>
