<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<%--
Clean up checklist

[x] - using header include for the header
[x] - page extends com.bea.jsptools.common.servlets.jsp.ToolsJspBase
[x] - finished button at top and bottom (if page requires it)
[x] - check color consistency
[x] - cnvrtSC()
[x] - check tool tips 
[x] - blank text fields when first loaded 
[x] - page wrapped in transaction 
[x] - colon after textfield labels
[x] - monitor session tag
[x] - goto error page
--%>

<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>
<%@ page import="com.bea.jsptools.p13n.common.servlets.jsp.JspUtilPages" %>

<% request.setAttribute(SERVICEMANAGER_CURRENT_PAGE, getJspName(pageContext));%>

<jsp:useBean id="accessBean" class="com.bea.jsptools.p13n.usermgmt.servlets.jsp.FunctionAccessBean" scope="session" />
 
<%
  boolean isManageableRealm = accessBean.isManageableRealm();
%>

<html>
<head>
<title>User Management Home</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body bgcolor="#FFFFFF" topmargin="0" leftmargin="0" marginwidth="0" marginheight="0">

<!-- Header  -->
<jsp:include page="<%=JspUtilPages.JSP_UTIL_HOME_HDR%>"/>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr bgcolor="#000000"> 
    <td width="85%" colspan="2"><img src="<wf:createResourceURL resource="/repository/images/um.gif"/>" width="30" height="24" align="absmiddle"><font color="#FFFFFF" face="Verdana, Arial, Helvetica, sans-serif" size="2"><i> 
      User Management</i></font></td>
    <td width="5%">&nbsp;</td>
    <td width="5%">&nbsp;</td>
    <td width="5%">&nbsp;</td>
  </tr>
  <tr bgcolor="#FFFFFF"> 
    <td width="5%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="5" width="5"></td>
    <td width="80%">&nbsp;</td>
    <td width="5%">&nbsp;</td>
    <td width="5%">&nbsp;</td>
    <td width="5%">&nbsp;</td>
  </tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="47%" valign="top"> 

      <!-- Group tools -->      
      <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr> 
          <td width="5%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
          <td width="54%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
          <td width="14%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>

          <% if ( isManageableRealm ) { %>
              <td width="19%"><a href="<wf:createWebflowURL event="link.group_list"/>"><img src="<wf:createResourceURL resource="/repository/images/stop_um1.gif"/>" width="65" height="8" border="0" alt="Create Groups"></a></td>
          <% } else { %>
              <td width="19%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
          <% } %>

          <td width="8%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
        </tr>
        <tr> 
          <td width="5%" bgcolor="#006666" height="23">&nbsp;</td>
          <td width="54%" bgcolor="#006666" height="23"><font face="Verdana, Arial, Helvetica, sans-serif" size="3"><b><a href="<wf:createWebflowURL event="link.group_search"/>"><font color="#FFFFFF">Groups</font></a></b></font></td>
          <td width="14%" bgcolor="#006666" height="23">&nbsp;</td>

          <% if ( isManageableRealm ) { %>
          <td width="19%" bgcolor="#006666" height="23"><a href="<wf:createWebflowURL event="link.group_list"/>"><img src="<wf:createResourceURL resource="/repository/images/screate_um1.gif"/>" width="65" height="24" border="0" alt="Create Groups"></a></td>
          <% } else { %>
          <td width="19%" bgcolor="#006666"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
          <% } %>

          <td width="8%" height="23"><img src="<wf:createResourceURL resource="/repository/images/curves_um1_1.gif"/>" width="30" height="24"></td>
        </tr>
        <tr> 
          <td width="5%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
          <td width="54%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
          <td width="14%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>

          <% if ( isManageableRealm ) { %>
          <td width="19%"><a href="<wf:createWebflowURL event="link.group_list"/>"><img src="<wf:createResourceURL resource="/repository/images/sbottom_um1.gif"/>" width="65" height="8" border="0" alt="Create Groups"></a></td>
          <% } else { %>
          <td width="19%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
          <% } %>

          <td width="8%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
        </tr>
      </table>
      <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr> 
          <td width="5%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="20" height="8"></b></font></td>
          <% String groupMessage = null;
             if(isManageableRealm) 
             {
                 groupMessage = "Click Groups to edit and delete groups, click Create to add new groups.";
             }
             else
             {
                 groupMessage = "Click Groups to edit groups.";
             }
          %>
          <td width="95%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><b><i><%=groupMessage%>
            </i></b></font></td>
        </tr>
        <tr> 
          <td width="5%">&nbsp;</td>
          <td width="95%">&nbsp;</td>
        </tr>
      </table>
      <!-- END Group tools -->      


    </td>
    <td width="3%">&nbsp;</td>
    <td width="50%" valign="top"> 


      <!-- User tools -->      
      <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td colspan="3"> 
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr> 
                <td width="6%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
                <td width="60%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
                <td width="16%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>

                <% if ( isManageableRealm ) { %>
                    <td width="13%"><a href="<wf:createWebflowURL event="link.user_create"/>"><img src="<wf:createResourceURL resource="/repository/images/stop_um1.gif"/>" width="65" height="8" border="0" alt="Create Users"></a></td>
                <% } else { %>
                    <td width="13%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
                <% } %>

                <td width="5%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
              </tr>
              <tr bgcolor="#006666"> 
                <td width="6%" height="23"><img src="<wf:createResourceURL resource="/repository/images/curves_um1_2.gif"/>" width="30" height="24"></td>
                <td width="60%" height="23" bgcolor="#006666"><font face="Verdana, Arial, Helvetica, sans-serif" size="3"><b><a href="<wf:createWebflowURL event="link.user_search"/>"><font color="#FFFFFF">Users</font></a></b></font></td>
                <td width="16%" height="23" bgcolor="#006666">&nbsp;</td>

                <% if ( isManageableRealm ) { %>
                    <td width="13%" height="23" bgcolor="#006666"><a href="<wf:createWebflowURL event="link.user_create"/>"><img src="<wf:createResourceURL resource="/repository/images/screate_um1.gif"/>" width="65" height="24" border="0" alt="Create Users"></a></td>
                <% } else { %>
                    <td width="13%" bgcolor="#006666"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
                <% } %>

                <td width="5%" height="23" bgcolor="#006666">&nbsp;</td>
              </tr>
              <tr> 
                <td width="6%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
                <td width="60%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
                <td width="16%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>

                <% if ( isManageableRealm ) { %>
                    <td width="13%"><a href="<wf:createWebflowURL event="link.user_create"/>"><img src="<wf:createResourceURL resource="/repository/images/sbottom_um1.gif"/>" width="65" height="8" border="0" alt="Create Users"></a></td>
                <% } else { %>
                    <td width="13%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
                <% } %>

                <td width="5%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
      <table border="0" cellspacing="0" cellpadding="0" width="100%">
        <tr> 
          <td width="5%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="20" height="8"></b></font></td>
          <% String userMessage = null;
             if(isManageableRealm)
             {
                 userMessage = "Click Users to edit and delete users, click Create to add new users.";
             }
             else
             {
                 userMessage = "Click Users to edit users.";
             }
          %>
          <td colspan="2"><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><b><i><%=userMessage%>
            </i></b></font></td>
        </tr>
        <tr> 
          <td width="5%">&nbsp;</td>
          <td width="51%">&nbsp;</td>
          <td width="44%">&nbsp;</td>
        </tr>
      </table>
      <!-- END User tools -->      


    </td>
  </tr>
  <tr>
    <td width="47%">

      <%--  Unified Profile Type tools used to go here.
            Unified Profile Type specific tools are gone as of Flagstaff - 
            they are no longer needed with the new UM deployment configuration  - RIP  --%>


      <!-- Realm tools --> 
      <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr> 
          <td width="5%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
          <td width="54%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
          <td width="14%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
          <td width="19%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
          <td width="8%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
        </tr>
        <tr> 
          <td width="5%" bgcolor="#006666" height="23">&nbsp;</td>
          <td width="54%" height="23" bgcolor="#006666"><font face="Verdana, Arial, Helvetica, sans-serif" size="3"><b><a href="<wf:createWebflowURL event="link.realm_config"/>"><font color="#FFFFFF"><nobr>Realm</nobr></font></a></b></font></td>
          <td width="14%" bgcolor="#006666" height="23">&nbsp;</td>
          <td width="19%" height="23" bgcolor="#006666">&nbsp;</td>
          <td width="8%" height="23"><img src="<wf:createResourceURL resource="/repository/images/curves_um1_1.gif"/>" width="30" height="24"></td>
        </tr>
        <tr> 
          <td width="5%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
          <td width="54%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
          <td width="14%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
          <td width="19%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
          <td width="8%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" height="8" width="8"></td>
        </tr>
      </table>
      <table border="0" cellspacing="0" cellpadding="0" width="100%">
        <tr> 
          <td width="5%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="20" height="8"></b></font></td>
          <td colspan="2"><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><b><i>Click 
            Realm to view and edit the Realm configuration.</i></b></font></td>
        </tr>
        <tr> 
          <td width="5%">&nbsp;</td>
          <td width="51%">&nbsp;</td>
          <td width="44%">&nbsp;</td>
        </tr>
      </table>
      <!-- END Realm tools -->      


    </td>
    <td width="3%">&nbsp;</td>
    <td width="50%" valign="top"> 
      &nbsp;
    </td>
  </tr>
  <tr>
    <td width="47%">
      <%--  LDAP tools used to go here.
            LDAP specific tools are gone as of Flagstaff - 
            they are no longer needed with the new UM realm - RIP  --%>
      &nbsp;
    </td>
    <td width="3%">&nbsp;</td>
    <td width="50%" valign="top"> 
      &nbsp;
    </td>
  </tr>
</table>
</body>
</html>
