<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->
   
<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ page import="java.util.*" %>
<%@ page import="java.net.URLEncoder" %>
<%@ page import="java.util.TimeZone"%>

<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%> 

<jsp:useBean id="calendarBean" class="com.beasys.commerce.axiom.util.CalendarBean" scope="session"/>
<jsp:setProperty name="calendarBean" property="*"/>  

<%
    String contentBGColor = "#FFFFFF";
    String contentTitleBarColor = "#FF0000";
    String contentBannerColor  = "#FFFFFF";

    int monthNum = calendarBean.getCurrentMonthNumber();
    String month = calendarBean.getCurrentMonth();
    int day = calendarBean.getCurrentDate();
    int year = calendarBean.getCurrentYear();
    int currentDayNumber = 1;
    boolean dateHere = false;
    String cellColor = new String(contentBGColor);
   
%>
<%//System.out.println("processing at server...");%>

<wl:process name="Previous Month.x">
   <% 
    // Display previous month
    calendarBean.addMonthDisplayCalendar(-1);
    %>
</wl:process>

<wl:process name="Next Month.x">
   <% 
    // Display next month
    calendarBean.addMonthDisplayCalendar(1);
    %>
</wl:process>
<wl:process name="Previous Year.x">
   <% 
    // Display previous month
    calendarBean.addYearDisplayCalendar(-1);
    %>
</wl:process>

<wl:process name="Next Year.x">
   <% 
    // Display next month
    calendarBean.addYearDisplayCalendar(1);
    %>
</wl:process>

<%
    // Determine the information for current Calendar.
    String displayDay = calendarBean.getDayOfWeek(1);    
    String displayMonth = calendarBean.getDisplayMonth();
    // Note: calendar object has zero based months (0-11)
    int displayMonthNum = calendarBean.getDisplayMonthNumber() + 1;

    int displayYear = calendarBean.getDisplayYear();
    int startDayOfWeek = calendarBean.getStartDayOfWeekInMonth(); 
    // Change the number of days in the month if it is a leap year and the month is February
    int daysInMonth = calendarBean.getDaysInMonth();
    String currentZoneId = calendarBean.getCurrentZoneId();
    
    // For formatting Calendar.
    int numDaysFirstWeek = calendarBean.getDaysInFirstWeek();
    int completeWeeks = calendarBean.getCompleteWeeksInMonth();
    int daysInLastWeek = calendarBean.getDaysInLastWeek();
     
    /* determine if white/black text will show up with system color scheme*/
    String titleTextColor = new String("black");/*default title text to black*/
    String bannerTextColor = new String("black");/*default banner and content text to black*/
    
    if(contentTitleBarColor.equalsIgnoreCase("white") || contentTitleBarColor.equalsIgnoreCase("#FFFFFF")){
        titleTextColor = "black";
    }
        
    if(contentBannerColor.equalsIgnoreCase("black") || contentBannerColor.equalsIgnoreCase("000000")){
        bannerTextColor = "white";
    }       
%>
<HTML>

<HEAD>
	<TITLE>Calendar</TITLE>
	
<SCRIPT LANGUAGE="JavaScript">

function displayDate(dayName, monthNum, month, day, year) {
        
   hour = this.document.dateForm.hour[this.document.dateForm.hour.selectedIndex].value; 
   min = this.document.dateForm.minute[this.document.dateForm.minute.selectedIndex].value; 
   this.document.dateForm.year.value = year;
   this.document.dateForm.month.value = monthNum;
   this.document.dateForm.date.value = day;
        
   daysInWeek = new Array ("Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat");        
   this.document.dateForm.selectedDate.value =
         daysInWeek[dayName] + " " + month + " " + day + ", " + year;
         
   return false;  
}

function reportDate(requestedFormNameHidden,requestedFormNameVisible)
{            
    if (this.document.dateForm.month.value.length > 0) {        
        this.document.dateForm.sdFormat.value = this.document.dateForm.month.value + "/" + 
        this.document.dateForm.date.value + "/" +
        this.document.dateForm.year.value + " " +     
        this.document.dateForm.hour[this.document.dateForm.hour.selectedIndex].value + ":" +
        this.document.dateForm.minute[this.document.dateForm.minute.selectedIndex].value + ":00 " +   
        this.document.dateForm.zone[this.document.dateForm.zone.selectedIndex].value;                 
    }
    
    displayedVal = "";
    if (this.document.dateForm.selectedDate.value.length > 0) {
        displayedVal = 
            this.document.dateForm.selectedDate.value + " " +
            this.document.dateForm.hour[this.document.dateForm.hour.selectedIndex].value + ":" +
            this.document.dateForm.minute[this.document.dateForm.minute.selectedIndex].value + ":00 " +   
            this.document.dateForm.zone[this.document.dateForm.zone.selectedIndex].value;                 
    }

    if (opener.document != null) {
        eval("opener.document." + requestedFormNameVisible + ".value = '" + 
           displayedVal + "'");
         
        eval("opener.document." + requestedFormNameHidden + ".value = '" + 
           this.document.dateForm.sdFormat.value + "'");
    }
                 
    window.close();
    return false;
}

function noEdit(form)
{
    eval("this.document.dateForm.hour.focus()");    
    alert("Click in the calendar to select a date. Do not edit this field directly.");
    return false;
}

</SCRIPT>
</HEAD>
<BODY> 
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td width="3%" bgcolor="#000000"><img src="<wf:createResourceURL resource="repository/images/clear.gif"/>" width="8" height="8"></td>
    <td width="90%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="8" height="8"></td>
    <td width="4%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="8" height="8"></td>
    <td width="3%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="8" height="8"></td>
  </tr>
  <tr> 
    <td width="3%" bgcolor="#CCCCCC"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="90%" bgcolor="#CCCCCC" nowrap><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#000000"><b>Calendar Date Selection Tool</font><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#FF0000"></font></td>
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/curves_dt1.gif"/>" width="30" height="24"></td>
  </tr>
  <tr> 
    <td width="3%"><font face="Verdana, Arial, Helvetica, sans-serif"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="8" height="8"></font></td>
    <td width="90%"><font face="Verdana, Arial, Helvetica, sans-serif"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="8" height="8"></font></td>
    <td width="4%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="8" height="8"></td>
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="8" height="8"></td>
 </tr>
</table>
<font face="Verdana, Arial, Helvetica, sans-serif" size="2">
Click a date link in the calendar to select that day, then select an hour, minute and time zone from the drop-down menus. Use the arrows to change month or year. When done, click save.
</font>

<TABLE BORDER="1" BORDERCOLOR="#CCCCCC" CELLPADDING="0" CELLSPACING="0" WIDTH="100%" BGCOLOR="#FFFFFF">
<tr><td>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%" BGCOLOR="<%=contentTitleBarColor%>" TABLELAYOUT='fixed'>
  <FORM METHOD="POST" action="<wf:createWebflowURL event="link.calendar"/>" name="dateForm">
   <!--
	<TR>
      <TD WIDTH="100%">
        <P ALIGN="LEFT"><FONT FACE="Verdana, Arial, Helvetica, sans-serif" SIZE="2" COLOR="<%=titleTextColor%>">Today's Date is <%=month%> <%=day%>, <%=year%></FONT>
      </TD>
    </TR>
   -->
	<TR>				
	   <TD WIDTH="100%">
	   <CENTER>
	   <P>
	   <TABLE BORDER="0" WIDTH="30%"  CELLPADDING=0>
	    <TR>
	     <TD WIDTH="16%" HEIGHT="16"> 
	     <DIV ALIGN="RIGHT">
	     <P>
	     <INPUT TYPE="IMAGE" NAME="Previous Year" SRC="<wf:createResourceURL resource="/repository/images/year_left.gif"/>" WIDTH="20" HEIGHT="16" ALIGN="BOTTOM" BORDER="0"> 
         </DIV>
	     </TD> 

		<TD WIDTH="16%">
			<P ALIGN="CENTER"><B><FONT FACE="Verdana, Arial, Helvetica, sans-serif" SIZE="2" COLOR="<%=titleTextColor%>">
						 <%=displayYear%> </FONT></B>
		</TD>
            <TD WIDTH="16%" HEIGHT="16">
            <INPUT TYPE="IMAGE" NAME="Next Year" SRC="<wf:createResourceURL resource="/repository/images/year_right.gif"/>" WIDTH="20" HEIGHT="16" ALIGN="BOTTOM" BORDER="0">            
            </TD>
	    </TR>
	    <TR>
	     <TD WIDTH="16%" HEIGHT="16">
	     <DIV ALIGN="RIGHT">
	     <P>
	     <INPUT TYPE="IMAGE" NAME="Previous Month" SRC="<wf:createResourceURL resource="/repository/images/month_left.gif"/>" WIDTH="10" HEIGHT="16" ALIGN="BOTTOM" BORDER="0"> 	     	     
         </DIV>
	     </TD>

		<TD WIDTH="68%">
			<P ALIGN="CENTER"><B><FONT FACE="Verdana, Arial, Helvetica, sans-serif" SIZE="2" COLOR="<%=titleTextColor%>">
						<%=displayMonth%> </FONT></B>
		</TD>
            <TD WIDTH="16%" HEIGHT="16">
            <INPUT TYPE="IMAGE" NAME="Next Month" SRC="<wf:createResourceURL resource="/repository/images/month_right.gif"/>" WIDTH="10" HEIGHT="16" ALIGN="BOTTOM" BORDER="0">
            </TD>
	    </TR>
	
</TABLE>

</CENTER>
</TD>
</TR>
<TR>
<TD WIDTH="100%">
<TABLE BORDER="1" BORDERCOLOR="#CCCCCC" CELLPADDING=0 CELLSPACING="0" WIDTH="100%" BGCOLOR="<%=contentBGColor%>" TABLELAYOUT='fixed'>  

<%-- Display Days of Week        --%>

  <TR>
    <TD WIDTH="14%" BGCOLOR="<%=contentBannerColor%>"><FONT FACE="Verdana, Arial, Helvetica, sans-serif" SIZE="2" COLOR="<%=bannerTextColor%>">Su</FONT></TD>
    <TD WIDTH="14%" BGCOLOR="<%=contentBannerColor%>"><FONT FACE="Verdana, Arial, Helvetica, sans-serif" SIZE="2" COLOR="<%=bannerTextColor%>">Mo</FONT></TD>
    <TD WIDTH="14%" BGCOLOR="<%=contentBannerColor%>"><FONT FACE="Verdana, Arial, Helvetica, sans-serif" SIZE="2" COLOR="<%=bannerTextColor%>">Tu</FONT></TD>
    <TD WIDTH="14%" BGCOLOR="<%=contentBannerColor%>"><FONT FACE="Verdana, Arial, Helvetica, sans-serif" SIZE="2" COLOR="<%=bannerTextColor%>">We</FONT></TD>
    <TD WIDTH="14%" BGCOLOR="<%=contentBannerColor%>"><FONT FACE="Verdana, Arial, Helvetica, sans-serif" SIZE="2" COLOR="<%=bannerTextColor%>">Th</FONT></TD>
    <TD WIDTH="14%" BGCOLOR="<%=contentBannerColor%>"><FONT FACE="Verdana, Arial, Helvetica, sans-serif" SIZE="2" COLOR="<%=bannerTextColor%>">Fr</FONT></TD>
    <TD WIDTH="16%" BGCOLOR="<%=contentBannerColor%>"><FONT FACE="Verdana, Arial, Helvetica, sans-serif" SIZE="2" COLOR="<%=bannerTextColor%>">Sa</FONT></TD>			
  </TR>			
  
<%-- Display Days of First Week        --%>
  
  <TR>				                
<% 
  int dayOffset = 0;
  for (int i=1; i<startDayOfWeek; i++) {
%>
    <TD WIDTH="14%">&nbsp;</TD>
<%
    dayOffset = i;  
  }
                                
  for (int j=1; j<=(numDaysFirstWeek); j++) {                                  
    if(calendarBean.sameDay(displayYear, displayMonthNum-1, j)){
      cellColor="white";
    }
  
%>    
  <TD NOWRAP WIDTH="14%" BGCOLOR="<%=cellColor%>"><a href="javascript:displayDate();" onClick="displayDate('<%=Integer.toString((j+dayOffset-1)%7)%>', '<%=displayMonthNum%>','<%=displayMonth%>', '<%=j%>','<%=displayYear%>'); return false;" ><FONT FACE="Verdana, Arial, Helvetica, sans-serif" SIZE="1" COLOR="<%=bannerTextColor%>"><NOBR><%=j%></A></FONT>
  </NOBR></TD>
<%       
  currentDayNumber = j;
  cellColor = contentBGColor;
  dateHere = false;
  }//end for numDaysFirstWeek                              
%>
</TR>

<%-- Display remaining Week's days       --%>
          
<% 
for (int w=1; w<=completeWeeks; w++) {
  int nextWeekStart = currentDayNumber + 1;
%>
<TR>
<%
                                        
  for (int i=nextWeekStart; i<nextWeekStart+7; i++) { 					                        
    if(calendarBean.sameDay(displayYear, displayMonthNum-1, i)){
      cellColor = "white";
    }
%>                                            
  <TD NOWRAP WIDTH="14%" BGCOLOR="<%=cellColor%>"><a href="javascript:displayDate();" onClick="displayDate('<%=Integer.toString((i+dayOffset-1)%7)%>', '<%=displayMonthNum%>','<%=displayMonth%>', '<%=i%>','<%=displayYear%>'); return false;" ><FONT FACE="Verdana, Arial, Helvetica, sans-serif" SIZE="1" COLOR="<%=bannerTextColor%>"><%=i%></A></FONT>
  </TD>
<%      
  currentDayNumber = i;
  cellColor = contentBGColor;
  dateHere = false;
  }//end  for nextWeekStart
%>
  </TR>
<% 
} //end for completeWeeks
%> 

<%-- Display last week's days       --%>

<TR>
<%
for (int a=currentDayNumber+1; a<=daysInMonth;a++) { 
%>
  <TD NOWRAP WIDTH="14%"
<%
  if(calendarBean.sameDay(displayYear, displayMonthNum-1, a)){
    cellColor = "white";
  }
%>                                 
  <TD WIDTH="14%" BGCOLOR="<%=cellColor%>"><a href="javascript:displayDate();" onClick="displayDate('<%=Integer.toString((a+dayOffset-1)%7)%>', '<%=displayMonthNum%>','<%=displayMonth%>', '<%=a%>','<%=displayYear%>'); return false;" ><FONT FACE="Verdana, Arial, Helvetica, sans-serif" SIZE="1" COLOR="<%=bannerTextColor%>"><nobr><%=a%></A></FONT>
  </NOBR>
  </TD>
<%      
  currentDayNumber = a;
  cellColor = contentBGColor;
  dateHere = false;
}//end for currentDayNumber
%>                                                                          
</TR>
</TABLE>
</TD>
</TR>
<TR>
  <TD><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="20"></td>
</TR>
<TR>
<TD align="center"><FONT FACE="Verdana, Arial, Helvetica, sans-serif" SIZE="2" COLOR="<%=titleTextColor%>">Date:</FONT>
<INPUT Type="text" Size="17" Name="selectedDate" onFocus="return noEdit(this);">
<FONT FACE="Verdana, Arial, Helvetica, sans-serif" SIZE="2" COLOR="<%=titleTextColor%>">
Hour:</FONT>
<select name="hour">              
<option value="00" selected>00</option>
<option value="01">01</option>
<option value="02">02</option>
<option value="03">03</option>
<option value="04">04</option>
<option value="05">05</option>
<option value="06">06</option>
<option value="07">07</option>
<option value="08">08</option>
<option value="09">09</option>
<option value="10">10</option>
<option value="11">11</option>
<option value="12">12</option>
<option value="13">13</option>
<option value="14">14</option>
<option value="15">15</option>
<option value="16">16</option>
<option value="17">17</option>
<option value="18">18</option>
<option value="19">19</option>
<option value="20">20</option>
<option value="21">21</option>
<option value="22">22</option>
<option value="23">23</option>
</select>
<FONT FACE="Verdana, Arial, Helvetica, sans-serif" SIZE="2" COLOR="<%=titleTextColor%>">Min:</FONT>
<select name="minute">              
<option value="00" selected>00</option>
<option value="01">01</option>
<option value="02">02</option>
<option value="03">03</option>
<option value="04">04</option>
<option value="05">05</option>
<option value="06">06</option>
<option value="07">07</option>
<option value="08">08</option>
<option value="09">09</option>
<option value="10">10</option>
<option value="11">11</option>
<option value="12">12</option>
<option value="13">13</option>
<option value="14">14</option>
<option value="15">15</option>
<option value="16">16</option>
<option value="17">17</option>
<option value="18">18</option>
<option value="19">19</option>
<option value="20">20</option>
<option value="21">21</option>
<option value="22">22</option>
<option value="23">23</option>
<option value="24">24</option>
<option value="25">25</option>
<option value="26">26</option>
<option value="27">27</option>
<option value="28">28</option>
<option value="29">29</option>
<option value="30">30</option>
<option value="31">31</option>
<option value="32">32</option>
<option value="33">33</option>
<option value="34">34</option>
<option value="35">35</option>
<option value="36">36</option>
<option value="37">37</option>
<option value="38">38</option>
<option value="39">39</option>
<option value="40">40</option>
<option value="41">41</option>
<option value="42">42</option>
<option value="43">43</option>
<option value="44">44</option>
<option value="45">45</option>
<option value="46">46</option>
<option value="47">47</option>
<option value="48">48</option>
<option value="49">49</option>
<option value="50">50</option>
<option value="51">51</option>
<option value="52">52</option>
<option value="53">53</option>
<option value="54">54</option>
<option value="55">55</option>
<option value="56">56</option>
<option value="57">57</option>
<option value="58">58</option>
<option value="59">59</option>
</select>
</td>
</tr>
<tr>
<TD ALIGN="center">
<FONT FACE="Verdana, Arial, Helvetica, sans-serif" SIZE="2" COLOR="<%=titleTextColor%>">Time Zone:</FONT>
<select name="zone">
<%
        String[] ids = TimeZone.getAvailableIDs();
        int len = ids.length;
        String[][] TIMEZONES = new String[len][2];
        for ( int i=0; i<len; i++ )
        {
            TIMEZONES[i] = new String[] { (TimeZone.getTimeZone(ids[i])).getDisplayName(false,TimeZone.SHORT), (ids[i] + " (" + (TimeZone.getTimeZone(ids[i])).getDisplayName() + ")") };
        }
        String oValue, displayName;
        for(int i=0;i<TIMEZONES.length;i++)     
        {
                oValue = TIMEZONES[i][0];
                displayName = TIMEZONES[i][1];
%> 
                <option value="<%=oValue%>" <%= displayName.indexOf(currentZoneId)!= -1 ? "selected" : ""%>> <%=displayName%> </option>
<%
        }
%>             
</select>
</TD>
</TR>
<TR>
<TD align="center"> 
<input type="hidden" name="<%=DESTINATION_TAG%>" value="/tools/util/calendar.jsp">
<input type="hidden" name="year" value="">
<input type="hidden" name="month" value="">
<input type="hidden" name="date" value="">
<input type="hidden" name="elemHidden" value="<%=request.getParameter("elemHidden")%>">
<input type="hidden" name="elemVisible" value="<%=request.getParameter("elemVisible")%>">
<input type="hidden" name="procDate" value="">
<input type="hidden" name="sdFormat" value="">



</TD>
</TR>
</TR>			
</TABLE>
</td> 
</tr>
</TABLE>
<TABLE BORDER="0" WIDTH="100%"  CELLPADDING=0>
  <tr> 
    <td width="3%" bgcolor="#FFFFFF"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="90%" bgcolor="#FFFFFF" nowrap></td>
    <td width="7%" bgcolor="#FFFFFF"><A HREF="javascript:reportDate();" onClick="return reportDate('<%=request.getParameter("elemHidden")%>','<%=request.getParameter("elemVisible")%>');"><img src="<wf:createResourceURL resource="/repository/images/save_dt1.gif"/>" width="65" height="40"  border="0" alt="Save" border="0"></A></td>
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="30" height="24"></td>
  </tr>
</TABLE>
</FORM>
</BODY>
</HTML>
