@echo off

REM	Copyright (c) 2000-2002  BEA Systems, Inc.
REM	All rights reserved
REM
REM	THIS IS UNPUBLISHED PROPRIETARY
REM	SOURCE CODE OF BEA Systems, Inc.
REM	The copyright notice above does not
REM	evidence any actual or intended
REM	publication of such source code.
REM
REM $Id: setDBVars.cmd,v 1.2 2002/05/02 00:22:14 toneill Exp $

REM
REM Oracle Thin driver specific information for the domain
REM

set DB_SETTINGS=.\db_settings.properties

FOR /F "eol=# tokens=1,2 delims==" %%i in (%DB_SETTINGS%) do  (
    if %%i == wlidblogin    SET DB_USER=%%j
)
FOR /F "eol=# tokens=1,2 delims==" %%i in (%DB_SETTINGS%) do  (
    if %%i == wlidbpassword SET DB_PASSWORD=%%j
)
FOR /F "eol=# tokens=1,2 delims==" %%i in (%DB_SETTINGS%) do  (
    if %%i == connection    SET DB_URL=%%j
)
FOR /F "eol=# tokens=1,2 delims==" %%i in (%DB_SETTINGS%) do  (
    if %%i == jdbcdriver    SET DB_DRIVER=%%j
)
FOR /F "eol=# tokens=1,2 delims==" %%i in (%DB_SETTINGS%) do  (
    if %%i == server        SET DB_NET_SERVICE=%%j
)

set DB_JVMARGS=
set DB_SCRIPT_DIR=%WLI_HOME%\dbscripts\oracle

if "%DB_PASSWORD%" == "" goto no_pass

REM Note that the trailing ampersand is needed to preserve a space char at
REM the end of the following variables:

REM server is = to an Oracle net service as defined in the tnsnames.ora
set DB_COMMAND=sqlplus %DB_USER%/%DB_PASSWORD%@%DB_NET_SERVICE% @
goto :EOF

:no_pass
set DB_COMMAND=sqlplus %DB_USER%@%DB_NET_SERVICE% @
