@ECHO OFF
REM ############################################################################
REM #      (c) 2002 BEA SYSTEMS INC. All rights reserved
REM #
REM #      BEA Commerce Server document data loader script.
REM #
REM # You can specify the following environment variables when invoking this
REM # script:
REM # DMSBASE_DIR - The root directory of the dmsBase directory
REM # SCHEMA_FILE - The location of the schema file to create
REM # PROPS_FILE - The location of the loaddocs.properties file
REM ############################################################################

SETLOCAL
if "%WL_COMMERCE_HOME%"=="" CALL "..\..\..\portal\bin\win32\set-environment.bat"

set CLASSPATH=%WL_COMMERCE_HOME%\lib\p13n\ejb\p13n_util.jar;%WL_COMMERCE_HOME%\lib\p13n\ejb\document.jar;%CLASSPATH%

REM Set some defaults
if "%DMSBASE_DIR%"=="" set DMSBASE_DIR=.\dmsBase
if "%SCHEMA_FILE%"=="" set SCHEMA_FILE=%DMSBASE_DIR%\doc-schemas\doc-schema.xml
if "%PROPS_FILE%"=="" set PROPS_FILE=.\loaddocs.properties

"%JDK_HOME%\bin\java" -classpath "%CLASSPATH%" -Dcommerce.properties="%WL_COMMERCE_HOME%\weblogiccommerce.properties" com.bea.p13n.content.document.ref.loader.BulkLoader -verbose -ignore "doc-schemas" -ignore "Ads" -properties %PROPS_FILE% -conPool commercePool -schema %SCHEMA_FILE% -d %DMSBASE_DIR% %*

ENDLOCAL
