-- Oracle Use Case 1 DROP, CREATE, INSERT scripts
-- Has to be run with an account that has admin priviledges for the Avitek schema

-- DROP all use case 1 tables

DROP TABLE AVITEK_STORE_LOCATIONS;

COMMIT;

-- CREATE use case 1 tables

CREATE TABLE AVITEK_STORE_LOCATIONS(
       ID		NUMBER(4)	NOT NULL,
       STREET1		VARCHAR(25)	NULL,
       STREET2		VARCHAR(25)	NULL,
       CITY		VARCHAR(40)	NULL,
       STATE		VARCHAR(2)	NULL,
       ZIP		VARCHAR(10)	NULL,
       PHONE		VARCHAR(15)	NULL,
       INSTOCK		NUMBER(2)	NULL,
       STOREMANAGER	VARCHAR(40)	NULL,
       MANAGERTITLE	VARCHAR(40)	NULL
       );
       
COMMIT;

-- INSERT values into tables
-- 9 records with varying zipcodes. Feel free to change these.

-- INSERT store locations

INSERT INTO AVITEK_STORE_LOCATIONS (ID,STREET1,STREET2,CITY,STATE,ZIP,PHONE,INSTOCK, STOREMANAGER, MANAGERTITLE)
VALUES (1,'222 Main St.','','San Francisco','CA','94108','415-555-1212',10,'Jim Smith','Store Manager');

INSERT INTO AVITEK_STORE_LOCATIONS (ID,STREET1,STREET2,CITY,STATE,ZIP,PHONE,INSTOCK, STOREMANAGER, MANAGERTITLE)
VALUES (2,'100 New Montgomery','','San Francisco','CA','94108','415-555-1213',5,'Paul Jones','Lead Clerk');

INSERT INTO AVITEK_STORE_LOCATIONS (ID,STREET1,STREET2,CITY,STATE,ZIP,PHONE,INSTOCK, STOREMANAGER, MANAGERTITLE)
VALUES (3,'306 Market St.','','San Francisco','CA','94109','415-555-2222',7,'Brian Zoghlin','Shift Supervisor' );

INSERT INTO AVITEK_STORE_LOCATIONS (ID,STREET1,STREET2,CITY,STATE,ZIP,PHONE,INSTOCK, STOREMANAGER, MANAGERTITLE)
VALUES (4,'100 First St.','','San Francisco','CA','94110','415-555-4536',12,'Mike Dahl','Store Manager');

INSERT INTO AVITEK_STORE_LOCATIONS (ID,STREET1,STREET2,CITY,STATE,ZIP,PHONE,INSTOCK, STOREMANAGER, MANAGERTITLE)
VALUES (5,'575 Mission St.','','San Francisco','CA','94111','415-555-3333',8,'Lisa Takuda','Store Manager');

INSERT INTO AVITEK_STORE_LOCATIONS (ID,STREET1,STREET2,CITY,STATE,ZIP,PHONE,INSTOCK, STOREMANAGER, MANAGERTITLE)
VALUES (6,'300 Broadway','','San Francisco','CA','94107','415-555-4555',15,'Lou Phelps','Store Manager');

INSERT INTO AVITEK_STORE_LOCATIONS (ID,STREET1,STREET2,CITY,STATE,ZIP,PHONE,INSTOCK, STOREMANAGER, MANAGERTITLE)
VALUES (7,'20 Sutter St.','5th Flr.','San Francisco','CA','94108','415-555-1212',2,'Ace Spielberg','Lead Clerk');

INSERT INTO AVITEK_STORE_LOCATIONS (ID,STREET1,STREET2,CITY,STATE,ZIP,PHONE,INSTOCK, STOREMANAGER, MANAGERTITLE)
VALUES (8,'3456 Geary St.','','San Francisco','CA','94118','415-555-5555',4,'Sharon Lucas','Shift Supervisor');

INSERT INTO AVITEK_STORE_LOCATIONS (ID,STREET1,STREET2,CITY,STATE,ZIP,PHONE,INSTOCK, STOREMANAGER, MANAGERTITLE)
VALUES (9,'155 Irving St.','','San Francisco','CA','94116','415-555-2002',17,'Lupi Rodriguez','Store Manager');

COMMIT;