@echo off
REM ########################################################################
REM (c) 2001-2002 BEA Systems, Inc.  All rights reserved. 
REM
REM   Script used to launch the PointBase Console.
REM
REM ########################################################################
REM

SETLOCAL


CALL ..\..\..\portal\bin\win32\set-environment.bat

FOR /F "eol=# tokens=1,2 delims==" %%i in (db_settings.properties) do  (
    SET %%i=%%j
)


REM ########################################################################### 
REM check to see if PointBase is up and running.
REM ########################################################################### 

%JDK_HOME%\bin\java -classpath %CLASSPATH%;%PORTAL_HOME%\lib\p13n\ejb\p13n_util.jar com.bea.p13n.db.internal.PointBasePing -host %host% -port %port% -database %db_name%

IF ERRORLEVEL 1 GOTO STARTPB
GOTO PB_IS_UP

:STARTPB 

echo Server not started, starting server....
REM ########################################################################### 
REM startup the PointBase database server.
REM ########################################################################### 
SET PBOWNER=PBCONSOL
START /I /B "PointBase Server" ".\startPBServer.bat"
    

:PB_IS_UP

echo Server started, starting console....
REM ########################################################################### 
REM startup the PointBase Console.
REM ########################################################################### 
%JDK_HOME%\bin\java -classpath %CLASSPATH% com.pointbase.tools.toolsConsole


REM ########################################################################### 
REM if PointBase was launched by this script then shut it down
REM ########################################################################### 
IF "%PBOWNER%" == "PBCONSOL" CALL stopPBServer.bat

goto :END



:END


ENDLOCAL

EXIT