package com.bea.lsd.avitek.ordermanagement.entities;

/**
 * FedexShippingPartner
 *
 * The Fedex shipping partner home interface.
 *
 * @Author Jason Lee
 *
 */

import java.rmi.RemoteException;
import javax.ejb.EJBObject;
import java.util.Collection;

public interface FedexShippingPartner extends EJBObject {
    
    public String getTrackingId() throws RemoteException;
    public void   setTrackingId(String aTrackingId) throws RemoteException;

    public String getArrivalTime() throws RemoteException;
    public void   setArrivalTime(String aArrivalTime) throws RemoteException;

    public int  getQuantityShipping() throws RemoteException;
    public void setQuantityShipping(int aQty) throws RemoteException;

    public String getShippingMethod() throws RemoteException;
    public void   setShippingMethod(String aShippingMethod) throws RemoteException;

    public String getServiceRep() throws RemoteException;
    public void   setServiceRep(String aServiceRep) throws RemoteException;

    public String getRepMessage() throws RemoteException;
    public void   setRepMessage (String aMessage) throws RemoteException;

    public String getRepPhone() throws RemoteException;
    public void   setRepPhone (String aPhone) throws RemoteException;

} // FedexShippingPartner
