package com.bea.lsd.avitek.ordermanagement.entities;

/**
 * ProductInventory
 *
 * The ProductInventory remote interface.
 *
 * @Author Jason Lee
 *
 */

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

public interface ProductInventory extends EJBObject {

    /* Getters and setters used by bean implementation */
    
    public Long getId() throws RemoteException;
    public void setId(Long aId) throws RemoteException;

    public String getSku() throws RemoteException;
    public void   setSku(String aSku) throws RemoteException;

    public int  getNumAvail() throws RemoteException;
    public void setNumAvail(int aNumAvail) throws RemoteException;

    public String getDescription() throws RemoteException;
    public void   setDescription (String aDescription) throws RemoteException;

    public int  getMinUnits() throws RemoteException;
    public void setMinUnits (int aMinUnits) throws RemoteException;

    public int  getMaxUnits() throws RemoteException;
    public void setMaxUnits (int aMaxUnits) throws RemoteException;

} // ProductInventory
