<!-- start /framework/hnav_bar.jsp -->
<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>

<%@ page import="examples.e2e.b2b.B2BPortalPage"%>
<%@ page import="examples.e2e.b2b.JspConstants"%>

<%@ page import="com.bea.portal.model.PortalState"%>
<%@ page import="com.bea.portal.model.PageState"%>
<%@ page import="com.bea.portal.model.Page"%>
<%@ page import="com.bea.portal.model.PageIdentifier"%>
<%@ page import="com.bea.portal.render.servlets.jsp.PortalRenderHelper"%>
<%@ page import="com.bea.portal.appflow.PortalAppflowConstants"%>
<%@ page import="com.bea.p13n.util.debug.Debug"%>
<%@ page import="java.util.*"%>

<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="portlet.tld" prefix="portlet" %>
<%@ taglib uri="portal.tld" prefix="ptl" %>
<%@ include file="/framework/resourceURL.inc"%>


<%!
    // The number of page links you want to
    // display per row in the page navigation area
    static final int PAGES_PER_ROW = 5;

    // Display names or image names
    static final boolean DISPLAY_TEXT_LINKS = false;

    Debug debug = Debug.getInstance( __hnav_bar.class );
%>

<%
	try {
%> <!-- Start Navigation Bar -->
<table border="0" cellpadding="0" cellspacing="0" width="772">

		<tr class="bg666666">

            <td valign="bottom" width="221" height="67"><img src="<wf:createResourceURL resource='<%=imagesPath+ "nav_global_left.gif"%>' />" width="221" height="67" border="0" usemap="#nav_map"></td>


<%
    // Get the collection of pages
    PortalState	portalState	= PortalRenderHelper.getPortalState(request);
    Iterator	iterator	= portalState.getPageStates();
    int numPagesRendered = 0;

    PageState pageState = null;
    String portalPageName = null;
    String selectedPage = null;
    B2BPortalPage currentPage = null;
    B2BPortalPage tabToRender = null;

    // While we have pages...
    while (iterator.hasNext()) {

        pageState = (PageState)iterator.next();

        // current tab being rendered
        portalPageName = pageState.getPageIdentifier().getName();
        tabToRender = B2BPortalPage.getObject( portalPageName );

        // current page
        selectedPage = PortalRenderHelper.getPageIdentifier(request).getName();
        currentPage = B2BPortalPage.getObject( selectedPage );

        numPagesRendered++;

        // tabs with text display as opposed to an image
        if (DISPLAY_TEXT_LINKS) {

            // rendering tab for current page
            if (portalPageName.equals(selectedPage)) {
%>
            <td nowrap align="center">
            <a href="<ptl:createPortalPageChangeURL pageName='<%= portalPageName %>'/>">
            <%=portalPageName%></a></td>
<%
            }

            // rendering tabs not for current page
            else {
%>
            <td nowrap align="center">
            <a href="<ptl:createPortalPageChangeURL pageName='<%= portalPageName %>'/>">
            <%=portalPageName%></a></td>
<%
            }

        }

        // render tabs with images
        else {

            // rendering tab for current page
            if (portalPageName.equals(selectedPage)) {

                String selectedImage = pageState.getImageName(Page.IMAGE_SELECTED);
%>
            <td valign="bottom" height="67"><a href="<ptl:createPortalPageChangeURL pageName='<%= portalPageName %>'/>"><img src="<wf:createResourceURL resource='<%=imagesPath + selectedImage%>' />" border="0" alt="<%=portalPageName%>"></a><img src="<wf:createResourceURL resource='<%=imagesPath+ "tab_spacer.gif"%>' />" height="25" width="1" alt="" border="0"></td>
			<%
            }

            // rendering tabs not for current page
            else {

                String defaultImage  = pageState.getImageName(Page.IMAGE_DEFAULT);

                if ( debug.ON ) {
                    debug.out( "currentPage(" + currentPage + ")" );
                    debug.out( "tabToRender(" + tabToRender + ")" );
                }

                // if not on inventory page and rendering inventory tab
                // add reset event and portlet id to URL
                if (currentPage != null &&
                    tabToRender != null &&
                    !currentPage.equals(B2BPortalPage.INVENTORY) &&
                    tabToRender.equals( B2BPortalPage.INVENTORY)
                    )
                    {
%>
            <td valign="bottom" height="67" >
            <a href="<portlet:createWebflowURL pageName='<%= portalPageName %>'
            portletName='<%= JspConstants.PRODUCT_PORTLET_ID %>'
            event='<%= JspConstants.EVENT_RESET %>' />" >
            <img src="<wf:createResourceURL resource='<%=imagesPath + defaultImage%>' />"
            border="0" alt="<%=portalPageName%>"></a><img src="<wf:createResourceURL resource='<%=imagesPath+ "tab_spacer.gif"%>' />"
            height="25" width="1" alt="" border="0"></td>
<%
                }

                else {
%>
            <td valign="bottom" height="67"><a href="<ptl:createPortalPageChangeURL pageName='<%= portalPageName %>'/>"><img src="<wf:createResourceURL resource='<%=imagesPath + defaultImage%>' />" border="0" alt="<%=portalPageName%>"></a><img src="<wf:createResourceURL resource='<%=imagesPath+ "tab_spacer.gif"%>' />" height="25" width="1" alt="" border="0"></td>
			<%
                }
            }

        }

        // Did we meet our max tabs per row?
        if ( numPagesRendered > PAGES_PER_ROW ) {

            numPagesRendered = 0;
        }

    } // end of while "there are tabs to be rendered"
%>

		  <td valign="bottom" width="100%"><img src="<wf:createResourceURL resource='<%=imagesPath+ "tab_spacer.gif"%>' />" height="25"  width="100%" alt="" border="0"></td>

        </tr></table>
    <table border="0" cellpadding="0" cellspacing="0" width="772">
        <tr>
            <td>
                <img src="<wf:createResourceURL resource='<%=imagesPath + "subnav_bg.gif"%>'/>"
                   border="0" width="772" height="76">
            </td>
        </tr>
    </table>
          <map name="nav_map">
                <area href="../" shape="rect" coords="0,0,111,9" alt="">
           </map>
<%
    }

    catch (Exception e) {

        // If there was some error try not to do a partial output
        out.clearBuffer();
%>
    <table>
        <tr><td>Navbar functionality temporarily not working</td></tr>
    </table>
<%
		out.flush();
		e.printStackTrace();
   }
%>

<%-- end Portal Pages --%>

<!-- end /framework/hnav_bar.jsp -->

