<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>

<!-- start framework/minimize_titlebar.inc -->

<table cellpadding="0" cellspacing="0" border="0" width="<%= minimizedWidth %>" >
  <tr>

   <!-- left side whitespace -->
	<td width="10" rowspan="2" >
   <img src="framework/images/dot.gif" width="10" height="<%= height %>" alt="" border="0"></td>
   
   <!-- colored space left of gif -->                 
   <td width="10" class="<%= bgColor %>" >
   <img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
   
   <!-- titlebar image -->                                
   <util:validURL url="<%= iconUrl %>">
   <td width="<%= minimizedTitleWidth %>" class="<%= bgColor %>" >
   <img src="<webflow:createResourceURL resource='<%= imagesPath + iconUrl %>'/>"
   border="0" alt="<%= portletName %>" height="<%= height %>" ></td>
   </util:validURL>
   
   <!-- netscape renders an empty TD tag using the background color of the whole page 
    therefore the &nbsp; entity is required -->           
   <td width="<%= minimizedDateWidth %>" class="<%= dateStyle %>"
   >&nbsp;<%= ( titlebarDate == null ) ? EMPTY_STRING : titlebarFormat.format( titlebarDate.getTime() ) %></td>
   
<%
    if ( request.getUserPrincipal() != null ) {

        // the icons should render right-justified

        // how many icons won't be rendered?                
        int notCnt = 0;                
        if ( ! portletState.isHelpable() ) {

            notCnt++;
        }
           
        // render empty space for icons that won't be rendered
        for ( int i = 0; i < notCnt; i++ ) {
%>
        
      <td height="<%= height %>" class="<%= bgColor %>" width="21" >
      <img src="framework/images/dot.gif" hspace="1" vspace="2" border="0" align="absmiddle"></td>

<%    
        }

        // render icons
        
        if ( portletState.isHelpable() ) {

            url = portletState.getUrl(Portlet.URL_HELP); 
%>

      <util:validURL url="<%=url%>">
      <td height="<%= height %>" class="<%= bgColor %>" width="21" >
      <a target="_blank" href="<webflow:createResourceURL resource='<%=url%>'/>" > 
      <img src="<webflow:createResourceURL
         resource='<%= imagesPath + "portlet_help.gif" %>' />"
         hspace="1" vspace="2" border="0" alt="Help" align="absmiddle"></a></td>
      </util:validURL>
      
<%
        }
    }
%>

    <%-- unminimize url --%>
    <td class="<%= bgColor %>" width="21" >
    <a href="<portlet:createPortletUnminimizeURL httpsInd='http'/>" > 
    <img src="<webflow:createResourceURL resource='<%=imagesPath+"portlet_unmin.gif"%>'/>"
      width="13" height="13" border="0" alt="Unminimize" ></a></td>
      
         
   <td width="8" class="<%= bgColor %>" >
   <img src="framework/images/dot.gif" width="8" height="1" alt="" border="0"></td>
	
</tr>

<tr>	
	<td colspan="7">
   <img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>	
</tr>

</table>

<!-- end framework/minimize_titlebar.inc -->

