<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>

<%@ taglib uri="util.tld" prefix="util" %>
<%@ taglib uri="webflow.tld" prefix="webflow" %>
<%@ taglib uri="portlet.tld" prefix="portlet" %>

<%@ page import="com.bea.portal.model.Portlet"%>
<%@ page import="com.bea.portal.model.PortletState"%>
<%@ page import="com.bea.portal.render.servlets.jsp.PortletRenderHelper"%>

<%@ page import="com.bea.p13n.util.debug.Debug"%>


<%@ include file="/framework/resourceURL.inc"%>

<%
    Debug debug = Debug.getInstance( __normal_titlebar.class );

    PortletState    portletState = PortletRenderHelper.getPortletState( request);
    String          portletName  = portletState.getDisplayName();
    String          portletWindowName = portletState.getPortletIdentifier().getName();
    String          url          = null;
%>

<table cellpadding="0" cellspacing="0" border="0" width="561">
  <tr>
  <td><img src="images/dot.gif" width="10" height="1" alt="" border="0"></td>
    <% url = portletState.getUrl(Portlet.URL_ICON); %>
    <util:validURL url="<%=url%>">
        
    <td bgcolor="#663333"><img src="<webflow:createResourceURL resource='<%=url%>'/>" border="0"  align="absmiddle"></td>
    </util:validURL>


<%
    if (request.getUserPrincipal() != null)
    {
        if (portletState.isHelpable())
        {
            url = portletState.getUrl(Portlet.URL_HELP); 
%>
            <util:validURL url="<%=url%>">
	            <td width="1%" valign="middle">
				  <a target="_blank" href="<webflow:createResourceURL resource='<%=url%>'/>"> 
                    <img src="<webflow:createResourceURL resource='<%=imagesPath+"portlet_help.gif"%>'/>" hspace="1" vspace="2" border="0" alt="Help" align="absmiddle"></a></td>
            </util:validURL>
<%
        }
        if (PortletRenderHelper.isMaximizable(request))
        {  
%>
            
    <td width="1%" valign="middle"> 
      <%-- Create the link to maximize the portlet --%>
      <a href="<portlet:createPortletMaximizeURL httpsInd='http'/>"><img src="<webflow:createResourceURL resource='<%=imagesPath+"portlet_max.gif"%>'/>" hspace="1" vspace="2" border="0" alt="Maximize" align="absmiddle"></a></td>
<%
        }
        if (PortletRenderHelper.isEditable(request))
        {  
%>
            
    <td width="1%" valign="middle"><a href="<portlet:createPortletEditURL httpsInd='http'/>"> 
      <img src="<webflow:createResourceURL resource='<%=imagesPath+"portlet_edit.gif"%>'/>" hspace="1" vspace="2" border="0" alt="Edit" align="absmiddle"></a></td>
<%
        }
        if (PortletRenderHelper.isFloatable(request))
        {  
            url = portletState.getUrl(Portlet.URL_CONTENT);
%>
            <util:validURL url="<%=url%>">
<% request.setAttribute( "fullscreenPortletURL", url); %>

                
    <td width="1%" valign="middle"><a href="javascript:submitForm();" 
                         onClick="openBrWindow('<portlet:createPortletFloatURL httpsInd='http'/>', 
                                             '<%= portletWindowName%>', 'scrollbars=yes,width=780,height=550'); return false;"> 
      <img src="<webflow:createResourceURL resource='<%=imagesPath+"portlet_float.gif"%>'/>" hspace="1" vspace="2" border="0" alt="Float" align="absmiddle"></a></td>
            </util:validURL>
<%
        }
        if (PortletRenderHelper.isMinimizable(request))
        {  
%>
            
    <td bgcolor="#663333"><a href="<portlet:createPortletMinimizeURL httpsInd='http'/>"> 
      <img src="<webflow:createResourceURL resource='<%=imagesPath+"portlet_min.gif"%>'/>" border="0" alt="Minimize" align="absmiddle"></a><img src="images/dot.gif" width="10" height="1" alt="" border="0"></td>
<%
        }
    }
%>
  <td><img src="images/dot.gif" width="4" height="1" alt="" border="0"></td>
  </tr>
</table>
