<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>

<!-- start framework/titlebar.inc -->

<%@ taglib uri="util.tld" prefix="util" %>
<%@ taglib uri="webflow.tld" prefix="webflow" %>
<%@ taglib uri="portal.tld" prefix="portal" %>
<%@ taglib uri="portlet.tld" prefix="portlet" %>

<%@ page import="com.bea.portal.model.Portlet"%>
<%@ page import="com.bea.portal.model.PortletState"%>
<%@ page import="com.bea.portal.render.servlets.jsp.PortletRenderHelper"%>
           
<%
    PortletState portletState = PortletRenderHelper.getPortletState( request );
    String portletName  = portletState.getDisplayName();
    String portletWindowName = portletState.getPortletIdentifier().getName();
    String url = null;
%>


<%
    // If we are logged in...
    if (request.getRemoteUser() != null)
    {
        if (PortletRenderHelper.isMaximized(request))
        {
%>
            <%@ include file="maximize_titlebar.inc"%>
<%
        }
        else if (PortletRenderHelper.isInEditMode(request))
        {
%>
            <%@ include file="edit_titlebar.inc"%>
<%
        }
        else if (PortletRenderHelper.isMinimized(request))
        {
%>
            <%@ include file="minimize_titlebar.inc"%>
<%
        }
        else
        {
%>
            <%@ include file="normal_titlebar.inc"%>
<%
        }
    }
    else
    {
%>
        <%@ include file="normal_titlebar.inc"%>
<%
    }

%>

<!-- end framework/titlebar.inc -->
