<!-- start /portlets/purchaseorderhistory/content.jsp -->

<!--
   PO Status Display
-->

<%@ page import="examples.e2e.common.PO" %>
<%@ page import="examples.e2e.common.POStatus" %>
<%@ page import="examples.e2e.common.BuyerFactory" %>
<%@ page import="com.bea.portal.appflow.PortalAppflowConstants" %>
<%@ page import="java.util.List" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.Calendar" %>
<%@ page import="java.util.Date" %>

<%@ page extends="examples.e2e.b2b.JspBase" %>


<%@ taglib uri="webflow.tld" prefix="webflow" %>
<%@ taglib uri="portal.tld" prefix="portal" %>
<%@ taglib uri="portlet.tld" prefix="portlet" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>

<%@ include file="/framework/resourceURL.inc" %>
<%@ include file="/framework/portletContent.inc" %>



<%
    if ( sState.poTimedOut( Calendar.getInstance() ) && ! BuyerFactory.doesPOAckXMLExist() ) {
%>

<table class="inventoryerrorPortlet" cellpadding="0"
   cellspacing="0" border="0" width="561">

   <tr>

    <!-- whitespace -->
    <td width="10">
      <img src="framework/images/dot.gif" width="10" height="20" alt="" border="0"></td>

    <!-- whitespace (gray) -->
    <td width="10" class="bgf4f4f3">
      <img src="framework/images/dot.gif" width="10" height="28" alt="" border="0"></td>

    <td width="400" class="inventoryerror2Portlet">
   <i18n:getMessage bundleName="../b2b" messageName="po.timedOut" />
   </td>

	<td width="80" class="bgf4f4f3">
   <a href="<portlet:createWebflowURL pageName='<%= INVENTORY_PAGE_ID %>'
      portletName='<%= PRODUCT_PORTLET_ID %>' event='<%= EVENT_RESET %>' />">
   <img src="<webflow:createResourceURL
      resource='<%=imagesPath + "purch_process_step2_goto.gif"%>'/>"
      width="65" height="13" alt="" border="0"></a>
   </td>

    <!-- whitespace (gray) -->
    <td width="57" class="bgf4f4f3">
      <img src="framework/images/dot.gif" width="10" height="28" alt="" border="0"></td>

	<td width="4">
   <img src="framework/images/dot.gif" width="4" height="1" alt="" border="0"></td>

   </tr>
</table>

<%
    }
%>
<img src="<webflow:createResourceURL resource='<%=imagesPath + "dotted_line_561.gif"%>'/>" width="561" height="11" alt="" border="0">

<table cellpadding="0" cellspacing="0" border="0" width="561">

<tr>

   <td width="10" rowspan="2">
   <img src="framework/images/dot.gif" width="10" height="20" alt="" border="0"></td>

	<td>



	<table cellpadding="0" cellspacing="0" border="0" width="547"><tr class="bg666666">
	     <td><img src="<webflow:createResourceURL resource='<%=imagesPath + "purch_process_oh_header.gif"%>'/>" width="198" height="20" alt="" border="0"></td>
		 <td class="inventorySummary"><%=new Date().toString()%></td>
	</tr><tr>
		<td><img src="framework/images/dot.gif" width="198" height="1" alt="" border="0"></td>
		<td><img src="framework/images/dot.gif" width="349" height="1" alt="" border="0"></td>
  </tr></table>

		<table cellpadding="0" cellspacing="0" border="0" width="547">



      <!-- column headers -->
      <tr class="bgd5d5bb">

			<td width="10">
         <img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			<td width="73">
         <img src="<webflow:createResourceURL
            resource='<%=imagesPath + "purch_process_oh_pono.gif"%>'/>"
             width="73" height="18" alt="" border="0"></td>
			<td width="75">
         <img src="<webflow:createResourceURL
            resource='<%=imagesPath + "purch_process_oh_created.gif"%>'/>"
             width="75" height="18" alt="" border="0"></td>
			<td width="61">
         <img src="<webflow:createResourceURL
            resource='<%=imagesPath + "purch_process_oh_partno.gif"%>'/>"
             width="61" height="18" alt="" border="0"></td>
			<td width="86">
         <img src="<webflow:createResourceURL
            resource='<%=imagesPath + "purch_process_oh_desc.gif"%>'/>"
             width="86" height="18" alt="" border="0"></td>
			<td width="39">
         <img src="<webflow:createResourceURL
            resource='<%=imagesPath + "purch_process_oh_quantity.gif"%>'/>"
             width="39" height="18" alt="" border="0"></td>
			<td width="24">
         <img src="framework/images/dot.gif" width="24" height="18" alt="" border="0"></td>
			<td width="74">
         <img src="<webflow:createResourceURL
            resource='<%=imagesPath + "purch_process_oh_deliverydate.gif"%>'/>"
             width="74" height="18" alt="" border="0"></td>
			<td width="1">
         <img src="framework/images/dot.gif" width="1" height="18" alt="" border="0"></td>
			<td width="13">
         <img src="framework/images/dot.gif" width="13" height="18" alt="" border="0"></td>
			<td width="91">
         <img src="<webflow:createResourceURL
            resource='<%=imagesPath + "purch_process_oh_status.gif"%>'/>"
             width="91" height="18" alt="" border="0"></td>
		</tr>

<%
       List pos = rState.getPOs();
       Iterator it = pos.iterator();
       String rowStyle = null;
       String statusStyle = null;
       String dotGifStyle1 = null;
       String dotGifStyle2 = null;
       PO po = null;
       boolean alternate = true;

       while ( it.hasNext() ) {

           po = (PO) it.next();
           if (!POStatus.SHIPPED.equals(po.status())) continue;
           rowStyle = CSS_PO_SHIPPED;
           statusStyle = CSS_PO_SHIPPED_STATUS;
           dotGifStyle1 = CSS_PO_REC_2_GIF_1;
           dotGifStyle2 = CSS_PO_REC_2_GIF_1;

           String displayPoNumber = po.poNumber();
           if (displayPoNumber.length() > 10)
               displayPoNumber =
                   displayPoNumber.substring(displayPoNumber.length() - 10, displayPoNumber.length());
%>

      <tr>
			<td width="10" class="<%= dotGifStyle1 %>">
         <img src="framework/images/dot.gif" width="10" height="20" alt="" border="0">
         </td>

         <td width="73" class="<%= rowStyle %>"><%= displayPoNumber %>
         </td>

         <td width="75" class="<%= rowStyle %>">
                  <%= monthDayYear.format( po.creationDate().getTime() ) %>
         </td>

         <td width="61" class="<%= rowStyle %>"><%= po.productId() %></td>

         <td width="86" class="<%= rowStyle %>"><%= po.description() %></td>

         <td width="39" class="<%= rowStyle %>" align="center"><%= po.qty() %></td>

         <td width="24" class="<%= dotGifStyle1 %>">
         <img src="framework/images/dot.gif" width="24" height="20" alt="" border="0"></td>

			<td width="74" class="<%= rowStyle %>">
                  <%= monthDayYear.format( po.promiseDate().getTime() ) %>
         </td>

         <td width="1" class="bgfffff">
         <img src="framework/images/dot.gif" width="1" height="20" alt="" border="0"></td>

			<td width="13" class="<%= dotGifStyle2 %>">
         <img src="framework/images/dot.gif" width="13" height="20" alt="" border="0"></td>

			<td width="91" class="<%= statusStyle %>"><%= po.statusString() %></td>
		</tr>

      <tr>
			<td colspan="8" class="bgcccccc">
         <img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
			<td class="bgfffff">
         <img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
			<td colspan="2" class="bgcccccc">
         <img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
		</tr>


<%
       }
%>
         <tr>
			<td colspan="11"><img src="framework/images/dot.gif" width="1" height="10" alt="" border="0"></td>

		</tr>
      </table>


<!-- end /portlets/purchaseorderhistory/content.jsp -->

