<!-- start /portlets/pricequery/content3.jsp -->

<!--
   QPA form
-->


<%@ page import="examples.e2e.common.Inventory" %>
<%@ page import="com.bea.p13n.appflow.webflow.forms.ValidatedValues" %>
<%@ page import="com.bea.p13n.appflow.webflow.forms.ValidatedValuesFactory" %>
<%@ page import="java.util.Calendar" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="examples.e2e.b2b.CalendarFormData" %>

<%@ page extends="examples.e2e.b2b.JspBase" %>


<%@ taglib uri="webflow.tld" prefix="webflow" %>
<%@ taglib uri="portlet.tld" prefix="portlet" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>

<%@ include file="/framework/resourceURL.inc" %>
<%@ include file="/framework/portletContent.inc" %>
                
<%!
    public static final int defaultRowspanInt = 2;
    public static final String defaultRowspan = "2";
    public static final String ONE = "1";
%>

<% String invalidStyle="font-size: 11px; font-family: Arial, Verdana; color: #ff0000; text-decoration : none"; %>
             
                                       
<portlet:validatedForm event='<%= EVENT_QPA %>' method='post'
   applyStyle="message" invalidStyle="<%= invalidStyle %>"
   messageAlign="right" >

<table cellpadding="0" cellspacing="0" border="0" width="561">
<tr>

<%
    // an additional row exists for the error message
    String rowspan = defaultRowspan;

    if ( rState.qpaFormDataError() ) {

        // error occured, print message
        Integer rowspanInt = new Integer( defaultRowspanInt +
                                          rState.qpaFormDataErrorCount() );
        rowspan = rowspanInt.toString();
    }
%>

    <!-- whitespace -->
	<td width="10" rowspan="<%= rowspan %>">
    <img src="framework/images/dot.gif" width="10" height="20" alt="" border="0">
    </td>
   
	<td>	
	    <table cellpadding="0" cellspacing="0" border="0" width="547">
        
            <!-- instructional text -->                       
            <tr class="bgf4f4f3">
          
    			<td width="10">
                <img src="framework/images/dot.gif" width="10" height="22" border="0"></td>
    			
                <td class="inventory2Portlet" width="537">
                <i18n:getMessage bundleName="../b2b" messageName="qpa.form" />
                </td>
             
    		</tr>
      
<%
    if ( rState.qpaFormDataError() ) {

        // error occured, print message(s)
        Iterator messages = rState.qpaFormDataErrorMsg().iterator();
        String msg = null;

        while ( messages.hasNext() ) {

            msg = (String) messages.next();
%>
      
          <tr class="bgf4f4f3">
          
    		 <td width="10">
             <img src="framework/images/dot.gif" width="10" height="22" alt="" border="0"></td>
    			
             <td class="inventoryerrorPortlet" width="537">
             <%= msg %>
             </td>
             
    	  </tr>
<%
        }
    }
%>
      
          <!-- title -->
          <tr class="bgf4f4f3">
    	    <td colspan="2" width="547">
            <img src="<webflow:createResourceURL
                resource='<%=imagesPath + "purch_process_step3_querysum.gif"%>'/>"
                width="93" height="17" alt="" border="0"></td>				
          </tr>
          
      </table>	
      
      
      <!-- column headers -->
	  <table cellpadding="0" cellspacing="0" border="0" width="547">
      <tr class="bgd5d5bb">		
			
         <!-- whitespace -->                 
         <td width="10">
         <img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
         
		 <td width="72"><img src="<webflow:createResourceURL resource='<%=imagesPath + "purch_process_step3_partno.gif"%>'/>" width="58" height="30" alt="" border="0"><img src="framework/images/dot.gif" width="14" height="1" alt="" border="0"></td>
         
		 <td width="88">
         <img src="<webflow:createResourceURL
            resource='<%=imagesPath + "purch_process_step3_desc.gif"%>'/>"
            width="88" height="30" alt="" border="0">
         </td>
         
         <!-- whitespace -->                 
         <td width="10">
         <img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
         
	     <td width="84">
         <img src="<webflow:createResourceURL
            resource='<%=imagesPath + "purch_process_step3_quantity.gif"%>'/>"
            width="84" height="30" alt="" border="0">
         </td>
         
		 <td width="49">
         <img src="<webflow:createResourceURL
            resource='<%=imagesPath + "purch_process_step3_unitprice.gif"%>'/>"
            width="49" height="30" alt="" border="0">
         </td>
         
		 <td width="20">
         <img src="framework/images/dot.gif" width="20" height="1" alt="" border="0">
         </td>
         
		 <td width="89">
         <img src="<webflow:createResourceURL
            resource='<%=imagesPath + "purch_process_step3_date.gif"%>'/>"
            width="89" height="30" alt="" border="0">
         </td>			
			
         <td width="125">
         <img src="framework/images/dot.gif" width="90" height="1" alt="" border="0">
         </td>
         
	  </tr>
      
<%
    // retrieve the Inventory object for the selected part
    Inventory part = sState.getPart();

    String qtyValue = Long.toString( part.qtyBelowMinimum() );
    String unitPriceValue = EMPTY_STRING;
    CalendarFormData calendarData = null;

    if ( rState.qpaFormDataError() ) {

        ValidatedValues validatedValues = ValidatedValuesFactory.getValidatedValues(
            request );
        
        qtyValue = validatedValues.getValueAsString( QTY_PARAMETER );
        unitPriceValue = validatedValues.getValueAsString( UNIT_PRICE_PARAMETER );

        // validated data from the previous form submission
        calendarData = rState.qpaCalendarFormData();
    }
%>
         
      <!-- display the part and query info -->
      <tr class="bgf4f4f3">
		 <td width="10">
         <img src="framework/images/dot.gif" width="10" height="30" alt="" border="0"></td>		
         
		 <td width="58" class="inventory2Portlet"><%= part.id() %></td>
         
		 <td width="88" class="inventory2Portlet"><%= part.description() %></td>
         
         <!-- whitespace -->                 
         <td width="10">
         <img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
         
         <td width="98" class="inventory6Portlet" align="left">
         <input type="text" class="inventory6Portlet"
            name="<%= QTY_PARAMETER %>" size="6" value="<%= qtyValue %>">
         </td>
                  
		 <td width="49" class="inventory6Portlet" align="left">
         <input type="text" class="inventory6Portlet"
            name="<%= UNIT_PRICE_PARAMETER %>" size="5" value="<%= unitPriceValue %>" >
         </td>
         
		 <td width="20">
         <img src="framework/images/dot.gif" width="20" height="1" alt="" border="0"></td>
         
		 <td width="144" class="inventory6Portlet">
         <select class="inventory6Portlet" name="month" size="1" >
<%
        Calendar calendar = (Calendar) rState.calendar().clone();
        String monthName = null;
        
        for ( int i = 0; i < 12; i++ ) {
        
        if ( i != 0 ) {
            
            // increment the month
            calendar.add( Calendar.MONTH, 1 );
        }
        else {

            // add previous data to top of select box as default
            if ( calendarData != null ) {

                monthName = monthFormat.format( calendar.getTime() );

                // don't bother rendering a duplicate
                if ( ! monthName.equals( calendarData.monthName() ) ) {

%>
                    <option value=<%= calendarData.monthOffset() %> >
                    <%= calendarData.monthName() %></option>
<%                                                                       
                }
            }
        }
        
        monthName = monthFormat.format( calendar.getTime() );
        
        // i represents the offset from the current month
%>
            <option value=<%= i %> >
            <%= monthName %></option>
<%                                                                       
        }
%>
         </select>            
            
         <!-- just the days of the month 1-31, validate at server-->
         <select class="inventory6Portlet" name="day" size="1">
         
<%
        // add previous data to top of select box as default
        if ( calendarData != null ) {

            // 1 will be rendered first anyway, so skip it
            if ( ! calendarData.dayNumber().equals( ONE ) ) {
%>
                <option><%= calendarData.dayNumber() %></option>
<%                                                                       
            }
        }

        for ( int i = 1; i <= 31; i++ ) {
%>
            <option><%= i %></option>
<%         
        }
%>
         </select>
         
         </td>
         
         <!-- "submit QPA" button -->                     
		 <td width="80" align="center" class="inventory6Portlet" >
         <input type="image" style="inventory6Portlet" border="0"
            src="<webflow:createResourceURL 
            resource='<%=imagesPath + "purch_process_step3_sendqpa.gif"%>'/>"   >
         </td>
         
		</tr>
      
      <tr class="bgcccccc">
		<td colspan="9">
        <img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>			
	  </tr>
      
      <tr class="bgf4f4f3">
		 <td colspan="9">
         <img src="framework/images/dot.gif" width="1" height="10" alt="" border="0"></td>			
	  </tr>
      
      </table>			
      
	</td>
   
   
	<td width="4" rowspan="2">
   <img src="framework/images/dot.gif" width="4" height="1" alt="" border="0"></td>
   
</tr>

<tr>	
	<td><img src="framework/images/dot.gif" width="561" height="10" alt="" border="0"></td>	
</tr>

</table>

</portlet:validatedForm>
<!-- end /portlets/pricequery/content3.jsp -->

   