<!-- start /portlets/purchaseorderhistory/maximized.jsp -->

<!--
   Maximized PO Status Display
-->

<%@ page import="examples.e2e.common.PO" %>
<%@ page import="examples.e2e.common.POStatus" %>
<%@ page import="examples.e2e.common.BuyerFactory" %>
<%@ page import="examples.e2e.b2b.Helper" %>
<%@ page import="com.bea.portal.appflow.PortalAppflowConstants" %>
<%@ page import="java.util.List" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.Calendar" %>

<%@ page extends="examples.e2e.b2b.JspBase" %>


<%@ taglib uri="webflow.tld" prefix="webflow" %>
<%@ taglib uri="portal.tld" prefix="portal" %>
<%@ taglib uri="portlet.tld" prefix="portlet" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>

<%@ include file="/framework/resourceURL.inc" %>
<%@ include file="/framework/portletContent.inc" %>

        
<%
    if ( sState.poTimedOut( Calendar.getInstance() ) && 
            ! BuyerFactory.doesPOAckXMLExist() ) {
%>

<table class="inventoryerrorPortlet" cellpadding="0"
   cellspacing="0" border="1" width="768">
   
   <tr>
   
    <!-- whitespace (gray) -->  
    <td width="10" class="bgf4f4f3">
      <img src="framework/images/dot.gif" width="10" height="28" alt="" border="0"></td>
  
    <td width="628" class="inventoryerror2Portlet">
   <i18n:getMessage bundleName="../b2b" messageName="po.timedOut" />
   </td>
   
	<td width="80" class="bgf4f4f3">
   <a href="<portlet:createWebflowURL pageName='<%= INVENTORY_PAGE_ID %>'
      portletName='<%= PRODUCT_PORTLET_ID %>' event='<%= EVENT_RESET %>' />">
   <img src="<webflow:createResourceURL 
      resource='<%=imagesPath + "purch_process_step2_goto.gif"%>'/>"
      width="65" height="13" alt="" border="0"></a>
   </td>
   
    <!-- whitespace (gray) -->  
    <td width="50" class="bgf4f4f3">
      <img src="framework/images/dot.gif" width="10" height="28" alt="" border="0"></td>
      
   </tr>
</table>   
                 
<%
    }
%>

<table cellpadding="0" cellspacing="0" border="0" width="768">

<!-- column headers -->
<tr class="bgd5d5bb">
			<td width="10">
         <img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			
         <td width="107"><img src="<webflow:createResourceURL resource='<%=imagesPath + "purch_process_oh_pono.gif"%>'/>" width="73" height="18" alt="" border="0"><img src="framework/images/dot.gif" width="34" height="1" alt="" border="0"></td>			
         <td width="75">
         <img src="<webflow:createResourceURL
          resource='<%=imagesPath + "purch_process_oh_created.gif"%>'/>"
           width="75" height="18" alt="" border="0"></td>
			
         <td width="61">
         <img src="<webflow:createResourceURL
          resource='<%=imagesPath + "purch_process_oh_partno.gif"%>'/>"
           width="61" height="18" alt="" border="0"></td>
			
         <td width="81">
         <img src="<webflow:createResourceURL
          resource='<%=imagesPath + "purch_process_oh_desc2.gif"%>'/>"
           width="81" height="18" alt="" border="0"></td>
			
         <td width="49">
         <img src="<webflow:createResourceURL
          resource='<%=imagesPath + "purch_process_oh_quantity2.gif"%>'/>"
           width="49" height="18" alt="" border="0"></td>
			
         <td width="71">
         <img src="<webflow:createResourceURL
          resource='<%=imagesPath + "purch_process_oh_orderprice.gif"%>'/>"
           width="71" height="18" alt="" border="0"></td>
			
         <td width="14">
         <img src="framework/images/dot.gif" width="14" height="18" alt="" border="0"></td>
			
         <td width="120">
         <img src="<webflow:createResourceURL
          resource='<%=imagesPath + "purch_process_oh_supplier.gif"%>'/>"
           width="120" height="18" alt="" border="0"></td>			
			
         <td width="75">
         <img src="<webflow:createResourceURL
          resource='<%=imagesPath + "purch_process_oh_deliverydate2.gif"%>'/>"
           width="75" height="18" alt="" border="0"></td>
			
         <td width="1">
         <img src="framework/images/dot.gif" width="1" height="18" alt="" border="0"></td>
			
         <td width="12">
         <img src="framework/images/dot.gif" width="12" height="18" alt="" border="0"></td>
			
         <td width="92">
         <img src="<webflow:createResourceURL
          resource='<%=imagesPath + "purch_process_oh_status2.gif"%>'/>"
           width="92" height="18" alt="" border="0"></td>																		
		</tr>
      
            
<%
       List pos = rState.getPOs();
       Iterator it = pos.iterator();
       String rowStyle = null;
       String statusStyle = null;
       String dotGifStyle1 = null;
       String dotGifStyle2 = null;
       PO po = null;
       boolean alternate = true;

       while ( it.hasNext() ) {

           po = (PO) it.next();

           if ( POStatus.PENDING.equals( po.status() ) ) {
               
               rowStyle = CSS_PO_PENDING;
               statusStyle = CSS_PO_PENDING_STATUS;
               dotGifStyle1 = CSS_PO_PENDING_GIF_1;
               dotGifStyle2 = CSS_PO_PENDING_GIF_2;
           }
           else if ( POStatus.ACKNOWLEDGED.equals( po.status() ) ) {

                rowStyle = CSS_PO_ACK;
                statusStyle = CSS_PO_ACK_STATUS;
                dotGifStyle1 = CSS_PO_REC_1_GIF_1;
                dotGifStyle2 = CSS_PO_REC_1_GIF_2;
           }
           else if ( POStatus.SHIPPED.equals( po.status() ) ) {

                rowStyle = CSS_PO_SHIPPED;
                statusStyle = CSS_PO_SHIPPED_STATUS;
                dotGifStyle1 = CSS_PO_REC_2_GIF_1;
                dotGifStyle2 = CSS_PO_REC_2_GIF_1;
           }
           else if ( POStatus.RECEIVED.equals( po.status() ) ) {

               if ( alternate ) {

                   alternate = false;
                   rowStyle = CSS_PO_REC_1;
                   statusStyle = CSS_PO_REC_1_STATUS;
                   dotGifStyle1 = CSS_PO_REC_1_GIF_1;
                   dotGifStyle2 = CSS_PO_REC_1_GIF_2;
               }
               else {

                   alternate = true;
                   rowStyle = CSS_PO_REC_2;
                   statusStyle = CSS_PO_REC_2_STATUS;
                   dotGifStyle1 = CSS_PO_REC_2_GIF_1;
                   dotGifStyle2 = CSS_PO_REC_2_GIF_1;
               }
           }
           else {
               
               throw new RuntimeException( "PROGRAMMING ERROR" );
               
           }
%>

      <tr>
			
			<td width="10" class="<%= dotGifStyle1 %>">
         <img src="framework/images/dot.gif" width="10" height="20" alt="" border="0">
         </td>
         
         <td width="73" class="<%= rowStyle %>"><%= po.poNumber() %></td>
			
         <td width="75" class="<%= rowStyle %>">
                  <%= monthDayYear.format( po.creationDate().getTime() ) %>
         </td>
         
         <td width="61" class="<%= rowStyle %>"><%= po.productId() %></td>
			
         <td width="81" class="<%= rowStyle %>"><%= po.description() %></td>
			
         <td width="49" class="<%= rowStyle %>" align="center"><%= po.qty() %></td>
			
         <td width="71" class="<%= rowStyle %>" align="right">
         
          <%= Helper.getCurrencyNumberFormat().format(
                po.total().getValue() ) %></td>
			
         <td width="14" class="<%= dotGifStyle1 %>">
         <img src="framework/images/dot.gif" width="14" height="18" alt="" border="0"></td>
         
         <td width="144" class="<%= rowStyle %>"><%= po.supplierName() %></td>			
			
                   
			<td width="75" class="<%= rowStyle %>">
                  <%= monthDayYear.format( po.promiseDate().getTime() ) %>
         </td>
			
         <td width="1" class="bgfffff">
         <img src="framework/images/dot.gif" width="1" height="20" alt="" border="0"></td>
         
			<td width="12" class="<%= dotGifStyle2 %>">
         <img src="framework/images/dot.gif" width="12" height="20" alt="" border="0"></td>
         
			<td width="92" class="<%= statusStyle %>"><%= po.statusString() %></td>																		
         
		</tr>
      
      <tr>
			<td colspan="10" class="bgcccccc">
         <img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>			
			
         <td class="bgfffff">
         <img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>			
			
         <td colspan="2" class="bgcccccc">
         <img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>			
		</tr>
      

<%
       }
%>
		
</table> 


<table cellpadding="0" cellspacing="0" border="0" width="768">
      
      <tr class="bgf4f3f3">		
			<td colspan="2">
         <img src="framework/images/dot.gif" width="608" height="35" alt="" border="0"></td>
             
         <%-- unmaximize url --%>
         <td>
         <a href="<portlet:createPortletUnmaximizeURL httpsInd='http'/>" > 
         <img src="<webflow:createResourceURL
          resource='<%=imagesPath + "purch_process_oh_summary.gif"%>'/>"
           width="150" height="18" alt="" border="0"></a></td>

		</tr>
      
      <tr>
			<td colspan="3">
         <img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
		</tr>
      
      <tr class="bgf4f3f3">
			<td colspan="3">
         <img src="framework/images/dot.gif" width="1" height="7" alt="" border="0"></td>
		</tr>
      
      <tr class="bgf4f3f3">
			<td width="224">
         <img src="framework/images/dot.gif" width="224" height="30" alt="" border="0"></td>			
			
         <td width="384" class="orderhistory11" valign="top">NOTE: It may take time to get an acknowledgement of a Purchase Order from<br>a supplier. To check on the status of a P.O. click on the bottom to the right.</td>
			
         <td valign="top">
         
         <a href="<portal:createWebflowURL 
            event='<%= PortalAppflowConstants.PORTAL_REFRESH %>' />" >
         <img src="<webflow:createResourceURL
            resource='<%=imagesPath + "purch_process_oh_checkpo.gif"%>'/>"
             width="144" height="18" alt="" border="0">
         </a>
         
         </td>
		</tr>
      
      <tr class="bgf4f3f3">
			<td colspan="3">
         <img src="framework/images/dot.gif" width="1" height="5" alt="" border="0"></td>
		</tr>
 
 </table>

<!-- end /portlets/purchaseorderhistory/maximized.jsp -->
