
<!-- start /portlets/purchaseorderreview/titlebar.jsp -->

<%@ page extends="examples.e2e.b2b.JspBase" %>

<%@ page import="examples.e2e.b2b.StateValue"%>
<%@ page import="java.util.Calendar" %>

<%!
    // background color for the titlebar
	public static final String bgColor = "bg663333";
    // CSS class to use for rendering the date
    public static final String dateStyle = "inventoryPortlet";

    // total titlebar width
    public static final String width = "557";
    // width allocated for the portlet title image
    public static final String titleWidth = "295";
    // width allocated for the date string
    public static final String dateWidth = "129";

    public static final String maximizedWidth = width;
    // width allocated for the portlet title image
    public static final String maximizedTitleWidth = titleWidth;
    // width allocated for the date string
    public static final String maximizedDateWidth = dateWidth;

    public static final String minimizedWidth = width;
    // width allocated for the portlet title image
    public static final String minimizedTitleWidth = titleWidth;
    // width allocated for the date string
    public static final String minimizedDateWidth = "190";

    public static final String height = "20";
%>

<%@ include file="/framework/resourceURL.inc"%>
<%@ include file="/framework/portletContent.inc" %>

<%
   String iconUrl = rState.getIconUrl( request, sState );
   StateValue state = sState.getState();
   Calendar titlebarDate = null;

   switch ( state.getInt() ) {
       
       case StateValue.I_CREATE_PO: {

           titlebarDate = sState.quoteSelectedTime();
           break;
       }
       case StateValue.I_PO_SUBMITTED: {

            titlebarDate = sState.poSubmittedTime();
            break;
       }

       default: {

           titlebarDate = null;
           break;
       }
   }

%>

<%@ include file="/framework/titlebar.inc"%>

<!-- end /portlets/purchaseorderreview/titlebar.jsp -->
