<!-- /framework/hportal.jsp start -->

<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>

<%@ taglib uri="util.tld" prefix="util" %>

<%@ page import="com.bea.portal.model.Portal"%>
<%@ page import="com.bea.portal.model.PortalState"%>
<%@ page import="com.bea.portal.render.servlets.jsp.PortalRenderHelper"%>

<%@ page import="com.bea.p13n.util.debug.Debug"%>

<%
    try
    {
        PortalState portalState = PortalRenderHelper.getPortalState(request);
        String footer  = portalState.getUrl(Portal.URL_FOOTER);
        String navbar  = portalState.getUrl(Portal.URL_NAVBAR_HORIZONTAL);
        String content = portalState.getUrl(Portal.URL_CONTENT);
        String url = null;
    
        Debug debug = Debug.getInstance( __hportal.class );

        if (debug.ON)
        {
            debug.out("Footer:  " + footer);
            debug.out("Navbar:  " + navbar);
            debug.out("Content: " + content);
        }
%>
        <%-- Render the portal --%>
        <jsp:include page="portal_header.jsp"/>
        <jsp:include page="<%= navbar  %>"/>
        <jsp:include page="<%= content %>"/>

        <% url = footer; %>
        <util:validURL url="<%= url%>">
            <jsp:include page="<%= url  %>"/>
        </util:validURL>
<%
    }
    catch (Exception e)
    {
%>
        <table><tr><td>
            <i18n:getMessage messageName='portalError' bundleName='portal'/>
        </td></tr></table>
<%
        e.printStackTrace();
    }
%>


<!-- /framework/hportal.jsp end -->
