<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>

<!-- start /portlets/cb-catalog/search_results.jsp -->

<%@ taglib uri="cat.tld" prefix="catalog" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>
<%@ taglib uri="portlet.tld" prefix="portlet" %>
<%@ taglib uri="webflow.tld" prefix="webflow" %>

<%@ page import="com.bea.p13n.appflow.webflow.WebflowJSPHelper" %>

<%@ page import="com.beasys.commerce.ebusiness.catalog.CatalogItem" %>

<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>
<%@ page import="com.beasys.commerce.webflow.PipelineSessionConstants" %>

<%@ include file="/framework/resourceURL.inc" %>

<%-- Get the search results from the pipeline session --%>

<webflow:getProperty
    id="searchResults"
    type="com.beasys.commerce.ebusiness.catalog.ViewIterator"
    property="<%= PipelineSessionConstants.CATALOG_SEARCH_RESULTS %>"
    scope="session"
    namespace="portal" />

<table cellpadding="0" cellspacing="0" border="0" width="382">
    <tr valign="top">
        <td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td><!-- 10px space -->
        <td width="361" valign="top">
            <table cellpadding="0" cellspacing="0" border="0" width="361">
                <tr valign="top">
                    <td colspan="3"><img src="<webflow:createResourceURL resource='<%=imagesPath + "search_results_header.gif"%>'/>" width="361" height="48" alt="" border="0"></td>
                </tr>
                <tr class="bgffcc33" valign="top">
                    <td colspan="3"><img src="framework/images/dot.gif" width="1" height="4" alt="" border="0"></td>
                </tr>
                <tr valign="top">	
                    <td colspan="3"><img src="framework/images/dot.gif" width="1" height="3" alt="" border="0"></td>
                </tr>

<% 
   if ( ( searchResults != null ) && ( searchResults.size() > 0 ) )
   {
%>

<%-- We have search results: iterate through the items and display each one --%>

<catalog:iterateViewIterator
    id="item"
    returnType="com.beasys.commerce.ebusiness.catalog.ProductItem"
    iterator="<%= searchResults %>">

    <catalog:getProperty
        id="itemImage"
        returnType="com.beasys.commerce.ebusiness.catalog.ImageInfo"
        object="<%= item %>"
        propertyName="image"
        getterArgument="<%= new Integer( CatalogItem.SMALL_IMAGE_INDEX ) %>" />

    <catalog:getProperty
        id="currentPrice"
        returnType="com.beasys.commerce.axiom.units.Money"
        object="<%= item %>"
        propertyName="currentPrice" />

    <catalog:getProperty 
        id="shortDesc"
        returnType="java.lang.String"
        object="<%= item %>" 
        propertyName="description" 
        getterArgument="<%= new Integer( CatalogItem.SHORT_DESCRIPTION_INDEX ) %>" />

    <catalog:getProperty 
        id="itemKey"
        returnType="com.beasys.commerce.ebusiness.catalog.ProductItemKey"
        object="<%= item %>" 
        propertyName="key" />

<%-- Set up the HTTP request parameters for this item's detail link --%>

<% 
   String linkParams = 
       HttpRequestConstants.CATALOG_ITEM_SKU + "=" + itemKey.getIdentifier();
%>

                <tr valign="top">
                    <td rowspan="7" valign="top"><a href="<portlet:createWebflowURL namespace="cb-catalogportlet" event="link.item" extraParams="<%=linkParams%>" />"><img src="<webflow:createResourceURL resource="<%=itemImage.getUrl()%>"/>" width="187" height="139" alt="" border="0"></a></td>
                    <td width="162" class="catalogPrice2"><i18n:getMessage bundleName="/commerce/currency" messageName="<%= currentPrice.getCurrency() %>"/><%=WebflowJSPHelper.priceFormat( currentPrice.getValue() )%></td>
                    <td><img src="framework/images/dot.gif" width="12" height="1" alt="" border="0"></td>
                </tr>
                <tr valign="top">
                    <td colspan="2"><img src="framework/images/dot.gif" width="1" height="4" alt="" border="0"></td>
                </tr>
                <tr valign="top">
                    <td class="productPortlet"><%=shortDesc%></td>
                    <td><img src="framework/images/dot.gif" width="12" height="1" alt="" border="0"></td>
                </tr>
                <tr valign="top">
                    <td colspan="2"><img src="framework/images/dot.gif" width="1" height="6" alt="" border="0"></td>
                </tr>
                <tr valign="top">	
                    <td><a href="<portlet:createWebflowURL namespace="cb-catalogportlet" event="link.item" extraParams="<%=linkParams%>" />"><img src="<webflow:createResourceURL resource='<%=imagesPath + "prod_step2_details.gif"%>'/>" width="53" height="13" alt="" border="0"></a></td>
                    <td><img src="framework/images/dot.gif" width="12" height="40" alt="" border="0"></td>
                </tr>
                <tr valign="top">	
                    <td><a href="<portlet:createWebflowURL namespace="cb-catalogportlet" event="button.search.buy" extraParams="<%= linkParams %>" />"><img src="<webflow:createResourceURL resource='<%=imagesPath + "prod_step2_addtocart.gif"%>'/>" width="63" height="18" alt="" border="0"></a>&nbsp; <a href="<portlet:createWebflowURL namespace="cb-catalogportlet" event="button.search.save" extraParams="<%= linkParams %>" />"><img src="<webflow:createResourceURL resource='<%=imagesPath + "prod_step2_savelater.gif"%>'/>" width="72" height="18" alt="" border="0"></a></td>
                    <td><img src="framework/images/dot.gif" width="12" height="1" alt="" border="0"></td>
                </tr>
                <tr valign="top">									
                    <td colspan="2"><img src="framework/images/dot.gif" width="1" height="12" alt="" border="0"></td>
				</tr>
                <tr class="bgcccccc" valign="top">
                    <td colspan="3"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
				</tr>
</catalog:iterateViewIterator>

<%-- Reset the search results view iterator in case the portlet 
     gets refreshed --%>

<%     searchResults.gotoViewAt( 0 ); %>

<%
   }
   else
   {
%>

<%-- There are no search results: display some text indicating that --%>

                <tr valign="top">
                    <td class="searchresults"><i18n:getMessage messageName="noResults" bundleName="search_results" /></td>
                </tr>

<% } %>

            </table>
        </td>
        <td valign="top"><img src="framework/images/dot.gif" width="11" height="1" alt="" border="0"></td><!-- 11px space -->
    </tr>
</table>

<!-- end /portlets/cb-catalog/search_results.jsp -->
