<!-- start /portlets/checkout/content.jsp -->

<%-- ------------------------------------------------------------ --%>
<%-- taglibs                                                      --%>
<%-- ------------------------------------------------------------ --%>
<%@ taglib uri="webflow.tld" prefix="webflow" %>
<%@ taglib uri="portlet.tld" prefix="portlet" %>
<%@ taglib uri="um.tld" prefix="um" %>
<%@ taglib uri="es.tld" prefix="es" %>
<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>

<%-- ------------------------------------------------------------ --%>
<%-- page imports                                                 --%>
<%-- ------------------------------------------------------------ --%>
<%@ page import="java.util.*" %>
<%@ page import="java.text.*" %>
<%@ page import="com.beasys.commerce.axiom.contact.*" %>
<%@ page import="com.beasys.commerce.ebusiness.shipping.*" %>
<%@ page import="com.beasys.commerce.ebusiness.customer.*" %>

<%@ page import="com.beasys.commerce.axiom.units.*" %>
<%@ page import="com.beasys.commerce.ebusiness.shoppingcart.*" %>
<%@ page import="com.bea.commerce.ebusiness.price.service.DiscountPresentation" %>
<%@ page import="com.bea.commerce.ebusiness.price.quote.OrderAdjustment" %>
<%@ page import="com.bea.commerce.ebusiness.price.quote.AdjustmentDetail" %>

<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>
<%@ page import="com.beasys.commerce.webflow.PipelineSessionConstants" %>
<%@ page import="examples.e2e.b2c.util.B2CPortalConstants" %>

<%@ page import="com.bea.p13n.appflow.webflow.WebflowJSPHelper" %>

<%-- ------------------------------------------------------------ --%>
<%-- Include the resourceURL.inc                                  --%>
<%-- ------------------------------------------------------------ --%>
<%@ include file="/framework/resourceURL.inc" %>

<%-- ------------------------------------------------------------ --%>
<%-- Get the user profile                                         --%>
<%-- ------------------------------------------------------------ --%>

<webflow:getProperty id="customer" property="<%=PipelineSessionConstants.USER_NAME%>" type="java.lang.String" scope="session" namespace="portal" />
<um:getProfile
	profileKey="<%=customer%>"
	profileType="WLCS_Customer" />
<um:getProperty propertySet="CustomerProperties" propertyName="FirstName" id="firstname "/>
<um:getProperty propertySet="CustomerProperties" propertyName="LastName" id="lastname "/>
<um:getProperty propertySet="CustomerProperties" propertyName="DefaultShippingAddressStreet1" id="street"/>
<um:getProperty propertySet="CustomerProperties" propertyName="DefaultShippingAddressCity" id="city"/>
<um:getProperty propertySet="CustomerProperties" propertyName="DefaultShippingAddressPostalCode" id="zipcode"/>
<um:getProperty propertySet="CustomerProperties" propertyName="DefaultShippingAddressState" id="state"/>
<um:getProperty propertySet="CustomerProperties" propertyName="Email" id="email"/>
<um:getProperty propertySet="CustomerProperties" propertyName="HomePhone" id="homephone"/>
<um:getProperty propertySet="CustomerProperties" propertyName="BusinessPhone" id="businessphone"/>

<!-- The extra param string is use, mainly for credit card info   -->
<%
	String extraParams = "";
%>


<%-- ------------------------------------------------------------ --%>
<%-- Get the shopping cart                                        --%>
<%-- ------------------------------------------------------------ --%>
<webflow:getProperty id="shoppingCart" property="<%=PipelineSessionConstants.SHOPPING_CART%>" type="com.beasys.commerce.ebusiness.shoppingcart.ShoppingCart" scope="session" namespace="portal" />


<!-- create the number formatter objects for discount display  -->
<%
	NumberFormat priceFormat = NumberFormat.getInstance();
	priceFormat.setMinimumFractionDigits(2);
	priceFormat.setMaximumFractionDigits(2);

	NumberFormat quantityFormat = NumberFormat.getInstance();
	quantityFormat.setMinimumFractionDigits(0);
	quantityFormat.setMaximumFractionDigits(0);
%>


<%-- ------------------------------------------------------------ --%>
<%-- Set up the form                                              --%>
<%-- ------------------------------------------------------------ --%>
<form method="POST" name="step2Form" action="<portlet:createWebflowURL namespace="checkoutportlet" event="link.next" httpsInd="https" />" >
	<table cellpadding="0" cellspacing="0" border="0"><tr valign="top">
		<td class="bge6e6e6"><img src="<webflow:createResourceURL resource='<%=imagesPath + "step2_left1.gif"%>'/>" width="211" height="101" alt="" border="0"><br>
<img src="framework/images/dot.gif" width="10" height="120" alt="" border="0"><br>
<img src="<webflow:createResourceURL resource='<%=imagesPath + "step2_left2.gif"%>'/>" width="211" height="73" alt="" border="0"><br>
<img src="framework/images/dot.gif" width="10" height="90" alt="" border="0"><br>
<img src="<webflow:createResourceURL resource='<%=imagesPath + "step2_left3.gif"%>'/>" width="211" height="53" alt="" border="0"></td>
		<td><img src="<webflow:createResourceURL resource='<%=imagesPath + "dot.gif"%>'/>" width="10" height="1" alt="" border="0"></td>
	<td>
	
	<table cellpadding="0" cellspacing="0" border="0" width="547"><tr class="bgf4f4f3">
			<td rowspan="6" valign="top"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step3_header1.gif"%>'/>" width="547" height="38" alt="" border="0"></td>
	</tr></table>
	
		<table cellpadding="0" cellspacing="0" border="0" width="547"><tr class="bgf4f4f3">
			<td rowspan="6" valign="top"><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
			<td width="252" colspan="2"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_address.gif"%>'/>" width="252" height="25" alt="" border="0"></td>
			<td rowspan="6"><img src="framework/images/dot.gif" width="22" height="1" alt="" border="0"></td>
			<td width="253"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_contact.gif"%>'/>" width="253" height="25" alt="" border="0"></td>
			<td rowspan="6" valign="top"><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
		</tr><tr class="bgf4f4f3">	
			<td width="126" class="checklabelsPortlet"><i18n:getMessage bundleName="checkout" messageName="first_name" /></td>
			<td width="126" class="checklabelsPortlet"><i18n:getMessage bundleName="checkout" messageName="last_name" /></td>
			<td width="253" class="checklabelsPortlet"><i18n:getMessage bundleName="checkout" messageName="day_phone" /></td>
		</tr>
  <!-- The address-->
		<tr class="bgf4f4f3">	
			<td width="126" class="checkinputPortlet"><input type="text" name="firstname" class="checkinputPortlet" size="6" VALUE="<%=firstname%>" ></td>
			<td width="126" class="checkinputPortlet"><input type="text" name="lastname" class="checkinputPortlet" size="6" VALUE="<%=lastname%>" ></td>
			<td width="253" class="checkinputPortlet"><input type="text" name="dayphonearea" class="checkinputPortlet" size="3" VALUE="<%=((String)businessphone).substring(0,3)%>" >&nbsp; <input type="text" name="dayphonenumber" class="checkinputPortlet" size="9" VALUE="<%=((String)businessphone).substring(4,12)%>">&nbsp; <input type="text" name="dayphoneext" class="checkinputPortlet" size="2"></td>			
		</tr><tr class="bgf4f4f3">
			<td colspan="2" class="checklabelsPortlet"><img src="framework/images/dot.gif" width="1" height="3" alt="" border="0"></td>
			<td class="checklabelsPortlet"><img src="framework/images/dot.gif" width="1" height="3" alt="" border="0"></td>			
		</tr><tr class="bgf4f4f3">		
			<td width="252" colspan="2" class="checklabelsPortlet"><i18n:getMessage bundleName="checkout" messageName="street" /></td>
			<td width="253" class="checklabelsPortlet"><i18n:getMessage bundleName="checkout" messageName="evening_phone" /></td>
		</tr><tr class="bgf4f4f3">	
			<td width="252" colspan="2" class="checkinputPortlet"><input type="text" name="<%=HttpRequestConstants.CUSTOMER_SHIPPING_ADDRESS1%>" class="checkinputPortlet" size="25" VALUE='<%=street%>' /></td>

			<td width="253" class="checkinputPortlet"><input type="text" name="evephonearea" class="checkinputPortlet" size="3" VALUE="<%=((String)homephone).substring(0,3)%>">&nbsp; <input type="text" name="evephonenumber" class="checkinputPortlet" size="9" VALUE="<%=((String)homephone).substring(4,12)%>"></td>			
		</tr></table>
		
		<table cellpadding="0" cellspacing="0" border="0" width="547"><tr class="bgf4f4f3">
			<td rowspan="6" valign="top"><img src="framework/images/dot.gif" width="10" height="3" alt="" border="0"></td>
			<td width="252" colspan="2"><img src="framework/images/dot.gif" width="252" height="1" alt="" border="0"></td>
			<td rowspan="6"><img src="framework/images/dot.gif" width="22" height="1" alt="" border="0"></td>
			<td width="253"><img src="framework/images/dot.gif" width="253" height="1" alt="" border="0"></td>
			<td rowspan="6" valign="top"><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
		</tr>
		
		<tr class="bgf4f4f3">	
			<td width="160" class="checklabelsPortlet"><i18n:getMessage bundleName="checkout" messageName="city" /></td>
			<td width="92"  class="checklabelsPortlet"><i18n:getMessage bundleName="checkout" messageName="state" /></td>
			<td width="253" class="checklabelsPortlet"><i18n:getMessage bundleName="checkout" messageName="e_mail" /></td>
		</tr>
		
		<!-- Prepare the list of states.-->
		<% String[] stateList = new String[]{"AK","AL", "AR", "AZ", "CA", "CO", "CT", "DE", "FL", "GA", "HI", "IA", "ID", "IL", "IN", "KS", "KY", "LA", "MA", "MD", "ME", "MI", "MN", "MO", "MS", "MT", "NC", "ND", "NE", "NH", "NJ", "NM", "NV", "NY", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VA", "VT", "WA", "WI", "WV", "WY"}; %>

		<tr class="bgf4f4f3">	
			<td width="160" class="checkinputPortlet"><input type="text" name="<%=HttpRequestConstants.CUSTOMER_SHIPPING_CITY%>" class="checkinputPortlet" size="13" VALUE="<%=city%>"></td>
			<td width="92" class="checkinputPortlet"><select name="<%=HttpRequestConstants.CUSTOMER_SHIPPING_STATE%>" size="1" class="checkinputPortlet">
			         <% for (int i=0; i<stateList.length; i++) { 
                         String selected = ""; 
                         if (state.equals(stateList[i])) selected = "selected"; %>
					        <option <%=selected%>><%=stateList[i]%></option>
					 <% }%>
					</select></td>
			<td width="253" class="checkinputPortlet"><input type="text" name="email" class="checkinputPortlet" size="30" value="<%=email%>" ></td>			
		</tr>
		
		<tr class="bgf4f4f3">
			<td colspan="2" class="checklabelsPortlet"><img src="framework/images/dot.gif" width="1" height="3" alt="" border="0"></td>
			<td class="checklabelsPortlet"><img src="framework/images/dot.gif" width="1" height="3" alt="" border="0"></td>			
		</tr>
		
		<tr class="bgf4f4f3">		
			<td colspan="2" class="checklabelsPortlet"><i18n:getMessage bundleName="checkout" messageName="zip_code" /></td>
			<td class="checklabelsPortlet"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>			
		</tr>
		
		<tr class="bgf4f4f3">	
			<td width="252" colspan="2" class="checkinputPortlet"><input type="text" name="<%=HttpRequestConstants.CUSTOMER_SHIPPING_ZIPCODE%>" class="checkinputPortlet" size="5" VALUE="<%=zipcode%>"></td>
			<td width="253" class="checkPortlet">&nbsp;</td>			
		</tr>

		<!-- for this example the country is not shown. To put that functionality in, it's the -->
		<!-- same as putting in the State. The same is true for the Shipping Address Street2   -->
		<input type="hidden" name="<%=HttpRequestConstants.CUSTOMER_SHIPPING_COUNTRY%>" VALUE="United States">
		<input type="hidden" name="<%=HttpRequestConstants.CUSTOMER_SHIPPING_ADDRESS2%>" VALUE=" ">

		<tr class="bgf4f4f3">			
			<td colspan="6" class="checklabelsPortlet"><img src="framework/images/dot.gif" width="1" height="11" alt="" border="0"></td>			
		</tr><tr class="bgffffff">			
			<td colspan="6" class="checklabelsPortlet"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>			
		</tr></table>
		
		<table cellpadding="0" cellspacing="0" border="0" width="547"><tr class="bgf4f4f3">
			<td rowspan="9" valign="top"><img src="framework/images/dot.gif" width="10" height="9" alt="" border="0"></td>
			<td width="252"><img src="framework/images/dot.gif" width="252" height="9" alt="" border="0"></td>
			<td rowspan="9"><img src="framework/images/dot.gif" width="22" height="1" alt="" border="0"></td>
			<td width="253" colspan="2"><img src="framework/images/dot.gif" width="253" height="1" alt="" border="0"></td>
			<td rowspan="9" valign="top"><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
		</tr><tr class="bgf4f4f3">	
			<td><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_shipmethod.gif"%>'/>" width="252" height="14" alt="" border="0"></td>
			<td colspan="2"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_ccinfo.gif"%>'/>" width="253" height="14" alt="" border="0"></td>			
		</tr><tr class="bgf4f4f3">			
			<td><img src="framework/images/dot.gif" width="1" height="6" alt="" border="0"></td>
			<td colspan="2"><img src="framework/images/dot.gif" width="1" height="6" alt="" border="0"></td>									
		</tr>
		
		<!-- ------------------------------------ -->
		<!-- Getting the shipping method elements --> 
		<!-- ------------------------------------ -->
		<webflow:getProperty id="shippingMethodListObject" property="<%=PipelineSessionConstants.SHIPPING_METHOD_LIST%>" type="java.util.List" scope="session" namespace="b2cPortal" />

<%
 List shippingMethodList = (List)shippingMethodListObject;
%>

<!-- The um:getproperty tag retrieves the property value for a specified property set-property name pair.
     propertyName - The name of the property to be retrieved.
     id - If the id attribute is supplied, the value of the retrieved property will be available in the
          variable name to which id is assigned. Otherwise, the value of the property is inlined.
-->
<um:getProperty propertySet="CustomerProperties" propertyName="creditCardsMap" id="creditCardsMapObject" />

<!-- In this instance, we KNOW there are only 2 shipping methods (see database WCLS_SHIPPING_METHOD       -->
<!-- so we don't use an iterator to display all shipping methods, otherwise, we would screw up the layout -->
		<tr class="bgf4f4f3">			
			<td             class="checklabelsPortlet"><i18n:getMessage bundleName="checkout" messageName="shipping_method_selection" /></td>
			<td colspan="2" class="checklabelsPortlet"><i18n:getMessage bundleName="checkout" messageName="registered_cards" /></td>
		</tr>

        <!-- For this sample, we do not show special instructions, split methods, and so on.  -->
        <!-- So we fill default values for all other SHIPPING related values.                 -->
		<input type="hidden" name="<%=HttpRequestConstants.SPECIAL_INSTRUCTIONS%>" VALUE=" ">
        <input type="hidden" name="<%=HttpRequestConstants.SPLITTING_PREFERENCE_SPLIT_LOCAL%>" value="Ship as available">
        <input type="hidden" name="<%=HttpRequestConstants.SPLITTING_PREFERENCE_NO_SPLIT_LOCAL%>" value="Ship all at once">
        <input type="hidden" name="<%=HttpRequestConstants.SPLITTING_PREFERENCE_CODE%>" value="<%=HttpRequestConstants.SPLITTING_PREFERENCE_NO_SPLIT_CODE%>">

		<tr class="bgf4f4f3">			
			<td class="checklabelsPortlet"><input CHECKED type="radio" name="<%=HttpRequestConstants.SHIPPING_METHOD%>" value="1"> Second Day Air</td>


			<td colspan="2" class="checklabelsPortlet">
  <!-- Only take the first credit card in this example. One can have more credit cards -->
  <!-- and you would increase the count to make it. Here the layout is dictated and    -->
  <!-- it is a sample -->
  <% String checked = "CHECKED"; %>
  <wl:repeat
	set="<%=((Map)creditCardsMapObject).keySet().iterator()%>"
	id="creditCard" type="String" count="100000">
        <!-- %
	         extraParams = HttpRequestConstants.CREDITCARD_KEY + "=" + creditCard;
        % -->
			<input <%=checked%> type="radio" name="<%=HttpRequestConstants.CREDITCARD_KEY%>" value="<%=creditCard%>" > <%=creditCard%> 
			<% checked = "" ; %>
  </wl:repeat>
	        </td>	

		</tr><tr class="bgf4f4f3">			
			<td class="checklabelsPortlet"><input type="radio" name="<%=HttpRequestConstants.SHIPPING_METHOD%>" value="2"> Standard Shipping - 4 to 7 days</td>
			<td width="160" class="checklabelsPortlet"></td>									
			<td width="93" class="checklabelsPortlet"></td>
		</tr><tr class="bgf4f4f3">			
			<td><img src="framework/images/dot.gif" width="1" height="10" alt="" border="0"></td>
			<td colspan="2"><img src="framework/images/dot.gif" width="1" height="10" alt="" border="0"></td>					
		</tr><tr class="bgf4f4f3">	
			<td><img src="framework/images/dot.gif" width="1" height="6" alt="" border="0"></td>
			<td colspan="2">
			<table cellpadding="0" cellspacing="0" border="0" width="253"><tr class="bgf4f4f3">
			 <td  width="243" class="checknotePortlet"><i18n:getMessage bundleName="checkout" messageName="ssl_note" /></td>
			 <td width="10"><img src="framework/images/dot.gif" width="15" height="6" alt="" border="0"></td>
			 </tr>
			</table>
			</td>																						
		</tr><tr class="bgf4f4f3">	
			<td colspan="6"><img src="framework/images/dot.gif" width="1" height="8" alt="" border="0"></td>
		</tr><tr class="bgffffff">	
			<td colspan="6"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>			
		</tr></table>
		
		<!-- the title for the shopping cart cart display 'order summary' -->
		<table cellpadding="0" cellspacing="0" border="0" width="547">
		<tr class="bgf4f4f3">
			<td colspan="3" valign="top"><img src="framework/images/dot.gif" width="10" height="9" alt="" border="0"></td>
		</tr>
		<tr class="bgf4f4f3">
			<td valign="top"><img src="framework/images/dot.gif" width="10" height="9" alt="" border="0"></td>
			<td width="527"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_ordersummary.gif"%>'/>" width="479" height="16" alt="" border="0"></td>
			<td valign="top"><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>
		</tr>
		</table>

		
		<table cellpadding="0" cellspacing="0" border="0" width="547">
   
    	<!-- the table header, Items, Unit, ext. price -->
        <tr>
			<td class="bgf4f4f3" rowspan="16" valign="top"><img src="framework/images/dot.gif" width="10" height="9" alt="" border="0"></td>
			<td class="bgd5d5bb"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_qty.gif"%>'/>" width="38" height="18" alt="" border="0"></td>
			<td class="bgd5d5bb"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_spacer.gif"%>'/>" width="7" height="18" alt="" border="0"></td>		
			<td class="bgd5d5bb"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_item.gif"%>'/>" width="267" height="18" alt="" border="0"></td>
			<td class="bgd5d5bb"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_unitprice.gif"%>'/>" width="99" height="18" alt="" border="0"></td>		
			<td class="bgd5d5bb" colspan="2"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_extprice.gif"%>'/>" width="68" height="18" alt="" border="0"></td>					
			<td class="bgf4f4f3" rowspan="16" valign="top"><img src="framework/images/dot.gif" width="58" height="1" alt="" border="0"></td>
		</tr>
		
		<%-- iterate through all shopping cart lines --%>
<wl:repeat set="<%=shoppingCart.getShoppingCartLineCollection().iterator()%>" id="shoppingCartLine" type="ShoppingCartLine" count="100000">

	<!-- The qty / unit price / extended price for each cart line -->
	<tr class="bgf4f4f3">
		<td class="checkPortlet" align="center"><%= WebflowJSPHelper.quantityFormat( shoppingCartLine.getQuantity() ) %></td>
		<td class="checkPortlet"><img src="framework/images/dot.gif" width="7" height="1" alt="" border="0"></td>		
		<td class="checkPortlet"><%= shoppingCartLine.getProductItem().getName() %></td>
		<td class="checkPortlet" align="center">
					     <i18n:getMessage bundleName="/commerce/currency" messageName="<%= shoppingCartLine.getUnitPrice().getCurrency() %>"/><%= WebflowJSPHelper.priceFormat( shoppingCartLine.getUnitPrice().getValue() ) %> 
        </td>		
		<td width="58" class="checkffffccPortlet" align="right">
			             <i18n:getMessage bundleName="/commerce/currency" messageName="<%= shoppingCartLine.getBaseTotal().getCurrency() %>"/><%= WebflowJSPHelper.priceFormat( shoppingCartLine.getBaseTotal().getValue() ) %>
        </td>	
		<td width="10" class="bgffffcc"><img src="framework/images/dot.gif" width="10" height="19" alt="" border="0"></td>					
	</tr>


	<!-- If there are any discount for this line item, show them now -->
	<%
		ArrayList discountPresentations = shoppingCartLine.getDiscountPresentations();
		if (discountPresentations !=null) 
		{
			// Loop through the adjustments/discounts for this line item.
		    for (int i=0; i < discountPresentations.size(); i++)
		    {
				DiscountPresentation dp = (DiscountPresentation) discountPresentations.get(i);
	%>

	
	<!-- discount row -->
	<tr class="bgf4f4f3">
			<td ALIGN="center" class="checkerrorPortlet"><%= quantityFormat.format(dp.getQuantity()) %> of 
						<%= WebflowJSPHelper.quantityFormat( shoppingCartLine.getQuantity() ) %></td>
			<td class="checkPortlet"><img src="framework/images/dot.gif" width="7" height="1" alt="" border="0"></td>		
			<td class="checkerrorPortlet">
				<%-- Show the description from the Control Center if it isn't empty, --%>
				<%-- otherwise show the calculated discount description.             --%>
				<% if ((dp.getReason() != null) && (dp.getReason().trim().length() > 0)) { %>
				<%= dp.getReason() %>
				<% } else { %>
				<%=dp.getComputation()%>
				<% } %>  
			</td>
			<td class="checkerrorPortlet" align="center">
				<font color="red"><i18n:getMessage bundleName='/commerce/currency' messageName='<%= dp.getDiscount().getCurrency() %>'/><%= priceFormat.format(dp.getDiscount().getValue()) %></font>
			</td>	 
			<td width="58" class="bgffffcc" align="right">&nbsp;</td>	
			<td width="10" class="bgffffcc"><img src="framework/images/dot.gif" width="10" height="19" alt="" border="0"></td>					
	</tr>

	<!-- discount row -->	
	<tr class="bgcccccc">	   
			<td colspan="6"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>				
	</tr>
	
	
	
	
	
	<%
		   }
	   }
	%>
	<%-- End of discounts for this shopping cart line. --%>

	<%-- End of shopping cart lines                    --%>

</wl:repeat>


	<%-- The subtotal line                             --%>
	<tr class="bgf4f4f3">
		<td class="checkPortlet" align="center" colspan="3">&nbsp;</td>
		<td class="checkPortlet" align="center"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_subtotal.gif"%>'/>" width="99" height="19" alt="" border="0"></td>		
		<td width="58" class="checkffffccPortlet" align="right">
			<i18n:getMessage bundleName="/commerce/currency" messageName="<%= shoppingCart.getTotalPrice().getCurrency() %>"/><%=WebflowJSPHelper.priceFormat( shoppingCart.getSubtotal().getValue() ) %></b>
		</td>	
		<td width="10" class="bgffffcc"><img src="framework/images/dot.gif" width="10" height="19" alt="" border="0"></td>					
	</tr>
	<tr class="bgcccccc">						
		<td colspan="6"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>				
	</tr>
	 
	 <!-- Only if we have an actual Order Discount do we show the following lines -->	
  <%-- Only try to show order adjustments/discounts if the shopping cart has items in it. --%>
  <% if ( shoppingCart.isEmpty() == false ) {

		// Get a list of order adjustments/discounts
		ArrayList orderDiscountPresentations = shoppingCart.getOrderDiscountPresentations();
		
		if (orderDiscountPresentations != null && orderDiscountPresentations.size() > 0) 
		{
			// Currently, there can be only one order adjustment/discount. Get that one from the list.
			OrderAdjustment odp = (OrderAdjustment) orderDiscountPresentations.get(0);
			// Order adjustments/discounts only have one AdjustmentDetail. Get that one from the list.
			AdjustmentDetail ad = (AdjustmentDetail)odp.getDetails().get(0);
	%> 
	
	<tr class="bgf4f4f3">
			<td class="checkPortlet" align="center" colspan="3">&nbsp;</td>
			<td class="checkPortlet" align="center"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_orderdiscount.gif"%>'/>" width="99" height="19" alt="" border="0"></td>		
			<td width="58" class="checkerror2Portlet" align="right">-<i18n:getMessage bundleName="/commerce/currency" messageName="<%= odp.getAdjustmentAmount().getCurrency() %>"/><%= priceFormat.format(odp.getAdjustmentAmount().getValue()) %></td>	
			<td width="10" class="bgffffcc"><img src="framework/images/dot.gif" width="10" height="19" alt="" border="0"></td>					
	</tr>

	<%
	   }
  }
	%>
	<%-- End of discounts for this order. --%>

	<%-- The order discount/total         --%>

	<tr class="bgcccccc">						
		<td colspan="6"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>				
	</tr>
	
	<tr class="bgf4f4f3">				
		<td class="checkPortlet" colspan="3"><span class="checkasterisksPortlet">*</span><i18n:getMessage bundleName="checkout" messageName="total_note" /> </td>
		<td class="checkPortlet" align="center"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_total.gif"%>'/>" width="99" height="26" alt="" border="0"></td>		
		<td width="58" class="checktotalPortlet" align="right"><b><i18n:getMessage bundleName="/commerce/currency" messageName="<%= shoppingCart.getTotal().getCurrency() %>"/><%=WebflowJSPHelper.priceFormat( shoppingCart.getTotal().getValue() ) %></b></td>	
		<td width="10" class="bgffffcc"><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>					
	</tr>
	<tr class="bgcccccc">						
		<td colspan="6"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>				
	</tr>
	
</table>
		
		<table cellpadding="0" cellspacing="0" border="0" width="547">
		<tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="368" height="1" alt="" border="0"></td>
			<td><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_arrowtip.gif"%>'/>" width="169" height="80" alt="" border="0"></td>
			<td><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
		</tr>
		</table>
		
		<table cellpadding="0" cellspacing="0" border="0" width="547">
		<tr>
			<td colspan="3"><img src="framework/images/dot.gif" width="1" height="10" alt="" border="0"></td>
			</tr><tr>		
			<td><img src="framework/images/dot.gif" width="368" height="1" alt="" border="0"></td>
			<td><a href="<portlet:createWebflowURL namespace="checkoutportlet" event="link.cancel" />"><img src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_cancel.gif"%>'/>" width="46" height="19" alt="" border="0"></a>&nbsp; 
		          <input type="image" alt="continue" border="0" align="absmiddle" extraParams="<%= extraParams %>" src="<webflow:createResourceURL resource='<%=imagesPath + "check_step2_continueorder.gif"%>'/>" width="77" height="19" alt="" border="0">
			</td>
			<td><img src="framework/images/dot.gif" width="40" height="1" alt="" border="0"></td>
		</tr>
		</table>
	</table>
		
	</td>
</tr>
</table>
</form>
<!-- end /portlets/checkout/content.jsp -->

