<!-- start /portlets/evaluator/step1.jsp -->

<%@ taglib uri="webflow.tld" prefix="webflow" %>

<%@ page import="com.bea.portal.appflow.PortalAppflowConstants" %>

<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>

<%@ page import="examples.e2e.b2c.util.B2CPortalConstants" %>

<%@ include file="/framework/resourceURL.inc" %>

<%-- Webflow parameters for linking into the product catalog. We have
     to build webflow URLs that are basically portlet events + portal
     page change --%>

<%!
   protected static final String genericParams =
       PortalAppflowConstants.PORTLET_WEBFLOW_EVENT_PARAMETER + "=" +
           "link.item" + "&" +
       PortalAppflowConstants.PAGE_PARAMETER + "=" +
           B2CPortalConstants.PRODUCTS_PAGE_NAME + "&" +
       PortalAppflowConstants.PORTLET_PARAMETER + "=" +
           "catalog" + "&" +
       HttpRequestConstants.CATALOG_CATEGORY_ID + "=" +
           java.net.URLEncoder.encode( B2CPortalConstants.CONSUMER_CATEGORY_ID ) + "&" +
       HttpRequestConstants.CATALOG_ITEM_SKU + "=";

    protected static final String ap1000Params = genericParams + "pix1000";
    protected static final String ap3000Params = genericParams + "pix3000";
    protected static final String ap5000Params = genericParams + "pix5000";
%>

<!-- show blank portlet for now
<table cellpadding="0" cellspacing="0" border="0" width="211">

<tr class="bgd5d5bb">
	<td><img src="<webflow:createResourceURL resource='<%=imagesPath + "prod_eval_step1_10percent.gif"%>'/>" width="208" height="69" alt="" border="0"></td>
</tr>
<tr class="bgd5d5bb">
	<td><a href="<webflow:createWebflowURL event="bea.portal.framework.internal.portlet.event" origin="catalog.jsp" extraParams="<%=ap1000Params%>"/>"><img src="<webflow:createResourceURL resource='<%=imagesPath + "prod_eval_step1_avipix1000.gif"%>'/>" width="109" height="69" alt="" border="0"></a></td>
</tr>
<tr class="bgd5d5bb">
	<td><a href="<webflow:createWebflowURL event="bea.portal.framework.internal.portlet.event" origin="catalog.jsp" extraParams="<%=ap3000Params%>"/>"><img src="<webflow:createResourceURL resource='<%=imagesPath + "prod_eval_step1_avipix3000.gif"%>'/>" width="109" height="69" alt="" border="0"></a></td>
</tr>
<tr class="bgd5d5bb">
	<td><a href="<webflow:createWebflowURL event="bea.portal.framework.internal.portlet.event" origin="catalog.jsp" extraParams="<%=ap5000Params%>"/>"><img src="<webflow:createResourceURL resource='<%=imagesPath + "prod_eval_step1_avipix5000.gif"%>'/>" width="109" height="69" alt="" border="0"></a></td>
</tr>

</table>
-->

<!-- end /portlets/evaluator/step1.jsp -->
