<!-- start /portlets/evaluator/step2.jsp -->
<%@ taglib uri="webflow.tld" prefix="webflow" %>
<%@ taglib uri="portlet.tld" prefix="portlet" %>
<%@ taglib uri="cat.tld" prefix="catalog" %>
<%@ page import="com.beasys.commerce.webflow.PipelineSessionConstants" %>
<%@ page import="examples.e2e.b2c.util.B2CPortalConstants" %>

<!-- Web services includes -->
<%@ page import="org.openuri.www.* "%>
<%@ page import="org.openuri.www.x2002.x04.soap.conversation.* "%>
<%@ page import="java.io.IOException" %>
<%@ page import="java.rmi.RemoteException" %>
<%@ page import="productEvalWSC.EvalProduct_Impl" %>
<%@ page import="productEvalWSC.EvalProductSoap" %>

<%@ include file="/framework/resourceURL.inc" %>

<webflow:getProperty
    id="evalEvent"
    type="java.lang.String"
    property="B2CPortalConstants.PRODUCT_EVAL_ATTRIB"
    scope="request"
    namespace="portal" />

<%
   com.beasys.commerce.ebusiness.catalog.ViewIterator commonItems=null;
   if (evalEvent != null && !evalEvent.equals(""))
   {
%>

<form  method="post" action="<portlet:createWebflowURL namespace="evaluatorportlet" event="button.evaluator.go" />">
<table width="211" cellpadding="0" cellspacing="0" border="0">
<tr class="bgf4f4f3">

<td colspan="2"><img src="<webflow:createResourceURL resource='<%=imagesPath + "avitek_header.gif"%>'/>" width="211" height="22" alt="" border="0"></td>
</tr><tr class="bgf4f4f3">
<td colspan="2"><img src="<webflow:createResourceURL resource='<%=imagesPath + "avitek_01_title.gif"%>'/>" width="211" height="29" alt="" border="0"></td>
</tr><tr class="bgf4f4f3">
<td><img src="framework/images/dot.gif" width="8" height="1" alt="" border="0"></td>
<td>
     <select name="productEvaluation" size="1" class="checkPortlet">

<%
    String productEvaluated = ((request.getParameter("productEvaluation") != null) ? request.getParameter("productEvaluation") : "");
    String selected = "";

       if (evalEvent.equals("browse"))
       {
%>


<%-- Get the items view iterator from the pipeline session --%>
           <webflow:getProperty
               id="items"
               type="com.beasys.commerce.ebusiness.catalog.ViewIterator"
               property="<%= PipelineSessionConstants.CATALOG_ITEMS %>"
               scope="session"
               namespace="portal" />

<%
           commonItems = items;
       }

       if (evalEvent.equals("search"))
       {
%>
           <webflow:getProperty
                id="searchResults"
                type="com.beasys.commerce.ebusiness.catalog.ViewIterator"
                property="<%= PipelineSessionConstants.CATALOG_SEARCH_RESULTS %>"
                scope="session"
                namespace="portal" />
<%
           commonItems = searchResults;
       }

       if ((evalEvent.equals("browse")) || (evalEvent.equals("search")))
       {
%>
<%-- Iterate through the items and display each one --%>

            <catalog:iterateViewIterator
                id="item"
                returnType="com.beasys.commerce.ebusiness.catalog.ProductItem"
                iterator="<%= commonItems %>">

                <catalog:getProperty
                    id="itemKey"
                    returnType="com.beasys.commerce.ebusiness.catalog.ProductItemKey"
                    object="<%= item %>"
                    propertyName="key" />

                <catalog:getProperty
                    id="itemName"
                    returnType="java.lang.String"
                    object="<%= item %>"
                    propertyName="name" />

<%
                selected = (productEvaluated.equals(itemKey.getIdentifier()) ? "SELECTED" : "");
%>
                <option value='<%=itemKey.getIdentifier()%>' <%=selected%> ><%=itemName%></option>

            </catalog:iterateViewIterator>

<%
            // Reset the view iterator in case the portlet gets refreshed

            commonItems.gotoViewAt( 0 );
        }
        else
        if (evalEvent.equals("detail"))
        {
%>
            // We are operating on a single item. It will be the only
            // one in the select list.

            <webflow:getProperty
                id="item"
                type="com.beasys.commerce.ebusiness.catalog.ProductItem"
                property="<%= PipelineSessionConstants.CATALOG_ITEM %>"
                scope="session"
                namespace="portal" />

            <catalog:getProperty
                id="itemName"
                returnType="java.lang.String"
                object="<%= item %>"
                propertyName="name" />

            <catalog:getProperty
                id="itemKey"
                returnType="com.beasys.commerce.ebusiness.catalog.ProductItemKey"
                object="<%= item %>"
                propertyName="key" />

<%
                selected = (productEvaluated.equals(itemKey.getIdentifier()) ? "SELECTED" : "");
%>
                <option value='<%=itemKey.getIdentifier()%>' <%=selected%> ><%=itemName%></option>

<%
        }
%>
    </select>
    <input type="image" src="<webflow:createResourceURL resource='<%=imagesPath + "go.gif"%>'/>" alt="" border="0" align="absmiddle">

</td>
</tr><tr class="bgf4f4f3">
<td colspan="2"><img src="<webflow:createResourceURL resource='<%=imagesPath + "avitek_02_title.gif"%>'/>" width="211" height="40" alt="" border="0"></td>
</tr>
<tr class="bgf4f4f3">

<!-- Display rating info if Go button pressed -->
<%
  if (request.getParameter("origin").equals("step2.jsp") &&
      request.getParameter("wfevent").equals("button.evaluator.go"))
  {
        String productEvaluation = request.getParameter("productEvaluation");
%>
<!-- Portlet builder generated web services interfaces code -->
<%
        EvalProduct_Impl         m_Proxy = null;
        EvalProductSoap     m_ProxySoap = null;
        String m_conversationID = session.getId();
        String comments = "";
        int valueRating = 0;
        int reliabilityRating = 0;
        int overallRating = 0;
        boolean webServiceAvail = true;

        String serverNamePort = "http://" + request.getServerName() + ":" + request.getServerPort() + "/";

        try
        {
            m_Proxy = new EvalProduct_Impl(serverNamePort + "workshop/productEvalWSC/EvalProduct.jws?WSDL");
        }
        catch (IOException ex)
        {
            ex.printStackTrace();
            webServiceAvail = false;
        }
        m_ProxySoap = m_Proxy.getEvalProductSoap();

        try
        {
            // Set up the header objects we'll need
            StartHeader startHeader =
                    new StartHeader( m_conversationID,
                                     serverNamePort + "workshop/productEvalWSC/EvalProduct.jws");

            ContinueHeader continueHeader =
                    new ContinueHeader( m_conversationID );


            // Start the conversation
            GetEvaluation getEvaluation = new GetEvaluation(productEvaluation);

            if (m_ProxySoap.getEvaluation(getEvaluation, startHeader).getGetEvaluationResult().equals("SUCCESS"))
            {
                // Continue the conversation
                comments =  m_ProxySoap.getComments(null, continueHeader).getGetCommentsResult();

                // Continue the conversation
                reliabilityRating = m_ProxySoap.getReliabilityRating(null, continueHeader).getGetReliabilityRatingResult();

                // Continue the conversation
                overallRating = m_ProxySoap.getOverallRating(null, continueHeader).getGetOverallRatingResult();

                // Continue the conversation
                valueRating = m_ProxySoap.getValueRating(null, continueHeader).getGetValueRatingResult();

            }
            else
            {
                webServiceAvail = false;
            }
                // Finish the conversation
                m_ProxySoap.endEvaluation(null, continueHeader);
        }
        catch (RemoteException ex)
        {
            ex.printStackTrace();
            webServiceAvail = false;
        }

      if (webServiceAvail == false)
      {
        // Display to user
%>
	  <td class="productBgPortlet" colspan="2">No product information available</td>
<%
      }
      else
      {
%>

<!-- End portlet builder generated code -->

<!-- Display the ratings and comments -->

	<td valign="top" colspan="2">
		<table cellpadding="0" cellspacing="0" border="0" width="211"><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="8" height="1" alt="" border="0"></td>
			<td colspan="2" class="productPortlet" width="165"><%=comments%></td>
			<td width="38"><img src="framework/images/dot.gif" width="46" height="1" alt="" border="0"></td>
		</tr><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
			<td colspan="3"><img src="framework/images/dot.gif" width="1" height="4" alt="" border="0"></td>
		</tr><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
			<td width="60" class="productPortlet">Reliability</td>
			<td width="105" class="bgf4f4f3">
<%
                  for (int i=0; i<reliabilityRating; i++)
                  {
%>
                      <img src="<webflow:createResourceURL resource='<%=imagesPath + "prod_eval_step2_star.gif"%>'/>" width="9" height="9" alt="" border="0">
<%
                  }
%>
                  </td>
			<td width="10"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
		</tr><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
			<td width="60" class="productPortlet">Value</td>
			<td width="105" class="bgf4f4f3">
<%
                  for (int i=0; i<valueRating ; i++)
                  {
%>
                      <img src="<webflow:createResourceURL resource='<%=imagesPath + "prod_eval_step2_star.gif"%>'/>" width="9" height="9" alt="" border="0">
<%
                  }
%>
                  </td>
			<td width="10"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
		</tr><tr class="bgf4f4f3">
			<td><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
			<td width="60" class="productPortlet">Overall</td>
			<td width="105" class="bgf4f4f3">
<%
                  for (int i=0; i<overallRating ; i++)
                  {
%>
                      <img src="<webflow:createResourceURL resource='<%=imagesPath + "prod_eval_step2_star.gif"%>'/>" width="9" height="9" alt="" border="0">
<%
                  }
%>
                  </td>
			<td width="10"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
		</tr></table>
	</td>
<%
     }
  }
  else
  {
%>
	<td><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
	<td class="productBgPortlet">No product has been selected.</td>

</tr><tr class="bgf4f4f3">
		<td colspan="2"><img src="framework/images/dot.gif" width="1" height="10" alt="" border="0"></td>
<%
  }
%>

<!-- End - Display rating info if Go button pressed -->
</tr>
<tr class="bgf4f4f3">
	<td colspan="2"><img src="<webflow:createResourceURL resource='<%=imagesPath + "avitek_bottom.gif"%>'/>" width="211" height="5" alt="" border="0"></td>
</tr>


</table>
</form>

<%
	} // if (evalEvent != null && !evalEvent.equals(""))
%>


