<!-- start /portlets/mybanner/content.jsp -->

<%@ taglib uri="webflow.tld" prefix="webflow" %>

<%@ page import="com.bea.portal.appflow.PortalAppflowConstants" %>

<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>

<%@ page import="examples.e2e.b2c.util.B2CPortalConstants" %>

<%@ include file="/framework/resourceURL.inc" %>

<%-- Webflow parameters for linking into the product catalog. We have 
     to build webflow URLs that are basically portlet events + portal 
     page change --%>

<%!
   protected static final String genericParams =
       PortalAppflowConstants.PORTLET_WEBFLOW_EVENT_PARAMETER + "=" +
           "link.item" + "&" +
       PortalAppflowConstants.PAGE_PARAMETER + "=" + 
           B2CPortalConstants.PRODUCTS_PAGE_NAME + "&" +
       PortalAppflowConstants.PORTLET_PARAMETER + "=" + 
           "catalog" + "&" +
       HttpRequestConstants.CATALOG_CATEGORY_ID + "=" +
           java.net.URLEncoder.encode( B2CPortalConstants.CONSUMER_CATEGORY_ID ) + "&" +
       HttpRequestConstants.CATALOG_ITEM_SKU + "=";

    protected static final String ap1000Params = genericParams + "pix1000";
    protected static final String ap3000Params = genericParams + "pix3000";
    protected static final String ap5000Params = genericParams + "pix5000";
%>

<table cellpadding="0" cellspacing="0" border="0"><tr>
	<td rowspan="3" class="bgffffff"><img src="framework/images/dot.gif" width="10" height="1" alt="" border="0"></td>
	<td rowspan="3" class="bgcccccc"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
	<td colspan="6" class="bgcccccc"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
	<td rowspan="3" class="bgcccccc"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
	<td rowspan="3" class="bgffffff"><img src="framework/images/dot.gif" width="4" height="1" alt="" border="0"></td>	
</tr><tr class="bgd5d5bb">
	<td><img src="<webflow:createResourceURL resource='<%=imagesPath + "prod_eval_step1_10percent.gif"%>'/>" width="208" height="69" alt="" border="0"></td>
	<td><a href="<webflow:createWebflowURL event="bea.portal.framework.internal.portlet.event" origin="catalog.jsp" extraParams="<%=ap1000Params%>"/>"><img src="<webflow:createResourceURL resource='<%=imagesPath + "prod_eval_step1_avipix1000.gif"%>'/>" width="109" height="69" alt="" border="0"></a></td>
	<td><img src="framework/images/dot.gif" width="7" height="1" alt="" border="0"></td>
	<td><a href="<webflow:createWebflowURL event="bea.portal.framework.internal.portlet.event" origin="catalog.jsp" extraParams="<%=ap3000Params%>"/>"><img src="<webflow:createResourceURL resource='<%=imagesPath + "prod_eval_step1_avipix3000.gif"%>'/>" width="109" height="69" alt="" border="0"></a></td>
	<td><a href="<webflow:createWebflowURL event="bea.portal.framework.internal.portlet.event" origin="catalog.jsp" extraParams="<%=ap5000Params%>"/>"><img src="<webflow:createResourceURL resource='<%=imagesPath + "prod_eval_step1_avipix5000.gif"%>'/>" width="109" height="69" alt="" border="0"></a></td>
	<td><img src="framework/images/dot.gif" width="3" height="1" alt="" border="0"></td>
</tr><tr class="bgcccccc">
	<td colspan="6"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
</tr></table>	

<!-- end /portlets/mybanner/content.jsp -->
