<!-- start /portlets/orderhistory/content.jsp -->
<%@ taglib uri="webflow.tld" prefix="webflow" %>
<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="portlet.tld" prefix="portlet" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>
<%@ include file="/framework/resourceURL.inc" %>

<%@ page import="java.text.SimpleDateFormat;" %>
<%@ page import="com.bea.p13n.util.JndiHelper;" %>
<%@ page import="com.beasys.commerce.ebusiness.order.OrderValue;" %>
<%@ page import="com.beasys.commerce.ebusiness.order.OrderLine;" %>
<%@ page import="examples.e2e.b2c.util.B2CPortalConstants;" %>


<%   SimpleDateFormat dateFormat = new SimpleDateFormat("MM/dd/yy");
%>

<webflow:getProperty id="orders" property="<%=B2CPortalConstants.ORDER_HISTORY_LIST%>" type="Collection" scope="session" namespace="portal" />
<table cellpadding="0" cellspacing="0" border="0"><tr>
<td width="255">
	<table cellpadding="0" cellspacing="0" border="0"><tr>
		<td colspan="9"><img src="framework/images/dot.gif" width="1" height="20" alt="" border="0"></td>
	</tr><tr>
		<td colspan="9"><img src="<webflow:createResourceURL resource='<%=imagesPath + "my_history_header.gif"%>'/>" width="127" height="22" alt="" border="0"></td>
	</tr><tr class="bgd5d5bb">
		<td width="13"><img src="framework/images/dot.gif" width="13" height="18" alt="" border="0"></td>
		<td width="50" class="myHistoryPortlet"><i18n:getMessage bundleName="orderhistory" messageName="date" /></td>
		<td width="87" class="myHistoryPortlet"><i18n:getMessage bundleName="orderhistory" messageName="item" /></td>
		<td width="55" class="myHistoryPortlet"><i18n:getMessage bundleName="orderhistory" messageName="status" /></td>
	</tr>

<%
   if (orders != null && orders.isEmpty() == false) {
%>
      <wl:repeat set="<%= orders.iterator() %>" id="orderItem" type="OrderValue" count="5">
      	<wl:repeat set="<%= orderItem.orderLines.iterator() %>" id="orderLine" type="OrderLine" count="3">
          <tr class="bgf4f4f3">
              <td width="13"><img src="framework/images/dot.gif" width="13" height="18" alt="" border="0"></td>
              <td width="50" class="myHistoryPortlet2"><%= dateFormat.format(orderItem.createdDate) %></td>
              <td width="87" class="myHistoryPortlet2"><%= orderLine.getDescription() %></td>
              <td width="55" class="myHistoryPortlet2"><%= orderItem.orderStatus %></td>
          </tr><tr class="bgcccccc">
              <td width="13"><img src="framework/images/dot.gif" width="13" height="1" alt="" border="0"></td>
              <td width="50"><img src="framework/images/dot.gif" width="45" height="1" alt="" border="0"></td>
              <td width="87"><img src="framework/images/dot.gif" width="53" height="1" alt="" border="0"></td>
              <td width="55"><img src="framework/images/dot.gif" width="49" height="1" alt="" border="0"></td>
          </tr>
		</wl:repeat>
      </wl:repeat>
<%
      }
   else
      {
%>
     <tr>
	  <td colspan="4" class="productPortlet" align=center width="100%"><i18n:getMessage bundleName="orderhistory" messageName="no_orders" /></td>
	 </tr>
     <tr class="bgcccccc">
      <td width="13"><img src="framework/images/dot.gif" width="13" height="1" alt="" border="0"></td>
      <td width="50"><img src="framework/images/dot.gif" width="45" height="1" alt="" border="0"></td>
      <td width="87"><img src="framework/images/dot.gif" width="53" height="1" alt="" border="0"></td>
      <td width="55"><img src="framework/images/dot.gif" width="49" height="1" alt="" border="0"></td>
     </tr>
<%
      }
%>

	</tr><tr class="bgcccccc">
		<td colspan="9"><img src="framework/images/dot.gif" width="1" height="1" alt="" border="0"></td>
	</tr><tr class="bgf4f4f3">
		<td colspan="9"><img src="framework/images/dot.gif" width="1" height="10" alt="" border="0"></td>
	</tr><tr>
		<td colspan="9"><img src="framework/images/dot.gif" width="1" height="15" alt="" border="0"></td>
	</tr></table>
</td>

</tr></table>

<!-- end /portlets/orderhistory/content.jsp -->
