<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>
<%@ page import="com.bea.jsptools.p13n.common.servlets.jsp.JspUtilPages" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.jsp.CatalogManagementJspPages"%>
<%@ page import="com.beasys.commerce.ebusiness.catalog.jsp.ProductItemJspHelper"%>

<%@ page import="com.beasys.commerce.ebusiness.catalog.jsp.*" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.*" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.util.*" %>
<%@ page import="java.util.Vector"%>
<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>
<%@ page import="com.beasys.commerce.foundation.exception.SystemException" %>
<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>

<% request.setAttribute(SERVICEMANAGER_CURRENT_PAGE, getJspName(pageContext));%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<HTML><HEAD><TITLE>Create Item</TITLE>
<META content="text/html; charset=iso-8859-1" http-equiv=Content-Type>

<script language="JavaScript">

<!--

function MM_openBrWindow(theURL,winName,features)
{
    //alert("Open window with " + theURL + ":" + winName + ":" + features);
    window.open(theURL,winName,features);
}

function openHelp(helpSource, winFeatures)
{
  //alert("openhelp called with " + helpSource + " " + winFeatures);
   MM_openBrWindow(helpSource,'AdminHelp',winFeatures);
}

function submitForm()
{
   selectAllEntries( document.ItemForm.<%=HttpRequestConstants.CATALOG_ITEM_KEYWORD_LIST%> );

   this.document.ItemForm.submit();
   return true;
}

// function to add usernames to the list box
function addItem( textObject, listObject, spacer )
{
    if( isItemPresent( textObject, listObject ) == false && textObject.value != "" )
    {
        // add the text in place of the spacer
        listObject.options[ listObject.options.length-1 ] = new Option( textObject.value, textObject.value, false, false );

        // add a new spacer
        listObject.options[ listObject.options.length ] = new Option( spacer, spacer, false, false );

        // deselect the newly added users
        for(var i=0; i<listObject.length; i++)
        {
            listObject.options[i].selected = false;
        }
    }
}

// function to remove item from the list box
function removeSelected( listObject, spacer )
{
   var i=0;

   while( i < listObject.length-1 )
   {
        if( listObject.options[i].selected == true )
        {
            listObject.options[i] = null;
        }
        else
            i++;
    }
}

// function to remove item from the list box
function isItemPresent( textObject, listObject )
{
   for( var n = 0; n < listObject.length; n++ )
   {
        if( listObject.options[n].text == textObject.value )
            return true;
    }

    return false;
}

// function which selects all items in the list box
// except the last one, which is a spacer
function selectAllEntries(listObject)
{
  for(var i=0; i<listObject.length-1; i++)
  {
      listObject.options[i].selected = true;
  }

  // deselect the last entry
  listObject.options[listObject.length-1].selected = false;
}


//-->

</script>

<%
	String statusMsg = null;

	ProductItemJspHelper jspHelper = null;
	CatalogManager catalogManager = null;
	CatalogRequest adminCatalogRequest = null;
%>


<wl:process name="formSubmit">
<%-- create the item --%>

<%
try
{
	catalogManager = CatalogJspHelper.getCatalogManager();
	adminCatalogRequest = catalogManager.createAdminCatalogRequest();

	jspHelper = new ProductItemJspHelper( adminCatalogRequest );
	jspHelper.createItem( request );
	jspHelper.assignProductItemAttributesToRequest( request );

	statusMsg = "The item was created";
}
catch( UserInputException uie )
{
	statusMsg = uie.getLocalizedMessage();
}
catch( SystemException se )
{
	statusMsg = se.getUserMessage();
}

jspHelper.convertFromParmeterToAttribute( request );

%>
</wl:process>


<body bgcolor="#FFFFFF" topmargin="0" leftmargin="0" marginwidth="0" marginheight="0">

<!-- Header  -->
<jsp:include page="<%=JspUtilPages.JSP_UTIL_HOME_HDR%>"/>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="2%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="89%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="6%" bgcolor="#000000"><a href="<wf:createWebflowURL event="link.catalog_home"/>"><img src="<wf:createResourceURL resource="/repository/images/stopblack_cms1.gif"/>" width="65" height="8" border="0" alt="Return to Catalog Management"></a></td>
    <td width="3%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></b></font></td>
  </tr>
  <tr>
    <td width="2%" bgcolor="#008000"><img src="<wf:createResourceURL resource="/repository/images/cms.gif"/>" width="30" height="24"></td>
    <td width="88%" bgcolor="#008000"><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#000000"><b><font color="#FFFFFF">Items</font></b></font></td>
    <td width="6%" bgcolor="#008000"><a href="<wf:createWebflowURL event="link.catalog_home"/>"><img src="<wf:createResourceURL resource="/repository/images/sfinished_cms1.gif"/>" width="65" height="24" border="0" alt="Return to Catalog Management"></a></td>
    <td width="3%" bgcolor="#FFFFFF"><img src="<wf:createResourceURL resource="/repository/images/curves_cms1_1.gif"/>" width="30" height="24"></td>
  </tr>
  <tr>
    <td width="2%"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></b></font></td>
    <td width="89%"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>"  width="5" height="8"></b></font></td>
    <td width="6%"><a href="<wf:createWebflowURL event="link.catalog_home"/>"><img src="<wf:createResourceURL resource="/repository/images/sbottom_cms1.gif"/>" width="65" height="8" border="0" alt="Return to Catalog Management"></a></td>
    <td width="3%"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></b></font></td>
  </tr>
  <tr>
    <td width="2%">&nbsp;</td>
    <td width="89%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="3%">&nbsp;</td>
  </tr>
</table>
<% if (statusMsg != null) { %><%@ include file="/tools/catalog/status.inc" %><% } %>

<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
  <TR>
    <TD width="2%">&nbsp;</TD>
    <TD width="6%">&nbsp;</TD>
    <TD width="76%">&nbsp;</TD>
    <TD width="16%">&nbsp;</TD></TR>
  <TR>
    <TD width="2%"><IMG height=8 src="<wf:createResourceURL resource="/repository/images/clear.gif"/>"
      width=20></TD>
    <TD rowSpan=2 width="6%"><IMG height=50 src="<wf:createResourceURL resource="/repository/images/icon_create.gif"/>" width=65></TD>
    <TD bgColor=#cccccc width="76%"><FONT color=#000000
      face="Verdana, Arial, Helvetica, sans-serif" size=2><B><IMG height=8
      src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width=5>Create a New Item</B></FONT></TD>
    <TD bgColor=#cccccc width="16%">&nbsp;</TD></TR>
  <TR>
    <TD width="2%">&nbsp;</TD>
    <TD width="76%"><FONT face="Verdana, Arial, Helvetica, sans-serif"
      size=2>Enter the appropriate information then click Create.</FONT></TD>
    <TD width="16%">&nbsp;</TD></TR>
  <TR><!-- validation error display -->
    <TD width="2%">&nbsp;</TD>
    <TD width="6%">&nbsp;</TD>
    <TD width="76%">&nbsp;</TD>
    <TD width="16%">&nbsp;</TD></TR>
  <TR>
    <TD width="2%">&nbsp;</TD>
    <TD width="6%">&nbsp;</TD>
    <TD width="76%">
      <FORM action="<wf:createWebflowURL event="link.item_create"/>" method=post name=ItemForm>
      <TABLE border=0 cellPadding=0 cellSpacing=2 width="681" height="863">

        <tr>
          <TD width="151" valign="top" height="25">
            <FONT
            face="Verdana, Arial, Helvetica, sans-serif" size=2><B>SKU*:</B></FONT></TD>
          <TD width="254" valign="top" height="25"><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name=<%=HttpRequestConstants.CATALOG_ITEM_SKU%> size="36" value="<%=request.getParameter( HttpRequestConstants.CATALOG_ITEM_SKU )%>" > </FONT></TD>
          <TD width="262" height="25"><font face="Verdana, Arial, Helvetica, sans-serif" size="1">The
            Stock Keeping Unit for the item.</font></TD>
        </tr>

        <!-- include the page with all the attributes -->
        <jsp:include page="<%=com.beasys.commerce.ebusiness.catalog.jsp.CatalogManagementJspPages.ITEM_INCLUDE_JSP%>"/>

        <TR>
          <TD width="151" height="58">&nbsp;</TD>
          <TD vAlign=bottom width="254" height="58">&nbsp; </TD>
          <TD width="262" height="58">
            <TABLE align=right border=0 cellPadding=0 cellSpacing=4>
              <TBODY>
              <TR>
                <TD>
                  <DIV align=right><A
		            <a href="<wf:createWebflowURL event="link.catalog_home"/>"><img src="<wf:createResourceURL resource="/repository/images/back_cms1.gif"/>" width="65" height="40" alt="Return to Catalog Management" border="0"></a></td>
                <TD>
                  <DIV align=right><A href="javascript:submitForm();"
                  onclick="submitForm(); return false;"><IMG alt="Create Item"
                  border=0 height=40 src="<wf:createResourceURL resource="/repository/images/create_cms1.gif"/>"
                  width=65></A></DIV></TD></TR></TABLE></TD></TR></TABLE>

                  <INPUT name=dest type=hidden value=/tools/catalog/item_create.jsp>
                  <input type="hidden" name="<%=DESTINATION_TAG%>" value="<%=getRequestURI(request)%>">
                  <INPUT name=formSubmit type=hidden value="formSubmit">

                  </FORM>
                  </TD>

    <TD width="16%">&nbsp;</TD></TR>
  <TR>
    <TD width="2%">&nbsp;</TD>
    <TD width="6%">&nbsp;</TD>
    <TD bgColor=#ffffff width="76%"><FONT color=#000000
      face="Verdana, Arial, Helvetica, sans-serif" size=2></FONT></TD>
    <TD width="16%">&nbsp;</TD></TR></TABLE>

    </BODY></HTML>
