<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>

<%@ page import="com.beasys.commerce.ebusiness.catalog.*" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.jsp.*" %>
<%@ page import="com.bea.jsptools.p13n.common.servlets.jsp.JspUtilPages"%>
<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.jsp.CatalogManagementJspPages" %>

<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>

<% request.setAttribute(SERVICEMANAGER_CURRENT_PAGE, getJspName(pageContext));%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<HTML><HEAD><TITLE>Edit Item Core Attributes</TITLE>
<META content="text/html; charset=iso-8859-1" http-equiv=Content-Type>

<script language="JavaScript">
<!--
function MM_openBrWindow(theURL,winName,features)
{
    window.open(theURL,winName,features);
}

function openHelp(helpSource, winFeatures)
{
   MM_openBrWindow(helpSource,'AdminHelp',winFeatures);
}

function submitForm()
{
   selectAllEntries( document.ItemForm.<%=HttpRequestConstants.CATALOG_ITEM_KEYWORD_LIST%> );

   this.document.ItemForm.submit();
   return true;
}

// function to add keywords
function addItem( textObject, listObject, spacer )
{
    if( isItemPresent( textObject, listObject ) == false && textObject.value != "" )
    {
        // add the text in place of the spacer
        listObject.options[ listObject.options.length-1 ] = new Option( textObject.value, textObject.value, false, false );

        // add a new spacer
        listObject.options[ listObject.options.length ] = new Option( spacer, spacer, false, false );

        // deselect the newly added users
        for(var i=0; i<listObject.length; i++)
        {
            listObject.options[i].selected = false;
        }
    }
}

// function to remove item from the list box
function removeSelected( listObject, spacer )
{
   var i=0;

   while( i < listObject.length-1 )
   {
        if( listObject.options[i].selected == true )
        {
            listObject.options[i] = null;
        }
        else
            i++;
    }
}

// function to remove item from the list box
function isItemPresent( textObject, listObject )
{
   for( var n = 0; n < listObject.length; n++ )
   {
        if( listObject.options[n].text == textObject.value )
            return true;
    }

    return false;
}

// function which selects all items in the list box
// except the last one, which is a spacer
function selectAllEntries(listObject)
{
  for(var i=0; i<listObject.length-1; i++)
  {
      listObject.options[i].selected = true;
  }

  // deselect the last entry
  listObject.options[listObject.length-1].selected = false;
}

//-->
</script>

<%
	String statusMsg = null;
	String item_sku = request.getParameter( HttpRequestConstants.CATALOG_ITEM_SKU );

	ProductItemJspHelper jspHelper = null;
	CatalogManager catalogManager = null;
	CatalogRequest adminCatalogRequest = null;
	
	String params = HttpRequestConstants.CATALOG_ITEM_SKU + "=" + item_sku;
%>

<wl:process name="formSubmit">
<%-- update the item after the form is submitted --%>

<%
try
{
	catalogManager = CatalogJspHelper.getCatalogManager();
	adminCatalogRequest = catalogManager.createAdminCatalogRequest();
	jspHelper = new ProductItemJspHelper( adminCatalogRequest );
	jspHelper.updateItem( request );
	jspHelper.assignProductItemAttributesToRequest(request);

	jspHelper.convertFromParmeterToAttribute( request );

	statusMsg = "The item was updated successfully";
}
catch( UserInputException uie )
{
    try
    {
		// if an exception is thrown from updateItem
		// we still want to assign the attributes
        jspHelper.assignProductItemAttributesToRequest(request);
    }
    catch(UserInputException uie2)
    {
    }

    statusMsg = uie.getLocalizedMessage();
}

%>
</wl:process>


<%
if( jspHelper == null )
{
	try
	{
		catalogManager = CatalogJspHelper.getCatalogManager();
		adminCatalogRequest = catalogManager.createAdminCatalogRequest();
		jspHelper = new ProductItemJspHelper( adminCatalogRequest );

		// put all the necessary parameters into request
		if( jspHelper.isDefined( request, HttpRequestConstants.CATALOG_ITEM_SKU ) != false )
                {
		    jspHelper.assignProductItemAttributesToRequest( request );
                }   
	}
	catch( UserInputException uie )
	{
	    statusMsg = uie.getLocalizedMessage();
	}
}
%>



<body bgcolor="#FFFFFF" topmargin="0" leftmargin="0" marginwidth="0" marginheight="0">

<!-- Header  -->
<jsp:include page="<%=JspUtilPages.JSP_UTIL_HOME_HDR%>"/>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="2%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="89%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="6%" bgcolor="#000000"><a href="<wf:createWebflowURL event="link.catalog_home"/>"><img src="<wf:createResourceURL resource="/repository/images/stopblack_cms1.gif"/>" width="65" height="8" border="0" alt="Return to Catalog Management"></a></td>
    <td width="3%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></b></font></td>
  </tr>
  <tr>
    <td width="2%" bgcolor="#008000"><img src="<wf:createResourceURL resource="/repository/images/cms.gif"/>" width="30" height="24"></td>
    <td width="88%" bgcolor="#008000"><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#000000"><b><font color="#FFFFFF">Items</font></b></font></td>
    <td width="6%" bgcolor="#008000"><a href="<wf:createWebflowURL event="link.catalog_home"/>"><img src="<wf:createResourceURL resource="/repository/images/sfinished_cms1.gif"/>" width="65" height="24" border="0" alt="Return to Catalog Management"></a></td>
    <td width="3%" bgcolor="#FFFFFF"><img src="<wf:createResourceURL resource="/repository/images/curves_cms1_1.gif"/>" width="30" height="24"></td>
  </tr>
  <tr>
    <td width="2%"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></b></font></td>
    <td width="89%"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>"  width="5" height="8"></b></font></td>
    <td width="6%"><a href="<wf:createWebflowURL event="link.catalog_home"/>"><img src="<wf:createResourceURL resource="/repository/images/sbottom_cms1.gif"/>" width="65" height="8" border="0" alt="Return to Catalog Management"></a></td>
    <td width="3%"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></b></font></td>
  </tr>
  <tr>
    <td width="2%">&nbsp;</td>
    <td width="89%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="3%">&nbsp;</td>
  </tr>
</table>
<% if (statusMsg != null) { %> <%@ include file="/tools/catalog/status.inc" %><% } %>

<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">

  <TR>
    <TD width="2%"><IMG height=8 src="<wf:createResourceURL resource="/repository/images/clear.gif"/>"
      width=10></TD>
    <TD rowSpan=2 width="6%"><IMG height=50 src="<wf:createResourceURL resource="/repository/images/icon_create.gif"/>" width=65></TD>
    <TD bgColor=#cccccc width="76%"><FONT color=#000000
      face="Verdana, Arial, Helvetica, sans-serif" size=2><B><IMG height=8
      src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width=5>Edit Item Information</B></FONT></TD>
  </TR>
  <TR>
    <TD width="2%">&nbsp;</TD>
    <TD width="76%"><FONT face="Verdana, Arial, Helvetica, sans-serif"
      size=2>Enter the appropriate information then click Save. For <b>inventory</b> information, click  <a href="<wf:createWebflowURL event="link.item_inventory" extraParams="<%=params%>"/>">here.</a></FONT></TD>
  </TR>
	<TR><!-- validation error display -->
	<TD width="2%">&nbsp;</TD>
	<TD width="6%">&nbsp;</TD>
	<TD width="76%">&nbsp;</TD>
  </TR>
	<TR>
	<TD width="2%">&nbsp;</TD>
	<TD width="6%">&nbsp;</TD>
	<TD width="76%">
      <FORM action="<wf:createWebflowURL event="link.item_edit"/>" method=post name=ItemForm>
      <TABLE border=0 cellPadding=0 cellSpacing=2>

        <tr>
          <TD valign="top">
            <FONT face="Verdana, Arial, Helvetica, sans-serif" size=2><B>SKU:</B></FONT></TD>
          <TD valign="top"><FONT
            face="Verdana, Arial, Helvetica, sans-serif" size=2><b><%= item_sku %></b>
            </FONT></TD>
          <TD width="185"><font face="Verdana, Arial, Helvetica, sans-serif" size="1">The
            Stock Keeping Unit for the item.</font></TD>
        </tr>

		<!-- include the page with all the attributes -->
		<jsp:include page="<%=CatalogManagementJspPages.ITEM_INCLUDE_JSP%>"/>

        <TR>
          <TD>&nbsp;</TD>
          <TD>&nbsp;</TD>
          <TD align="right">
              <a href="<wf:createWebflowURL event="link.item_property_edit" extraParams="<%=params%>"/>">
                  <img src="<wf:createResourceURL resource="/repository/images/back_cms1.gif"/>" width="65" height="40" alt="Return to Previous Page" border="0"></a>
              <A href="javascript:submitForm();"
                  onclick="submitForm(); return false;">
                  <IMG alt="Save Modifications" border=0 height=40 src="<wf:createResourceURL resource="/repository/images/save_cms1.gif"/>"
                  width=65></A>
          </TD>
         </TR>
        </TABLE>

                  <input type="hidden" name="<%=DESTINATION_TAG%>" value="<%=getRequestURI(request)%>">
                  <INPUT name=formSubmit type=hidden value="formSubmit">
                  <INPUT name="<%= HttpRequestConstants.CATALOG_ITEM_SKU %>" type=hidden value="<%= item_sku %>">

                  </FORM>
                  </TD>

    </TR>

</TABLE>

    </BODY></HTML>
