<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>

<%@ page import="com.bea.jsptools.p13n.common.servlets.jsp.JspUtilPages" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.*" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.jsp.*" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.util.*" %>
<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>

<%@ taglib uri="es.tld" prefix="es" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>

<%

    String[] keywordArray = new String[0];
    String spacerString = CatalogResourceManager.getString( "catalog.list.box.spacer" );

	// see if visible is enabled or disabled
	String visibString = (String) request.getParameter( HttpRequestConstants.CATALOG_ITEM_VISIBLE );

	// if visibString is null, check it in the request
	if( visibString == null )
		visibString = (String) request.getAttribute( HttpRequestConstants.CATALOG_ITEM_VISIBLE );

	Boolean visibBoolean = new Boolean( (visibString != null ) );
	boolean visib = visibBoolean.booleanValue();

	keywordArray = request.getParameterValues( HttpRequestConstants.CATALOG_ITEM_KEYWORD_LIST );

	// if keywordArray is null, check it in the request
	if(keywordArray == null)
	   keywordArray = (String []) request.getAttribute(  HttpRequestConstants.CATALOG_ITEM_KEYWORD_LIST );

	if( keywordArray == null )
		keywordArray = new String[0];

%>

        <tr>

          <TD>
            <DIV align=left><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Item Name*:</b></font></DIV></TD>
          <TD><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name="<%= HttpRequestConstants.CATALOG_NAME %>" size="36" value="<%=request.getAttribute(HttpRequestConstants.CATALOG_NAME )%>"> </FONT></TD>
          <TD><FONT face="Verdana, Arial, Helvetica, sans-serif" size="1">The name of the item.</FONT></TD>
        </tr>

	<tr>
          <TD valign="bottom">
            <DIV align=left><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Short Description*:</b></font></DIV></TD>
          <TD valign="bottom"><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name="<%= HttpRequestConstants.CATALOG_SHORT_DESC %>" size="36" value="<%=request.getAttribute(HttpRequestConstants.CATALOG_SHORT_DESC )%>"> </FONT></TD>
          <TD valign="bottom"><FONT face="Verdana, Arial, Helvetica, sans-serif"
      size="1">Short description associated with the item.</FONT></TD>
	</tr>


	<tr>
	  <TD>
	    <DIV align=left><font color="#000000" face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Visible:</b></font></DIV></TD>
	  <TD><FONT face="Verdana, Arial, Helvetica, sans-serif">
			<INPUT type="checkbox" name="<%= HttpRequestConstants.CATALOG_ITEM_VISIBLE %>" <%= visib == true ? "CHECKED" : "" %> > </FONT></TD>
	  <TD><FONT face="Verdana, Arial, Helvetica, sans-serif" size="1">Include or exclude the item from search results.</FONT></TD>
	</tr>

	<tr>
          <TD>
            <DIV align=left><font color="#000000" face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Long
              Description:</b></font></DIV></TD>
          <TD><textarea rows="3" name="<%= HttpRequestConstants.CATALOG_LONG_DESC %>" cols="29"><%=request.getAttribute(HttpRequestConstants.CATALOG_LONG_DESC)%></textarea></TD>
          <TD><FONT face="Verdana, Arial, Helvetica, sans-serif"
      size="1">Long description of the item.</FONT></TD>
	</tr>

        <tr>
          <TD valign="bottom">
            <FONT color=#000000 face="Verdana, Arial, Helvetica, sans-serif" size=2><B>Price Amount:</B></FONT></TD>
          <TD valign="bottom"><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name="<%= HttpRequestConstants.CATALOG_ITEM_PRICE_AMOUNT %>" size="36" value="<%=request.getAttribute(HttpRequestConstants.CATALOG_ITEM_PRICE_AMOUNT )%>"> </FONT></TD>
          <TD><font face="Verdana, Arial, Helvetica, sans-serif" size="1">The
            selling price of the item.</font></TD>
        </tr>
        <tr>
          <TD valign="bottom">
            <FONT color=#000000 face="Verdana, Arial, Helvetica, sans-serif" size=2><B>Price Currency:</B></FONT></TD>
          <TD valign="bottom"><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name="<%= HttpRequestConstants.CATALOG_ITEM_PRICE_CURRENCY %>" size="36" value="<%=request.getAttribute( HttpRequestConstants.CATALOG_ITEM_PRICE_CURRENCY )%>"> </FONT></TD>
          <TD><font face="Verdana, Arial, Helvetica, sans-serif" size="1">The currency for the
          selling price of the item.</font></TD>
        </tr>
        <tr>
          <TD valign="bottom">
            <FONT color=#000000
            face="Verdana, Arial, Helvetica, sans-serif" size=2><B>MSRP Amount:</B></FONT></TD>
          <TD valign="bottom"><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name="<%= HttpRequestConstants.CATALOG_ITEM_MSRP_AMOUNT %>" size="36" value="<%=request.getAttribute( HttpRequestConstants.CATALOG_ITEM_MSRP_AMOUNT )%>"> </FONT></TD>
          <TD><font face="Verdana, Arial, Helvetica, sans-serif" size="1">The
            manufacturer suggested retail price of this item.</font></TD>
        </tr>
        <tr>
          <TD valign="bottom">
            <FONT color=#000000
            face="Verdana, Arial, Helvetica, sans-serif" size=2><B>MSRP Currency:</B></FONT></TD>
          <TD valign="bottom"><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name="<%= HttpRequestConstants.CATALOG_ITEM_MSRP_CURRENCY %>" size="36" value="<%=request.getAttribute( HttpRequestConstants.CATALOG_ITEM_MSRP_CURRENCY )%>"> </FONT></TD>
          <TD><font face="Verdana, Arial, Helvetica, sans-serif" size="1">The currency
            for the msrp of this item.</font></TD>
        </tr>
        <tr>
          <TD>
            <DIV align=left><font color="#000000" face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Tax Code:</b></font></DIV></TD>
          <TD><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name="<%= HttpRequestConstants.CATALOG_ITEM_TAX_CODE %>" size="36" value="<%=request.getAttribute( HttpRequestConstants.CATALOG_ITEM_TAX_CODE )%>"> </FONT></TD>
          <TD><FONT face="Verdana, Arial, Helvetica, sans-serif"
	      size="1">The Tax Code for the item.</FONT></TD>
        </tr>

        <tr>
          <TD valign="bottom">
            <DIV align=left><font color="#000000" face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Shipping Code:</b></font></DIV></TD>
          <TD valign="bottom"><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name="<%= HttpRequestConstants.CATALOG_ITEM_SHIPPING_CODE %>" size="36" value="<%=request.getAttribute(HttpRequestConstants.CATALOG_ITEM_SHIPPING_CODE)%>"> </FONT></TD>
          <TD><FONT face="Verdana, Arial, Helvetica, sans-serif"
          size="1">The Shipping Code for the item.</FONT></TD>
        </tr>

        <tr>
          <TD valign="bottom">
            <FONT color=#000000
            face="Verdana, Arial, Helvetica, sans-serif" size=2><B>Summary JSP URL:</B></FONT></TD>
          <TD valign="bottom"><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name="<%= HttpRequestConstants.CATALOG_ITEM_SUMMARY_JSP %>" size="36" value="<%=request.getAttribute( HttpRequestConstants.CATALOG_ITEM_SUMMARY_JSP )%>"> </FONT></TD>
          <TD><font face="Verdana, Arial, Helvetica, sans-serif" size="1">The
            JSP associated with the summary display of this item.</font></TD>
        </tr>

        <TR>
          <TD valign="bottom">
            <FONT color=#000000
            face="Verdana, Arial, Helvetica, sans-serif" size=2><B>Detail JSP URL:</B></FONT></TD>
          <TD valign="bottom"><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name="<%= HttpRequestConstants.CATALOG_ITEM_DETAIL_JSP %>" size="36" value="<%=request.getAttribute(HttpRequestConstants.CATALOG_ITEM_DETAIL_JSP )%>"> </FONT></TD>
          <TD><font face="Verdana, Arial, Helvetica, sans-serif" size="1">The
            JSP associated with the detailed view of this item.</font></TD></TR>

        <tr>
          <TD>
            <FONT color=#000000
            face="Verdana, Arial, Helvetica, sans-serif" size=2><B>Type:
            </B></FONT></TD>
          <TD><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name="<%= HttpRequestConstants.CATALOG_ITEM_TYPE %>" size="36" value="<%=request.getAttribute( HttpRequestConstants.CATALOG_ITEM_TYPE )%>"> </FONT></TD>
          <TD><font face="Verdana, Arial, Helvetica, sans-serif" size="1">The
            nature of the content of the item.</font></TD>
        </tr>
        <tr>
          <TD>
            <FONT color=#000000
            face="Verdana, Arial, Helvetica, sans-serif" size=2><B>Format:
            &nbsp;
            </B></FONT></TD>
          <TD><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name="<%= HttpRequestConstants.CATALOG_ITEM_FORMAT %>" size="36" value="<%=request.getAttribute(HttpRequestConstants.CATALOG_ITEM_FORMAT )%>"> </FONT></TD>
          <TD><font face="Verdana, Arial, Helvetica, sans-serif" size="1">The
            physical or digital manifestation of the item.</font></TD>
        </tr>

        <TR>
          <TD>
            <DIV align=left><FONT color=#000000
            face="Verdana, Arial, Helvetica, sans-serif" size=2><B>Creator:

            </B></FONT></DIV></TD>
          <TD><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name="<%= HttpRequestConstants.CATALOG_CREATOR %>" size="36" value="<%=request.getAttribute(HttpRequestConstants.CATALOG_CREATOR )%>"> </FONT></TD>
          <TD><FONT face="Verdana, Arial, Helvetica, sans-serif"
      size="1">The person who created this item.</FONT></TD></TR>
        <tr>
          <TD>
            <DIV align=left><font color="#000000" face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Publisher:
              </b></font></DIV></TD>
          <TD><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name="<%= HttpRequestConstants.CATALOG_PUBLISHER %>" size="36" value="<%=request.getAttribute( HttpRequestConstants.CATALOG_PUBLISHER )%>"> </FONT></TD>
          <TD><FONT face="Verdana, Arial, Helvetica, sans-serif"
      size="1">The publisher of the item.</FONT></TD>
        </tr>
        <TR>
          <TD><font color="#000000" face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Contributor:
            </b></font></TD>
          <TD><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name="<%= HttpRequestConstants.CATALOG_CONTRIBUTOR %>" size="36" value="<%=request.getAttribute(HttpRequestConstants.CATALOG_CONTRIBUTOR )%>"> </FONT> </TD>
          <TD>
            <FONT face="Verdana, Arial, Helvetica, sans-serif"
      size="1">The entity responsible for contributing to the item.</FONT></TD></TR>

      <tr>
      <TD><font color="#000000" face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Creation Date:
        </b></font></TD>
        <% String createDateParams = "elemVisible=ItemForm." + HttpRequestConstants.CATALOG_CREATION_DATE + "&elemHidden=ItemForm." + HttpRequestConstants.CATALOG_CREATION_DATE;%>
      <TD><FONT
        face="Verdana, Arial, Helvetica, sans-serif"><input type="text" maxLength=50
        name="<%= HttpRequestConstants.CATALOG_CREATION_DATE %>" size="28" value="<%=request.getAttribute(HttpRequestConstants.CATALOG_CREATION_DATE )%>" onFocus="this.blur(); alert('Please click the calendar icon to use the date/time editor.');" > <a href="#" onClick="MM_openBrWindow('<wf:createWebflowURL origin="item_create.jsp" event="link.calendar" extraParams="<%=createDateParams%>"/>','','<%= JSP_CALENDAR_FEATURES %>')"><img src="<wf:createResourceURL resource="/repository/images/calendar.gif"/>" width="30" height="30" alt="Launch the Date/Time Editor" align="absmiddle" border="0"></a> </FONT> </TD>
      <TD>
        <FONT face="Verdana, Arial, Helvetica, sans-serif"
  size="1">Creation date for the resource.</FONT></TD>
      </tr>
      <tr>

      <tr>
      <TD><font color="#000000" face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Modified Date:
        </b></font></TD>
        <% String modifyDateParams = "elemVisible=ItemForm." + HttpRequestConstants.CATALOG_MODIFICATION_DATE + "&elemHidden=ItemForm." + HttpRequestConstants.CATALOG_MODIFICATION_DATE;%>
      <TD><FONT
        face="Verdana, Arial, Helvetica, sans-serif"><input type="text" maxLength=50
        name="<%= HttpRequestConstants.CATALOG_MODIFICATION_DATE %>" size="28" value="<%=request.getAttribute(HttpRequestConstants.CATALOG_MODIFICATION_DATE )%>" onFocus="this.blur(); alert('Please click the calendar icon to use the date/time editor.');" > <a href="#" onClick="MM_openBrWindow('<wf:createWebflowURL origin="item_create.jsp" event="link.calendar" extraParams="<%=modifyDateParams%>"/>','','<%= JSP_CALENDAR_FEATURES %>')"><img src="<wf:createResourceURL resource="/repository/images/calendar.gif"/>" width="30" height="30" alt="Launch the Date/Time Editor" align="absmiddle" border="0"></a> </FONT> </TD>
      <TD>
        <FONT face="Verdana, Arial, Helvetica, sans-serif"
  size="1">Modification date for the resource.</FONT></TD>
      </tr>
      <tr>

        <TR>
          <TD><font color="#000000" face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Language:
            </b></font></TD>
          <TD><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name="<%= HttpRequestConstants.CATALOG_LANGUAGE %>" size="36" value="<%=request.getAttribute( HttpRequestConstants.CATALOG_LANGUAGE )%>"></FONT> </TD>
          <TD>
            <font face="Verdana, Arial, Helvetica, sans-serif" size="1">A
            language of the intellectual content of the resource.</font></TD></TR>
        <TR>
          <TD><font color="#000000" face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Relation:
            </b></font></TD>
          <TD><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name="<%= HttpRequestConstants.CATALOG_RELATION %>" size="36" value="<%=request.getAttribute( HttpRequestConstants.CATALOG_RELATION )%>"></FONT> </TD>
          <TD>
            <font face="Verdana, Arial, Helvetica, sans-serif" size="1">A
            reference to a related resource.</font></TD></TR>
        <TR>
          <TD><font color="#000000" face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Rights:
            </b></font></TD>
          <TD width="254"><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name="<%= HttpRequestConstants.CATALOG_RIGHTS %>" size="36" value="<%=request.getAttribute( HttpRequestConstants.CATALOG_RIGHTS )%>"></FONT> </TD>
          <TD>
            <font face="Verdana, Arial, Helvetica, sans-serif" size="1">Information
            about rights held in and over the resource.</font></TD></TR>
        <TR>
          <TD><font color="#000000" face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Coverage:
            </b></font></TD>
          <TD><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name="<%= HttpRequestConstants.CATALOG_COVERAGE %>" size="36" value="<%=request.getAttribute( HttpRequestConstants.CATALOG_COVERAGE )%>"></FONT> </TD>
          <TD>
            <font face="Verdana, Arial, Helvetica, sans-serif" size="1">The
            extent or scope of the content of the resource.</font></TD></TR>
        <tr>
          <TD><font color="#000000" face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Source:</b></font></TD>
          <TD><FONT
            face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50
            name="<%= HttpRequestConstants.CATALOG_SOURCE %>" size="36" value="<%=request.getAttribute( HttpRequestConstants.CATALOG_SOURCE )%>"> </FONT> </TD>
          <TD>
            <FONT face="Verdana, Arial, Helvetica, sans-serif"
      size="1">A reference to a resource from which the present resource is
            derived.</FONT></TD>
        </tr>
        <tr>
          <td colspan="3">
          
            <table border="0" width="100%">
              <tr>
                <td bgcolor="#FFFFFF" align="center" colspan="4"><b><font color="#800080">Keywords for the Item</font></b></td>
              </tr>
              <tr>
		            <td width="20%"><font color="#000000" face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Keywords:</b></font></td>
		            <td width="18%" align="left">
		              <INPUT maxLength=50 name="keyword" size="36">
		            </td>
		            <td width="8%">
		                <A HREF="Add Keyword" onClick="addItem(document.ItemForm.keyword, document.ItemForm.<%=HttpRequestConstants.CATALOG_ITEM_KEYWORD_LIST%>, '<%=spacerString%>' ); return false;">
		                  <img src="<wf:createResourceURL resource="/repository/images/arrow_right.gif"/>" border=0 width="24" height="24" alt="Add Keyword"></a>
		                <A HREF="Remove Keyword" onClick="javascript:removeSelected(document.ItemForm.<%=HttpRequestConstants.CATALOG_ITEM_KEYWORD_LIST%>,'<%=spacerString%>'); return false;">
		                  <img src="<wf:createResourceURL resource="/repository/images/arrow_left.gif"/>" border=0 width="24" height="24" alt="Remove Keyword"></a>
		            </td>
		            <td>
		              <select name="<%=HttpRequestConstants.CATALOG_ITEM_KEYWORD_LIST%>" multiple size="6">
		    	          <es:notNull item = "<%= keywordArray %>" >
		    	            <es:forEachInArray id="keyword" array="<%= keywordArray %>" type="String" counterId="i">
		    	              <option><%= cnvrtSC(keyword) %></option>
		    	            </es:forEachInArray>
		    	          </es:notNull>
		    	          <option value=<%= spacerString %> ><%=spacerString%></option>
		              </select>
		            </td>
		          </tr>
		      </table>
		      
        </td>
		</tr>

        <TR>
          <TD width="791" colspan="3">
            <table border="0" width="100%">
            <tr>
                <td width="102%" bgcolor="#FFFFFF" align="center" colspan="6"><b><font color="#800080">Images for the Item</font></b></td>
            </tr>
            <tr>
	            <td width="18%" bgcolor="#808080" align="center"><b><font color="#FFFFFF"> </font></b></td>
	            <td width="18%" bgcolor="#808080" align="center"><b><font color="#FFFFFF">Image Name</font></b></td>
                <td width="18%" bgcolor="#808080" align="center"><b><font color="#FFFFFF">Image Type (Number)</font></b></td>
                <td width="42%" bgcolor="#808080" align="center"><b><font color="#FFFFFF">Image URL</font></b></td>
                <td width="24%" bgcolor="#808080" align="center"><b><font color="#FFFFFF">Alternate Text</font></b></td>
                <td width="24%" bgcolor="#808080" align="center"><b><font color="#FFFFFF">Language</font></b></td>
            </tr>            <tr>
                <td><font color="#000000" face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Small Image</b></font></td>
                <td><FONT face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50 name="<%= HttpRequestConstants.CATALOG_SMALL_IMAGE_NAME %>" size="18" value="<%=request.getAttribute(HttpRequestConstants.CATALOG_SMALL_IMAGE_NAME )%>"> </FONT></td>
                <td><FONT face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50 name="<%= HttpRequestConstants.CATALOG_SMALL_IMAGE_TYPE %>" size="10" value="<%=request.getAttribute(HttpRequestConstants.CATALOG_SMALL_IMAGE_TYPE )%>"> </FONT></td>
                <td><FONT face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50 name="<%= HttpRequestConstants.CATALOG_SMALL_IMAGE_URL %>" size="30" value="<%=request.getAttribute(HttpRequestConstants.CATALOG_SMALL_IMAGE_URL )%>"> </FONT></td>
                <td><FONT face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50 name="<%= HttpRequestConstants.CATALOG_SMALL_IMAGE_ALT %>" size="18" value="<%=request.getAttribute(HttpRequestConstants.CATALOG_SMALL_IMAGE_ALT )%>"> </FONT></td>
	            <td><FONT face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50 name="<%= HttpRequestConstants.CATALOG_SMALL_IMAGE_LANG %>" size="18" value="<%=request.getAttribute(HttpRequestConstants.CATALOG_SMALL_IMAGE_LANG )%>"> </FONT></td>
          	</tr>
              <tr>
                <td><font color="#000000" face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Large Image</b></font></td>
                <td><FONT face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50 name="<%= HttpRequestConstants.CATALOG_LARGE_IMAGE_NAME %>" size="18" value="<%=request.getAttribute(HttpRequestConstants.CATALOG_LARGE_IMAGE_NAME)%>"> </FONT></td>
                <td><FONT face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50 name="<%= HttpRequestConstants.CATALOG_LARGE_IMAGE_TYPE %>" size="10" value="<%=request.getAttribute(HttpRequestConstants.CATALOG_LARGE_IMAGE_TYPE)%>"> </FONT></td>
                <td><FONT face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50 name="<%= HttpRequestConstants.CATALOG_LARGE_IMAGE_URL %>" size="30" value="<%=request.getAttribute(HttpRequestConstants.CATALOG_LARGE_IMAGE_URL)%>"> </FONT></td>
                <td><FONT face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50 name="<%= HttpRequestConstants.CATALOG_LARGE_IMAGE_ALT %>" size="18" value="<%=request.getAttribute(HttpRequestConstants.CATALOG_LARGE_IMAGE_ALT)%>"> </FONT></td>
                <td><FONT face="Verdana, Arial, Helvetica, sans-serif"><INPUT maxLength=50 name="<%= HttpRequestConstants.CATALOG_LARGE_IMAGE_LANG %>" size="18" value="<%=request.getAttribute(HttpRequestConstants.CATALOG_LARGE_IMAGE_LANG)%>"> </FONT></td>
              </tr>
            </table>
          </TD>
        </TR>
