<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>

<%@ page import="java.net.URLEncoder" %>

<%@ page import="com.bea.p13n.property.PropertySet" %>
<%@ page import="com.bea.p13n.property.PropertyDefinition" %>

<%@ page import="com.beasys.commerce.ebusiness.catalog.jsp.*" %>
<%@ page import="com.bea.jsptools.p13n.common.servlets.jsp.JspUtilPages" %>

<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>

<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="es.tld" prefix="es" %>

<jsp:useBean id="itemPropertyBean" class="com.beasys.commerce.ebusiness.catalog.jsp.beans.ItemPropertyBean" scope="request" />
<jsp:useBean id="propertySetBean" class="com.bea.jsptools.p13n.usermgmt.servlets.jsp.PropertySetBean" scope="request" />
<jsp:setProperty name="propertySetBean" property="*" />
 
<% request.setAttribute(SERVICEMANAGER_CURRENT_PAGE, getJspName(pageContext));%>

<%
  // initialization of variables

  String identifier = request.getParameter(HttpRequestConstants.CATALOG_ITEM_SKU);
  ProductItemJspHelper helper = new ProductItemJspHelper( ProductItemJspHelper.getCatalogManager().createAdminCatalogRequest()); 
  helper.assignProductItemAttributesToRequest(request);
  
  String itemName = (String)request.getAttribute(HttpRequestConstants.CATALOG_NAME);
  String shortDesc = (String)request.getAttribute(HttpRequestConstants.CATALOG_SHORT_DESC);
  String scopeName = null;
  propertySetBean.setSchemaGroupName("CATALOG");
  PropertySet schema = null;
%>


<!-- if the user has selected a property set from the drop down box -->
<wl:process name="catalogPropertySets">
    <%
      scopeName = request.getParameter("catalogPropertySets");
      setSessionValue( "CURRENT_PROPERTY_SET", scopeName, request );
      if ( propertySetBean.DEFAULT_PROPERTY_SET.equals( scopeName ) )
        scopeName = null;
      propertySetBean.setScopeName(scopeName);
      schema = propertySetBean.getSchemaObject();
      
    %>
</wl:process>

<wl:process notname="catalogPropertySets">
    <%
      scopeName = (String)getSessionValue( "CURRENT_PROPERTY_SET", request );
      if ( propertySetBean.DEFAULT_PROPERTY_SET.equals( scopeName ) )
        scopeName = null;
      propertySetBean.setScopeName(scopeName);
      schema = propertySetBean.getSchemaObject();
      if ( schema == null )
      {
        removeSessionValue( "CURRENT_PROPERTY_SET", request );
        propertySetBean.setScopeName( null );
        scopeName = null;
      }

    %>
</wl:process>

<!-- get all the property sets present in the system -->
<%
  String[] allPropertySets = propertySetBean.getSchemasForGroupName( "CATALOG" );
  if ( scopeName == null ) scopeName = "";
%>

<html>
<head>
<title>Edit Item Attributes</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<SCRIPT LANGUAGE="JavaScript">
function submitForm() {
   this.document.UserMgmtForm.submit();
   return true;
}
</SCRIPT>
</head>

<body bgcolor="#FFFFFF" topmargin="0" leftmargin="0" marginwidth="0" marginheight="0">

<!-- Header  -->
<jsp:include page="<%=JspUtilPages.JSP_UTIL_HOME_HDR%>"/>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td width="3%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width=8 height=8></td>
    <td width="60%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width=5 height=8></td>
    <td width="30%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width=5 height=8></td>
    <td width="4%" bgcolor="#000000"><a href="<wf:createWebflowURL event="link.catalog_home"/>"><img src="<wf:createResourceURL resource="/repository/images/stopblack_cms1.gif"/>" width="65" height="8" border="0" alt="Return to Catalog Management"></a></td>
    <td width="3%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width=8 height=8></td>
  </tr>

  <tr> 
    <td width="3%" bgcolor="#008000"> 
      <div align="right"><img src="<wf:createResourceURL resource="/repository/images/cms.gif"/>" width="30" height="24"></div>
    </td>
    <td width="90%" colspan=2 bgcolor="#008000"><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#FFFFFF"><b>Item: <%= cnvrtSC(identifier) %></b></font></td>
    <td width="4%" bgcolor="#008000"><a href="<wf:createWebflowURL event="link.catalog_home"/>"><img src="<wf:createResourceURL resource="/repository/images/sfinished_cms1.gif"/>" width="65" height="24" border="0" alt="Return to Catalog Management"></a></td>
    <td width="3%" bgcolor="#FFFFFF"><img src="<wf:createResourceURL resource="/repository/images/curves_cms1_1.gif"/>" width="30" height="24"></td>
  </tr>
  <tr> 
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="90%" colspan=2><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="4%"><a href="<wf:createWebflowURL event="link.catalog_home"/>"><img src="<wf:createResourceURL resource="/repository/images/sbottom_cms1.gif"/>" width="65" height="8" border="0" alt="Return to Catalog Management"></a></td>
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
  </tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <form method="post" action="<wf:createWebflowURL event="link.item_property_edit"/>" name="UserMgmtForm">
    <td width="3%">&nbsp;</td>
    <td width="44%" valign="middle"><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Display Property Set attributes for this item:</b></font>
       <select name="catalogPropertySets" size="1">
	   <option value="<%= propertySetBean.DEFAULT_PROPERTY_SET %>"><%= cnvrtSC(propertySetBean.DEFAULT_PROPERTY_SET) %> </option>
	   <es:forEachInArray id="currPropertySet" array="<%= allPropertySets %>" type="String" counterId="i">
	        <option <%= currPropertySet.equalsIgnoreCase(scopeName) ? "selected" : ""  %> value="<%= cnvrtSC(currPropertySet) %>"><%= cnvrtSC(currPropertySet) %></option>
	   </es:forEachInArray>
       </select>
    </td>
    <td width="37%">
       <A HREF="javascript:submitForm();" onClick="submitForm(); return false;"><img src="<wf:createResourceURL resource="/repository/images/search_cms1.gif"/>" border=0 width="65" height="40" alt="Display Property Set Attributes"></a>
    </td>

    <td width="4%">&nbsp;</td>
    <td width="3%">&nbsp;</td>
        <input type="hidden" name="<%=DESTINATION_TAG%>" value="<%=getRequestURI(request)%>">    
        <input type="hidden" name="<%= HttpRequestConstants.CATALOG_ITEM_SKU %>" value="<%= identifier %>">
        <input type="hidden" name="formSubmit" value="formSubmit">
    </form>
  </tr>
</table>
<p>
<% String params = HttpRequestConstants.CATALOG_ITEM_SKU + "=" + request.getParameter(HttpRequestConstants.CATALOG_ITEM_SKU);%>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr height="20"> 
    <td height="20" width="3%" bgcolor="#008000">&nbsp;</td>
    <td height="20" width="1%" bgcolor="#008000">&nbsp;</td>
    <td height="20" width="86%" bgcolor="#008000"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#FFFFFF"><b>
        Item Core Attributes</b></font></td>
    <td height="20" width="7%" bgcolor="#008000"> 
      <div align="center"><a href="<wf:createWebflowURL event="link.item_edit" extraParams="<%=params%>"/>"><img src="<wf:createResourceURL resource="/repository/images/edit_red.gif"/>" width="50" height="20" border="0" alt="Edit Item's Core Attributes"></a></div>
    </td>
    <td height="20" width="3%" bgcolor="#008000"><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="24" height="8"></b></font></td>
  </tr>

  <tr> 
    <td width="3%" bgcolor="#008000">&nbsp;</td>
    <td width="1%" bgcolor="#FFFFFF">&nbsp;</td>
    <td width="86%" bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000">Item Name:&nbsp;<B><%= cnvrtSC(itemName) %></B> </font></td>
    <td width="7%" bgcolor="#FFFFFF">&nbsp;</td>
    <td width="3%" bgcolor="#FFFFFF">&nbsp;</td>
  </tr>

  <tr> 
    <td width="3%" bgcolor="#008000">&nbsp;</td>
    <td width="1%" bgcolor="#FFFFFF">&nbsp;</td>
    <td width="86%" bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000">Short Description:&nbsp;<B><%= cnvrtSC(shortDesc) %></B> </font></td>
    <td width="7%" bgcolor="#FFFFFF">&nbsp;</td>
    <td width="3%" bgcolor="#FFFFFF">&nbsp;</td>
  </tr>

  <tr> 
    <td width="3%" bgcolor="#008000">&nbsp;</td>
    <td width="1%" bgcolor="#FFFFFF">&nbsp;</td>
    <td width="86%" bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000">&nbsp;</font></td>
    <td width="7%" bgcolor="#FFFFFF">&nbsp;</td>
    <td width="3%" bgcolor="#FFFFFF">&nbsp;</td>
  </tr>

  <tr height="20"> 
    <td height="20" width="3%" bgcolor="#008000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="30" height="8"></td>
    <td height="20" width="1%" bgcolor="#008000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="10" height="8"></td>
    <td height="20" width="86%" bgcolor="#008000"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#FFFFFF"><b>Custom Attributes</b></font></td>
    <td height="20" width="7%" bgcolor="#008000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="3" height="8"></td>
    <td height="20" width="3%" bgcolor="#008000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="3" height="8"></td>
  </tr>

  <!-- the properties go here -->

  <%-- get properties for the current propertyset --%>

  <% 
     String schemaGroupName = propertySetBean.getSchemaGroupName();
     if ( schemaGroupName == null ) schemaGroupName = "";

     Map unsortedProperties = (schema != null) ? schema.getPropertyDefinitions() : null;

     if ( unsortedProperties == null && scopeName.equals( "" ))
     {
       unsortedProperties = itemPropertyBean.getDefaultScopedProperties( identifier );
     }

     // put the properties in sorted order
     

     if ( unsortedProperties != null ) {
       
         Map properties = new TreeMap( unsortedProperties );
         Iterator iter = properties.keySet().iterator();
	 while( iter.hasNext() ) {

        Object object = iter.next();
	    String propertyName = (String)object; 
	    PropertyDefinition property = (PropertyDefinition)properties.get( propertyName );
        String propertyInfo = "(" + itemPropertyBean.getTypeForDisplay(property) + ", " +  
                              itemPropertyBean.getSelectionOptionForDisplay(property) + ", " + itemPropertyBean.getCategoryForDisplay(property) + ")";
	    request.setAttribute( "PropertyName", propertyName ); 
	    request.setAttribute( "Property", property );
	    request.setAttribute( "scopeName", scopeName );

	    String renderer = itemPropertyBean.getItemPropertyEditor( property );
            params = "scopeName=" + URLEncoder.encode(scopeName) +
	                    "&schemaGroupName=" + URLEncoder.encode(schemaGroupName) +
			    "&propertyName=" + URLEncoder.encode(propertyName) +
			    "&identifier=" + identifier;

  %>
  
      <tr> 
        <td bgcolor="#008000" width="3%" height="19">&nbsp;</td>
        <td bgcolor="#999999" width="1%" height="19">&nbsp;</td>
        <td bgcolor="#999999" width="86%" height="19"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#FFFFFF"><b><%= propertyName %></b> <%= propertyInfo %></font></td>
        <td width="7%" bgcolor="#999999" height="19">
        <%String eventParam = "link."+renderer;
          eventParam = eventParam.substring(0, eventParam.indexOf(".jsp"));%>
          <div align="center"><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><a href="<wf:createWebflowURL event="<%=eventParam%>" extraParams="<%=params%>"/>">
          <img src="<wf:createResourceURL resource="/repository/images/edit_black.gif"/>" width="50" height="20" border="0" alt="Edit This Property"></a></font></div>
        </td>
        <td bgcolor="#999999" width="3%" height="19">&nbsp;</td>
      </tr>

      <tr> 
        <td width="3%" bgcolor="#008000">&nbsp;</td>
        <td width="1%">&nbsp;</td>
        <td width="86%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><%= cnvrtSC(property.getDescription()) %></font></td>
        <td width="7%">&nbsp;</td>
        <td width="3%">&nbsp;</td>
      </tr>

      <tr> 
        <td width="3%" bgcolor="#008000">&nbsp;</td>
        <td width="1%">&nbsp;</td>
        <td width="86%"> 
<!-- The below is used to get the appropriate jsp to display the property type. -->
          <% renderer = itemPropertyBean.getItemPropertyRenderer( property ); %>
          <es:notNull item="<%= renderer %>">
          <%String renderParam = "/tools/catalog/" + renderer;%>
            <jsp:include page="<%=renderParam%>"/>
          </es:notNull>
        </td>
        <td width="7%">&nbsp;</td>
        <td width="3%">&nbsp;</td>
      </tr>

      <tr> 
        <td bgcolor="#008000" width="3%">&nbsp;</td>
        <td width="1%">&nbsp;</td>
        <td width="86%">&nbsp;</td>
        <td width="7%" bgcolor="#FFFFFF">&nbsp;</td>
        <td width="3%" bgcolor="#FFFFFF">&nbsp;</td>
      </tr>

  <%

	 } // end while

     } // endif properties != null
  %>
  <!-- end of block where all properties are displayed for a particular propertyset -->


  <tr> 
    <td width="3%" bgcolor="#008000">&nbsp;</td>
    <td width="1%"><font size="2">&nbsp;</font></td>
    <td width="86%">&nbsp; </td>
    <td width="7%" bgcolor="#FFFFFF">&nbsp;</td>
    <td width="3%" bgcolor="#FFFFFF">&nbsp;</td>
  </tr>

  <tr> 
    <td width="3%" bgcolor="#FFFFFF">&nbsp;</td>
    <td width="1%">&nbsp;</td>
    <td width="86%">&nbsp;</td>
    <td width="7%"><a href="<wf:createWebflowURL event="link.catalog_home"/>"><img src="<wf:createResourceURL resource="/repository/images/finished_cms1.gif"/>" width="65" height="40" alt="Return to Catalog Management" border="0"></a></td>
    <td width="3%" bgcolor="#FFFFFF">&nbsp;</td>
  </tr>

  <tr> 
    <td width="3%" bgcolor="#FFFFFF">&nbsp;</td>
    <td width="1%">&nbsp;</td>
    <td width="86%">&nbsp;</td>
    <td width="7%" bgcolor="#FFFFFF">&nbsp;</td>
    <td width="3%" bgcolor="#FFFFFF">&nbsp;</td>
  </tr>

</table>
</body>
</html>
