<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<%-- edit property for multiple/restricted: allow user to add a new    ---%>
<%-- valid value, delete existing valid values, and set default values. --%>

<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>

<%@ page import="java.net.URLEncoder" %>
<%@ page import="com.bea.jsptools.p13n.common.servlets.jsp.JspUtilPages" %>

<%@ page import="com.bea.p13n.property.PropertyDefinition" %>                
<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.*" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.jsp.*" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.service.item.*" %>

<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="es.tld" prefix="es" %>

<jsp:useBean id="itemPropertyBean" class="com.beasys.commerce.ebusiness.catalog.jsp.beans.ItemPropertyBean" scope="request" />
<jsp:setProperty name="itemPropertyBean" property="*" />

<% request.setAttribute(SERVICEMANAGER_CURRENT_PAGE, getJspName(pageContext));%>

<%
   String statusMsg = null; 
   String identifier = request.getParameter("identifier");

   PropertyDefinition property = itemPropertyBean.getPropertyObject(); 
   itemPropertyBean.setPropertyMetaData(property);
   String propertyName = itemPropertyBean.getPropertyName(); 
   String scopeName = itemPropertyBean.getScopeName(); 
   String schemaGroupName = itemPropertyBean.getSchemaGroupName(); 
   String valueEditor = itemPropertyBean.getPropertyValueEditor( property ); 
   String returnPage = CatalogManagementJspPages.ITEM_PROPERTY_EDIT_JSP;

   Object currentPropertyValue = null;

   ProductItemJspHelper helper = new ProductItemJspHelper( ProductItemJspHelper.getCatalogManager().createAdminCatalogRequest()); 
   ProductItem item = helper.getProductItemManager().getItem(helper.getCatalogRequest(), new ProductItemKey(identifier));

%>

<wl:process name="setDefaultSubmit">
  <% 
      // set defaults from the checkboxes
      // find the default value(s)
      
      Enumeration names = request.getParameterNames();
      Collection customValues = new ArrayList();
      
      while ( names != null && names.hasMoreElements() )
      {
         String name = (String)names.nextElement();
	 if ( name.startsWith( "customValue" ) )
	 {
	    String value = request.getParameter( name );
	    
	    // convert these values to the proper types
	    Object ob = itemPropertyBean.getAsObject(value);	    
	    customValues.add( ob );
	 }
      }
  
    // set the property value 
    item.setProperty(scopeName, propertyName, customValues); 
    statusMsg = "Values added correctly."; 
  %>

</wl:process>

<%  currentPropertyValue = item.getProperty(scopeName, propertyName); 
    if (currentPropertyValue == null){
        currentPropertyValue = property.getDefaultValue();
    }
%>
    

<html>
<head>
<title>Property Set Management</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<SCRIPT LANGUAGE="JavaScript">

function submitDefaultsForm() {
   this.document.DefaultsForm.submit();
   return true;  
}

function confirmValueDelete(typeName)
{
   return (confirm("Are you sure you want to delete '" + typeName + "'?"));
}
</SCRIPT>
</head>

<body bgcolor="#FFFFFF" topmargin="0" leftmargin="0" marginwidth="0" marginheight="0">
<!-- Header  -->
<jsp:include page="<%=JspUtilPages.JSP_UTIL_HOME_HDR%>"/>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td width="3%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="88%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="5%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="65" height="8"></td>
    <td width="4%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
  </tr>
  <tr> 
    <td width="3%" bgcolor="#008000"> 
      <div align="right"><img src="<wf:createResourceURL resource="/repository/images/psm.gif"/>" width="30" height="24"></div>
    </td>
    <td width="88%" bgcolor="#008000"><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#FFFFFF"><b>
      Property Set: <%= cnvrtSC(scopeName) %></b></font></td>
    <td width="5%" bgcolor="#008000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="65" height="24" border="0"></td>
    <td width="4%" bgcolor="#FFFFFF"><img src="<wf:createResourceURL resource="/repository/images/curves_cms1_1.gif"/>" width="30" height="24"></td>
  </tr>
  <tr> 
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="88%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="5%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="65" height="8"></td>
    <td width="4%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
  </tr>
  <tr> 
    <td width="3%">&nbsp;</td>
    <td width="88%"><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#CC0000"><b>
      Property: <%= cnvrtSC(propertyName) %> (Type: Multiple, Restricted)</b></font></td>
    <td width="5%">&nbsp;</td>
    <td width="4%">&nbsp;</td>
  </tr>
</table>

<table border="0" cellspacing="0" cellpadding="0" width="100%">
  <tr> 
    <td width="1%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="82%"><% if (statusMsg != null) { %> <%@ include file="status.inc" %> <% } %></td>
    <td width="11%">&nbsp;</td>
  </tr>
  <tr> 
    <td width="1%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="20" height="8"></td>
    <td rowspan="3" valign="top" width="6%" align="right"> <font face="Verdana, Arial, Helvetica, sans-serif" size="2"><img src="<wf:createResourceURL resource="/repository/images/icon_edit.gif"/>" width="65" height="50"></font></td>
    <td bgcolor="#CCCCCC" width="82%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8">Edit 
      Property Values</b></font></td>
    <td width="11%">&nbsp;</td>
  </tr>

  <tr> 
    <td width="1%">&nbsp;</td>
    <td width="82%">&nbsp;</td>
    <td width="11%">&nbsp;</td>
  </tr>

  <tr> 
    <td width="1%">&nbsp;</td>
    <td width="82%">&nbsp;</td>
    <td width="11%">&nbsp;</td>
  </tr>

  <tr> 
    <td width="1%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="82%" bgcolor="#666666"> 
      <div align="left"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#FFFFFF"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8">Values</b></font></div>
    </td>
    <td width="11%">&nbsp;</td>
  </tr>
  <tr> 
    <td width="1%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="82%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2">Select 
      the value(s) you want to set as default. When you are done, click Save.</font></td>
    <td width="11%">&nbsp;</td>
  </tr>

  <%
    // get a list of restricted values, and defaults to display 
  
    Collection valids = property.getRestrictedValues();
    Collection defaults = itemPropertyBean.getAsCollection(currentPropertyValue);
    
   %>
   
  <es:notNull item = "<%= valids %>" >
    <%
      Object[] arr = valids.toArray();
      int validCount = arr.length;
      int rows = validCount / 2;
      if ( validCount % 2 == 1 ) rows++;
      int rowCount = 1;
      int count = 0;
      boolean secondCol = false;
    %>
    <tr> 
      <td width="1%">&nbsp;</td>
      <td width="6%">&nbsp;</td>
      <td width="82%"> 
        <form method="post" action="<wf:createWebflowURL origin="item_property_edit_mr.jsp" event="link.item_property_edit_mr"/>" name="DefaultsForm">
        <table width="100%" border="0" cellpadding="0" cellspacing="4">
          <tr> 
            <td width="45%" valign="top"> 
              <table width="100%" border="1" cellpadding="2" cellspacing="0" bgcolor="#cccccc" bordercolor="#ffffff">
              <% String urlTail = "&scopeName=" + URLEncoder.encode(scopeName) + "&propertyName=" + URLEncoder.encode(propertyName) + "&schemaGroupName=" + URLEncoder.encode(schemaGroupName); %>
              <es:forEachInArray id="valueObject" array="<%= arr %>" type="Object">
                <% String formattedValue = itemPropertyBean.formatPropertyValue( property, valueObject ); 
                   count++; 
                   String bgcolor = (rowCount % 2 == 1 ? "#cccccc" : "#ffffff"); 
                %>
                <tr bgcolor="<%= bgcolor %>"> 
                  <td width="4%"> 
                    <input type="checkbox" name="customValue.<%= count %>" value="<%= formattedValue %>" <% if ( defaults.contains( valueObject ) ) { %>CHECKED<% } %>>
                  </td>
                  <td><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><%= cnvrtSC(formattedValue) %></font></td>
                </tr>
                <% if ( rowCount++ >= rows && !secondCol ) { 
                      // end the first column and start the next
                      rowCount = 1; secondCol = true; 
                %>
                      </table>
                   </td>
                  <td>&nbsp;</td>
                  <td width="45%" valign="top"> 
                    <table width="100%" border="1" cellpadding="2" cellspacing="0" bgcolor="#cccccc" bordercolor="#ffffff">
                <% } %>
              </es:forEachInArray>
              </table>
            </td>
          </tr>
        </table>
      <input type="hidden" name="propertyName" value="<%=propertyName%>">
      <input type="hidden" name="scopeName" value="<%=scopeName%>">
      <input type="hidden" name="schemaGroupName" value="<%=schemaGroupName%>">
      <input type="hidden" name="<%=DESTINATION_TAG%>" value="<%=getRequestURI(request)%>">
      <input type="hidden" name="setDefaultSubmit" value="setDefaultSubmit">
      <input type="hidden" name="<%= "identifier" %>" value="<%= identifier %>">

      </td>
      <td width="11%">&nbsp;</td>
    </tr>
  </es:notNull>
  <tr> 
    <td width="1%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="82%" align="right">
      <table width="10%" border="0" cellpadding="0" align="right">
        <tr> 
          <td>
	        <% String params = HttpRequestConstants.CATALOG_ITEM_SKU + "=" + URLEncoder.encode(identifier) + 
	                           "&groupPropertySets=" + URLEncoder.encode(scopeName) +
		                       "&formSubmit=formSubmit";
	        %>
	        <a href="<wf:createWebflowURL origin="item_property_edit_mr.jsp" event="link.item_property_edit" extraParams="<%=params%>"/>"><img src="<wf:createResourceURL resource="/repository/images/back_cms1.gif"/>" width="65" height="40" border="0" alt="Return to the Previous Page"></a></td>

          <td><A HREF="javascript:submitDefaultsForm();" onClick="submitDefaultsForm(); return false;"><img src="<wf:createResourceURL resource="/repository/images/save_cms1.gif"/>" width="65" height="40" border="0" alt="Save Changes"></a></td>
        </tr>
      </table>
    </td>
    <td width="11%">&nbsp;</td>
  </tr>
  </form>
</table>
</body>
</html>

