<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>

<%@ page import="java.net.URLEncoder" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.*" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.jsp.*" %>
<%@ page import="com.beasys.commerce.ebusiness.catalog.service.item.*" %>
<%@ page import="com.bea.jsptools.p13n.common.servlets.jsp.JspUtilPages" %>

<%@ page import="com.bea.p13n.property.PropertyDefinition" %>
<%@ page import="com.beasys.commerce.webflow.HttpRequestConstants" %>

<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>

<jsp:useBean id="itemPropertyBean" class="com.beasys.commerce.ebusiness.catalog.jsp.beans.ItemPropertyBean" scope="request">
<jsp:setProperty name="itemPropertyBean" property="*"> 
</jsp:useBean>

<% request.setAttribute(SERVICEMANAGER_CURRENT_PAGE, getJspName(pageContext));%>

<% 
    itemPropertyBean.setScopeName(request.getParameter("scopeName"));
    itemPropertyBean.setSchemaGroupName(request.getParameter("schemaGroupName"));
    itemPropertyBean.setPropertyName(request.getParameter("propertyName"));
    String identifier = request.getParameter("identifier");
   Object currentPropertyValue = null;

   ProductItemJspHelper helper = new ProductItemJspHelper( ProductItemJspHelper.getCatalogManager().createAdminCatalogRequest()); 
   ProductItem item = helper.getProductItemManager().getItem(helper.getCatalogRequest(), new ProductItemKey(identifier));

   PropertyDefinition property = itemPropertyBean.getPropertyObject(); 
   
  // get the meta data from the default scope if we have to
  if ( property == null )
  {
      property = itemPropertyBean.getDefaultPropertyMetaDataForItem( identifier );
  }
  
   itemPropertyBean.setPropertyMetaData(property);
   String propertyName = itemPropertyBean.getPropertyName(); 
   String scopeName = itemPropertyBean.getScopeName(); 
   if ( scopeName == null ) scopeName = ""; 
   String renderer = itemPropertyBean.getPropertyValueEditor( property ); 
   String statusMsg = null; 
   String returnPage = CatalogManagementJspPages.ITEM_PROPERTY_EDIT_JSP; 

%>

<wl:process name="formSubmit">

  <%  Object valueObject = itemPropertyBean.getAsObject(request.getParameter("customValue")); 
      //set the property if valueObject is not null  
      if ( valueObject != null){
        item.setProperty(scopeName, propertyName, valueObject); 
        statusMsg = "Property set correctly."; 
      }
      else { 
        statusMsg = "Please enter valid values.";
      }
  %>
  
</wl:process>

<% currentPropertyValue = item.getProperty(scopeName, propertyName); %>

<html>
<head>
<title>Property Set Management</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<SCRIPT LANGUAGE="JavaScript">
function submitForm() {
   this.document.UserMgmtForm.submit();
   return true;
}
</SCRIPT>
</head>

<body bgcolor="#FFFFFF" topmargin="0" leftmargin="0" marginwidth="0" marginheight="0">
<!-- Header  -->
<jsp:include page="<%=JspUtilPages.JSP_UTIL_HOME_HDR%>"/>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td width="4%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="93%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="3%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="65" height="8"></td>
    <td width="0%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
  </tr>
  <tr> 
    <td width="4%" bgcolor="#008000" height="23"> 
      <div align="right"><img src="<wf:createResourceURL resource="/repository/images/psm.gif"/>" width="30" height="24"></div>
    </td>
    <td width="93%" bgcolor="#008000" height="23"><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#FFFFFF"><b>Property Set: <%= cnvrtSC(scopeName.equals("") ? "<Default>" : scopeName) %></b></font></td>
    <td width="3%" bgcolor="#008000" height="23"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="65" height="24" border="0"></td>
    <td width="0%" bgcolor="#FFFFFF" height="23"><img src="<wf:createResourceURL resource="/repository/images/curves_cms1_1.gif"/>" width="30" height="24"></td>
  </tr>
  <tr> 
    <td width="4%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="93%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="65" height="8"></td>
    <td width="0%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
  </tr>
  <tr>
    <td width="4%">&nbsp;</td>
    <td width="93%"><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#CC0000"><b>Property: 
      <%= cnvrtSC(itemPropertyBean.getPropertyName()) %> (Type: Single, Unrestricted)</b></font></td>
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="65" height="8"></td>
    <td width="0%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
  </tr>
</table>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
  <tr> 
    <td width="2%">&nbsp;</td>
    <td width="7%">&nbsp;</td>
    <td width="82%"><% if (statusMsg != null) { %> <%@ include file="status.inc" %><% } %></td>
    <td width="9%">&nbsp;</td>
  </tr>
  <tr> 
    <td width="2%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="20" height="8"></td>
    <td rowspan="3" width="7%" align="right" valign="top"> <font face="Verdana, Arial, Helvetica, sans-serif" size="2"><img src="<wf:createResourceURL resource="/repository/images/icon_edit.gif"/>" width="65" height="50"></font></td>
    <td bgcolor="#CCCCCC" width="82%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="5">Edit 
      Property Values</b></font></td>
    <td width="9%">&nbsp;</td>
  </tr>
    <tr>
      <td width="2%">&nbsp;</td>
      <td width="82%">&nbsp;</td>
      <td width="9%">&nbsp;</td>
    </tr>
  <tr> 
    <td width="2%">&nbsp;</td>
    <td width="82%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2">Enter 
      changes to the property value and click Save.</font></td>
    <td width="9%">&nbsp;</td>
  </tr>
  <tr> 
    <td width="2%">&nbsp;</td>
    <td width="7%">&nbsp;</td>
    <td width="82%"> 
      <form method="post" action="<wf:createWebflowURL origin="item_property_edit_su.jsp" event="link.item_property_edit_su"/>" name="UserMgmtForm">
        <table width="100%" border="0" cellspacing="2" cellpadding="2">
        <% if ( property.getDefaultValue() != null ) { %>
	  <tr>
            <td width="20%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><nobr>Default
              Value:&nbsp;</nobr></b></font></td>
            <td width="80%">
	        <table>
		  <tr>
		      <td width="5%" align="right">
		          <img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="10" height="15">
		      </td>
		      <td width="95%" align="left">
		      <font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000">
		         <%= cnvrtSC(itemPropertyBean.formatPropertyValue( property,  property.getDefaultValue() )) %>
	              </font>
		      </td>
		  </tr>
		</table>
            </td>
	  </tr>
          <% } %>

          <tr> 
            <td width="20%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><nobr>New
              Value:&nbsp;</nobr></b></font> </td>
            <td width="80%">
              <% request.setAttribute( "Property", property ); %>
              <% request.setAttribute( "PropertyValue", currentPropertyValue ); %>
              <% request.setAttribute( "FieldName", "customValue" ); %>
              <% request.setAttribute( "FormName", "UserMgmtForm" ); %>
              <jsp:include page="<%= renderer %>"/>
            </td>
          </tr>
        </table>
        <table border="0" cellspacing="4" cellpadding="0" align="right">
          <tr> 
            <td> 
              <div align="right">
	          <% 
		      String params =  HttpRequestConstants.CATALOG_ITEM_SKU + "=" + URLEncoder.encode(identifier) + 
		                       "&groupPropertySets=" + URLEncoder.encode(scopeName) +
				       "&formSubmit=formSubmit";
		  %>
	          <a href="<wf:createWebflowURL origin="item_property_edit_su.jsp" event="link.item_property_edit" extraParams="<%=params%>"/>">
	       <img src="<wf:createResourceURL resource="/repository/images/back_cms1.gif"/>" width="65" height="40" border="0" alt="Return to the Previous Page"></a></div>
            </td>
            <td><a HREF="javascript:submitForm();" onClick="submitForm(); return false;"><img src="<wf:createResourceURL resource="/repository/images/save_cms1.gif"/>" width="65" height="40" alt="Save Changes" border="0"></a></td>
          </tr>
        </table>

        <input type="hidden" name="scopeName" value="<%= itemPropertyBean.getScopeName() %>">
        <input type="hidden" name="schemaGroupName" value="<%= itemPropertyBean.getSchemaGroupName() %>">
        <input type="hidden" name="propertyName" value="<%= propertyName %>">
        <input type="hidden" name="<%=DESTINATION_TAG%>" value="<%=getRequestURI(request)%>">
        <input type="hidden" name="formSubmit" value="formSubmit">
        <input type="hidden" name="identifier" value="<%= identifier %>">

        <p>&nbsp;</p>
      </form>
    </td>
    <td width="9%">&nbsp;</td>
  </tr>
  <tr> 
    <td width="2%">&nbsp;</td>
    <td width="7%">&nbsp;</td>
    <td width="82%">&nbsp; </td>
    <td width="9%">&nbsp;</td>
  </tr>
</table>
</body>
</html>

