<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>
<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>

<%-- ------------------------------------------------------------ --%>
<%-- page imports                                                 --%>
<%-- ------------------------------------------------------------ --%>
<%@ page import="com.bea.portal.model.GroupPortal"%>
<%@ page import="com.bea.portal.model.Portal"%>
<%@ page import="com.bea.portal.manager.PortalFactory"%>
<%@ page import="com.bea.portal.model.PortalIdentifier"%>
<%@ page import="com.bea.portal.jsp.JspConstants"%>

<%@ page import="java.net.URLEncoder"%>
<%@ page import="com.bea.p13n.util.WildCard"%>

<%@ page errorPage="error.jsp" %>


<%-- ------------------------------------------------------------ --%>
<%-- taglibs                                                      --%>
<%-- ------------------------------------------------------------ --%>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>
<%@ taglib uri="res.tld" prefix="res" %>


<%-- ------------------------------------------------------------ --%>
<%-- i18n (internationalization) and skin setup                   --%>
<%-- ------------------------------------------------------------ --%>

<%@ include file="/tools/portal/i18n_setup.inc"%>

<%  // Grab the html title string from the properties file %>
<i18n:getMessage messageName='pageTitle' id='pageTitle'/>


<%-- ------------------------------------------------------------ --%>
<%-- environment setup                                            --%>
<%-- ------------------------------------------------------------ --%>

<%-- ------------------------------------------------------------ --%>
<%-- DECLARE NavLocation VALUE                                    --%>
<%-- Used for the left_navbar highlighting                        --%>
<%-- ------------------------------------------------------------ --%>
  <wf:setProperty property='NavLocation' value='<%=JspConstants.GROUP_PORTAL_NAV%>' scope='request'/>

<%
  String groupParams = "";
  String pageEvent = request.getParameter("event");
  String searchEvent = request.getParameter("searchEvent");
  if(searchEvent != null)
  {
      pageEvent = searchEvent;
  }
  String gpNewOrEdit = "";
  // Read form values from previous page and pass them back via the request
  String groupsEntitlementsCheckbox = request.getParameter("groupsEntitlementsCheckbox");
  String groupsGroupAdminCheckbox = request.getParameter("groupsGroupAdminCheckbox");
  String groupsDisplayName = request.getParameter("groupsDisplayName");
  String groupsNavbarOrientation = request.getParameter("groupsNavbarOrientation");
  String requestParams = "groupsEntitlementsCheckbox=" + groupsEntitlementsCheckbox + "&groupsGroupAdminCheckbox=" + groupsGroupAdminCheckbox + "&groupsDisplayName=" + groupsDisplayName + "&groupsNavbarOrientation=" + groupsNavbarOrientation;
  
  // Determine if we're editing a new Group Portal or an existing one.
  if ( pageEvent.equals("link.browse_groups_edit") )
  {
    gpNewOrEdit = "Edit";
  } else {
    gpNewOrEdit = "New";
  }
%>
  
  <wf:getProperty property='portalName' id='portalName' type='String'/>
  <wf:getProperty property='gpPortalIDCurrent' id='portalID' type='String'/>
  <res:getGroupPortalEligibleUserGroups id='userGroups' portalID='<%=portalID%>' />
 
  <%-- Trim userGroup List down from search string --%>
<%
    String sIndex = request.getParameter("index");
    int iIndex = 0;
    if(sIndex != null && !sIndex.equals(""))
    {
        iIndex = Integer.parseInt(sIndex.trim());
    }
    if(iIndex < 0)
    {
        iIndex = 0;
    }
    
    String searchString = request.getParameter("SearchString");
    //Handle the case were nothing was entered, we return all
    if (searchString == null || searchString == "") 
    {
      searchString = "*";
    }
    //If something was entered, we have to return the start index to 0, since we don't know how many will
    // be in the return set
    String newSearch = request.getParameter("newSearch");
    if (newSearch != null)
    {
      iIndex = 0;
    }
    int size = userGroups.size();
    List userGroupsSearchNarrowed = new ArrayList();
    String searchUpper = searchString.toUpperCase();
    for ( int i=0; i<size; i++ )
    {
        String name = (String)userGroups.get( i );
        if ( WildCard.match( name.toUpperCase(), searchUpper ) )
        {
            userGroupsSearchNarrowed.add( name );
        }
    }
    
    String sUserGroupCount = request.getParameter("user_group_count");
    //If we're note posting to ourselves, check if there's a value in the pipeline
    if(sUserGroupCount == null)
    {
%>
       <wf:getProperty property='user_group_count' id='sUserGroupCountTemp' type='String'/>
<%
       sUserGroupCount = sUserGroupCountTemp;
    }
    
%>
  <i18n:getMessage messageName='userGroupsDisplayed' id='userGroupsDisplayed' bundleName='tools'/>
<%
  //In this part, we get the string from the tools.properties that is then turned into the 'Displayed
  // Per Page' drop down box.  We also need to get the number that will be the default
  userGroupsDisplayed = userGroupsDisplayed + ",";
  ArrayList userGroupsDisplayedList = new ArrayList();
  String newNumber = null;
  while(userGroupsDisplayed.length()>0)
  {
    newNumber = userGroupsDisplayed.substring( 0, userGroupsDisplayed.indexOf(",") );
    userGroupsDisplayedList.add( newNumber.trim() );
    userGroupsDisplayed = userGroupsDisplayed.substring(userGroupsDisplayed.indexOf(",") + 1, userGroupsDisplayed.length());
  }

%>
  <i18n:getMessage messageName='userGroupsDisplayedDefault' id='userGroupsDisplayedDefault' bundleName='tools'/>
<%
    int iUserGroupCount = Integer.parseInt(userGroupsDisplayedDefault);
    if(sUserGroupCount != null && !sUserGroupCount.equals(""))
    {
        iUserGroupCount = Integer.parseInt(sUserGroupCount.trim());
%>
        <wf:setProperty property='user_group_count' value='<%=String.valueOf(iUserGroupCount)%>' />
<%
    }
    if(iUserGroupCount < 0)
    {
        iUserGroupCount = 0;
    }

    int iMaxCount = userGroupsSearchNarrowed.size();
    int toIndex = iIndex+iUserGroupCount;
    boolean userGroupListIsEmpty = false;
    if(iMaxCount == 0)
    {
        userGroupListIsEmpty = true;
    }
    if(iMaxCount < toIndex)
    {
        toIndex = iMaxCount;
    }
    List userGroupsList = userGroupsSearchNarrowed.subList(iIndex,toIndex);

    //Set up some variables to use later in the page
    String iNextAmount = null;
    String iPrevAmount = null;
    if( (iMaxCount - toIndex) < iUserGroupCount )
    {
       iNextAmount = String.valueOf(iMaxCount - toIndex);
    }
    else
    {
       iNextAmount = String.valueOf(iUserGroupCount);
    }
    if( iIndex < iUserGroupCount )
    {
       iPrevAmount = "";
    }
    else
    {
       iPrevAmount = String.valueOf(iUserGroupCount);
    }
%>  
  
<%-- ------------------------------------------------------------ --%>
<%-- begin rendering                                              --%>
<%-- ------------------------------------------------------------ --%>
<HTML>
<HEAD>
  <TITLE><%=pageTitle%></TITLE>
  <LINK REL=StyleSheet HREF="<wf:createResourceURL resource='<%=cssFile%>'/>" TYPE="text/css" MEDIA="screen">

    <%-- ------------------------------------------------------------ --%>
    <%-- JavaScript setup                                             --%>
    <%-- ------------------------------------------------------------ --%>
    <SCRIPT LANGUAGE="JavaScript">
    <!-- Begin hide from old browsers
        function submit()
        {
            this.document.indexForm.submit();
        }
    // End hide from old browsers -->
    </SCRIPT>

</HEAD>
<BODY leftmargin="0" rightmargin="0" marginwidth="0" marginheight="0" STYLE='BACKGROUND-IMAGE:url("<wf:createResourceURL resource='<%=imagesPath + "bg_subpage.gif"%>'/>"); BACKGROUND-REPEAT: no-repeat; BACKGROUND-POSITION:left top;'>

<%@ include file="/tools/util/admin_header.inc"%>
<!-- end top nav bar -->

<!-- This is the uber table that contains two table data cells: one for the left nav, the other for the main page layout -->
<TABLE border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
  <TR>    
    <TD align="left" valign="top" class="sidenav" width="1%">
      <!-- include  table for left nav bar -->
<%      if ( gpNewOrEdit.equals("New") ) 
        {
%>        <jsp:include page="left_navbar_create.jsp"/>
<%      }
        else
        {
%>        <jsp:include page="left_navbar.jsp"/>
<%      }
%>
    </TD>

    <TD align="center" valign="top" width="2%">
      <!-- spacer cell -->
      &nbsp;&nbsp;
    </TD>

    <!-- begin table for main content area -->
    <TD align="left" valign="top">
      <%-- Include the error message display logic --%>
      <%@ include file="/tools/util/error_message.inc"%>
<%
      // Creation of message arguments
      Object[] args = new Object[] {};
%>
      <SPAN class="pageheader"><i18n:getMessage messageName='portalDisplay'/></SPAN><BR>
      <SPAN class="instructions"><i18n:getMessage messageName='portalDisplaySubHead'/></SPAN>
      <BR><BR>
<%
      // number of labels in category listing header section
      int numberOfLabels = 1;

      //Build our parameter strings
      String portalInfo = "portalName=" + portalName + "&SearchString=" + searchString + "&" + requestParams;
      String sPrevious = portalInfo + "&index=" + (iIndex - iUserGroupCount) + "&user_group_count=" + iUserGroupCount;
      String sNext = portalInfo + "&index=" + (iIndex + iUserGroupCount) + "&user_group_count=" + iUserGroupCount;
      String sFirst = portalInfo + "&index=0" + "&user_group_count=" + iUserGroupCount;
      String sLast = portalInfo + "&index=" + (iMaxCount-iUserGroupCount) + "&user_group_count=" + iUserGroupCount;
      boolean bPrev = false;
      boolean bNext = false;
      if(iIndex != 0)
      {
        bPrev = true;
      }
      if(iIndex + iUserGroupCount < iMaxCount)
      {
        bNext = true;
      }
%>

      <TABLE cellspacing="0" cellpadding="0" border="0" width="1%">
        <TR>
          <TD align="left" valign="top" rowspan="2">
            <!-- category listing left hand side -->
            <jsp:include page="category_list_header_lhs.jsp"/>
          </TD>

          <!-- It may seem strange to put a td width of 1000 in here, but after much trial and error this is the only way Netscape will maintain the fixed border widths along with the liquid, stretchable layout of the table -->
          <TD class="categoryHeadingBorderCell" colspan="<%=numberOfLabels%>" height="1px" width="1000"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>

          <TD align="left" valign="top" rowspan="2">
          <!-- category listing right hand side -->
            <jsp:include page="category_list_header_rhs.jsp"/>
          </TD>
        </TR>

        <TR>
          <!-- * START LABELS -->
          <TD class="categoryHeadingCell" nowrap width=100%>
            <i18n:getMessage messageName='userGroupsLabel'/>
          </TD>
          <!-- * END LABELS -->
        </TR>
        <!-- This creates the dark green line at the bottom of the green header -->
        <TR>
          <TD class="categoryHeadingBorderCell" colspan="<%=(numberOfLabels+2)%>" height="1"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
        </TR>
 
        <!-- SPACER ROW -->
        <TR>
          <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>">&nbsp;</TD>
        </TR>
       <!-- START DETAIL ROW -->
        <TR>
          <TD class="row">&nbsp;</TD>
          <TD class="row" VALIGN="bottom" nowrap>
            <wf:form namespace='admin_portal' event='link.refresh' origin='browse_user_groups.jsp' hide='true' method='post' name='searchForm'>
              <INPUT TYPE="TEXT" NAME="SearchString" VALUE="<%=searchString%>">&nbsp;
              <INPUT TYPE="IMAGE" SRC="<wf:createResourceURL resource='<%=imagesPath + "search.gif"%>'/>" border="0" ALT="<i18n:getMessage messageName='performUserGroupSearch'/>">
              <INPUT TYPE="HIDDEN" NAME="index" VALUE="<%=iIndex%>">
              <INPUT TYPE="HIDDEN" NAME="groupsEntitlementsCheckbox" VALUE="<%=groupsEntitlementsCheckbox%>">
              <INPUT TYPE="HIDDEN" NAME="groupsGroupAdminCheckbox" VALUE="<%=groupsGroupAdminCheckbox%>">
              <INPUT TYPE="HIDDEN" NAME="groupsDisplayName" VALUE="<%=groupsDisplayName%>">
              <INPUT TYPE="HIDDEN" NAME="groupsNavbarOrientation" VALUE="<%=groupsNavbarOrientation%>">
              <INPUT TYPE="HIDDEN" NAME="searchEvent" VALUE="<%=pageEvent%>">
              <INPUT TYPE="HIDDEN" NAME="newSearch" VALUE="true">
            </wf:form>
            <wf:form namespace='admin_portal' event='link.refresh' origin='browse_user_groups.jsp' hide='true' method='post' name='indexForm'>
<%            if(userGroupListIsEmpty)
              {
%>              <BR><i18n:getMessage messageName='noUserGroups' bundleName='tools'/>
<%
              }
              else
              {
                if((iIndex+1) == toIndex)
                {
                  // Creation of message arguments
                  args = new Object[] { String.valueOf(toIndex), String.valueOf(iMaxCount) };
%>                <BR><B><i18n:getMessage messageName='displayOneOfMany' messageArgs='<%=args%>' bundleName='tools'/></B>
<%
                }
                else
                {
                  args = new Object[] { String.valueOf(iIndex + 1), String.valueOf(toIndex), String.valueOf(iMaxCount) };
%>                <BR><B><i18n:getMessage messageName='displayOneThroughMany' messageArgs='<%=args%>' bundleName='tools'/></B>
<%              }
              }
%>
              &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
              <i18n:getMessage messageName='displayedUserGroupsPerPage' bundleName='tools'/>
              <SELECT SIZE="1" NAME="user_group_count" onChange="submit();">
<%              for(int j=0;j<userGroupsDisplayedList.size();j++)
                {
                  if(Integer.parseInt( (String)userGroupsDisplayedList.get(j) ) == iUserGroupCount)
                  {
%>                  <OPTION SELECTED><%=userGroupsDisplayedList.get(j)%>
<%                }
                  else
                  {
%>                  <OPTION><%=userGroupsDisplayedList.get(j)%>
<%                }
                }
%>
              </SELECT>
              <INPUT TYPE="HIDDEN" NAME="index" VALUE="<%=iIndex%>">
              <INPUT TYPE="HIDDEN" NAME="groupsEntitlementsCheckbox" VALUE="<%=groupsEntitlementsCheckbox%>">
              <INPUT TYPE="HIDDEN" NAME="groupsGroupAdminCheckbox" VALUE="<%=groupsGroupAdminCheckbox%>">
              <INPUT TYPE="HIDDEN" NAME="groupsDisplayName" VALUE="<%=groupsDisplayName%>">
              <INPUT TYPE="HIDDEN" NAME="groupsNavbarOrientation" VALUE="<%=groupsNavbarOrientation%>">
              <INPUT TYPE="HIDDEN" NAME="searchEvent" VALUE="<%=pageEvent%>">
              <INPUT TYPE="HIDDEN" NAME="SearchString" VALUE="<%=searchString%>">
            </wf:form>
            <BR>&nbsp;&nbsp;&nbsp;&nbsp;
<%          if(bPrev && !bNext)
            {
%>            <A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sPrevious%>'/>"><i18n:getMessage messageName='previous' bundleName='tools'/> <%=iPrevAmount%></A>&nbsp;|
              <A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sFirst%>'/>"><i18n:getMessage messageName='first' bundleName='tools'/> </A><BR><BR>
<%          }
            else if(bNext && ! bPrev)
            {
%>            <A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sNext%>'/>"><i18n:getMessage messageName='next' bundleName='tools'/> <%=iNextAmount%></A>&nbsp;|
              <A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sLast%>'/>"><i18n:getMessage messageName='last' bundleName='tools'/> </A><BR><BR>
<%          }
            else if(bPrev && bNext)
            {
%>            <A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sPrevious%>'/>"><i18n:getMessage messageName='previous' bundleName='tools'/> <%=iPrevAmount%></A>&nbsp;|
              <A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sNext%>'/>"><i18n:getMessage messageName='next' bundleName='tools'/> <%=iNextAmount%></A>&nbsp;
              [ <A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sFirst%>'/>"><i18n:getMessage messageName='first' bundleName='tools'/> </A>&nbsp;|
              <A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sLast%>'/>"><i18n:getMessage messageName='last' bundleName='tools'/></A> ]<BR><BR>
<%          }
%>
          </TD>
        </TR>
    
<%      for( int i = 0; i < userGroupsList.size(); i++)
        {
          groupParams = "userGroupID=" + userGroupsList.get(i) + "&" + requestParams;
%>
          <TR>
            <!-- * START DETAIL -->
            <TD class="row"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
            <TD class="row" align="left" valign="top" style="padding:2;">
              <A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.group_portal_post_browse' extraParams='<%=groupParams%>'/>"><%=cnvrtSC((String)userGroupsList.get(i))%></A>
            </TD>
            <!-- * END DETAIL -->
  
            <TD class="row"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
          </TR>
          <!-- END DETAIL ROW -->
<%
        }
%>

        <!-- SPACER ROW -->
        <TR>
          <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
        </TR>
        <TR>
          <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
        </TR>
    
        <!-- START DETAIL ROW -->
        <TR>
          <TD class="row"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
          <!-- * START DETAIL -->
          <TD class="row" align="left" valign="top" colspan="3">
            <A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.group_portal_back_browse' extraParams='<%=requestParams%>'/>"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "back.gif"%>'/>" border="0" align="bottom"></A>
          </TD>
          <!-- * END DETAIL -->
          <TD class="row"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
        </TR>
        <!-- END DETAIL ROW -->
    
        <TR>
          <TD class="row"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
          <TD class="row" nowrap>
            <BR>
            &nbsp;&nbsp;&nbsp;&nbsp;
<%          if(bPrev && !bNext)
            {
%>            <A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sPrevious%>'/>"><i18n:getMessage messageName='previous' bundleName='tools'/> <%=iPrevAmount%></A>&nbsp;|
              <A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sFirst%>'/>"><i18n:getMessage messageName='first' bundleName='tools'/> </A>
<%          }
            else if(bNext && ! bPrev)
            {
%>            <A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sNext%>'/>"><i18n:getMessage messageName='next' bundleName='tools'/> <%=iNextAmount%></A>&nbsp;|
              <A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sLast%>'/>"><i18n:getMessage messageName='last' bundleName='tools'/> </A>
<%          }
            else if(bPrev && bNext)
            {
%>            <A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sPrevious%>'/>"><i18n:getMessage messageName='previous' bundleName='tools'/> <%=iPrevAmount%></A>&nbsp;|
              <A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sNext%>'/>"><i18n:getMessage messageName='next' bundleName='tools'/> <%=iNextAmount%></A>&nbsp;
              [ <A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sFirst%>'/>"><i18n:getMessage messageName='first' bundleName='tools'/> </A>&nbsp;|
              <A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.refresh' extraParams='<%=sLast%>'/>"><i18n:getMessage messageName='last' bundleName='tools'/></A> ]
<%          }
%>
          </TD>
        </TR>
        <TR>
          <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
        </TR>
        <TR>
          <TD class="emptyRow" colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
        </TR>
      </TABLE>

    </TD>
    <!-- end content area -->

    <TD align="center" valign="top" width="2%">
      <!-- spacer cell -->
      <img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0">
    </TD>

  </TR>
</TABLE>

</BODY>
</HTML>
