<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>
<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>

<%-- ------------------------------------------------------------ --%>
<%-- page imports                                                 --%>
<%-- ------------------------------------------------------------ --%>
<%@ page import="com.bea.portal.model.PortalConstants"%>
<%@ page import="com.bea.portal.model.Portal"%>
<%@ page import="com.bea.portal.model.PortalIdentifier"%>
<%@ page import="com.bea.portal.model.PortalMetadata"%>
<%@ page import="com.bea.portal.model.GroupPortal"%>
<%@ page import="com.bea.portal.jsp.JspConstants"%>
<%@ page import="com.bea.p13n.usermgmt.UserManagerConstants"%>

<%@ page import="java.net.URLEncoder"%>
<%@ page import="java.util.List"%>

<%@ page errorPage="error.jsp" %>

<%-- ------------------------------------------------------------ --%>
<%-- taglibs                                                      --%>
<%-- ------------------------------------------------------------ --%>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>
<%@ taglib uri="res.tld" prefix="res" %>


<%-- ------------------------------------------------------------ --%>
<%-- i18n (internationalization) setup                            --%>
<%-- ------------------------------------------------------------ --%>
<%@ include file="/tools/portal/i18n_setup.inc"%>

<%-- ------------------------------------------------------------ --%>
<%-- environment setup                                            --%>
<%-- ------------------------------------------------------------ --%>
  
<%-- ------------------------------------------------------------ --%>
<%-- DECLARE NavLocation VALUE                                    --%>
<%-- Used for the left_navbar highlighting                        --%>
<%-- ------------------------------------------------------------ --%>
  <wf:setProperty property='NavLocation' value='<%=JspConstants.GROUP_PORTAL_NAV%>' scope='request'/>

  <wf:getProperty property="portalName" id="portalName" type="String"/>
  <wf:getProperty property="gpNewOrEdit" id="gpNewOrEdit" type="String"/>
  <wf:getProperty property="gpUGIDCurrent" id="gpUGIDCurrent" type="String"/>
  <wf:getProperty property="gpUGIDTarget" id="gpUGIDTarget" type="String"/>
  <wf:getProperty property="gpUGIDTemplate" id="gpUGIDTemplate" type="String"/>
  <wf:getProperty property="gpTemplateDisplayName" id="gpTemplateDisplayName" type="String"/>
  <wf:getProperty property="gpPortalIDCurrent" id="gpPortalIDCurrent" type="String"/>
  <wf:getProperty property="gpDisplayNameNew" id="gpDisplayNameNew" type="String"/>
  <wf:getProperty property="gpDisplayNameCurrent" id="gpDisplayNameCurrent" type="String"/>
  <wf:getProperty property="gpDisplayNameTemplate" id="gpDisplayNameTemplate" type="String"/>
  <wf:getProperty property="gpGroupAdminCheckbox" id="gpGroupAdminCheckbox" type="String"/>
  <wf:getProperty property="gpEntitlementsCheckbox" id="gpEntitlementsCheckbox" type="String"/>
  <wf:getProperty property="gpNavbarOrientation" id="gpNavbarOrientation" type="String"/>
<%
  String pageEvent = request.getParameter("event");
  String backLink = "";
  String browseLink = "";
  String headerMessage = "";
  String subHeadMessage = "";
  String pageTitle = "";
  String sNull = "";
  String checked = "checked";
  String portalIDParam = "portalID=" + gpPortalIDCurrent;
  GroupPortal currentGroupPortal = null;

  // Update the pipeline and local vars if we came here via link.new_group_portal
  if ( pageEvent.equals("link.new_group_portal") )
  {
    // We are creating a new Group Portal and just got here from the portal home page
    gpNewOrEdit = "New";
    portalName = request.getParameter("portalName");
    gpPortalIDCurrent = request.getParameter("portalID");
%>
    <wf:setProperty property='gpNewOrEdit' value='<%=gpNewOrEdit%>'/>
    <wf:setProperty property='portalName' value='<%=portalName%>'/>
    <wf:setProperty property='gpPortalIDCurrent' value='<%=gpPortalIDCurrent%>'/>
<%  // Now clear out session vars that shouldn't have values if coming from the portal home page
%>
    <wf:setProperty property='gpUGIDCurrent' value='<%=sNull%>'/>
    <wf:setProperty property='gpUGIDTarget' value='<%=sNull%>'/>
    <wf:setProperty property='gpUGIDTemplate' value='<%=sNull%>'/>
    <wf:setProperty property='gpTemplateDisplayName' value='<%=sNull%>'/>
    <wf:setProperty property='gpDisplayNameNew' value='<%=sNull%>'/>
    <wf:setProperty property='gpDisplayNameCurrent' value='<%=sNull%>'/>
    <wf:setProperty property='gpDisplayNameTemplate' value='<%=sNull%>'/>
    <wf:setProperty property='gpGroupAdminCheckbox' value='<%=sNull%>'/>
    <wf:setProperty property='gpEntitlementsCheckbox' value='<%=sNull%>'/>
    <wf:setProperty property='gpNavbarOrientation' value='<%=sNull%>'/>
<%
    gpUGIDCurrent = sNull;
    gpUGIDTarget = sNull;
    gpUGIDTemplate = sNull;
    gpTemplateDisplayName = sNull;
    gpDisplayNameNew = sNull;
    gpDisplayNameCurrent = sNull;
    gpDisplayNameTemplate = sNull;
    gpGroupAdminCheckbox = sNull;
    gpEntitlementsCheckbox = sNull;
    gpNavbarOrientation = sNull;
  }

%>
    <wf:getProperty property="groupPortalObj" id="groupPortalObj" type="com.bea.portal.model.GroupPortal"/>
<%
    currentGroupPortal = groupPortalObj;
    
    boolean defaultScope = false;
  // Update the pipeline and local vars if we came here via link.edit_group_portal
  if ( pageEvent.equals("link.edit_group_portal") )
  {
    // We are editing an existing Group Portal and just came from the portal edit page.
    gpNewOrEdit = "Edit";
    gpPortalIDCurrent = groupPortalObj.getPortalIdentifier().getId();
    gpUGIDCurrent = groupPortalObj.getGroupIdentifier();
    gpUGIDTarget = gpUGIDCurrent;
    gpDisplayNameCurrent = groupPortalObj.getDisplayName();
    gpDisplayNameNew = gpDisplayNameCurrent;
%>  <wf:setProperty property='gpNewOrEdit' value='<%=gpNewOrEdit%>'/>
    <wf:setProperty property='gpPortalIDCurrent' value='<%=gpPortalIDCurrent%>'/>
    <wf:setProperty property='gpUGIDCurrent' value='<%=gpUGIDCurrent%>'/>
    <wf:setProperty property='gpUGIDTarget' value='<%=gpUGIDTarget%>'/>
    <wf:setProperty property='gpDisplayNameCurrent' value='<%=gpDisplayNameCurrent%>'/>
    <wf:setProperty property='gpDisplayNameNew' value='<%=gpDisplayNameNew%>'/>
<%  // Now clear out session vars that shouldn't have values if coming from the portal edit page
%>  
    <wf:setProperty property='gpGroupAdminCheckbox' value='<%=sNull%>'/>
    <wf:setProperty property='gpEntitlementsCheckbox' value='<%=sNull%>'/>
    <wf:setProperty property='gpNavbarOrientation' value='<%=sNull%>'/>
<%  
    gpGroupAdminCheckbox = sNull;
    gpEntitlementsCheckbox = sNull;
    gpNavbarOrientation = sNull;
    
    // Check to see if we're editing the Default Group Portal or not
    if ( currentGroupPortal.isDefault() )
    {
      defaultScope = true;
    }
  }
    
  // Update the pipeline and local vars if we came here via link.group_portal_post_browse
  if ( pageEvent.equals("link.group_portal_post_browse") || pageEvent.equals("link.group_portal_back_browse") )
  {
    // Save the ID of the new User Group then later associate with it
    gpEntitlementsCheckbox = request.getParameter("groupsEntitlementsCheckbox");
    gpGroupAdminCheckbox = request.getParameter("groupsGroupAdminCheckbox");
    gpDisplayNameNew = request.getParameter("groupsDisplayName");
    gpNavbarOrientation = request.getParameter("groupsNavbarOrientation");
    //Make sure we're not doing a set on null
    if(gpEntitlementsCheckbox ==null)
    {
      gpEntitlementsCheckbox = sNull;
    }
    if(gpGroupAdminCheckbox ==null)
    {
      gpGroupAdminCheckbox = sNull;
    }
    if(gpDisplayNameNew ==null)
    {
      gpDisplayNameNew = sNull;
    }
    if(gpNavbarOrientation ==null)
    {
      gpNavbarOrientation = sNull;
    }
%>
    <wf:setProperty property='gpEntitlementsCheckbox' value='<%=gpEntitlementsCheckbox%>'/>
    <wf:setProperty property='gpGroupAdminCheckbox' value='<%=gpGroupAdminCheckbox%>'/>
    <wf:setProperty property='gpDisplayNameNew' value='<%=gpDisplayNameNew%>'/>
    <wf:setProperty property='gpNavbarOrientation' value='<%=gpNavbarOrientation%>'/>
<%
    if(pageEvent.equals("link.group_portal_post_browse"))
    {
      gpUGIDTarget = request.getParameter("userGroupID");
%>
      <wf:setProperty property='gpUGIDTarget' value='<%=gpUGIDTarget%>'/>
<%
    }
    if ( gpGroupAdminCheckbox.equals("true") )
    {
%>    
      <wf:setProperty property='gpGroupAdminCheckbox' value='<%=checked%>'/>
<%    gpGroupAdminCheckbox = checked;
    }
    else
    {
%>    
      <wf:setProperty property='gpGroupAdminCheckbox' value='<%=sNull%>'/>
<%       gpGroupAdminCheckbox = sNull;
    }

    if ( gpEntitlementsCheckbox.equals("true") )
    {
%>  
      <wf:setProperty property='gpEntitlementsCheckbox' value='<%=checked%>'/>
<%     gpEntitlementsCheckbox = checked;
    }
    else
    {
%>    <wf:setProperty property='gpEntitlementsCheckbox' value='<%=sNull%>'/>
<%     gpEntitlementsCheckbox = sNull;
    }
  }

  // Update the pipeline and local vars if we came here via link.group_portal_post_template
  if ( pageEvent.equals("link.group_portal_post_template")  || pageEvent.equals("link.group_portal_back_template") )
  {
    // Save the IDs of the template Group Portal
    gpGroupAdminCheckbox = request.getParameter("groupAdminCheckbox");  
    gpEntitlementsCheckbox = request.getParameter("entitlementsCheckbox");
    gpDisplayNameNew = request.getParameter("templateDisplayName");
    gpNavbarOrientation = request.getParameter("templateNavbarOrientation");

    //Make sure we're not doing a set on null
    if(gpEntitlementsCheckbox ==null)
    {
      gpEntitlementsCheckbox = sNull;
    }
    if(gpGroupAdminCheckbox ==null)
    {
      gpGroupAdminCheckbox = sNull;
    }
    if(gpDisplayNameNew ==null)
    {
      gpDisplayNameNew = sNull;
    }
%>
    
<%
    if(pageEvent.equals("link.group_portal_post_template"))
    {
      gpTemplateDisplayName = request.getParameter("templateName");
      gpUGIDTemplate = request.getParameter("userGroupID");
%>
      <wf:setProperty property='gpTemplateDisplayName' value='<%=gpTemplateDisplayName%>'/>
      <wf:setProperty property='gpUGIDTemplate' value='<%=gpUGIDTemplate%>'/>
<%
    }
    if ( gpGroupAdminCheckbox.equals("true") )
    {
%>
      <wf:setProperty property='gpGroupAdminCheckbox' value='<%=checked%>'/>
<%    gpGroupAdminCheckbox = checked;
    }
    else
    {
%>  
      <wf:setProperty property='gpGroupAdminCheckbox' value='<%=sNull%>'/>
<%    gpGroupAdminCheckbox = sNull;
    }

    if ( gpEntitlementsCheckbox.equals("true") )
    {
%>
      <wf:setProperty property='gpEntitlementsCheckbox' value='<%=checked%>'/>
<%    gpEntitlementsCheckbox = checked;
    }
    else
    {
%>    <wf:setProperty property='gpEntitlementsCheckbox' value='<%=sNull%>'/>
<%    gpEntitlementsCheckbox = sNull;
    }
  }
  
  
  if ( gpNewOrEdit.equals("New") )
  {
    // We are creating a new Group Portal
%>
    <i18n:getMessage messageName='pageTitleNew' id='pageTitleTemp'/>
<%  pageTitle = pageTitleTemp;
    browseLink = "link.browse_groups_new";
    backLink = "link.back_to_home";
    headerMessage = "portalDisplayNew";
    subHeadMessage = "portalDisplaySubHeadNew";
  }
  else
  {
    // We are editing an existing Group Portal
%>
    <i18n:getMessage messageName='pageTitleEdit' id='pageTitleTemp'/>
<%  pageTitle = pageTitleTemp;
    browseLink = "link.browse_groups_edit";
    backLink = "link.back_to_edit";
    headerMessage = "portalDisplayEdit";
    subHeadMessage = "portalDisplaySubHeadEdit";
  }
%>

<%-- Get the nav bar orientation --%>
<%
  int navbarOrientation = 0;
  if((gpNavbarOrientation == null || gpNavbarOrientation.equals(sNull)) && !gpNewOrEdit.equals("New"))
  {
%>
    <res:getNavBarOrientation id='tempNavbarOrientation' groupId='<%=groupPortalObj%>' />
<%
    navbarOrientation = tempNavbarOrientation.intValue();
  }
  else if(gpNavbarOrientation.equals("vertical"))
  {
      navbarOrientation = Portal.NAVBAR_ORIENTATION_VERTICAL;
  }
  else
  {
      navbarOrientation = Portal.NAVBAR_ORIENTATION_HORIZONTAL;
  }
%>

<%-- ------------------------------------------------------------ --%>
<%-- form handling logic                                          --%>
<%-- ------------------------------------------------------------ --%>

<%
  String onSubmit = request.getParameter("submitKey");

  if (onSubmit != null)
  {
    gpDisplayNameNew = request.getParameter("submitDisplayName");
    gpEntitlementsCheckbox = request.getParameter("submitEntitlementsCheckbox");
    gpGroupAdminCheckbox = request.getParameter("submitGroupAdminCheckbox");
    String navbarValue = request.getParameter("submitNavbarOrientation");
    int navbarConst = 0;
    if(navbarValue.equals("horizontal"))
    {
        navbarConst = Portal.NAVBAR_ORIENTATION_HORIZONTAL;
    }
    else
    {
        navbarConst = Portal.NAVBAR_ORIENTATION_VERTICAL;
    }

    if( gpDisplayNameNew == null || gpDisplayNameNew.trim().equals("") )
    {
%>      <i18n:getMessage messageName='noGPDisplayName' id='noGPDisplayName'/>
<%
        pageContext.setAttribute("errorMessage", noGPDisplayName);
    }
    else
    {
      if ( gpNewOrEdit.equals("New") )
      {
        if( gpUGIDTarget == null || gpUGIDTarget.equals(""))
        {
%>        <i18n:getMessage messageName='noUserGroup' id='noUserGroup'/>
<%
          pageContext.setAttribute("errorMessage", noUserGroup);
        }
        else if( gpUGIDTemplate == null || gpUGIDTemplate.equals(""))
        {
%>          <i18n:getMessage messageName='noTemplateGP' id='noTemplateGP'/>
<%
            pageContext.setAttribute("errorMessage", noTemplateGP);
        }
        else
        {
%>
          <res:getGroupPortal id="templateGroupPortal"
                              userGroupID="<%=gpUGIDTemplate%>"
                              portalID="<%=gpPortalIDCurrent%>"
          />
          <res:addGroupPortal existingGroupPortal="<%=templateGroupPortal%>" 
                              displayName="<%=gpDisplayNameNew%>"
                              userGroupName="<%=gpUGIDTarget%>"
                              copyEntitlements="<%=new Boolean(gpEntitlementsCheckbox)%>"
                              copyAdmins="<%=new Boolean(gpGroupAdminCheckbox)%>"
                              removeExistingGroupPortal="<%=new Boolean(false)%>"
          />
          
          <%-- Now we need to get the group portal object that we just created --%>
          <res:getGroupPortal id="groupPortalObj"
                              userGroupID="<%=gpUGIDTarget%>"
                              portalID="<%=gpPortalIDCurrent%>"
          />
          <res:setNavBarOrientation orientation='<%=navbarConst%>' groupId='<%=groupPortalObj%>' />
          
          <%-- The following form and associated javascript allow for the "page forward" on a successful save --%>  
<%
          //We only want to forward if there have been no generated errors within the tags
          String logId = (String)pageContext.getAttribute("logId");
          if(logId == null)
          {
%>
            <SCRIPT LANGUAGE="JavaScript">
              window.location.replace("<wf:createWebflowURL namespace='admin_portal' event='<%=backLink%>'/>");
            </SCRIPT>
<%        }
        }
      }
      else
      {
%>
        <res:editGroupPortal existingGroupPortal="<%=currentGroupPortal%>" 
                            displayName="<%=gpDisplayNameNew%>"
                            userGroupName="<%=gpUGIDTarget%>"
        />
        <%-- Now we need to get the group portal object that we just created --%>
        <res:getGroupPortal id="groupPortalObj"
                            userGroupID="<%=gpUGIDTarget%>"
                            portalID="<%=gpPortalIDCurrent%>"
        />
        <res:setNavBarOrientation orientation='<%=navbarConst%>' groupId='<%=groupPortalObj%>' />
        <%-- The following form and associated javascript allow for the "page forward" on a successful save --%>  
<%
        //We only want to forward if there have been no generated errors within the tags
        String logId = (String)pageContext.getAttribute("logId");
        if(logId == null)
        {
          //We also need to reset the userGroupID so the portal_edit page can pick up the right one if we
          // changed it
          String params = "userGroupID=" + gpUGIDTarget + "&portalName=" + portalName + "&portalID=" + gpPortalIDCurrent;
%>
          <SCRIPT LANGUAGE="JavaScript">
            window.location.replace("<wf:createWebflowURL namespace='admin_portal' event='link.save_to_edit' extraParams='<%=params%>'/>");
          </SCRIPT>
<%      }
      }
    }
    if ( gpGroupAdminCheckbox.equals("true") )
    {
%>
      <wf:setProperty property='gpGroupAdminCheckbox' value='<%=checked%>'/>
<%    gpGroupAdminCheckbox = checked;
    }
    else
    {
%>    <wf:setProperty property='gpGroupAdminCheckbox' value='<%=sNull%>'/>
<%    gpGroupAdminCheckbox = sNull;
    }
    if ( gpEntitlementsCheckbox.equals("true") )
    {
%>    <wf:setProperty property='gpEntitlementsCheckbox' value='<%=checked%>'/>
<%    gpEntitlementsCheckbox = checked;
    }
    else
    {
%>    <wf:setProperty property='gpEntitlementsCheckbox' value='<%=sNull%>'/>
<%    gpEntitlementsCheckbox = sNull;
    }
  }
%>


<%-- ------------------------------------------------------------ --%>
<%-- begin rendering                                              --%>
<%-- ------------------------------------------------------------ --%>
<HTML>
<HEAD>
  <TITLE><%=pageTitle%></TITLE>
  <LINK REL=StyleSheet HREF="<wf:createResourceURL resource='<%=cssFile%>'/>" TYPE="text/css" MEDIA="screen">


  <%-- ------------------------------------------------------------ --%>
  <%-- begin JavaScript setup                                       --%>
  <%-- ------------------------------------------------------------ --%>
   
  <SCRIPT LANGUAGE="JavaScript">
    <!-- Begin hide from old browsers
   
    var NN4 = document.layers? true : false; //True for Netscape Navigator 4.x DOM compatible browsers
   
    function groupsInputHarvest()
    {
      //TODO:  Check all browser compatibility
      if(NN4)
      {
        // Begin Netscape 4 logic
        document.forms["UserGroupForm"].elements["groupsEntitlementsCheckbox"].value = document.forms["TemplateForm"].elements["entitlementsCheckbox"].checked;
        document.forms["UserGroupForm"].elements["groupsGroupAdminCheckbox"].value = document.forms["TemplateForm"].elements["groupAdminCheckbox"].checked;
        document.forms["UserGroupForm"].elements["groupsDisplayName"].value = document.forms["DisplayNameForm"].elements["displayName"].value;
        if(document.forms["NavbarOrientationForm"].elements["navbarOrientationH"].checked)
        {
            document.forms["UserGroupForm"].elements["groupsNavbarOrientation"].value = "horizontal";
        }
        else
        {
            document.forms["UserGroupForm"].elements["groupsNavbarOrientation"].value = "vertical";
        }
      }
      else
      {
        // Begin IE5+ and Netscape 6+ logic
        document.getElementById('groupsEntitlementsCheckbox').value = document.getElementById('entitlementsCheckbox').checked;
        document.getElementById('groupsGroupAdminCheckbox').value = document.getElementById('groupAdminCheckbox').checked;
        document.getElementById('groupsDisplayName').value = document.getElementById('displayName').value;
        if(document.getElementById('navbarOrientationH').checked)
        {
            document.getElementById('groupsNavbarOrientation').value = "horizontal";
        }
        else
        {
            document.getElementById('groupsNavbarOrientation').value = "vertical";
        }
      }
      document.forms["UserGroupForm"].submit();
    }

    function templateInputHarvest()
    {
      //TODO:  Check all browser compatibility
      if(NN4)
      {
        // Begin Netscape 4 logic
        document.forms["TemplateForm"].elements["templateDisplayName"].value = document.forms["DisplayNameForm"].elements["displayName"].value;
        if(document.forms["NavbarOrientationForm"].elements["navbarOrientationH"].checked)
        {
            document.forms["UserGroupForm"].elements["groupsNavbarOrientation"].value = "horizontal";
        }
        else
        {
            document.forms["UserGroupForm"].elements["groupsNavbarOrientation"].value = "vertical";
        }
      }
      else
      {
        // Begin IE5+ and Netscape 6+ logic
        document.getElementById('templateDisplayName').value = document.getElementById('displayName').value;
        if(document.getElementById('navbarOrientationH').checked)
        {
            document.getElementById('templateNavbarOrientation').value = "horizontal";
        }
        else
        {
            document.getElementById('templateNavbarOrientation').value = "vertical";
        }
      }
      document.forms["TemplateForm"].submit();
    }
    
    function mainInputHarvest()
    {
      //TODO:  Check all browser compatibility
      if(NN4)
      {
        // Begin Netscape 4 logic
        document.forms["MainForm"].elements["submitDisplayName"].value = document.forms["DisplayNameForm"].elements["displayName"].value;
        document.forms["MainForm"].elements["submitEntitlementsCheckbox"].value = document.forms["TemplateForm"].elements["entitlementsCheckbox"].checked;
        if(document.forms["TemplateForm"].elements["groupAdminCheckbox"].type == "checkbox")
        {
            document.forms["MainForm"].elements["submitGroupAdminCheckbox"].value = document.forms["TemplateForm"].elements["groupAdminCheckbox"].checked;
        }
        else
        {
            document.forms["MainForm"].elements["submitGroupAdminCheckbox"].value = document.forms["TemplateForm"].elements["groupAdminCheckbox"].value;
        }
        if(document.forms["NavbarOrientationForm"].elements["navbarOrientationH"][0].checked)
        {
            document.forms["MainForm"].elements["submitNavbarOrientation"].value = "horizontal";
        }
        else
        {
            document.forms["MainForm"].elements["submitNavbarOrientation"].value = "vertical";
        }
      }
      else
      {
        // Begin IE5+ and Netscape 6+ logic
        document.getElementById('submitDisplayName').value = document.getElementById('displayName').value;
        document.getElementById('submitEntitlementsCheckbox').value = document.getElementById('entitlementsCheckbox').checked;
        document.getElementById('submitGroupAdminCheckbox').value = document.getElementById('groupAdminCheckbox').checked;
        if(document.getElementById('navbarOrientationH').checked)
        {
            document.getElementById('submitNavbarOrientation').value = "horizontal";
        }
        else
        {
            document.getElementById('submitNavbarOrientation').value = "vertical";
        }
      }
      document.forms["MainForm"].submit();
    }


    // End hide from old browsers -->
  </SCRIPT>
  <%-- ------------------------------------------------------------ --%>
  <%-- end JavaScript setup                                         --%>
  <%-- ------------------------------------------------------------ --%>
</HEAD>
<BODY leftmargin="0" rightmargin="0" marginwidth="0" marginheight="0" STYLE='BACKGROUND-IMAGE:url("<wf:createResourceURL resource='<%=imagesPath + "bg_subpage.gif"%>'/>"); BACKGROUND-REPEAT: no-repeat; BACKGROUND-POSITION:left top;'>

<%@ include file="/tools/util/admin_header.inc"%>
<!-- end top nav bar -->

<!-- This is the uber table that contains two table data cells: one for the left nav, the other for the main page layout -->
  <TABLE border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
    <TR>
      <TD align="left" valign="top" class="sidenav" width="1%">
        <!-- include  table for left nav bar -->
<%      if ( gpNewOrEdit.equals("New") ) 
        {
%>
          <jsp:include page="left_navbar_create.jsp"/>
<%      }
        else
        {
%>        <jsp:include page="left_navbar.jsp"/>
<%      }
%>
      </TD>

      <TD align="center" valign="top" width="2%">
        <!-- spacer cell -->
        &nbsp;&nbsp;
      </TD>

      <!-- begin table for main content area -->
      <TD align="left" valign="top">
        <%-- Include the error message display logic --%>
        <%@ include file="/tools/util/error_message.inc"%>
<%
        // Creation of message arguments
        Object[] args = new Object[] { cnvrtSC(portalName) };
%>
        <SPAN class="pageheader"><i18n:getMessage messageName='<%=headerMessage%>' messageArgs='<%=args%>'/></SPAN><BR>
        <SPAN class="instructions"><i18n:getMessage messageName='<%=subHeadMessage%>'/></SPAN><BR><BR>
<%
        // number of labels in category listing header section
        int numberOfLabels = 3;
%>
        <TABLE cellspacing="0" cellpadding="0" border="0" width="1%">
          <TR>
              <TD colspan="<%=(numberOfLabels+2)%>">

                <!-- Begin Tab Table -->      
                <TABLE cellspacing="0" cellpadding="0" border="0" width="100%">
                  <TR>
                    <!-- category listing left hand side -->
                    <TD align="left" valign="top" ROWSPAN="2"><jsp:include page="category_list_header_lhs.jsp"/></TD>
                    <!-- It may seem strange to put a td width of 1000 in here, but after much trial and error this is the only way Netscape will maintain the fixed border widths along with the liquid, stretchable layout of the table -->
                    <TD class="categoryHeadingBorderCell" colspan="<%=numberOfLabels%>" height="1px" width="1000"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
                    <!-- category listing right hand side -->
                    <TD align="left" valign="top" ROWSPAN="2"><jsp:include page="category_list_header_rhs.jsp"/></TD>
                  </TR>
                  <TR>
                    <!-- * START LABELS -->
                    <TD class="categoryHeadingCell" NOWRAP="true" colspan="3" width=100%>
                      <i18n:getMessage messageName='userGroupDisplayLabel'/>
                    </TD>
                    <!-- * END LABELS  -->
                  </TR>
                  <!-- This creates the dark green line at the bottom of the green header -->
                  <TR>
                    <TD class="categoryHeadingBorderCell" colspan="<%=(numberOfLabels+2)%>" height="1"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
                  </TR>
                </TABLE>
            <!-- End Tab Table -->
              </TD>
          </TR>
          <!-- SPACER ROW -->
          <TR>
            <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
          </TR>
    
          <!-- START DETAIL ROW -->
          <TR>
            <TD class="row"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>

            <!-- * START DETAIL -->
            <TD class="row" align="right" valign="top" nowrap width="1%"><span class="fieldlabel"><i18n:getMessage messageName='displayNameLabel'/></span> 
            </TD>
            <TD class="row" align="left" valign="top" nowrap width="1%">
              <wf:form namespace="admin_portal" event="link.refresh" origin="group_portal.jsp" hide="true" method="post" name="DisplayNameForm"> 
                &nbsp;&nbsp;
                <INPUT name="displayName" id="displayName" type="text" value="<%=gpDisplayNameNew.trim()%>" maxlength="254">
                &nbsp;&nbsp;
              </wf:form>
            </TD>
            <TD class="row" align="left" valign="top"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
            <!-- * END DETAIL -->

            <TD class="row"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
          </TR>
          <!-- END DETAIL ROW -->

          <!-- SPACER ROW -->
          <TR>
            <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
          </TR>

          <!-- START DETAIL ROW -->
          <TR>
            <TD class="row"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
    
            <!-- * START DETAIL -->
            <TD class="row" align="right" valign="top" nowrap width="1%"> <span class="fieldlabel">Nav Bar Orientation:</span> 
            </TD>
            <TD class="row" colspan="2" align="left" valign="top">
              <wf:form namespace="admin_portal" event="link.refresh" origin="group_portal.jsp" hide="true" method="post" name="NavbarOrientationForm"> 
                &nbsp;
                <INPUT type="RADIO" name="navbarOrientationH" id="navbarOrientationH" value="horizontal" <%if(navbarOrientation == Portal.NAVBAR_ORIENTATION_HORIZONTAL){%>CHECKED<%}%>><i18n:getMessage messageName='horizontal'/>
                &nbsp;&nbsp;&nbsp;&nbsp;
                <INPUT type="RADIO" name="navbarOrientationH" id="navbarOrientationH"  value="vertical" <%if(navbarOrientation == Portal.NAVBAR_ORIENTATION_VERTICAL){%>CHECKED<%}%>><i18n:getMessage messageName='vertical'/>
              </wf:form>
            </TD>
            <!-- * END DETAIL -->
    
            <TD class="row"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
          </TR>
          <!-- END DETAIL ROW -->
        
          <!-- SPACER ROW -->
          <TR>
            <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
          </TR>

          <!-- START DETAIL ROW -->
          <TR>
          <TD class="row"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>

          <!-- * START DETAIL -->
          <TD class="row" align="right" valign="top" nowrap width="1%"> <span class="fieldlabel"><i18n:getMessage messageName='userGroupLabel'/></span> 
          </TD>
          <TD class="row" align="left" valign="top" nowrap width="1%"> 
<%          // Show the name of the chosen user group if it exists, otherwise show helpful text
            if ( gpUGIDTarget.trim().length() > 0 )
            {
%>
              &nbsp;&nbsp;<%=cnvrtSC(gpUGIDTarget)%>&nbsp;&nbsp; 
<%          }
            else
            {
%>
              &nbsp;&nbsp;
              <i18n:getMessage messageName='noUserGroupLabel'/>
              &nbsp;&nbsp; 
<%          }
%>
          </TD>
          <TD class="row" align="left" valign="top"> 
<%          if(!defaultScope)
            {
%>
              <i18n:getMessage messageName='browseGroupsLabel' id='browseGroupsLabelID'/> 
              <A HREF="javascript:groupsInputHarvest();"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "browse_user_groups.gif"%>'/>" alt="<%=browseGroupsLabelID%>" border="0"></A>
              <wf:form namespace="admin_portal" event="<%=browseLink%>" origin="group_portal.jsp" hide="true" method="post" name="UserGroupForm"> 
                <INPUT type="hidden" name="portalID" value="<%=gpPortalIDCurrent%>">
                <INPUT type="hidden" name="groupsEntitlementsCheckbox" id="groupsEntitlementsCheckbox">
                <INPUT type="hidden" name="groupsGroupAdminCheckbox" id="groupsGroupAdminCheckbox">
                <INPUT type="hidden" name="groupsDisplayName" id="groupsDisplayName">
                <INPUT type="hidden" name="groupsNavbarOrientation" id="groupsNavbarOrientation">
              </wf:form>
<%          }
            else
            {
%>
              &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<%
            }
%>
          </TD>
          <!-- * END DETAIL -->

          <TD class="row"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
        </TR>
        <!-- END DETAIL ROW -->

        <!-- SPACER ROW -->
        <TR>
          <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
        </TR>
        <TR>
          <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
        </TR>

<%      // Only show this section if we're creating a new Group Portal.
        if ( gpNewOrEdit.equals("New") )
        {
%>        <!-- START DETAIL ROW -->
          <wf:form namespace="admin_portal"  event="link.choose_template" origin="group_portal.jsp" hide="true" method="post" name="TemplateForm">
            <INPUT type="hidden" name="templateDisplayName" id="templateDisplayName">
            <INPUT type="hidden" name="templateNavbarOrientation" id="templateNavbarOrientation">
            <TR>
              <TD class="row"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
        
              <!-- * START DETAIL -->
              <TD class="row" align="right" nowrap width="1%">
                <SPAN class="fieldlabel"><i18n:getMessage messageName='chooseTemplateLabel'/></SPAN>
              </TD>
              <TD class="row" align="left" nowrap width="1%">
<%              // Show the display name of the chosen template if it exists, otherwise show helpful text
                if ( gpTemplateDisplayName.trim().length() > 0 )
                {
%>                &nbsp;&nbsp;<%=cnvrtSC(gpTemplateDisplayName)%>&nbsp;&nbsp;
<%              }
                else
                {
%>                &nbsp;&nbsp;
                  <i18n:getMessage messageName='noTemplateLabel'/>
                  &nbsp;&nbsp;
<%              }
%>
              </TD>
              <TD class="row" align="left">
                <i18n:getMessage messageName='browseTemplatesLabel' id='browseTemplatesLabelID'/>
                &nbsp;&nbsp;&nbsp;
                <A HREF="javascript:templateInputHarvest()"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "browse_templates.gif"%>'/>" alt="<%=browseTemplatesLabelID%>" border="0"></A>
              </TD>
              <INPUT type="hidden" name="portalID" value="<%=gpPortalIDCurrent%>">
              <!-- * END DETAIL -->
              <TD class="row"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
            </TR>
            <!-- END DETAIL ROW -->
        
        
            <!-- SPACER ROW -->
            <TR>
              <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
            </TR>
            <TR>
              <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
            </TR>
          
            <!-- START DETAIL ROW -->
            <TR>
              <TD class="row"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
        
              <!-- * START DETAIL -->
              <TD class="row" align="right" valign="top" nowrap width="1%"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
              <TD colspan="2" class="row" align="left" valign="bottom" nowrap>
<%              // Only show the checkboxes if a template has already been chosen
                if ( gpTemplateDisplayName.trim().length() > 0 )
                {
                  // Create the arguments for the i18n tag
                  args = new Object[] { gpTemplateDisplayName };
%>
                    &nbsp;&nbsp;
                    <INPUT type="checkbox" name="entitlementsCheckbox" id="entitlementsCheckbox" value="true" <%=gpEntitlementsCheckbox%> >
                    <i18n:getMessage messageName='entitlementsCheckbox' messageArgs='<%=args%>'/>
<%                  
                  //We can't copy entitlements, or group admins, if we use the default group portal as the template
                  if(!gpUGIDTemplate.equals(UserManagerConstants.EVERYONE_USERGROUP_NAME))
                  {
%>
                    <br><br>
                    &nbsp;&nbsp;
                    <INPUT type="checkbox" name="groupAdminCheckbox" id="groupAdminCheckbox" value="true" <%=gpGroupAdminCheckbox%> >
                    <i18n:getMessage messageName='groupAdminCheckbox' messageArgs='<%=args%>'/>
<%                }
                  else
                  {
                    // Put in empty inputs so the form logic doesn't try to find non-existent inputs
%>
                    <INPUT type="hidden" name="groupAdminCheckbox" id="groupAdminCheckbox" value="false">
<%                }
                }
                else
                {
                  // Put in empty inputs so the form logic doesn't try to find non-existent inputs
%>                <INPUT type="hidden" name="entitlementsCheckbox" id="entitlementsCheckbox" value=""> 
                  <INPUT type="hidden" name="groupAdminCheckbox" id="groupAdminCheckbox" value="">
<%              }
%>
              </TD>
              <!-- * END DETAIL -->
            </wf:form>
            <TD class="row"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
          </TR>
          <!-- END DETAIL ROW -->
        
          <!-- SPACER ROW -->
          <TR>
            <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
          </TR>
          <TR>
            <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
          </TR>
<% 
        } // end if ( gpNewOrEdit.equals("New") )
        //We need to still have this form for the checkbox references
        else
        {
          // Put in empty inputs so the form logic doesn't try to find non-existent inputs
%>
          <wf:form namespace="admin_portal"  event="link.choose_template" origin="group_portal.jsp" hide="true" method="post" name="TemplateForm">
            <INPUT type="hidden" name="entitlementsCheckbox" id="entitlementsCheckbox" value=""> 
            <INPUT type="hidden" name="groupAdminCheckbox" id="groupAdminCheckbox" value="">
          </wf:form>
<%      }
%>
        
        <!-- START DETAIL ROW -->
        <TR>
            <wf:form namespace="admin_portal" event="link.refresh" origin="group_portal.jsp" hide="true" method="post" name="MainForm">  
              <TD class="row" align="left" valign="top" nowrap width="1%" colspan="5"><br><br>
                &nbsp;&nbsp;&nbsp;
                <A HREF="<wf:createWebflowURL namespace='admin_portal' event='<%=backLink%>'/>"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "back.gif"%>'/>" border="0" align="bottom"></A>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                <A HREF="javascript:mainInputHarvest();"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "save.gif"%>'/>" border="0"></A>
                <INPUT type="hidden" name="submitKey" value="submit">
                <INPUT type="hidden" name="submitDisplayName" id="submitDisplayName">
                <INPUT type="hidden" name="submitEntitlementsCheckbox" id="submitEntitlementsCheckbox">
                <INPUT type="hidden" name="submitGroupAdminCheckbox" id="submitGroupAdminCheckbox">
                <INPUT type="hidden" name="submitNavbarOrientation" id="submitNavbarOrientation">
              </TD>
            </wf:form>
        </TR>
        <!-- END DETAIL ROW -->

        <TR>
          <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
        </TR>
        <TR>
          <TD class="emptyRow" colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
        </TR>

      </TABLE>

    </TD>
    <!-- end content area -->

    <TD align="center" valign="top" width="2%">
      <!-- spacer cell -->
      &nbsp;&nbsp;
    </TD>

    </TR>
  </TABLE>

</BODY>
</HTML>
