<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>
<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>

<%@ page import="java.net.URLEncoder"%>
<%@ page import="java.util.List"%>
<%@ page import="com.bea.portal.model.Portal"%>
<%@ page import="com.bea.portal.model.PortalIdentifier"%>
<%@ page import="com.bea.portal.model.PortalMetadata"%>
<%@ page import="com.bea.portal.admin.DelegatedAdminConstants"%>
<%@ page import="com.bea.portal.manager.ejb.PortalManager"%>
<%@ page import="com.bea.portal.manager.ejb.PortalManagerHome"%>
<%@ page import="com.bea.portal.model.GroupPortal"%>
<%@ page import="com.bea.portal.entitlement.resource.PortalAdminTaskResourceConstants"%>
<%@ page import="com.bea.portal.entitlement.resource.PortalEntitlementResourceConstants"%>
<%@ page import="com.bea.portal.jsp.JspConstants"%>
<%@ page import="com.bea.portal.jsp.JspBase"%>


<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>
<%@ taglib uri="dam.tld" prefix="dam" %>

<%-- ------------------------------------------------------------ --%>
<%-- Get NavLocation VALUE                                        --%>
<%-- Used for the left_navbar highlighting                        --%>
<%-- ------------------------------------------------------------ --%>
  <wf:getProperty property='NavLocation' id='highlightLink' scope='request'/>
<%//This is to prevent NullPointerExceptions if the NavLocation is not in the session
  if(highlightLink == null)
  {
    highlightLink = "";
  }
%>
<%-- ------------------------------------------------------------ --%>
<%-- Variable setup                                               --%>
<%-- ------------------------------------------------------------ --%>
<% 
String bundleName = "left_navbar"; 
String imagesPath = pageContext.getAttribute("imagesPath", pageContext.REQUEST_SCOPE).toString();
%>

<%-- Get the currently chosen Portal and Group Portal names from the session --%>
  <wf:getProperty property='portalName' id='portalNameForNav' type='String'/>
  <wf:getProperty property='groupPortalObj' id='groupPortalObj' type='com.bea.portal.model.GroupPortal'/>
  <wf:getProperty property='isDefaultGroup' id='isDefaultGroup' type='String'/>

<%
  boolean defaultScope = false;
  if(isDefaultGroup.equals("true"))
  {
      defaultScope = true;
  }
  String portalGroupName = groupPortalObj.getDisplayName();
  String userGroupId = groupPortalObj.getGroupIdentifier();

  // If we're editing the default group set var to "Portal", otherwise to "Group"
  String scope = "Group";
  String theClass = "";

  if ( defaultScope )
  {
    scope = "Portal";
  }
%>

  <%-- Set up variables to know what to display to the user --%>
  <dam:isPortalAdminAccessAllowed id="usersGrant" portalIdentifier="<%=groupPortalObj.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_USERS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>'  userName="<%=request.getRemoteUser()%>"/>
  <dam:isPortalAdminAccessAllowed id="usersDelegate" portalIdentifier="<%=groupPortalObj.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_USERS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=request.getRemoteUser()%>"/>
  <dam:isPortalAdminAccessAllowed id="portalPagesGrant" portalIdentifier="<%=groupPortalObj.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_PORTAL_PAGES %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=request.getRemoteUser()%>"/>
  <dam:isPortalAdminAccessAllowed id="portalPagesDelegate" portalIdentifier="<%=groupPortalObj.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_PORTAL_PAGES %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=request.getRemoteUser()%>"/>
  <dam:isPortalAdminAccessAllowed id="portalPagesEntitle" portalIdentifier="<%=groupPortalObj.getPortalIdentifier()%>" resourceType='<%=PortalEntitlementResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalEntitlementResourceConstants.ENTITLE_PORTAL_PAGES %>' capabilityKey='<%=PortalEntitlementResourceConstants.ENTITLEABLE%>' userName="<%=request.getRemoteUser()%>"/>
  <dam:isPortalAdminAccessAllowed id="portletsGrant" portalIdentifier="<%=groupPortalObj.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_PORTLETS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=request.getRemoteUser()%>"/>
  <dam:isPortalAdminAccessAllowed id="portletsDelegate" portalIdentifier="<%=groupPortalObj.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_PORTLETS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=request.getRemoteUser()%>"/>
  <dam:isPortalAdminAccessAllowed id="portletsEntitle" portalIdentifier="<%=groupPortalObj.getPortalIdentifier()%>" resourceType='<%=PortalEntitlementResourceConstants.RESOURCE_TYPE%>' adminTask='<%=PortalEntitlementResourceConstants.ENTITLE_PORTLETS %>' capabilityKey='<%=PortalEntitlementResourceConstants.ENTITLEABLE%>' userName="<%=request.getRemoteUser()%>"/>
  <dam:isPortalAdminAccessAllowed id="skinsGrant" portalIdentifier="<%=groupPortalObj.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_SKINS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=request.getRemoteUser()%>"/>
  <dam:isPortalAdminAccessAllowed id="skinsDelegate" portalIdentifier="<%=groupPortalObj.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_SKINS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=request.getRemoteUser()%>"/>
<%
  if(scope.equals("Group"))
  {
%>
    <dam:isGroupAdminAccessAllowed id="usersGrant" groupPortal="<%=groupPortalObj%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_USERS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>'  userName="<%=request.getRemoteUser()%>"/>
    <dam:isGroupAdminAccessAllowed id="usersDelegate" groupPortal="<%=groupPortalObj%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_USERS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=request.getRemoteUser()%>"/>
    <dam:isGroupAdminAccessAllowed id="portalPagesGrant" groupPortal="<%=groupPortalObj%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_PORTAL_PAGES %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=request.getRemoteUser()%>"/>
    <dam:isGroupAdminAccessAllowed id="portalPagesDelegate" groupPortal="<%=groupPortalObj%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_PORTAL_PAGES %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=request.getRemoteUser()%>"/>
    <dam:isGroupAdminAccessAllowed id="portalPagesEntitle" groupPortal="<%=groupPortalObj%>" resourceType='<%=PortalEntitlementResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalEntitlementResourceConstants.ENTITLE_PORTAL_PAGES %>' capabilityKey='<%=PortalEntitlementResourceConstants.ENTITLEABLE%>' userName="<%=request.getRemoteUser()%>"/>
    <dam:isGroupAdminAccessAllowed id="portletsGrant" groupPortal="<%=groupPortalObj%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_PORTLETS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=request.getRemoteUser()%>"/>
    <dam:isGroupAdminAccessAllowed id="portletsDelegate" groupPortal="<%=groupPortalObj%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_PORTLETS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=request.getRemoteUser()%>"/>
    <dam:isGroupAdminAccessAllowed id="portletsEntitle" groupPortal="<%=groupPortalObj%>" resourceType='<%=PortalEntitlementResourceConstants.RESOURCE_TYPE%>' adminTask='<%=PortalEntitlementResourceConstants.ENTITLE_PORTLETS %>' capabilityKey='<%=PortalEntitlementResourceConstants.ENTITLEABLE%>' userName="<%=request.getRemoteUser()%>"/>
    <dam:isGroupAdminAccessAllowed id="skinsGrant" groupPortal="<%=groupPortalObj%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_SKINS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=request.getRemoteUser()%>"/>
    <dam:isGroupAdminAccessAllowed id="skinsDelegate" groupPortal="<%=groupPortalObj%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.DELEGATE_MANAGE_SKINS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.DELEGATEABLE%>' userName="<%=request.getRemoteUser()%>"/>
<%
  }

  //Convert Boolean objects into primatives
  boolean canUsersGrant = usersGrant.booleanValue();
  boolean canSkinsGrant = skinsGrant.booleanValue();
  boolean canPortalPagesGrant = portalPagesGrant.booleanValue();
  boolean canPortletsGrant = portletsGrant.booleanValue();
  boolean canUsersDelegate = usersDelegate.booleanValue();
  boolean canSkinsDelegate = skinsDelegate.booleanValue();
  boolean canPortalPagesDelegate = portalPagesDelegate.booleanValue();
  boolean canPortletsDelegate = portletsDelegate.booleanValue();
  boolean canPortalPagesEntitle = portalPagesEntitle.booleanValue();
  boolean canPortletsEntitle = portletsEntitle.booleanValue();
%>

  <TABLE border="0" cellspacing="0" cellpadding="0" valign="top" >
    <TR>
      <TD>&nbsp;</TD>
    </TR>
    <TR>
      <TD>
          <A class="navheaderlink" href="<wf:createWebflowURL namespace='admin_portal' event='link.portal_home'/>"><i18n:getMessage messageName='portalHome' bundleName='<%=bundleName%>'/></A>
      </TD>
    </TR>

    <TR>
      <TD>&nbsp;</TD>
    </TR>
	
    <TR>
<%	  
	  // Check to see if another section should be hightlighted.
      if(highlightLink.equals("") )
      {
%>
      <TD class="navheaderselected">
        <A class="plain" href="<wf:createWebflowURL namespace='admin_portal' event='link.edit_portal'/>"><i18n:getMessage messageName='groupPortaHome' bundleName='<%=bundleName%>'/></A>
      </TD>
<%	  } else {
%>
      <TD class="navheaderunsel">
        <A class="plain" href="<wf:createWebflowURL namespace='admin_portal' event='link.edit_portal'/>"><i18n:getMessage messageName='groupPortaHome' bundleName='<%=bundleName%>'/></A>
      </TD>
<%    }
%>
    </TR>
	
<%  if(canPortalPagesGrant || canPortletsGrant)
    {
%>
      <!-- begin Manage Pages section -->
      <TR>
<%      if(highlightLink.equals(JspConstants.PAGES_LAYOUTS_PORTLETS_NAV))
        {
		   theClass = "navbarselected";
		} else {
		   theClass = "navbarunselportal";
		}
%>
          <TD class="<%= theClass %>">
            <P class="indent1">
              <A class="navbarportallink" href="<wf:createWebflowURL namespace='admin_portal' event='link.manage_portal_pages'/>"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "manage_layouts.gif"%>'/>" border="0" hspace="0">&nbsp;<i18n:getMessage messageName='pagesLayoutsPortlets' bundleName='<%=bundleName%>'/></A>
            </P>
          </TD>
      </TR>
	  <!-- end Manage Pages section -->
<%  }
%>

<%  if(canSkinsGrant)
    {
%>
      <!-- begin skins section -->
      <TR>
<%      if(highlightLink.equals(JspConstants.SKINS_NAV))
        {
		   theClass = "navbarselected";
		} else {
		   theClass = "navbarunselportal";
		}
%>
          <TD class="<%= theClass %>">
            <P class="indent1">
              <A class="navbarportallink" href="<wf:createWebflowURL namespace='admin_portal' event='link.select_skins'/>"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "select_skins.gif"%>'/>" border="0" hspace="0">&nbsp;<i18n:getMessage messageName='skins' bundleName='<%=bundleName%>'/></A>
            </P>
          </TD>
      </TR>
      <!-- end skins section-->
<%  }
%>
    <dam:canAdministerPortal id="isPortalAdmin" portalIdentifier="<%=groupPortalObj.getPortalIdentifier()%>"/>
<%
    if(isPortalAdmin.booleanValue())
    {
%>
      <TR>
<%      if(highlightLink.equals(JspConstants.GROUP_PORTAL_NAV))
        {
            theClass = "navbarselected";
        } else {
            theClass = "navbarunselportal";
        }
%>
        <TD class="<%= theClass %>">
          <P class="indent1">
            <A class="navbarportallink" href="<wf:createWebflowURL namespace='admin_portal' event='link.edit_group_portal'/>"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "edit_user_groups.gif"%>'/>" border="0" hspace="0">&nbsp;<i18n:getMessage messageName='groupAssociation' bundleName='<%=bundleName%>'/></A>
          </P>
        </TD>
      </TR>
      <!-- end Group Portal Attributes section -->
<%
    }
%>

<%  if(canUsersGrant && !defaultScope)
    {
%>
      <!-- begin User Mgmt section -->
	  <TR>
<%      if( highlightLink.equals(JspConstants.USERS_NAV) )
        {
		   theClass = "navbarselected";
		} else {
		   theClass = "navbarunselportal";
		}
%>
          <TD class="<%= theClass %>">
            <P class="indent1">
              <A class="navbarportallink" href="<wf:createWebflowURL namespace='admin_portal' event='link.choose_user'/>"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "users.gif"%>'/>" border="0" hspace="0">&nbsp;<i18n:getMessage messageName='userMgmt' bundleName='<%=bundleName%>'/></A>
            </P>
          </TD>
      </TR>
	  <!-- end User Mgmt section -->
	  <!-- begin User Group Mgmt section -->
      <TR>
<%      if( highlightLink.equals(JspConstants.USER_GROUP_NAV) )
        {
		   theClass = "navbarselected";
		} else {
		   theClass = "navbarunselportal";
		}
%>
          <TD class="<%= theClass %>">
            <P class="indent1">
              <A class="navbarportallink" href="<wf:createWebflowURL namespace='admin_portal' event='link.edit_user_group'/>"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "user_group.gif"%>'/>" border="0" hspace="0">&nbsp;<i18n:getMessage messageName='userGroup' bundleName='<%=bundleName%>'/></A>
            </P>
          </TD>
      </TR>
	  <!-- end User Group Mgmt section -->
<%
    }

    if((canUsersDelegate || canSkinsDelegate || canPortalPagesDelegate || canPortletsDelegate) && ! defaultScope)
    {
      // Creation of message arguments
      Object[] args = new Object[] { scope };
%>
      <!-- begin Del Admin section -->
	  <TR>
<%      if(highlightLink.equals(JspConstants.EDIT_DELEGATED_ADMIN_NAV))
        {
		   theClass = "navbarselected";
		} else {
		   theClass = "navbarunselportal";
		}
%>
          <TD class="<%= theClass %>">
            <P class="indent1">
              <A class="navbarportallink" href="<wf:createWebflowURL namespace='admin_portal' event='link.browse_admin_edit'/>"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "edit_delegated.gif"%>'/>" border="0" hspace="0">&nbsp;<i18n:getMessage messageName='editAdmin' messageArgs='<%=args%>' bundleName='<%=bundleName%>'/></A>
            </P>
          </TD>
      </TR>
	  <!-- end Del Admin section -->
<%
    }
%>

<%
      // Creation of message arguments
      Object[] args = new Object[] { JspBase.cnvrtSC(portalNameForNav), JspBase.cnvrtSC(portalGroupName) };
%>
    <TR>
      <TD>
        <br>&nbsp;<br>&nbsp;<br>
      <table width="100%" border="1" cellspacing="0" cellpadding="2">
        <tr>
          <td class="WHITETEXT"><div align="center" class="fieldlabel"><i18n:getMessage messageName='groupPortalInfo' bundleName='<%=bundleName%>'/><br></div>
<%        if(defaultScope)
          {
%>
            <div align="CENTER"><i18n:getMessage messageName='defaultGroupPortal' bundleName='<%=bundleName%>'/><br></div>
<%        }
%>
          &nbsp;<br>
          <span class="fieldlabel"><i18n:getMessage messageName='portalApp' bundleName='<%=bundleName%>'/></span><br>
          &nbsp;&nbsp;&nbsp;<%= JspBase.cnvrtSC(portalNameForNav) %><br>
          &nbsp;<br>
          <span class="fieldlabel"><i18n:getMessage messageName='groupPortalName' bundleName='<%=bundleName%>'/></span><br>
          &nbsp;&nbsp;&nbsp;<%= JspBase.cnvrtSC(portalGroupName) %><br>
          &nbsp;<br>
          <span class="fieldlabel"><i18n:getMessage messageName='assocUserGroup' bundleName='<%=bundleName%>'/></span><br>
          &nbsp;&nbsp;&nbsp;<%= JspBase.cnvrtSC(userGroupId) %><br>&nbsp;		  
		  </td>
        </tr>
      </table>
    </TD>
    </TR>

    <TR>
      <TD width="171">
        <BR><BR>
        <IMG width="171" HEIGHT="150" src="<wf:createResourceURL resource='<%=imagesPath+"photo_montage.jpg"%>'/>" border="0">
      </TD>
    </TR>
</TABLE>
