<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>
<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>

<%-- ------------------------------------------------------------ --%>
<%-- page imports                                                 --%>
<%-- ------------------------------------------------------------ --%>
<%@ page import="com.bea.portal.model.PortalConstants"%>
<%@ page import="com.bea.portal.model.GroupPortal"%>
<%@ page import="com.bea.portal.model.Page"%>
<%@ page import="com.bea.portal.model.PagePersonalization"%>
<%@ page import="com.bea.portal.jsp.JspConstants"%>
<%@ page import="com.bea.portal.entitlement.resource.PortalAdminTaskResourceConstants"%>
<%@ page import="com.bea.portal.entitlement.resource.PortalEntitlementResourceConstants"%>

<%@ page errorPage="error.jsp" %>


<%-- ------------------------------------------------------------ --%>
<%-- taglibs                                                      --%>
<%-- ------------------------------------------------------------ --%>
<%@ taglib uri="res.tld" prefix="res" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>
<%@ taglib uri="dam.tld" prefix="dam" %>


<%-- ------------------------------------------------------------ --%>
<%-- i18n (internationalization) and skin setup                   --%>
<%-- ------------------------------------------------------------ --%>

<%@ include file="/tools/portal/i18n_setup.inc"%>

<%  // Grab the html title string from the properties file %>
<i18n:getMessage messageName='pageTitle' id='pageTitle'/>


<%-- ------------------------------------------------------------ --%>
<%-- environment setup                                            --%>
<%-- ------------------------------------------------------------ --%>

<%-- ------------------------------------------------------------ --%>
<%-- DECLARE NavLocation VALUE                                    --%>
<%-- Used for the left_navbar highlighting                        --%>
<%-- ------------------------------------------------------------ --%>
  <wf:setProperty property='NavLocation' value='<%=JspConstants.PAGES_LAYOUTS_PORTLETS_NAV%>' scope='request'/>
 
<%-- Get the Default Group Portal Display name to use on the page --%>
<i18n:getMessage id='defaultGroupPortalName' messageName='defaultGroupPortalDisplayName' bundleName='tools'/>

<%
  /* setup variables used in this page */
//  boolean isDefaultGroup = false;
	boolean defaultScope = false;
	String rowType = "row2";

%>
  <wf:getProperty property="portalName" id="portalName" type="String"/>
  <wf:getProperty property="groupPortalObj" id="currentGroupPortal" type="com.bea.portal.model.GroupPortal"/>
  <wf:getProperty property="isDefaultGroup" id="isDefaultGroup" type="String"/>
<%
//  isDefaultGroup = (new Boolean(isDefaultGroupString)).booleanValue();
  String groupPortalGroupId = currentGroupPortal.getGroupIdentifier();
  String groupPortalName = currentGroupPortal.getDisplayName();
  if(( isDefaultGroup != null ) && ( isDefaultGroup.equals("true") ))
  {
    defaultScope = true;
    groupPortalName = defaultGroupPortalName;
  }
  boolean canPortalPagesGrant;
  boolean canPortalPagesEntitle;
  boolean canPortletsGrant = false;
  if(!defaultScope)
  {
%>
    <%-- Set up variables to know what to display to the user --%>
    <dam:isGroupAdminAccessAllowed id="tempPortalPagesGrant" groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_PORTAL_PAGES %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=request.getRemoteUser()%>"/> 
    <dam:isGroupAdminAccessAllowed id="tempPortalPagesEntitle" groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalEntitlementResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalEntitlementResourceConstants.ENTITLE_PORTAL_PAGES %>' capabilityKey='<%=PortalEntitlementResourceConstants.ENTITLEABLE%>' userName="<%=request.getRemoteUser()%>"/> 
    <dam:isGroupAdminAccessAllowed id="tempPortletsGrant" groupPortal="<%=currentGroupPortal%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_PORTLETS %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=request.getRemoteUser()%>"/> 
<% 
    canPortalPagesGrant = tempPortalPagesGrant.booleanValue();
    canPortalPagesEntitle = tempPortalPagesEntitle.booleanValue();
    canPortletsGrant = tempPortletsGrant.booleanValue();
  } else
  {
%>
    <dam:isPortalAdminAccessAllowed id="tempPortalPagesGrant" portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalAdminTaskResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalAdminTaskResourceConstants.MANAGE_PORTAL_PAGES %>' capabilityKey='<%=PortalAdminTaskResourceConstants.MANAGEABLE%>' userName="<%=request.getRemoteUser()%>"/> 
    <dam:isPortalAdminAccessAllowed id="tempPortalPagesEntitle" portalIdentifier="<%=currentGroupPortal.getPortalIdentifier()%>" resourceType='<%=PortalEntitlementResourceConstants.RESOURCE_TYPE%>' adminTask='<%= PortalEntitlementResourceConstants.ENTITLE_PORTAL_PAGES %>' capabilityKey='<%=PortalEntitlementResourceConstants.ENTITLEABLE%>' userName="<%=request.getRemoteUser()%>"/> 

<% 
    canPortalPagesGrant = tempPortalPagesGrant.booleanValue();
    canPortalPagesEntitle = tempPortalPagesEntitle.booleanValue();
  }
%>

<res:getHomePage id='currentHomePageId' groupId='<%=currentGroupPortal%>'/>
<% String currentHomePageName = currentHomePageId.getName(); 
%>

<%-- ------------------------------------------------------------ --%>
<%-- begin rendering                                              --%>
<%-- ------------------------------------------------------------ --%>
<html>
<head>
  <title><%=pageTitle%></title>
  <LINK REL=StyleSheet HREF="<wf:createResourceURL resource='<%=cssFile%>'/>" TYPE="text/css" MEDIA="screen">
</head>
<BODY leftmargin="0" rightmargin="0" marginwidth="0" marginheight="0" STYLE='BACKGROUND-IMAGE:url("<wf:createResourceURL resource='<%=imagesPath + "bg_subpage.gif"%>'/>"); BACKGROUND-REPEAT: no-repeat; BACKGROUND-POSITION:left top;'>

<%@ include file="/tools/util/admin_header.inc"%>
<!-- end top nav bar -->

<!-- This is the uber table that contains two table data cells: one for the left nav, the other for the main page layout -->
<TABLE border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
<TR><TD align="left" valign="top" class="sidenav" width="1%">
<!-- include  table for left nav bar -->
<jsp:include page="left_navbar.jsp"/>
</TD>


<TD align="center" valign="top" width="2%">
  <!-- spacer cell -->
  &nbsp;&nbsp;
</TD>

<!-- begin table for main content area -->
<TD align="left" valign="top">

  <%
    // Creation of message arguments
    Object[] args = new Object[] { cnvrtSC(portalName), cnvrtSC(groupPortalName) };
  %>
  <span class="pageheader"><i18n:getMessage messageName='portalDisplay' messageArgs='<%=args%>'/></span><BR>
<% if (canPortalPagesGrant && canPortalPagesEntitle) { %>
  <span class="instructions"><i18n:getMessage messageName='portalDisplaySubHeadAll'/></span><BR><BR>
<% } else if (canPortalPagesGrant) { %>
  <span class="instructions"><i18n:getMessage messageName='portalDisplaySubHeadGrant'/></span><BR><BR>
<% } else if (canPortalPagesEntitle) { %>
  <span class="instructions"><i18n:getMessage messageName='portalDisplaySubHeadEntitle'/></span><BR><BR>
<% } else { %>
  <span class="instructions"><i18n:getMessage messageName='portalDisplaySubHead'/></span><BR><BR>
<% } %>

  <TABLE>
<%   
    if (canPortalPagesGrant) 
    { 
%>
      <TR>
        <TD>
          <img src="<wf:createResourceURL resource='<%=imagesPath + "edit_portlet_attributes.gif"%>'/>" width="13" height="13" alt="" border="0" hspace="5">
          <a href="<wf:createWebflowURL namespace="admin_portal" event="link.select_portal_pages"/>"><i18n:getMessage messageName='selectPages'/></a>
        </TD>
      </TR>
      <TR>
        <TD>
          <img src="<wf:createResourceURL resource='<%=imagesPath + "edit_attributes.gif"%>'/>" width="13" height="12" alt="" border="0" hspace="5">
          <a href="<wf:createWebflowURL namespace="admin_portal" event="link.page_mult_attr"/>"><i18n:getMessage messageName='setAttributeOnMultPages'/></a>
        </TD>
      </TR>
<% 
    } 
%>
    <TR>
      <TD>
        <img src="<wf:createResourceURL resource='<%=imagesPath + "edit_layout_names_icon.gif"%>'/>" width="13" height="13" alt="" border="0" hspace="5">
        <a href="<wf:createWebflowURL namespace="admin_portal" event="link.display_names"/>"><i18n:getMessage messageName='editLayoutNames'/></a>
      </TD>
    </TR>
  </TABLE>  
  <BR><BR>

<%
    // number of labels in category listing header section
    int numberOfLabels = 5;
%>


  <TABLE cellspacing="0" cellpadding="0" border="0" width="1%">

    <TR>
        <TD colspan="<%=(numberOfLabels+2)%>">
    
          <!-- Begin Tab Table -->      
          <TABLE cellspacing="0" cellpadding="0" border="0" width="100%">
            <TR>
              <!-- category listing left hand side -->
              <TD align="left" valign="top" ROWSPAN="2"><jsp:include page="category_list_header_lhs.jsp"/></TD>
              <!-- It may seem strange to put a td width of 1000 in here, but after much trial and error this is the only way Netscape will maintain the fixed border widths along with the liquid, stretchable layout of the table -->
              <TD class="categoryHeadingBorderCell" colspan="<%=numberOfLabels%>" height="1px" width="1000"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
              <!-- category listing right hand side -->
              <TD align="left" valign="top" ROWSPAN="2"><jsp:include page="category_list_header_rhs.jsp"/></TD>
            </TR>
            <TR>
              <!-- * START LABELS -->
              <TD class="categoryHeadingCell" NOWRAP="true" colspan="<%=numberOfLabels%>">
                <i18n:getMessage messageName='selectedItemsSubHead'/>
              </TD>
              <!-- * END LABELS  -->
            </TR>
            <!-- This creates the dark green line at the bottom of the green header -->
            <TR>
              <TD class="categoryHeadingBorderCell" colspan="<%=(numberOfLabels+2)%>" height="1"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
            </TR>
          </TABLE>
          <!-- End Tab Table -->
        </TD>
    </TR>
    
    <!-- SPACER ROW -->
    <TR>
      <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
    </TR>

    <res:getSelectedPages id="selectedPages" groupId="<%=currentGroupPortal%>"/>
<%
    if (selectedPages != null) 
    {
      for (int i=0; i<selectedPages.size(); i++) 
      {
        String pageName = "";
        String displayName = "";
        String pid = "";
        String extraParams = "";
        PagePersonalization pp = (PagePersonalization)selectedPages.get(i);
        if (pp != null) 
        {
          pageName = pp.getPageIdentifier().getName();
          displayName = pp.getDisplayName();
          pid = pp.getIdentifier().getId();
          extraParams="portalPageName="+pageName+"&selectedPages="+pageName;
    
          // Switch every other row's background color
          if ( rowType.equals("row2") )
          {
             rowType = "row1";
          } else {
             rowType = "row2";
          }
%>
          <TR class="<%=rowType%>">
            <TD><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
            <!-- START DETAIL ROW -->
            <TD align="left" valign="middle" nowrap>
<%            if(pageName.equals(currentHomePageName))
              {
%>
              *<%=cnvrtSC(displayName)%>
<%
              }
              else
              {
%>
              <%=cnvrtSC(displayName)%>
<%
              }
%>
            </TD>
            
            <TD>
              &nbsp;
            </TD>
                    
            <TD>
              <TABLE>
                <TR>
                  <TD align="left" valign="top">
<%          
                    if (canPortalPagesGrant || defaultScope)
                    {
%>		        
                      <a href="<wf:createWebflowURL namespace="admin_portal" extraParams="<%=extraParams%>" event="link.select_layouts"/>"><img src="<wf:createResourceURL resource='<%=imagesPath + "layouts.gif"%>'/>" border="0" vspace="2"></a><BR>
<%          
                    } 
                    else
                    {
%>            
                      &nbsp;
<%          
                    }
%>
                  </TD>
            
                  <TD align="left" valign="top">
<%          
                    if (canPortalPagesGrant || defaultScope)
                    {
%>		        
                      <a href="<wf:createWebflowURL namespace="admin_portal" extraParams="<%=extraParams%>" event="link.page_attr"/>"><img src="<wf:createResourceURL resource='<%=imagesPath + "attributes.gif"%>'/>" border="0" vspace="2"></a><BR>
<%          
                    } 
                    else
                    {
%>            
                      &nbsp;
<%          
                    }
%>
                  </TD>

                  <TD align="left" valign="top">
<%          
                    if (canPortalPagesEntitle || defaultScope)
                    {
%>		        
                      <a href="<wf:createWebflowURL namespace="admin_portal" extraParams="<%=extraParams%>" event="link.page_ent"/>"><img src="<wf:createResourceURL resource='<%=imagesPath + "entitlements.gif"%>'/>" border="0" vspace="2"></a><BR>
<%          
                    } 
                    else
                    {
%>            
                      &nbsp;
<%          
                    }
%>
                  </TD>
                </TR>
              </TABLE>
            </TD>
            
            <TD>
              &nbsp;&nbsp;&nbsp;
            </TD>
                
            <TD>
              <TABLE>
                <TR>
                  <TD align="left" valign="top">
<%        
                    if (canPortletsGrant || defaultScope)
                    {
%>		  
                      <a href="<wf:createWebflowURL namespace="admin_portal" extraParams="<%=extraParams%>" event="link.edit_portlets"/>"><img src="<wf:createResourceURL resource='<%=imagesPath + "edit_portlets.gif"%>'/>" border="0" vspace="2"></a><BR>
<%          
                    }
                    else
                    {
%>        
                      &nbsp;
<% 
                    }
%>
                  </TD>

                  <TD align="left" valign="top">
<%        
                    if (canPortletsGrant || defaultScope)
                    {
%>		  
                      <a href="<wf:createWebflowURL namespace="admin_portal" extraParams="<%=extraParams%>" event="link.select_portlets"/>"><img src="<wf:createResourceURL resource='<%=imagesPath + "position_portlets.gif"%>'/>" border="0" vspace="2"></a><BR>
<%          
                    }
                    else
                    {
%>        
                      &nbsp;
<% 
                    }
%>
                  </TD>
                </TR>
              </TABLE>
            </TD>
            <!-- END DETAIL ROW -->
            
            <TD><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
          </TR>
<%
        }
      }
    }
%>

    <TR>
      <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>">&nbsp;</TD>
    </TR>
    <TR>
      <TD class="emptyRow" colspan="<%=(numberOfLabels+2)%>">&nbsp;</TD>
    </TR>


    <TR>
      <TD colspan="<%=(numberOfLabels+2)%>">
  
        <!-- Begin Tab Table -->      
        <TABLE cellspacing="0" cellpadding="0" border="0" width="100%">
          <TR>
            <!-- category listing left hand side -->
            <TD align="left" valign="top" ROWSPAN="2"><jsp:include page="category_list_header_lhs.jsp"/></TD>
            <!-- It may seem strange to put a td width of 1000 in here, but after much trial and error this is the only way Netscape will maintain the fixed border widths along with the liquid, stretchable layout of the table -->
            <TD class="categoryHeadingBorderCell" colspan="<%=numberOfLabels%>" height="1px" width="1000"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
            <!-- category listing right hand side -->
            <TD align="left" valign="top" ROWSPAN="2"><jsp:include page="category_list_header_rhs.jsp"/></TD>
          </TR>
          <TR>
            <!-- * START LABELS -->
            <TD class="categoryHeadingCell" NOWRAP="true" colspan="<%=numberOfLabels%>">
              <i18n:getMessage messageName='availableItemsSubHead'/>
            </TD>
            <!-- * END LABELS  -->
          </TR>
          <!-- This creates the dark green line at the bottom of the green header -->
          <TR>
            <TD class="categoryHeadingBorderCell" colspan="<%=(numberOfLabels+2)%>" height="1px"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
          </TR>
        </TABLE>
        <!-- End Tab Table -->
      </TD>
    </TR>
    <!-- SPACER ROW -->
    <TR>
      <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
    </TR>

    <res:getAvailablePages id="availPages" groupId="<%=currentGroupPortal%>"/>
    <%
      if (availPages != null && availPages.size() != 0) {
        for (int i=0; i<availPages.size(); i++) {
          String pageName = "";
          String displayName = "";
          String extraParams = "";
          PagePersonalization pageDef = (PagePersonalization)availPages.get(i);
          if (pageDef != null) {
            pageName = pageDef.getPageIdentifier().getName();
            displayName = pageDef.getDisplayName();
            extraParams="portalPageName="+pageName+"&selectedPages="+pageName;
	%>
            <TR>
              <TD class="row"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
              <!-- START DETAIL ROW -->
              <TD class="row" align="left" valign="middle" nowrap colspan="<%=numberOfLabels-2%>">
                <%=cnvrtSC(displayName)%>
              </TD>
              <TD>
                &nbsp;
              </TD>
              <TD align="left" valign="top">
<%          
                if (canPortalPagesGrant || defaultScope)
                {
%>		        
                  <a href="<wf:createWebflowURL namespace="admin_portal" extraParams="<%=extraParams%>" event="link.page_attr"/>"><img src="<wf:createResourceURL resource='<%=imagesPath + "attributes.gif"%>'/>" border="0" vspace="2"></a><BR>
<%          
                } 
                else
                {
%>            
                  &nbsp;
<%          
                }
%>
              </TD>

              <!-- END DETAIL ROW -->
             <TD class="row"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
           </TR>
    <%
          }
        }
      }
    %>

    <TR>
      <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>">&nbsp;</TD>
    </TR>
    <TR>
      <TD class="emptyRow" colspan="<%=(numberOfLabels+2)%>">&nbsp;</TD>
    </TR>


    <TR>
      <TD colspan="<%=(numberOfLabels+2)%>">
        <br><A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.edit_portal'/>"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "back.gif"%>'/>" border="0" align="bottom"></A>
      </TD>

      <TD><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>

      <TD colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>

      <TD><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>

    </TR>

    <TR>
      <TD class="emptyRow" colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
    </TR>


  </TABLE>


</TD>
<!-- end content area -->

<TD align="center" valign="top" width="2%">
  <!-- spacer cell --><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0">
</TD>

</TR>
</TABLE>

</BODY>
</HTML>
