<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>
<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>

<%-- ------------------------------------------------------------ --%>
<%-- page imports                                                 --%>
<%-- ------------------------------------------------------------ --%>
<%@ page import="com.bea.portal.model.GroupPortal"%>
<%@ page import="com.bea.portal.model.Page"%>
<%@ page import="com.bea.portal.model.Portlet"%>
<%@ page import="com.bea.portal.model.PortletPersonalization"%>
<%@ page import="com.bea.portal.model.PagePersonalization"%>
<%@ page import="com.bea.portal.jsp.JspConstants"%>
<%@ page import="com.bea.portal.entitlement.resource.PortalEntitlementResourceConstants"%>

<%@ page errorPage="error.jsp" %>

<%-- ------------------------------------------------------------ --%>
<%-- taglibs                                                      --%>
<%-- ------------------------------------------------------------ --%>
<%@ taglib uri="res.tld" prefix="res" %>
<%@ taglib uri="dam.tld" prefix="dam" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>

<%-- ------------------------------------------------------------ --%>
<%-- i18n (internationalization) and skin setup                   --%>
<%-- ------------------------------------------------------------ --%>

<%@ include file="/tools/portal/i18n_setup.inc"%>

<%  // Grab the html title string from the properties file %>
<i18n:getMessage messageName='pageTitle' id='pageTitle'/>

<%-- ------------------------------------------------------------ --%>
<%-- environment setup                                            --%>
<%-- ------------------------------------------------------------ --%>

<%-- ------------------------------------------------------------ --%>
<%-- DECLARE NavLocation VALUE                                    --%>
<%-- Used for the left_navbar highlighting                        --%>
<%-- ------------------------------------------------------------ --%>
  <wf:setProperty property='NavLocation' value='<%=JspConstants.PAGES_LAYOUTS_PORTLETS_NAV%>' scope='request'/>

<wf:getProperty property="portalName" id="portalName" type="String"/>
<wf:getProperty property="groupPortalObj" id="currentGroupPortal" type="com.bea.portal.model.GroupPortal"/>
<wf:getProperty property="isDefaultGroup" id="isDefaultGroup" type="String"/>

<%
  String groupPortalGroupId = currentGroupPortal.getGroupIdentifier();
  String groupPortalName = currentGroupPortal.getDisplayName();

  boolean defaultScope = false;
  if(( isDefaultGroup != null ) && ( isDefaultGroup.equals("true") ))
  {
    defaultScope = true;
  }	

  String pageName = request.getParameter("selectedPages");
  if (pageName != null) 
  {
%>
    <wf:setProperty property="selectedPage" value="<%= pageName %>"/>
<% 
  } 
  else
  { 
%>
    <wf:getProperty property="selectedPage" id="pageN" type="String"/>
<%  pageName = pageN; 
  } 
%>
<res:getAvailablePortlets id="portlets" groupId="<%=currentGroupPortal%>" pageName="<%=pageName%>"/>

<%
  boolean canPortletsEntitle = true;
  if(!defaultScope) 
  {
%>

    <%-- Set up the check to see if the user has portlet management rights.  If they don't, we will use our setup
         to hid links later in the page
    --%>
    <dam:isGroupAdminAccessAllowed id='tempPortletsEntitle' resourceType='<%=PortalEntitlementResourceConstants.RESOURCE_TYPE%>' adminTask='<%=PortalEntitlementResourceConstants.ENTITLE_PORTLETS %>' capabilityKey='<%=PortalEntitlementResourceConstants.ENTITLEABLE%>' groupPortal='<%=currentGroupPortal%>' userName='<%=request.getRemoteUser()%>'/>
<%
    canPortletsEntitle = tempPortletsEntitle.booleanValue();
  }
%>

<%-- ------------------------------------------------------------ --%>
<%-- begin rendering                                              --%>
<%-- ------------------------------------------------------------ --%>
<html>

<head>
  <title><%=pageTitle%></title>
  <LINK REL=StyleSheet HREF="<wf:createResourceURL resource='<%=cssFile%>'/>" TYPE="text/css" MEDIA="screen">

<script language="JavaScript" src="<wf:createResourceURL resource='<%=jsPath+"tool_utils.js"%>'/>"></script>

<script language="JavaScript">

function doFormSubmit(event) {
    var cnt = 0;
	var moreObj = document.forms[0].selectedPortlets;
	for (var i=0; i<moreObj.options.length-1; i++) {
		if (moreObj.options[i].selected == true)
			cnt = cnt + 1;
	}
	if (cnt > 0) {
		document.forms[0].event.value = event;		
		document.forms[0].submit();
	}
}

var img = new Array(6);
for (i = 0; i < 6; i++)
   img[i] = new Image();
if(<%=canPortletsEntitle%>)
{
   img[0].src = "<wf:createResourceURL resource='<%=imagesPath + "set_entitlements.gif"%>'/>";
   img[2].src = "<wf:createResourceURL resource='<%=imagesPath + "set_entitlements_disabled.gif"%>'/>";   
}
else
{
    img[0].src = "<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>";
    img[2].src = "<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>";   
}
img[3].src = "<wf:createResourceURL resource='<%=imagesPath + "set_attributes.gif"%>'/>";
img[5].src = "<wf:createResourceURL resource='<%=imagesPath + "set_attributes_disabled.gif"%>'/>";

var state = new Array(2);
state["portletent"] = 3;
state["portletattr"] = 3;

function button_down(i, base) {
   if (state[i] == 3) return;
   state[i] = 1;
}

function button_up(i, base) {
   if (state[i] == 3) return;
   state[i] = 0;
}

function selectCount() {
    var cnt = 0;
	var moreObj = document.forms[0].selectedPortlets;	
	for (var i=0; i<moreObj.options.length; i++) {
        if ( ( moreObj.options[i].value == "spacer" )  )
            moreObj.options[i].selected = false;
		
        if (moreObj.options[i].selected == true)
			cnt = cnt + 1;
	}
	if (cnt == 0) {
		state["portletent"] = 3;
		state["portletattr"] = 3;	
		document ["portletent"].src = img[2].src;
		document ["portletattr"].src = img[5].src;		
	}
	else {
		state["portletent"] = 0;
		state["portletattr"] = 0;	
		document ["portletent"].src = img[0].src;
		document ["portletattr"].src = img[3].src;		
	}	
}

</script>

</head>

<BODY leftmargin="0" rightmargin="0" marginwidth="0" marginheight="0" STYLE='BACKGROUND-IMAGE:url("<wf:createResourceURL resource='<%=imagesPath + "bg_subpage.gif"%>'/>"); BACKGROUND-REPEAT: no-repeat; BACKGROUND-POSITION:left top;'>

<%@ include file="/tools/util/admin_header.inc"%>

<!-- end top nav bar -->

<!-- This is the uber table that contains two table data cells: one for the left nav, the other for the main page layout -->
<TABLE border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
<TR><TD align="left" valign="top" class="sidenav" width="1%">
<!-- include  table for left nav bar -->
<jsp:include page="left_navbar.jsp"/>
</TD>


<TD align="center" valign="top" width="2%">
  <!-- spacer cell -->
  &nbsp;&nbsp;
</TD>

<!-- begin table for main content area -->
<TD align="left" valign="top" width="85%">

  <span class="pageheader"><i18n:getMessage messageName='portalDisplay' messageArgs='<%=new Object[] { cnvrtSC(pageName) }%>'/></span><BR>
  <span class="instructions"><i18n:getMessage messageName='portalDisplaySubHead'/></span><BR>

  <!-- start Webflow/Pipeline enabled FORM -->
  <wf:form namespace="admin_portal"  event="link.refresh" origin="portlet_ent_attr.jsp" hide="true" method="post" name="portletForm">

<%
        // number of labels in category listing header section
        int numberOfLabels = 1;
%>
        <TABLE align="left" valign="top" cellspacing="0" cellpadding="0" border="0" width="1%">
          <TR>
              <TD colspan="<%=(numberOfLabels+2)%>">

              <!-- Begin Tab Table -->      
              <TABLE cellspacing="0" cellpadding="0" border="0" width="100%">
                <TR>
                    <!-- category listing left hand side -->
                    <TD align="left" valign="top" ROWSPAN="2"><jsp:include page="category_list_header_lhs.jsp"/></TD>
                    <!-- It may seem strange to put a td width of 1000 in here, but after much trial and error this is the only way Netscape will maintain the fixed border widths along with the liquid, stretchable layout of the table -->
                    <TD class="categoryHeadingBorderCell" colspan="<%=numberOfLabels%>" height="1px" width="100%"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
                     <!-- category listing right hand side -->
                    <TD align="left" valign="top" ROWSPAN="2"><jsp:include page="category_list_header_rhs.jsp"/></TD>
                  </TR>
                  <TR>
                    <!-- * START LABELS -->
                    <TD class="categoryHeadingCell" nowrap>
                      <i18n:getMessage messageName='portlets'/>
                    </TD>
                    <!-- * END LABELS  -->
                  </TR>
                  <!-- This creates the dark green line at the bottom of the green header -->
                  <TR>
                    <TD class="categoryHeadingBorderCell" colspan="<%=(numberOfLabels+2)%>" height="1"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
                  </TR>
                </TABLE>
            <!-- End Tab Table -->
              </TD>
          </TR>
          <!-- SPACER ROW -->
          <TR>
            <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
          </TR>
    
          <!-- START DETAIL ROW -->
          <TR>
            <!-- * START DETAIL -->
            <TD class="row" align="center" valign="top" nowrap width="1%">
      				<!--Portlet LIST-->
      				<select name="selectedPortlets" size="15" onChange="selectCount(); return false;" multiple>
<%
                if (portlets != null && portlets.size() !=0 ) {
                  for (int i=0; i<portlets.size(); i++) {
                  PortletPersonalization aPortlet = (PortletPersonalization) portlets.get(i);
                  if (aPortlet != null) {
%>
      						 <option value='<%=aPortlet.getPortletIdentifier().getName()%>'><%=aPortlet.getDisplayName()%></option>
<%
       						}
       					  }
       					}
%>
      				  <option value="spacer">----------------------------------------</option>
			      	</select>
            </TD>
          </TR>
          <!-- END DETAIL ROW -->

          <!-- SPACER ROW -->
          <TR>
            <TD class="spacerRow" colspan="<%=(numberOfLabels+2)%>"><br>&nbsp;
			   <TABLE cellpadding="0" cellspacing="0" align="left" valign="top">
				<TR>
				  <TD>&nbsp;</TD>        
				  <TD colspan="2" align="right" true nowrap><b><i18n:getMessage messageName='selectedPortlet'/></b></TD>
				  <TD>&nbsp;</TD>          
				  <TD>
            <a href="" onClick="return false;" onMouseDown="button_down('portletattr', 3); return false;" onMouseUp="button_up('portletattr', 3); doFormSubmit('link.portletattr'); return false;" onMouseOut="button_up('portletattr', 3); return false;">
				      <img name="portletattr" src="<wf:createResourceURL resource='<%=imagesPath + "set_attributes_disabled.gif"%>'/>" border="0" vspace="3"></a>
          </TD>
				</TR>
<%      if(canPortletsEntitle)
        {
%>
          <TR>
  				  <TD colspan="4">&nbsp;</TD>          
  				  <TD>
              <a href="" onClick="return false;" onMouseDown="button_down('portletent', 0); return false;" onMouseUp="button_up('portletent', 0); doFormSubmit('link.portletent'); return false;" onMouseOut="button_up('portletent', 0); return false;">
  				      <img name="portletent" src="<wf:createResourceURL resource='<%=imagesPath + "set_entitlements_disabled.gif"%>'/>" border="0" vspace="3"></a>
            </TD>
  				</TR>
<%      }
        else
        {
%>
          <TR>
  				  <TD colspan="4">&nbsp;</TD>          
  				  <TD>
  				      <img name="portletent" src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" border="0" vspace="3">
            </TD>
  				</TR>
<%
        }
%>
			  </TABLE>
           </TD>
          </TR>
		  <TR>
		    <TD colspan="<%=(numberOfLabels+2)%>">
			    <br>&nbsp;<br>&nbsp;<br><a href="<wf:createWebflowURL namespace='admin_portal' origin='portlet_ent_attr.jsp' event='link.back'/>"><img src="<wf:createResourceURL resource='<%=imagesPath + "back.gif"%>'/>" border="0"></a></TD>
          </TR>
	</TABLE>
	</wf:form>

</TD>
<!-- end content area -->

<TD align="center" valign="top" width="2%">
  <!-- spacer cell -->
  &nbsp;&nbsp;
</TD>

</TR>
</TABLE>

</BODY>

</HTML>
