<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>
<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>

<%-- ------------------------------------------------------------ --%>
<%-- page imports                                                 --%>
<%-- ------------------------------------------------------------ --%>
<%@ page import="com.bea.portal.model.GroupPortal"%>
<%@ page import="com.bea.portal.admin.VisitorUserConstants"%>

<%@ page import="com.bea.portal.i18n.CommonAdminLogger"%>
<%@ page import="java.lang.UnsupportedOperationException"%>
<%@ page import="java.rmi.RemoteException"%>
<%@ page import="com.bea.p13n.usermgmt.SessionHelper"%>
<%@ page import="com.bea.p13n.usermgmt.profile.*"%>
<%@ page import="com.bea.portal.admin.VisitorUserConstants"%>
<%@ page import="com.bea.portal.admin.AdminResourceConstants"%>
<%@ page import="com.bea.portal.admin.ejb.VisitorUserManager"%>
<%@ page import="com.bea.portal.admin.ejb.VisitorUserManagerHome"%>
<%@ page import="com.bea.portal.admin.ejb.AdminResourceManager"%>
<%@ page import="com.bea.portal.admin.ejb.AdminResourceManagerHome"%>
<%@ page import="com.bea.p13n.util.JndiHelper"%>
<%@ page import="javax.naming.NamingException"%>
<%@ page import="javax.ejb.CreateException"%>
<%@ page import="java.rmi.RemoteException"%>
<%@ page import="com.bea.portal.i18n.CommonAdminLogger"%>
<%@ page import="com.bea.portal.model.GroupPortal"%>
<%@ page import="com.bea.p13n.usermgmt.profile.ProfileIdentity"%>
<%@ page import="com.bea.p13n.usermgmt.profile.ProfileFactory"%>

<%@ page errorPage="error.jsp" %>

<%-- ------------------------------------------------------------ --%>
<%-- taglibs                                                      --%>
<%-- ------------------------------------------------------------ --%>
<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>
<%@ taglib uri="res.tld" prefix="res" %>
<%@ taglib uri="es.tld" prefix="es" %>
<%@ taglib uri="um.tld" prefix="um" %>
<%@ taglib uri="vum.tld" prefix="vum" %>

<%-- ------------------------------------------------------------ --%>
<%-- i18n (internationalization) and skin setup                   --%>
<%-- ------------------------------------------------------------ --%>
<%@ include file="/tools/portal/i18n_setup.inc"%>

<%-- ------------------------------------------------------------ --%>
<%-- Variable setup                                               --%>
<%-- ------------------------------------------------------------ --%>
<% 
String bundleName = "property_edit_sr"; 
%>

<%  // Grab the html title string from the properties file %>
<i18n:getMessage messageName='pageTitle' id='pageTitle' bundleName='<%=bundleName%>'/>

<%  //Figure out where we came from so we can highlight the right link in the nav_bar and where to go from the back button
    String origin = request.getParameter("origin");
    String originOld = request.getParameter("originOld");
    if(originOld != null)
    {
      origin = originOld;
    }
    String navbarLocation = "";
    String returnPage = "";
    String newUsers = "";
    String userName = "";
    if( origin.equals(VisitorUserConstants.USER_ATTRIBUTE_PAGE) )
    {
      navbarLocation = JspConstants.USERS_NAV;
      returnPage = VisitorUserConstants.USER_ATTRIBUTE;
      newUsers = request.getParameter("newUsers");
      userName = request.getParameter("userName");
    }
    else if( origin.equals(VisitorUserConstants.EDIT_USER_GROUP_PAGE) )
    {
      navbarLocation = JspConstants.USER_GROUP_NAV;
      returnPage = VisitorUserConstants.EDIT_USER_GROUP;
    }
%>

<%-- ------------------------------------------------------------ --%>
<%-- DECLARE NavLocation VALUE                                    --%>
<%-- Used for the left_navbar highlighting                        --%>
<%-- ------------------------------------------------------------ --%>
  <wf:setProperty property='NavLocation' value='<%=navbarLocation%>' scope='request'/>
 
  <wf:getProperty property='groupPortalObj' id='currentGroupPortal' type='GroupPortal'/>
  <wf:getProperty property='portalName' id='portalName' type='String'/>
  <wf:getProperty property='gpPortalIDCurrent' id='portalIdStr' type='String'/>

<%-- ------------------------------------------------------------ --%>
<%-- environment setup                                            --%>
<%-- ------------------------------------------------------------ --%>

<%  
  int numberOfLabels = 1;  

  String propertySet = request.getParameter("propertySet");
  String propertyName = request.getParameter("propertyName");
//This all needs to go in a tag
%>
<vum:getPropertyDefinition id='property' propertyName='<%=propertyName%>' propertySet='<%=propertySet%>' />

<wl:process name="setDefaultSubmit">
  <% 
      // set defaults from the checkboxes
      // find the default value(s)
      
      Enumeration names = request.getParameterNames();
      ArrayList customValues = new ArrayList();
      
      while ( names != null && names.hasMoreElements() )
      {
         String name = (String)names.nextElement();
         if ( name.startsWith( "customValue" ) )
    	 {
    	    String value = request.getParameter( name );
    	    
    	    // convert these values to the proper types
%>
            <vum:getAsObject id='ob' propertyDefinition='<%=property%>' currentValue='<%=value%>' />
<%    	    
            customValues.add( ob );
    	 }
      }

  try
  {
%>  
    <%-- set the property value --%>
    <um:setProperty propertySet="<%=propertySet %>" propertyName="<%= propertyName %>" value="<%= customValues.get(0) %>" />
<%   
   } 
   catch (JspException jspExc )
   {
       try{
           throw jspExc.getRootCause();
       }
       catch ( RemoteException rExc )
       {
           try{
               throw rExc.detail;
           }
           catch( UnsupportedOperationException exc ){
               String logId = CommonAdminLogger.unsupportedOperationException( ); 
               pageContext.setAttribute("logId", logId);
           }
       }
   }
   
%>

  <%-- The following form and associated javascript allow for the "page forward" on a successful save --%>  
<%
  //We only want to forward if there have been no generated errors within the tags
  String logId = (String)pageContext.getAttribute("logId");
  if(logId == null)
  {
    String extraParams = "userName=" + userName + "&newUsers=" + newUsers;
%>
     <SCRIPT LANGUAGE="JavaScript">
      window.location.replace("<wf:createWebflowURL namespace='admin_portal' event='<%=returnPage%>' extraParams='<%=extraParams%>'/>");
     </SCRIPT>
<%}
%>

</wl:process>

<um:getProperty id="currentPropertyValue" propertySet="<%= propertySet %>" propertyName="<%= propertyName %>" />

<es:isNull item="<%=currentPropertyValue%>">
    <% currentPropertyValue = property.getDefaultValue(); %>
</es:isNull>


<%-- ------------------------------------------------------------ --%>
<%-- begin rendering                                              --%>
<%-- ------------------------------------------------------------ --%>
<HTML>
<HEAD>
  <TITLE><%=pageTitle%></TITLE>
  <LINK REL=StyleSheet HREF="<wf:createResourceURL resource='<%=cssFile%>'/>" TYPE="text/css" MEDIA="screen">

<SCRIPT LANGUAGE="JavaScript">
function submitValueForm() {
   this.document.ValueForm.submit();
   return true;
}

function submitDefaultsForm() {
   this.document.DefaultsForm.submit();
   return true;
}

function confirmValueDelete(typeName)
{
   return (confirm("Are you sure you want to delete '" + typeName + "'?"));
}

function submitBack()
{
  this.document.backForm.submit();
}
</SCRIPT>

</HEAD>
<BODY leftmargin="0" rightmargin="0" marginwidth="0" marginheight="0" STYLE='BACKGROUND-IMAGE:url("<wf:createResourceURL resource='<%=imagesPath + "bg_subpage.gif"%>'/>"); BACKGROUND-REPEAT: no-repeat; BACKGROUND-POSITION:left top;'>

<%@ include file="/tools/util/admin_header.inc"%>
<!-- end top nav bar -->

<!-- This is the uber table that contains two table data cells: one for the left nav, the other for the main page layout -->
<TABLE border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
  <TR>    
    <TD align="left" valign="top" class="sidenav" width="1%">
      <!-- include  table for left nav bar -->
      <jsp:include page="left_navbar.jsp"/>
    </TD>

    <TD align="center" valign="top" width="2%">
      <!-- spacer cell -->
      &nbsp;&nbsp;
    </TD>

    <!-- begin table for main content area -->
    <TD align="left" valign="top">
      <%-- Include the error message display logic --%>
      <%@ include file="/tools/util/error_message.inc"%>
      
      <SPAN class="pageheader"><i18n:getMessage messageName='templateHeadLabel' bundleName='<%=bundleName%>'/></SPAN>
      <BR>
      <SPAN class="instructions"><i18n:getMessage messageName='templateSubheadLabel' bundleName='<%=bundleName%>'/></SPAN>
      <BR><BR>
        
      <TABLE cellspacing="0" cellpadding="0" border="0" width="1%">
        <TR>
          <TD align="left" valign="top" rowspan="2">
            <!-- category listing left hand side -->
            <jsp:include page="category_list_header_lhs.jsp"/>
          </TD>

          <!-- It may seem strange to put a td width of 1000 in here, but after much trial and error this is the only way Netscape will maintain the fixed border widths along with the liquid, stretchable layout of the table -->
          <TD class="categoryHeadingBorderCell" colspan="<%=numberOfLabels%>" height="1px" width="1000"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>

          <TD align="left" valign="top" rowspan="2">
            <!-- category listing right hand side -->
            <jsp:include page="category_list_header_rhs.jsp"/>
          </TD>
        </TR>

        <TR>
          <!-- * START LABELS -->
          <TD class="categoryHeadingCell" nowrap width="100%">
            <vum:getTypeForDisplay id='propertyType' propertyDefinition='<%=property%>'/>
<%
            // Creation of message arguments
            Object[] args = new Object[] { propertyName, propertyType };
%>
            <i18n:getMessage messageName='propertyName' messageArgs='<%=args%>' bundleName='<%=bundleName%>'/>
          </TD>
          <!-- * END LABELS -->
        </TR>

        <!-- This creates the dark green line at the bottom of the green header -->
        <TR>
          <TD class="categoryHeadingBorderCell" colspan="<%=(numberOfLabels+2)%>" height="1"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
        </TR>
        <!-- START DETAIL ROW -->
        <TR>
          <TD class="row">
          </TD>
          <TD class="row">
            
            <%-- Begin rendering of values table --%>
            <table border="0" cellspacing="0" cellpadding="0">
              <tr> 
                <td width="1%">&nbsp;</td>
                <td width="88%">&nbsp;</td>
                <td width="11%">&nbsp;</td>
              </tr>
            
              <tr> 
                <td width="1%">&nbsp;</td>
                <td width="88%" class="row2"> 
                  <div align="left" STYLE="MARGIN-TOP:4;">
                    <img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="5" height="8">
                    <b>
                      <i18n:getMessage messageName='values' bundleName='<%=bundleName%>'/>
                    </b>
                  </div>
                </td>
                <td width="11%">&nbsp;</td>
              </tr>
              <tr> 
                <td width="1%">&nbsp;</td>
                <td width="88%">&nbsp;</td>
                <td width="11%">&nbsp;</td>
              </tr>
            
              <%-- get a list of restricted values, and defaults to display --%>
<%
              Collection valids = property.getRestrictedValues();
%>
            
              <vum:getAsCollection id='defaults' object='<%=currentPropertyValue%>' />
            
              <es:notNull item='<%=valids%>'>
<%
                  Object[] arr = valids.toArray();
                  int validCount = arr.length;
                  int rows = validCount / 2;
                  if ( validCount % 2 == 1 ) rows++;
                  int rowCount = 1;
                  int count = 0;
                  boolean secondCol = false;
%>
                <tr> 
                  <td width="1%">&nbsp;</td>
                  <td width="88%"> 
                    <wf:form namespace="admin_portal" event="link.refresh" origin="property_edit_sr.jsp" hide="true" method="post" name="DefaultsForm">
                    <table width="100%" border="0" cellpadding="0" cellspacing="4">
                      <tr> 
                        <td width="45%" valign="top"> 
                          <table width="100%" border="1" cellpadding="2" cellspacing="0">
                          <es:forEachInArray id='valueObject' array='<%=arr%>' type='Object'>
                            
                            <vum:formatPropertyValue id='formattedValue' propertyDefinition='<%=property%>' valueObject='<%=valueObject%>' />
                            
<%                            count++;
                              String rowClass = (rowCount % 2 == 1 ? "row2" : "row1"); 
%>
                            <tr> 
                              <td class="<%=rowClass%>" width="4%"> 
                                <input type="radio" name="customValue" value="<%= formattedValue %>" <% if ( defaults.contains( valueObject ) ) { %>CHECKED<% } %>>
                              </td>
                              <td class="<%=rowClass%>" nowrap>
                                <%= cnvrtSC(formattedValue) %>
                              </td>
                            </tr>
<%                          if ( rowCount++ >= rows && !secondCol )
                            {
%>
                              <%-- end the first column and start the next --%>
<%                            rowCount = 1;
                              secondCol = true;
%>
                                </table>
                              </td>
                              <td>&nbsp;</td>
                              <td width="45%" valign="top"> 
                                <table width="100%" border="1" cellpadding="2" cellspacing="0">
<%                          } 
%>
                          </es:forEachInArray>
                          </table>
                        </td>
                      </tr>
                    </table>
                    <input type="hidden" name="propertyName" value="<%=propertyName%>">
                    <input type="hidden" name="propertySet" value="<%=propertySet%>">
                    <input type="hidden" name="setDefaultSubmit" value="setDefaultSubmit">
                    <INPUT TYPE="HIDDEN" NAME="userName" VALUE="<%=userName%>">
                    <INPUT TYPE="HIDDEN" NAME="newUsers" VALUE="<%=newUsers%>">
                    <INPUT TYPE="HIDDEN" NAME="originOld" VALUE="<%=origin%>">
                  </wf:form>
                  </td>
                  <td width="11%">&nbsp;</td>
                </tr>
              </es:notNull>
              <tr> 
                <td width="1%">&nbsp;</td>
                <td width="88%" align="right">
                  <table width="10%" border="0" cellpadding="0" align="left">
                    <tr> 
                      <td>
              	        <a href="javascript:submitBack()"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "back.gif"%>'/>" border="0" align=bottom></a>
                      </td>
                      <TD>
                        <wf:form namespace="admin_portal"  event="<%=returnPage%>" origin="property_edit_sr.jsp" hide="true" method="post" name="backForm">  
                          <INPUT TYPE="HIDDEN" NAME="userName" VALUE="<%=userName%>">
                          <INPUT TYPE="HIDDEN" NAME="newUsers" VALUE="<%=newUsers%>">
                        </wf:form>
                      </TD>
                      <td>
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                      </td>
                      <td>
                        <A HREF="javascript:submitDefaultsForm();"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "save.gif"%>'/>" border="0" align=bottom></a>
                      </td>
                    </tr>
                  </table>
                </td>
                <td width="11%">&nbsp;</td>
              </tr>
            </table>
            <%-- End rendering of values table --%>
          
          </TD>
        </TR>
      </TABLE>  
    </TD>
    <!-- end content area -->

    <TD align="center" valign="top" width="2%">
      <!-- spacer cell -->
      &nbsp;&nbsp;
    </TD>

  </TR>
</TABLE>

</BODY>
</HTML>
