<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="es.tld" prefix="es" %>
<%@ taglib uri="um.tld" prefix="um" %>
<%@ taglib uri="vum.tld" prefix="vum" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>

<%@ page import="com.bea.p13n.property.PropertyDefinition" %>
<%@ page import="com.bea.portal.admin.VisitorUserConstants" %>
<%@ page import="com.bea.portal.model.GroupPortal" %>

<%-- ------------------------------------------------------------ --%>
<%-- Variable setup                                               --%>
<%-- ------------------------------------------------------------ --%>
<% 
String bundleName = "property_view_mr"; 
String imagesPath = pageContext.getAttribute("imagesPath", pageContext.REQUEST_SCOPE).toString();
%>

<!-- renderer to view Multiple Restricted properties -->
<% 
  PropertyDefinition property = (PropertyDefinition)request.getAttribute( "Property" ); 
  String propertyName = (String)request.getAttribute( "PropertyName" );
  String scopeName = (String)request.getAttribute( "scopeName" ); 
%>
<wf:getProperty property='groupPortalObj' id='currentGroupPortal' type='GroupPortal'/>

<%
Object currentPropertyValue = null;
try
{
%>
  <um:getProperty id="currentPropertyValueTemp" propertySet="<%= scopeName %>" propertyName="<%= propertyName %>" />
<%
  currentPropertyValue = currentPropertyValueTemp;
} 
//We're just going to deal with a generic exception here since we're not quite sure of what all could be 
// thrown from the tag (system exception, ldap configuration exception, etc)
catch(Exception e)
{
  throw e;
}
%>

<es:isNull item="<%=currentPropertyValue%>">

<% 
  currentPropertyValue = property.getDefaultValue(); 
%>
</es:isNull>


<%-- get a list of restricted values, and defaults to display --%>
<%
  Collection valids = property.getRestrictedValues();
%>

<vum:getAsCollection id='defaults' object='<%=currentPropertyValue%>' />


<table width="90%" border="0" cellspacing="0" cellpadding="0">
  <es:notNull item="<%=valids%>">
<%
    Object[] arr = valids.toArray();
    int validCount = arr.length;
    int rows = validCount / 2;
    if ( validCount % 2 == 1 ) rows++;
    int rowCount = 1;
    int count = 0;
    boolean secondCol = false;
%>
    <tr> 
      <td width="45%" valign="top"> 
        <table width="100%" border="1" cellpadding="2" cellspacing="2">
        <es:forEachInArray id="valueObject" array="<%= arr %>" type="Object">
          <vum:formatPropertyValue id='formattedObject' propertyDefinition='<%=property%>' valueObject='<%=valueObject%>' />
<%        count++;
          String rowClass = (rowCount % 2 == 1 ? "row2" : "row1");
%>
          <tr> 
            <td class="<%= rowClass %>" width="8%"> 
<%            if ( defaults.contains( valueObject ) ) 
              { 
%>
                <img src="<wf:createResourceURL resource='<%=imagesPath + "check.gif"%>'/>" width="15" height="15">
<%            }
              else
              { 
%>              &nbsp;
<%            } 
%>
            </td>
            <td class="<%= rowClass %>">
              <%= formattedObject %>
            </td>
          </tr>
<%        if ( rowCount++ >= rows && !secondCol ) 
          { 
%>
            <%-- end the first column and start the next --%>
<%          rowCount = 1; 
            secondCol = true;
%>
              </table>
            </td>
            <td width="10%">&nbsp;</td>
            <td width="45%" valign="top"> 
              <table width="100%" border="1" cellpadding="2" cellspacing="2">
<%        } 
%>
        </es:forEachInArray>
        </table>
      </td>
    </tr>
  </es:notNull>

  <es:isNull item="<%=valids%>">
  <tr>
    <td class="row">
      <i18n:getMessage messageName='noValues' bundleName='<%=bundleName%>'/>
    </td>
  </tr>
  </es:isNull>
</table>
