<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>
<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>

<%-- ------------------------------------------------------------ --%>
<%-- page imports                                                 --%>
<%-- ------------------------------------------------------------ --%>
<%@ page import="java.util.HashMap"%>
<%@ page import="java.util.Map"%>
<%@ page import="java.util.Set"%>
<%@ page import="java.util.Iterator"%>

<%@ page import="com.bea.portal.model.PortalConstants"%>
<%@ page import="com.bea.portal.model.GroupPortal"%>
<%@ page import="com.bea.portal.model.Portal"%>
<%@ page import="com.bea.portal.model.Page"%>
<%@ page import="com.bea.portal.model.PageIdentifier"%>
<%@ page import="com.bea.portal.model.PageState"%>
<%@ page import="com.bea.portal.model.PagePersonalization"%>
<%@ page import="com.bea.portal.model.PortalIdentifier"%>
<%@ page import="com.bea.portal.jsp.JspConstants"%>

<%@ page errorPage="error.jsp" %>


<%-- ------------------------------------------------------------ --%>
<%-- taglibs                                                      --%>
<%-- ------------------------------------------------------------ --%>
<%@ taglib uri="util.tld" prefix="util" %>
<%@ taglib uri="res.tld" prefix="res" %>
<%@ taglib uri="es.tld" prefix="es" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>
<%@ taglib uri="weblogic.tld" prefix="wl" %>

<%-- ------------------------------------------------------------ --%>
<%-- i18n (internationalization) and skin setup                   --%>
<%-- ------------------------------------------------------------ --%>

<%@ include file="/tools/portal/i18n_setup.inc"%>

<%  // Grab the html title sTRing from the properties file %>
<i18n:getMessage messageName='pageTitle' id='pageTitle'/>

<%-- ------------------------------------------------------------ --%>
<%-- environment setup                                            --%>
<%-- ------------------------------------------------------------ --%>
<% // Get messages for javascript functions %>
<i18n:getMessage id='selectOneMsgTemp' messageName='selectOne' bundleName='<%=jsPath+"tool_utils"%>'/>
<i18n:getMessage id='leaveOneMsgTemp' messageName='leaveOne' bundleName='<%=jsPath+"tool_utils"%>'/>
<%
   String selectOneMsg = selectOneMsgTemp;
   String leaveOneMsg = leaveOneMsgTemp;
%> 

<%-- ------------------------------------------------------------ --%>
<%-- DECLARE NavLocation VALUE                                    --%>
<%-- Used for the left_navbar highlighting                        --%>
<%-- ------------------------------------------------------------ --%>
  <wf:setProperty property='NavLocation' value='<%=JspConstants.PAGES_LAYOUTS_PORTLETS_NAV%>' scope='request'/>
 
<%-- Get the Default Group Portal Display name to use on the page --%>
<i18n:getMessage id='defaultGroupPortalName' messageName='defaultGroupPortalDisplayName' bundleName='tools'/>

<%

  PagePersonalization selectedHomePage = null;
  String selHomePageDisplayName = "";
  String selectedHomePageName = "";

  /* setup variables used in this page */
//  boolean isDefaultGroup = false;
%>
  <wf:getProperty property="portalName" id="portalName" type="String"/>
  <wf:getProperty property="groupPortalObj" id="currentGroupPortal" type="com.bea.portal.model.GroupPortal"/>
  <wf:getProperty property="isDefaultGroup" id="isDefaultGroup" type="String"/>
<%
//  isDefaultGroup = (new Boolean(isDefaultGroupString)).booleanValue();
  String groupPortalGroupId = currentGroupPortal.getGroupIdentifier();
  String groupPortalName = currentGroupPortal.getDisplayName();

  if(( isDefaultGroup != null ) && ( isDefaultGroup.equals("true") ))
  {
    groupPortalName = defaultGroupPortalName;
  }

  List pageNames = new ArrayList();
%>
    
<%-- ------------------------------------------------------------ --%>
<%-- form processing                                              --%>
<%-- ------------------------------------------------------------ --%>

<!-- If the 'save' button was clicked, go ahead and process the input. -->
<wl:process name="formAction" value="update">

    <%
      // parse out the unused and available page names
      String unusedPageIds = request.getParameter( "unusedPageIds" );
      StringTokenizer unusedTokenizer = new StringTokenizer( unusedPageIds, "|" );
      ArrayList unusedPageList = new ArrayList();
      while ( unusedTokenizer.hasMoreTokens() )
      {
          String next = (String)unusedTokenizer.nextToken();
          unusedPageList.add( next );
      }

      String availablePageIds = request.getParameter( "availablePageIds" );
      StringTokenizer availableTokenizer = new StringTokenizer( availablePageIds, "|" );
      ArrayList availablePageList = new ArrayList();
      while ( availableTokenizer.hasMoreTokens() )
      {
          String next = (String)availableTokenizer.nextToken();
          availablePageList.add( next );
      }
    %>
    <res:setSelectedPages pageList="<%=unusedPageList%>" pageP13nList="<%=availablePageList%>" groupId="<%=currentGroupPortal%>"/>
    
    <%
    
        String newHomePage = request.getParameter("homePageId");
    // if homePageId is not set, newHomepage has 0 length and not null
    if ( newHomePage != null && newHomePage.length() != 0 ) {
    %>
    
    <res:setHomePage homePage='<%=newHomePage%>' groupId='<%=currentGroupPortal%>'/>
    
    <%
    }
    
    %>
    
    <%-- The following form and associated javascript allow for the "page forward" on a successful save --%>  
    <%
      //We only want to forward if there have been no generated errors within the tags
      String logId = (String)pageContext.getAttribute("logId");
      if(logId == null)
      {
    %>
         <SCRIPT LANGUAGE="JavaScript">
          window.location.replace("<wf:createWebflowURL namespace="admin_portal" origin="select_portal_pages.jsp" event="link.back"/>");
         </SCRIPT>
    <%}
    %>

</wl:process>

<!-- Get home page -->
<res:getHomePage id='currentHomePageId' groupId='<%=currentGroupPortal%>'/>
<% String currentHomePageName = currentHomePageId.getName(); %>
                                                       
<%-- ------------------------------------------------------------ --%>
<%-- begin rendering                                              --%>
<%-- ------------------------------------------------------------ --%>
<html>
<head>
  <title><%=pageTitle%></title>
  <LINK REL=StyleSheet HREF="<wf:createResourceURL resource='<%=cssFile%>'/>" TYPE="text/css" MEDIA="screen">

<script language="JavaScript" src="<wf:createResourceURL resource='<%=jsPath+"tool_utils.js"%>'/>"></script>

<script language="JavaScript">

function checkDefaultPage()
{
    if ( this.document.forms[0].selectedPageNameText.value.indexOf("* ") == 0 )
    {
        alert( "<i18n:getMessage messageName='cannotMoveDefaultAlert'/>" );
        return true;
    }
    return false;
}


function initHomePage()
{
	if (document.getElementById) {
		var elem = document.getElementById("dynamicTextBlock");
		if (elem != null) {
			elem.innerHTML = "<%=cnvrtSC(currentHomePageName)%>";
		}
	}
  else
  {
      //First, we want to hide all the layers
      for (var i=0; i<document.forms[0].C1.options.length; i++) {
        if (document.forms[0].C1.options[i].value != "spacer") {
          eval("document.layers."+document.forms[0].C1.options[i].value+".visibility = 'hide'");
        }
      }
      //Now, show the layer that was selected
      eval("document.layers.<%=currentHomePageName%>.visibility = 'show'");
  }
}

function setHomePageView(selectObjectId) {
	var selectObject = document.forms[0].elements[selectObjectId];
	
  if(selectObject.selectedIndex >= 0)
  {
    var val = selectObject.options[selectObject.selectedIndex].value;
    
    if (val && val != "spacer") {
      document.forms[0].elements["homePageId"].value = val;
    
      for (var i=0; i<selectObject.options.length; i++) {
        if (selectObject.options[i].text.indexOf("* ") == 0) {
          selectObject.options[i].text = selectObject.options[i].text.substr(2);
        }
      }
    
      selectObject.options[selectObject.selectedIndex].text =
        "* " + selectObject.options[selectObject.selectedIndex].text;
          
          this.document.forms[0].selectedPageNameValue.value = val;
          this.document.forms[0].selectedPageNameText.value =
              selectObject.options[selectObject.selectedIndex].text;
    }
    
    if (document.getElementById) {
      var elem = document.getElementById("dynamicTextBlock");
      if (elem != null) {
        elem.innerHTML = val;
      }
    }
    else
    {
        //First, we want to hide all the layers
        for (var i=0; i<document.forms[0].C1.options.length; i++) {
          if (document.forms[0].C1.options[i].value != "spacer") {
            eval("document.layers."+document.forms[0].C1.options[i].value+".visibility = 'hide'");
          }
        }
        //Now, show the layer that was selected
        eval("document.layers."+val+".visibility = 'show'");
    }
  }

	return false;
}

function updateSelection(action) {

    var availNames = "";
    var unusedNames = "";
    var availObj = document.forms[0].elements["C1"];
    var unusedObj = document.forms[0].elements["C0"];

    // collect the page names in the available list and put them
    // in the selectedPageIds hidden field to be used by the tag

    // skip spacer at end of list
    for (var i=0; i<availObj.options.length-1; i++) {
        availNames += availObj.options[i].value;
        if (i < availObj.options.length - 2) {
            availNames += "|";
        }
    }

    document.forms[0].elements["availablePageIds"].value = availNames;

    // collect the page names in the unused list and put them
    // in the availablePageIds hidden field to be used by the tag
    for (var i=0; i<unusedObj.options.length-1; i++) {
        unusedNames += unusedObj.options[i].value;
        if (i < unusedObj.options.length - 2) {
            unusedNames += "|";
        }
    }

    document.forms[0].elements["unusedPageIds"].value = unusedNames;

//    this.document.forms[0].submit();
	submitForm(action);
    return true;
}

function submitForm(action) {
    document.forms[0].elements["formAction"].value = action;
    this.document.forms[0].submit();
}

</script>

</head>
<BODY onLoad="initHomePage()" leftmargin="0" rightmargin="0" marginwidth="0" marginheight="0" STYLE='BACKGROUND-IMAGE:url("<wf:createResourceURL resource='<%=imagesPath + "bg_subpage.gif"%>'/>"); BACKGROUND-REPEAT: no-repeat; BACKGROUND-POSITION:left top;'>

<%@ include file="/tools/util/admin_header.inc"%>

<!-- end top nav bar -->

<!-- This is the uber table that contains two table data cells: one for the left nav, the other for the main page layout -->
<TABLE border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
<TR><TD align="left" valign="top" class="sidenav" width="1%">
<!-- include  table for left nav bar -->
<jsp:include page="left_navbar.jsp"/>
</TD>

<TD align="center" valign="top" width="2%">
  <!-- spacer cell -->
  &nbsp;&nbsp;
</TD>

<!-- begin table for main content area -->
<TD align="left" valign="top">

  <%
    // Creation of message arguments
    Object[] args = new Object[] { cnvrtSC(portalName), cnvrtSC(groupPortalName) };
  %>
  <span class="pageheader"><i18n:getMessage messageName='portalDisplay' messageArgs='<%=args%>'/></span><BR>
  <span class="instructions"><i18n:getMessage messageName='portalDisplaySubHead'/></span><BR><BR>

  <!-- start Webflow/Pipeline enabled FORM -->
  <wf:form namespace="admin_portal"  event="link.refresh" origin="select_portal_pages.jsp" hide="true" method="post">

  <%
    // number of labels in category listing header section
    int numberOfLabels = 1;
  %>

  <TABLE cellspacing="0" cellpadding="0" border="0" width="100%">

    <TR>
        <TD>
          <!-- Begin Tab Table -->      
                <TABLE cellspacing="0" cellpadding="0" border="0" width="100%">
                  <TR>
        <!-- category listing left hand side -->
                    <TD align="left" valign="top" ROWSPAN="2"><jsp:include page="category_list_header_lhs.jsp"/></TD>
      <!-- It may seem strange to put a td width of 1000 in here, but after much trial and error this is the only way Netscape will maintain the fixed border widths along with the liquid, stretchable layout of the table -->
      <TD class="categoryHeadingBorderCell" colspan="<%=numberOfLabels%>" height="1px" width="1000"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
        <!-- category listing right hand side -->
                    <TD align="left" valign="top" ROWSPAN="2"><jsp:include page="category_list_header_rhs.jsp"/></TD>
                  </TR>
                  <TR>
                    <!-- * START LABELS -->
                    <TD class="categoryHeadingCell" NOWRAP="true">
                      <i18n:getMessage messageName='availableItemsLabel'/>
                    </TD>
                    <!-- * END LABELS  -->
                  </TR>
                  <!-- This creates the dark green line at the bottom of the green header -->
                  <TR>
                    <TD class="categoryHeadingBorderCell" colspan="<%=(numberOfLabels+2)%>" height="1"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
                  </TR>
                </TABLE>
            <!-- End Tab Table -->
      </TD>
      <TD width="50%"></TD>
      <TD>
          <!-- Begin Tab Table -->      
                <TABLE cellspacing="0" cellpadding="0" border="0" width="100%">
                  <TR>
        <!-- category listing left hand side -->
                    <TD align="left" valign="top" ROWSPAN="2"><jsp:include page="category_list_header_lhs.jsp"/></TD>
      <!-- It may seem strange to put a td width of 1000 in here, but after much trial and error this is the only way Netscape will maintain the fixed border widths along with the liquid, stretchable layout of the table -->
      <TD class="categoryHeadingBorderCell" colspan="<%=numberOfLabels%>" height="1px" width="1000"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
        <!-- category listing right hand side -->
                    <TD align="left" valign="top" ROWSPAN="2"><jsp:include page="category_list_header_rhs.jsp"/></TD>
    </TR>
    <TR>
                    <!-- * START LABELS -->
                    <TD class="categoryHeadingCell" NOWRAP="true">
                      <i18n:getMessage messageName='selectedItemsLabel'/>
                    </TD>
                    <!-- * END LABELS  -->
    </TR>
    <!-- This creates the dark green line at the bottom of the green header -->
    <TR>
      <TD class="categoryHeadingBorderCell" colspan="<%=(numberOfLabels+2)%>" height="1"><img src="<wf:createResourceURL resource='<%=imagesPath + "transparent.gif"%>'/>" width="1" height="1" border="0"></TD>
    </TR>
                </TABLE>
            <!-- End Tab Table -->
      </TD>
      <TD width="50%"></TD>

    </TR>
    <TR>
      <TD colspan="<%=(numberOfLabels)%>">

      	<!--AVAILABLE LIST-->
      	<res:getAvailablePages id="allPages" groupId="<%=currentGroupPortal%>"/>
<%
    		StringBuffer availNames = new StringBuffer();

        if (allPages != null && allPages.size() !=0 ) 
        {
          for (int i=0; i<allPages.size(); i++)
          {
            PagePersonalization aPage = (PagePersonalization)allPages.get(i);
            if (aPage != null)
            {
				      String pageValue = aPage.getPageIdentifier().getName();
				      String displayText = aPage.getDisplayName();
				      availNames.append("<option value=\"" + cnvrtSC(pageValue) + "\">" + displayText + "</option>"); 
              pageNames.add(pageValue);
            }
          }
        }
%>

        <select multiple="true" name="C0" size="15" onChange="processSelection(this,this.name, this[selectedIndex].value, this[selectedIndex].text)"><%=availNames.toString()%><option value="spacer">----------------------------------------</option>
        </select>

      </TD>

      <TD align="center" valign="middle" width="50%">
        <!-- -->
        <table border="0">
            <TR>
                 <TD align="center" valign="bottom">
                  <a href="javascript:moveRight(<%=selectOneMsg%>);" onClick="moveRight(<%=selectOneMsg%>); return false;"><img src="<wf:createResourceURL resource='<%=imagesPath + "arrow_right_enabled.gif"%>'/>" border="0"></a>
                 </TD>
             </TR>
             <TR>
                 <TD align="center" valign="top">
                  <a href="javascript:moveLeft(<%=selectOneMsg%>, <%=leaveOneMsg%>);" onClick="if ( !checkDefaultPage() ) { moveLeft(<%=selectOneMsg%>, <%=leaveOneMsg%>); } return false;"><img src="<wf:createResourceURL resource='<%=imagesPath + "arrow_left_enabled.gif"%>'/>" border="0"></a>
                 </TD>
          </TR>
        </table>
        <!-- -->
      </TD>

      <TD colspan="<%=(numberOfLabels)%>">

        <!--SELECTED LIST-->
        <res:getSelectedPages id="selectedPages" groupId="<%=currentGroupPortal%>"/>
<%
        StringBuffer selectedNames = new StringBuffer();

        if (selectedPages != null) 
        {
          for (int i=0; i<selectedPages.size(); i++) 
          {
            PagePersonalization aPageP13n = (PagePersonalization) selectedPages.get(i);
            if (aPageP13n != null) 
            {
				      String displayText = aPageP13n.getDisplayName();
              String value = aPageP13n.getPageIdentifier().getName();
              String text = "";
              if ( currentHomePageName.equals( value ) ) text += "* ";
              text += cnvrtSC( displayText );
				      selectedNames.append("<option value=\"" + value + "\">" + text + "</option>"); 
              pageNames.add(value);
            }
          }
        }
%>
        <select multiple="true" name="C1" size="15" onChange="processSelection(this,this.name, this[selectedIndex].value, this[selectedIndex].text)"><%=selectedNames.toString()%><option value="spacer">----------------------------------------</option>

        </select>

        <!-- HIDDEN ELEMENTS HERE -->
        <input type="hidden" name="selectedPageIndex" value="">
        <input type="hidden" name="selectedPageFormName" value="">
        <input type="hidden" name="selectedPageNameValue" value="">
        <input type="hidden" name="selectedPageNameText" value="">
        <input type="hidden" name="lastSelectedPageFormName" value="">
        <input type="hidden" name="formAction" value="">
        <input type="hidden" name="viewScope" value="group">
        <input type="hidden" name="portalName" value="<%=portalName%>">
        <input type="hidden" name="groupId" value="<%=groupPortalGroupId%>">
        <input type="hidden" name="userId" value="">
        <input type="hidden" name="unusedPageIds" value="">
        <input type="hidden" name="availablePageIds" value="">
        <input type="hidden" name="homePageId" value="<%= currentHomePageName %>">

      </TD>

      <TD align="left" valign="middle" width="50%">
        <!-- -->
        <table border="0">
            <TR>
                 <TD align="center" valign="bottom">
                  <a href="javascript:moveUp(<%=selectOneMsg%>);" onClick="moveUp(<%=selectOneMsg%>); return false;"><img src="<wf:createResourceURL resource='<%=imagesPath + "arrow_up_enabled.gif"%>'/>" border="0"></a>
                 </TD>
          </TR>
            <TR>
                 <TD align="center" valign="top">
                  <a href="javascript:moveDown(<%=selectOneMsg%>);" onClick="moveDown(<%=selectOneMsg%>); return false;"><img src="<wf:createResourceURL resource='<%=imagesPath + "arrow_down_enabled.gif"%>'/>" border="0"></a>
                 </TD>
          </TR>
        </table>
        <!-- -->
      </TD>

    </TR>

    <TR>
      <TD class="emptyRow"></TD>
    </TR>

    <TR>
      <TD colspan="<%=(numberOfLabels)%>">
        <a href="<wf:createWebflowURL namespace="admin_portal" origin="select_portal_pages.jsp" event="link.back"/>"><img src="<wf:createResourceURL resource='<%=imagesPath + "back.gif"%>'/>" border="0" alt="<i18n:getMessage messageName='backLabel'/>"></a>
        &nbsp;&nbsp;
        <a href="javascript:updateSelection('update');"><img src="<wf:createResourceURL resource='<%=imagesPath + "save.gif"%>'/>" border="0" alt="<i18n:getMessage messageName='saveLabel'/>"></a>
      </TD>

      <TD></TD>

      <TD colspan="<%=(numberOfLabels)%>">
        <TABLE cellspacing="0" cellpadding="0" border="0">
          <TR>
            <TD>
              <a href="javascript:setHomePageView('C1');" onClick="javascript:setHomePageView('C1'); return false;"><img src="<wf:createResourceURL resource='<%=imagesPath + "set_as_home.gif"%>'/>" border="0"></a>
            </TD>
          </TR>
          <TR>
            <TD>
              <i18n:getMessage messageName='defaultPage'/>
              <span name="dynamicTextBlock" id="dynamicTextBlock"></span>
              <DIV id="nav4" STYLE="visibility:hidden;">
<%
                if (pageNames != null) 
                {
                  for (int i=0; i<pageNames.size(); i++) 
                  {
                    if (pageNames.get(i) != null)
                    {
%>
                      <ILAYER ID="<%=pageNames.get(i)%>" visibility="hide" style="position:absolute;"><%=pageNames.get(i)%></ILAYER>
<%
                    }
                  }
                }
%>
              </DIV>
            </TD>
          </TR>
        </TABLE>
      </TD>

      <TD></TD>

    </TR>

  </TABLE>

  </wf:form>

</TD>
<!-- end content area -->

<TD align="center" valign="top" width="2%">
  <!-- spacer cell -->
</TD>

</TR>
</TABLE>

</BODY>
</HTML>
