<%-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. --%>
<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>

<%-- ------------------------------------------------------------ --%>
<%-- page imports                                                 --%>
<%-- ------------------------------------------------------------ --%>
<%@ page import="com.bea.portal.model.GroupPortal"%>
<%@ page import="com.bea.portal.model.Page"%>
<%@ page import="com.bea.portal.model.PagePersonalization"%>
<%@ page import="com.bea.portal.model.PageIdentifier"%>
<%@ page import="com.bea.portal.model.PortletPersonalization"%>
<%@ page import="com.bea.portal.model.PortletIdentifier"%>
<%@ page import="com.bea.portal.model.MutablePortletPersonalization"%>
<%@ page import="com.bea.portal.jsp.JspConstants"%>

<%@ page errorPage="error.jsp" %>

<%-- ------------------------------------------------------------ --%>
<%-- taglibs                                                      --%>
<%-- ------------------------------------------------------------ --%>
<%@ taglib uri="res.tld" prefix="res" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="i18n.tld" prefix="i18n" %>

<%-- ------------------------------------------------------------ --%>
<%-- i18n (internationalization) and skin setup                   --%>
<%-- ------------------------------------------------------------ --%>

<%@ include file="/tools/portal/i18n_setup.inc"%>

<%-- ------------------------------------------------------------ --%>
<%-- environment setup                                            --%>
<%-- ------------------------------------------------------------ --%>

<%-- ------------------------------------------------------------ --%>
<%-- DECLARE NavLocation VALUE                                    --%>
<%-- Used for the left_navbar highlighting                        --%>
<%-- ------------------------------------------------------------ --%>
  <wf:setProperty property='NavLocation' value='<%=JspConstants.PAGES_LAYOUTS_PORTLETS_NAV%>' scope='request'/>

<%-- Get the Default Group Portal Display name to use on the page --%>
<i18n:getMessage id='defaultGroupPortalName' messageName='defaultGroupPortalDisplayName' bundleName='tools'/>

<wf:getProperty property="portalName" id="portalName" type="String"/>
<wf:getProperty property="groupPortalObj" id="currentGroupPortal" type="com.bea.portal.model.GroupPortal"/>
<wf:getProperty property="isDefaultGroup" id="isDefaultGroup" type="String"/>

<%
  String groupPortalGroupId = currentGroupPortal.getGroupIdentifier();
  String groupPortalName = currentGroupPortal.getDisplayName();

  if(( isDefaultGroup != null ) && ( isDefaultGroup.equals("true") ))
  {
    groupPortalName = defaultGroupPortalName;
  }
%>

<wf:getProperty property="selectedPage" id="selectedPage" type="String"/>
<%
  boolean portletDefinedFloatable = false;

  boolean[] attrs = new boolean[7];
  boolean[] mixed = new boolean[7];
  String[] checked = new String[7];

  String[] selectedPortlets = request.getParameterValues("selectedPortlets");
  if (selectedPortlets == null)
  {
%>
    <wf:getProperty property="selectedPortlets" id="selPortlets" type="String[]"/>  
<%  
    selectedPortlets = selPortlets;
  } 
  else
  { 
%>
    <wf:setProperty property="selectedPortlets" value="<%= selectedPortlets %>"/>
<% 
  }

  boolean singlePortletEdit = false;
  if( selectedPortlets.length == 1)
  {
      singlePortletEdit = true;
  }

%>

<%  
  // if submit from the form, save it and display value
  String displayName = request.getParameter("displayName");
	if (request.getParameter("savemode") != null) { 
    // initialize boolean and check values
    for (int i=0; i<7; i++)
  	  attrs[i] = (request.getParameter("attr" + i) != null);
	  // save settings back to database
    
%>
    <wf:getProperty property="mportlets" id="mportlets" type="java.util.List"/>
    <wf:getProperty property="displayNames" id="displayNames" type="String[]"/>  
<%
    
    MutablePortletPersonalization mportlet = null;
    boolean blankDisplayName = false;
    String statusMsg = ""      ;
    for ( int i = 0; i < mportlets.size(); i++ ) 
    {
       mportlet = (MutablePortletPersonalization)mportlets.get(i);
       mportlet.setAvailable(new Boolean(attrs[0]));
       mportlet.setVisible(new Boolean(attrs[1]));
       mportlet.setMinimizable(new Boolean(attrs[2]));
       mportlet.setMaximizable(new Boolean(attrs[3]));
       mportlet.setMinimized(new Boolean(attrs[4]));
       mportlet.setMandatory(new Boolean(attrs[5]));
       mportlet.setFloatable(new Boolean(attrs[6]));

       if(mportlet.isMandatory().booleanValue())
       {
         mportlet.setVisible(new Boolean(true));
       }
       if(mportlet.isMinimized().booleanValue())
       {
         mportlet.setMinimizable(new Boolean(true));
       }

       if (singlePortletEdit) 
       {
          displayName = displayName.trim();
          if(displayName.equals(""))
          {
%>
            <i18n:getMessage id='tempStatusMsg' messageName='blankNameMessage'/>
<%
            blankDisplayName = true;
            statusMsg = tempStatusMsg;
          }
          ((MutablePortletPersonalization)mportlet).setDisplayName(displayName);
       }
       else{       
          mportlet.setDisplayName(displayNames[i]);
       }
    }
    if(blankDisplayName)
    {
      pageContext.setAttribute("errorMessage", statusMsg);
    }
    else
    {
%>
      <res:getAvailableMutablePortlets id="allPortlets" groupId="<%=currentGroupPortal%>" pageName="<%=selectedPage%>" />	
<%
      Iterator iter = allPortlets.listIterator();
      PortletPersonalization portletPers = null;
      
      List allNewPortlets = new ArrayList();
      
      boolean found = false;
      while ( iter.hasNext() ) {        
          found = false;
  
          portletPers = (PortletPersonalization)iter.next();
          
          for ( int i = 0; i < mportlets.size(); i++ ) {
              mportlet = (MutablePortletPersonalization)mportlets.get(i);
              if ( portletPers.getIdentifier().equals( mportlet.getIdentifier() ) ) {
                  allNewPortlets.add( mportlet );
                  found = true;
                  break;
              }
          }
  
          if ( !found ) {
              allNewPortlets.add( portletPers );
          }
      }
  
%>
      <res:setPersonalizedPortlets groupId="<%=currentGroupPortal%>" pageName="<%=selectedPage%>" portletList="<%=allNewPortlets%>"/>	
      <%-- The following form and associated javascript allow for the "page forward" on a successful save --%>  
<%
      //We only want to forward if there have been no generated errors within the tags
      String logId = (String)pageContext.getAttribute("logId");
      if(logId == null)
      {
%>
        <SCRIPT LANGUAGE="JavaScript">
          window.location.replace("<wf:createWebflowURL namespace='admin_portal' event='link.back'/>");
        </SCRIPT>
<%
      }
    }
  } 
  else 
  {	// first time to this page, find the portlet personalization and initial boolean values
%>
<res:getMutablePortletPersonalizations id="pp13n" groupId="<%=currentGroupPortal%>" pageName="<%=selectedPage %>" portletNames="<%=selectedPortlets%>"/>
<wf:setProperty property="mportlets" value="<%= pp13n %>"/>

<%
      String[] displayNames = new String[pp13n.size()];
      String tmpDisName = null;
      for ( int i = 0; i < pp13n.size(); i++ )
      {
          tmpDisName = ((PortletPersonalization)pp13n.get(i)).getDisplayName();
          displayNames[i] = tmpDisName;
      }
%>
      <wf:setProperty property="displayNames" value='<%=displayNames%>'/>
<%
      PortletPersonalization pp = (PortletPersonalization)(pp13n.get(0));
      displayName = pp.getDisplayName();

%>
      <res:isPortletDefinedFloatable id="portletFloatable" groupPortal="<%=currentGroupPortal%>" portletId="<%=pp.getPortletIdentifier()%>"/>
<%
      portletDefinedFloatable = portletFloatable.booleanValue();
      
      attrs[0] = pp.isAvailable().booleanValue();
      attrs[1] = pp.isVisible().booleanValue();
      attrs[2] = pp.isMinimizable().booleanValue();
      attrs[3] = pp.isMaximizable().booleanValue();
      attrs[4] = pp.isMinimized().booleanValue();
      attrs[5] = pp.isMandatory().booleanValue();
      attrs[6] = pp.isFloatable().booleanValue();
          
      for(int i=1;i<pp13n.size();i++)
      {
          pp = (PortletPersonalization)pp13n.get(i);
          if(attrs[0] != pp.isAvailable().booleanValue())
          {
              mixed[0] = true;
              attrs[0] = true;
          }
          if(attrs[1] != pp.isVisible().booleanValue())
          {
              mixed[1] = true;
              attrs[1] = true;
          }
          if(attrs[2] != pp.isMinimizable().booleanValue())
          {
              mixed[2] = true;
              attrs[2] = true;
          }
          if(attrs[3] != pp.isMaximizable().booleanValue())
          {
              mixed[3] = true;
              attrs[3] = true;
          }
          if(attrs[4] != pp.isMinimized().booleanValue())
          {
              mixed[4] = true;
              attrs[4] = true;
          }
          if(attrs[5] != pp.isMandatory().booleanValue())
          {
              mixed[5] = true;
              attrs[5] = true;
          }
      }
  }
// set checked 
  for (int i=0; i<7; i++)
  if (attrs[i]) checked[i] = "checked";
%>

<%-- ------------------------------------------------------------ --%>
<%-- begin rendering                                              --%>
<%-- ------------------------------------------------------------ --%>
<html>

<head>
  <%  // Grab the html title string from the properties file %>
  <i18n:getMessage messageName='pageTitle' id='pageTitle' messageArgs='<%=new Object[] { cnvrtSC(selectedPage) }%>'/>

  <title><%=pageTitle%></title>
  <LINK REL=StyleSheet HREF="<wf:createResourceURL resource='<%=cssFile%>'/>" TYPE="text/css" MEDIA="screen">

<script language="JavaScript">

function submitForm()
{
    document.forms[0].submit();
}

function visibleMandatory()
{
    if(document.forms[0].attr5.checked)
    {
        document.forms[0].attr1.checked = true;
        document.forms[0].attr1.disabled = true;
    }
    else
    {
        document.forms[0].attr1.disabled = false;
    }
}

function minimizedMandatory()
{
    if(document.forms[0].attr4.checked)
    {
        document.forms[0].attr2.checked = true;
        document.forms[0].attr2.disabled = true;
    }
    else
    {
        document.forms[0].attr2.disabled = false;
    }
}

function checkVisible()
{
    //We only want to do this for Netscape4.  The 'disabled' will work for IE
    if(document.layers)
    {
        if(document.forms[0].attr5.checked)
        {
            document.forms[0].attr1.checked = true;
            alert("<i18n:getMessage messageName='mandatoryVisible'/>");
        }
    }
}

function checkMinimizable()
{
    //We only want to do this for Netscape4.  The 'disabled' will work for IE
    if(document.layers)
    {
        if(document.forms[0].attr4.checked)
        {
            document.forms[0].attr2.checked = true;
            alert("<i18n:getMessage messageName='mandatoryMinimizable'/>");
        }
    }
}
</script>
  
</head>

<BODY onLoad="visibleMandatory();minimizedMandatory()"leftmargin="0" rightmargin="0" marginwidth="0" marginheight="0" STYLE='BACKGROUND-IMAGE:url("<wf:createResourceURL resource='<%=imagesPath + "bg_subpage.gif"%>'/>"); BACKGROUND-REPEAT: no-repeat; BACKGROUND-POSITION:left top;'>

<%@ include file="/tools/util/admin_header.inc"%>

<!-- end top nav bar -->

<!-- This is the uber table that contains two table data cells: one for the left nav, the other for the main page layout -->
<TABLE border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
<TR><TD align="left" valign="top" class="sidenav" width="1%">
<!-- include  table for left nav bar -->
<jsp:include page="left_navbar.jsp"/>
</TD>


<TD align="center" valign="top" width="2%">
  <!-- spacer cell -->
  &nbsp;&nbsp;  
</TD>

<!-- begin table for main content area -->
<TD align="left" valign="top">
  <% // Include the error message display logic %>
  <%@ include file="/tools/util/error_message.inc"%>

<%
    // Creation of message arguments
      StringBuffer selectedPortletNames = new StringBuffer();
      for ( int i = 0; i < selectedPortlets.length; i++ ) {
            selectedPortletNames.append( selectedPortlets[ i ] );
            if ( ( i + 1 ) != selectedPortlets.length ){
                selectedPortletNames.append( ", " );
            }
      }
%>
      <i18n:getMessage messageName='selectedPortlets' messageArgs='<%=new Object[]{ selectedPortletNames.toString() }%>' id='pname'/>
<%
  	

    Object[] args = new Object[] { cnvrtSC(selectedPage), cnvrtSC(selectedPortletNames.toString()) };
  %>
  <TABLE>
    <TR>
      <TD NOWRAP>
        <span class="pageheader"><i18n:getMessage messageName='portalDisplay' messageArgs='<%=args%>'/></span>
      </TD>
    </TR>
  </TABLE>
  <span class="instructions"><i18n:getMessage messageName='portalDisplaySubHead'/></span>
  <BR>
  <br>
  
  <!-- start Webflow/Pipeline enabled FORM -->
  <wf:form namespace="admin_portal"  event="link.save" origin="set_portlet_attributes.jsp" hide="true" method="post">

  <TABLE cellspacing="5" cellpadding="5" border="0">
    <TR>
      <TD><i18n:getMessage messageName='available'/></TD>
      <TD><input type="checkbox" name="attr0" value="1" <%= checked[0] %>></TD>
<%
      if (!singlePortletEdit)
      {
        if(mixed[0])
        {
%>
          <TD class="listText"><i18n:getMessage messageName='mixedValues'/></TD>
<%
        }
        else if(checked[0] == "checked")
        {
%>
          <TD class="listText"><i18n:getMessage messageName='initiallyOn'/></TD>
<%
        }
        else
        {
%>
          <TD class="listText"><i18n:getMessage messageName='initiallyOff'/></TD>
<%
        }
      }
%>
    </TR>
    <TR>
      <TD><i18n:getMessage messageName='visible'/></TD>
      <TD><input disabled="false" type="checkbox" name="attr1" onClick="checkVisible()" value="1" <%= checked[1] %>></TD>
<%
      if (!singlePortletEdit)
      {
        if(mixed[1])
        {
%>
          <TD class="listText"><i18n:getMessage messageName='mixedValues'/></TD>
<%
        }
        else if(checked[1] == "checked")
        {
%>
          <TD class="listText"><i18n:getMessage messageName='initiallyOn'/></TD>
<%
        }
        else
        {
%>
          <TD class="listText"><i18n:getMessage messageName='initiallyOff'/></TD>
<%
        }
      }
%>
    </TR>
    <TR>
      <TD><i18n:getMessage messageName='minimizable'/></TD>
      <TD><input disabled="false" type="checkbox" name="attr2" onClick="checkMinimizable()" value="1" <%= checked[2] %>></TD>
<%
      if (!singlePortletEdit)
      {
        if(mixed[2])
        {
%>
          <TD class="listText"><i18n:getMessage messageName='mixedValues'/></TD>
<%
        }
        else if(checked[2] == "checked")
        {
%>
          <TD class="listText"><i18n:getMessage messageName='initiallyOn'/></TD>
<%
        }
        else
        {
%>
          <TD class="listText"><i18n:getMessage messageName='initiallyOff'/></TD>
<%
        }
      }
%>
    </TR>
    <TR>
      <TD><i18n:getMessage messageName='maximizable'/></TD>
      <TD><input type="checkbox" name="attr3" value="1" <%= checked[3] %>></TD>
<%
      if (!singlePortletEdit)
      {
        if(mixed[3])
        {
%>
          <TD class="listText"><i18n:getMessage messageName='mixedValues'/></TD>
<%
        }
        else if(checked[3] == "checked")
        {
%>
          <TD class="listText"><i18n:getMessage messageName='initiallyOn'/></TD>
<%
        }
        else
        {
%>
          <TD class="listText"><i18n:getMessage messageName='initiallyOff'/></TD>
<%
        }
      }
%>
    </TR>
    <TR>
      <TD><i18n:getMessage messageName='defaultMinimized'/></TD>
      <TD><input type="checkbox" name="attr4" value="1" onClick="minimizedMandatory();" <%= checked[4] %>></TD>
<%
      if (!singlePortletEdit)
      {
        if(mixed[4])
        {
%>
          <TD class="listText"><i18n:getMessage messageName='mixedValues'/></TD>
<%
        }
        else if(checked[4] == "checked")
        {
%>
          <TD class="listText"><i18n:getMessage messageName='initiallyOn'/></TD>
<%
        }
        else
        {
%>
          <TD class="listText"><i18n:getMessage messageName='initiallyOff'/></TD>
<%
        }
      }
%>
    </TR>
    <TR>
      <TD><i18n:getMessage messageName='mandatory'/></TD>
      <TD><input type="checkbox" name="attr5" value="1" onClick="visibleMandatory();" <%= checked[5] %>></TD>
<%
      if (!singlePortletEdit)
      {
        if(mixed[5])
        {
%>
          <TD class="listText"><i18n:getMessage messageName='mixedValues'/></TD>
<%
        }
        else if(checked[5] == "checked")
        {
%>
          <TD class="listText"><i18n:getMessage messageName='initiallyOn'/></TD>
<%
        }
        else
        {
%>
          <TD class="listText"><i18n:getMessage messageName='initiallyOff'/></TD>
<%
        }
      }
%>
    </TR> 
    <% if (singlePortletEdit && portletDefinedFloatable) { %>
    <TR>
      <TD><i18n:getMessage messageName='floatable'/></TD>
      <TD><input type="checkbox" name="attr6" value="1" <%= checked[6] %>></TD>
    </TR>
    <% } %>
    <% if (singlePortletEdit) { %>
    <TR>
      <TD><i18n:getMessage messageName='displayName'/></TD>
      <TD><input type="text" name="displayName" value="<%= displayName %>" maxlength="64"></TD>
    </TR>    
    <% } %>
  </TABLE>
  <br><br>
<A HREF="<wf:createWebflowURL namespace='admin_portal' event='link.back'/>"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "back.gif"%>'/>" border="0" align="bottom"></A>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<A HREF="" onclick="submitForm(); return false;"><IMG src="<wf:createResourceURL resource='<%=imagesPath + "save.gif"%>'/>" border="0" align="bottom"></a>
<input type=hidden name=savemode value="savemode">
  </wf:form>

</TD>
<!-- end content area -->

<TD align="center" valign="top" width="2%">
  <!-- spacer cell -->
</TD>

</TR>
</TABLE>
</BODY>
</HTML>
