<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<%--
Clean up checklist

[x] - using header include for the header
[x] - page extends com.bea.jsptools.common.servlets.jsp.ToolsJspBase
[x] - finished button at top and bottom
[x] - check color consistency
[x] - cnvrtSC()
[x] - check tool tips 
[x] - blank text fields when first loaded 
[x] - page wrapped in transaction 
[x] - colon after textfield labels
[x] - monitor session tag
[x] - goto error page
--%>

<%@ page extends="com.bea.jsptools.p13n.usermgmt.servlets.jsp.JspHierarchyBase" %>
<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="es.tld" prefix="es" %>
<%@ taglib uri="um.tld" prefix="um" %>

<%@ page import="com.bea.jsptools.p13n.common.servlets.jsp.JspUtilPages" %>
<%@ page import="com.bea.jsptools.p13n.usermgmt.servlets.jsp.HierarchyManagementBean" %>

<jsp:useBean id="hierarchyManagementBean" class="com.bea.jsptools.p13n.usermgmt.servlets.jsp.HierarchyManagementBean" scope="session" />

<% request.setAttribute(SERVICEMANAGER_CURRENT_PAGE, getJspName(pageContext));%>

<% 
 // to print error status messages
 String statusMsg = null;
%>

<%-- check the fact that the user might have clicked on the expand/collapse buttons --%>
<% String groupName = null; %>
<% groupName=request.getParameter("groupName"); %>

<wl:process name="hierarchyAction" value="expand">
<%@ include file="/tools/util/startUserTransaction.inc" %>
    <% hierarchyManagementBean.addGroupAsExpanded(groupName); %>
<%@ include file="/tools/util/endUserTransaction.inc" %>
</wl:process>

<wl:process name="hierarchyAction" value="collapse">
<%@ include file="/tools/util/startUserTransaction.inc" %>
    <% hierarchyManagementBean.removeGroupAsExpanded(groupName); %>
<%@ include file="/tools/util/endUserTransaction.inc" %>
</wl:process>

<!-- reset the tree if no action is taken -->
<es:isNull item="<%=groupName%>">
     <% hierarchyManagementBean.reset(); %>
</es:isNull>

<wl:process name="formSubmit">


</wl:process>


<html>
<Head>
<Title>User Management</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<SCRIPT LANGUAGE="JavaScript">
function submitForm() {
   this.document.UserMgmtForm.submit();
   return true;
}
</SCRIPT>
</head>


<%@ include file="/tools/util/startUserTransaction.inc" %>
<body bgcolor="#FFFFFF" topmargin="0" leftmargin="0" marginwidth="0" marginheight="0">

<!-- Header  -->
<jsp:include page="<%=JspUtilPages.JSP_UTIL_HOME_HDR%>"/>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td width="2%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="89%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="6%" bgcolor="#000000"><a href="<wf:createWebflowURL event="link.user_home"/>"><img src="<wf:createResourceURL resource="/repository/images/stopblack_um1.gif"/>" width="65" height="8" border="0" alt="Return to User Management Home"></a></td>
    <td width="3%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></b></font></td>
  </tr>
  <tr> 
    <td width="2%" bgcolor="#006666"><img src="<wf:createResourceURL resource="/repository/images/um.gif"/>" width="30" height="24"></td>
    <td width="88%" bgcolor="#006666"><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#000000"><b><font color="#FFFFFF">Groups</font></b></font></td>
    <td width="6%" bgcolor="#006666"><a href="<wf:createWebflowURL event="link.user_home"/>"><img src="<wf:createResourceURL resource="/repository/images/sfinished_um1.gif"/>" width="65" height="24" border="0" alt="Return to User Management Home"></a></td>
    <td width="3%" bgcolor="#006666"><img src="<wf:createResourceURL resource="/repository/images/curves_um1_1.gif"/>" width="30" height="24"></td>
  </tr>
  <tr> 
    <td width="2%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></b></font></td>
    <td width="89%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>"  width="5" height="8"></b></font></td>
    <td width="6%"><a href="<wf:createWebflowURL event="link.user_home"/>"><img src="<wf:createResourceURL resource="/repository/images/sbottom_um1.gif"/>" width="65" height="8" border="0" alt="Return to User Management Home"></a></td>
    <td width="3%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></b></font></td>
  </tr>
  <tr> 
    <td width="2%">&nbsp;</td>
    <td width="89%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="3%">&nbsp;</td>
  </tr>
</table>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
  <tr> 
    <td width="9%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="20" height="8"></td>
    <td bgcolor="#CCCCCC" width="77%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8">Search 
      the Group Hierarchy</b></font></td>
    <td width="14%" bgcolor="#CCCCCC">&nbsp;</td>
  </tr>
    <tr> 
      <td width="9%">&nbsp;</td>
      <td width="77%">
        <table width="100%" border="0" cellspacing="8" cellpadding="0">
          <tr> 
            <td width="49%" valign="top"><font face="Verdana, Arial, Helvetica, sans-serif" size="2">Click 
              through the group hierarchy to view all groups and levels. To create 
              a group, click the <img src="<wf:createResourceURL resource="/repository/images/add.gif"/>" width="20" height="20" align="absmiddle"> 
              that appears at the appropriate level.</font></td>
          </tr>
        </table>
      </td>
    <td width="14%">&nbsp;</td>
    </tr>
    <tr> 
      <td width="9%">&nbsp;</td>
      <td width="77%" bgcolor="#CCCCCC"><b><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8">Group 
              Hierarchy </font></b></td>
      <td width="14%" bgcolor="#CCCCCC">&nbsp;</td>
    </tr>

    <tr>
  <%-- This is the piece of code which is responsible for printing the entire hierarchy --%>
      <td width="9%">&nbsp;</td>
      <td width="77%"> 
        <table width="100%" border="0" cellspacing="2" cellpadding="2">
          <tr> 
            <td colspan="3"><b><font face="Verdana, Arial, Helvetica, sans-serif" size="3">Top 
              Level Groups</font></b></td>
          </tr>

	  <% String groupNames[] = getTopLevelGroupNames(); %>
	  <% hierarchyManagementBean.setDisplayType(HierarchyManagementBean.CREATE); %>

	  <es:forEachInArray id="currgroupName" array="<%=groupNames%>" type="String" counterId="i">
		<%= printSubGroups(currgroupName.toString(), i.intValue(), hierarchyManagementBean, response, request, pageContext) %>
	  </es:forEachInArray>

	 <!-- print the + at the end -->
	 <tr>
	 <td width="3%">&nbsp;</td>
	 <td width="3%" height="17"><a href="<wf:createWebflowURL event="link.group_create"/>" >
	 <img src="<wf:createResourceURL resource="/repository/images/add.gif"/>"
	       width=20 height=20 alt="Create a Group at this Level" border=0></a></td>
	  <td height="17" width="94%"><font face="Verdana, Arial, Helvetica, sans-serif" color="#0000FF" size=2>Add a subgroup to top level</font></td>
	 <td height="17" width="94%">&nbsp;</td>
	 </tr>


	</table>
      </td>
    </tr>
  <%-- end of code which is responsible for printing the entire hierarchy --%>
    <tr> 
      <td width="9%">&nbsp;</td>
      <td width="77%"> 
        <table border="0" cellspacing="4" cellpadding="0" align="right">
          <tr> 
            <td><a href="<wf:createWebflowURL event="link.user_home"/>"><img src="<wf:createResourceURL resource="/repository/images/finished_um1.gif"/>" width="65" height="40" alt="Return to User Management Home" border="0"></a></td>
          </tr>
        </table>
      </td>
      <td width="14%">&nbsp;</td>
    </tr>
    <tr> 
      <td width="9%">&nbsp;</td>
      <td width="77%">&nbsp;</td>
      <td width="14%">&nbsp;</td>
    </tr>
  </table>
<%@ include file="/tools/util/endUserTransaction.inc" %>
</body>
</html>
