<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>
<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="es.tld" prefix="es" %>
<%@ taglib uri="um.tld" prefix="um" %>

<%@ page import="com.bea.p13n.property.PropertyDefinition" %>

<%-- TODO: session monitor to check login --%>
<jsp:useBean id="propertyBean" class="com.bea.jsptools.p13n.usermgmt.servlets.jsp.PropertyBean" scope="request" />

<%-- renderer to view Multiple Unrestricted properties --%>
<% PropertyDefinition property = (PropertyDefinition)request.getAttribute( "Property" ); %>
<% String propertyName = (String)request.getAttribute( "PropertyName" ); %>
<% String scopeName = (String)request.getAttribute( "scopeName" ); %>

<um:getProperty id="currentPropertyValue" propertySet="<%= scopeName %>" propertyName="<%= propertyName %>" />

<es:isNull item="<%=currentPropertyValue%>">
    <% currentPropertyValue = property.getDefaultValue(); %>
</es:isNull>

<% Collection defaults = (currentPropertyValue == null ? null : propertyBean.getAsCollection( currentPropertyValue )); %>

<table width="100%" border="0" cellspacing="0" cellpadding="2">
  <es:notNull item="<%=defaults%>">
    <% Object[] arr = defaults.toArray(); %>
    <% int count = 0; %>
    <tr bgcolor="#FFFFFF">
    <es:forEachInArray id="valueObject" array="<%= arr %>" type="Object">
      <% if ( count++ % 3 == 0 ) { %></tr><tr bgcolor="#FFFFFF"><% } %>
      <td width="26%"><font color="#000000" face="Verdana, Arial, Helvetica, sans-serif" size="2"><%= propertyBean.formatPropertyValue(property, valueObject) %></font></td>
    </es:forEachInArray>
    <% while ( count++ % 3 != 0 ) { %>
      <td width="26%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2">&nbsp;</font></td>
    <% } %>
    </tr>
  </es:notNull>

  <es:isNull item="<%=defaults%>">
    <tr bgcolor="#FFFFFF"> 
      <td width="26%"><font color="#000000" face="Verdana, Arial, Helvetica, sans-serif" size="2">No Default Values Specified</font></td>
      <td width="26%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2">&nbsp;</font></td>
      <td width="26%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2">&nbsp;</font></td>
    </tr>
  </es:isNull>
</table>
