<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<%----------------------------------------------------------
Clean up checklist

[x] - using header include for the header
[x] - page extends com.bea.jsptools.common.servlets.jsp.ToolsJspBase
[x] - finished button at top and bottom (if page requires it)
[x] - check color consistency
[x] - cnvrtSC()
[x] - check tool tips 
[x] - blank text fields when first loaded 
[x] - check text input size
[x] - page wrapped in transaction 
[x] - colon after textfield labels
[x] - monitor session tag
[x] - goto error page
[x] - check for TODOs
----------------------------------------------------------%>

<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>
<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="es.tld" prefix="es" %>
<%@ page import="com.bea.jsptools.p13n.common.servlets.jsp.JspUtilPages" %>
<%@ page import="java.net.URLEncoder" %>

<jsp:useBean id="realmConfigBean" class="com.bea.jsptools.p13n.usermgmt.servlets.jsp.RealmConfigBean" scope="request" />
<jsp:setProperty name="realmConfigBean" property="*" />

<% request.setAttribute(SERVICEMANAGER_CURRENT_PAGE, getJspName(pageContext));%>

<% String statusMsg = null; %>

<html>
<head>
<title>User Management</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<%@ include file="/tools/util/startUserTransaction.inc" %>

<body bgcolor="#FFFFFF" topmargin="0" leftmargin="0" marginwidth="0" marginheight="0">
<!-- Header  -->
<jsp:include page="<%=JspUtilPages.JSP_UTIL_HOME_HDR%>"/>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td width="3%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="8" height="8"></td>
    <td width="90%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="4%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="65" height="8"></td>
    <td width="3%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="8" height="8"></td>
  </tr>
  <tr> 
    <td width="3%" bgcolor="#006666"> 
      <div align="right"><img src="<wf:createResourceURL resource="/repository/images/um.gif"/>" width="30" height="24"></div>
    </td>
    <td width="90%" bgcolor="#006666"><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#000000"><b><font color="#FFFFFF">Realm Configuration </font></b></font></td>
    <td width="4%" bgcolor="#006666">&nbsp;</td>
    <td width="3%" bgcolor="#FFFFFF"><img src="<wf:createResourceURL resource="/repository/images/curves_um1_1.gif"/>" width="30" height="24"></td>
  </tr>
  <tr>
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="90%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="4%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="65" height="8"></td>
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
  </tr>
  <tr> 
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="90%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="4%">&nbsp;</td>
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
  </tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <es:notNull item="<%=statusMsg%>">
  <tr>
    <!-- validation error display -->
    <td width="3%">&nbsp;</td>
    <td width="1%">&nbsp;</td>
    <td width="83%"><%@ include file="status.inc" %></td>
    <td width="13%">&nbsp;</td>
  </tr>
  </es:notNull>

  <tr> 
    <td width="3%" bgcolor="#006666">
      &nbsp;
    </td>
    <td width="1%" bgcolor="#006666">
      &nbsp;
    </td>
    <td width="83%" bgcolor="#006666">
      <font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#FFFFFF">
        <b>
          Groups
        </b>
      </font>
    </td>
    <td width="13%" bgcolor="#006666" align="center"><a href="<wf:createWebflowURL event="link.realm_config_group"/>">
<%--        <img align="middle" src="<wf:createResourceURL resource="/repository/images/edit_red.gif"/>" width="50" height="20" border="0" alt="Edit the Group Configuration"></a></td> --%>
        <img align="middle" src="<wf:createResourceURL resource="/repository/images/cleanup_red.gif"/>" width="50" height="20" border="0" alt="Clean Up Groups"></a></td>
  </tr>
  <tr> 
    <td bgcolor="#006666" width="3%">&nbsp;</td>
    <td width="1%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2">&nbsp;</font></td>
    <% int num = realmConfigBean.getConfiguredGroupCount(); %>
    <% StringBuffer groupMessage = new StringBuffer(); %>
    <% if(num > 1) 
       {
           groupMessage.append("There are ");
           groupMessage.append(num);
           groupMessage.append(" group profiles currently defined.");
       }
       else if(num == 1)
       {
           groupMessage.append("There is 1 group profile currently defined.");
       }
       else if(num < 1)
       {
           groupMessage.append("There are no group profiles currently defined.");
       } %>
    <td width="83%" valign="top" align="left"><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><%=groupMessage.toString()%></font></td>
    <td width="13%" valign="top" align="left">&nbsp;</td>
  </tr>
  <tr> 
    <td width="3%" bgcolor="#006666"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#FFFFFF"><b> 
      </b></font><font size="2">&nbsp;</font></td>
    <td width="1%"><font size="2">&nbsp;</font></td>
    <td width="83%"><font size="2">&nbsp;</font></td>
    <td width="13%">&nbsp;</td>
  </tr>

  <tr> 
    <td width="3%" bgcolor="#006666">
      &nbsp;
    </td>
    <td width="1%" bgcolor="#006666">
      &nbsp;
    </td>
    <td width="83%" bgcolor="#006666">
      <font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#FFFFFF">
        <b>
          Users
        </b>
      </font>
    </td>
    <td width="13%" bgcolor="#006666" align="center"><a href="<wf:createWebflowURL event="link.realm_config_user"/>">
        <img align="middle" src="<wf:createResourceURL resource="/repository/images/cleanup_red.gif"/>" width="50" height="20" border="0" alt="Clean Up Users"></a></td>
<%-- <img align="middle" src="<wf:createResourceURL resource="/repository/images/edit_red.gif"/>" width="50" height="20" border="0" alt="Clean Up Users"></a></td> --%>
  </tr>
  <tr> 
    <td bgcolor="#006666" width="3%">&nbsp;</td>
    <td width="1%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2">&nbsp;</font></td>
    <% int userCount = realmConfigBean.getConfiguredUserCount(); %>
    <% StringBuffer userMessage = new StringBuffer(); %>
    <% if(userCount > 1) 
       {
           userMessage.append("There are ");
           userMessage.append(userCount);
           userMessage.append(" user profiles currently defined.");
       }
       else if(userCount == 1)
       {
           userMessage.append("There is 1 user profile currently defined.");
       }
       else if(userCount < 1)
       {
           userMessage.append("There are no user profiles currently defined.");
       } %>
    <td width="83%" valign="top" align="left"><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><%=userMessage.toString()%></font></td>
    <td width="13%" valign="top" align="left">&nbsp;</td>
  </tr>
  <tr> 
    <td width="3%" bgcolor="#006666"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#FFFFFF"><b> 
      </b></font><font size="2">&nbsp;</font></td>
    <td width="1%"><font size="2">&nbsp;</font></td>
    <td width="83%"><font size="2">&nbsp;</font></td>
    <td width="13%">&nbsp;</td>
  </tr>

  <tr> 
    <td width="3%" bgcolor="#FFFFFF">&nbsp;</td>
    <td width="1%"><font size="2">&nbsp;</font></td>
    <td width="83%">&nbsp; </td>
    <td width="13%" bgcolor="#FFFFFF" align="center"><a href="<wf:createWebflowURL event="link.user_home"/>">
      <img align="middle" src="<wf:createResourceURL resource="/repository/images/finished_um1.gif"/>" width="65" height="40" border="0" alt="Return to User Management Home"></a></td>
  </tr>
  <tr> 
    <td width="3%" bgcolor="#FFFFFF">&nbsp;</td>
    <td width="1%">&nbsp;</td>
    <td width="83%">&nbsp;</td>
    <td width="13%">&nbsp;</td>
  </tr>
  <tr> 
    <td width="3%" bgcolor="#FFFFFF">&nbsp;</td>
    <td width="1%">&nbsp;</td>
    <td width="83%">&nbsp;</td>
    <td width="13%">&nbsp;</td>
  </tr>
</table>
</body>
<%@ include file="/tools/util/endUserTransaction.inc" %>
</html>
