<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<%----------------------------------------------------------
Clean up checklist

[x] - using header include for the header
[x] - page extends com.bea.jsptools.common.servlets.jsp.ToolsJspBase
[x] - finished button at top and bottom (if page requires it)
[x] - check color consistency
[x] - cnvrtSC()
[x] - check tool tips 
[x] - blank text fields when first loaded 
[x] - check text input size
[x] - page wrapped in transaction 
[x] - colon after textfield labels
[x] - monitor session tag
[x] - goto error page
[x] - check for TODOs
----------------------------------------------------------%>

<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>
<%@ page import="com.bea.jsptools.p13n.common.servlets.jsp.JspUtilPages" %>
<%@ page import="com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTagConstants"%>
<%@ page import="java.util.Vector"%>

<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="es.tld" prefix="es" %>
<%@ taglib uri="um.tld" prefix="um" %>

<jsp:useBean id="userBean" class="com.bea.jsptools.p13n.usermgmt.servlets.jsp.UserBean" scope="session" />
<jsp:setProperty name="userBean" property="*" />

<% request.setAttribute(SERVICEMANAGER_CURRENT_PAGE, getJspName(pageContext));%>

<%
  String statusMsg = null;
%>

<%-- reset the userBean vector if the parameter firstTime is specified --%>
<% 
   if(request.getParameter("firstTime") == null) 
	userBean.reset();
%>

<% String user = ""; %>

<%-- create the user --%>
<% Vector userVector= new Vector(); %>

<wl:process name="formSubmit">
<%@ include file="/tools/util/startUserTransaction.inc" %>
<%  
    user = request.getParameter("Username"); 
    if ( user != null ) user = user.trim();
    String password = request.getParameter("password"); 
    String verifyPassword = request.getParameter("verifyPassword"); 
    String profileType = request.getParameter( "profileType" );
    if ( profileType != null && profileType.trim().length() == 0 ) profileType = null;
%>

<%
  statusMsg = cnvrtSC( userBean.validate( user, password, verifyPassword ) );
%>
  
  <es:isNull item="<%= statusMsg %>" >
          
     <um:createUser username= "<%= user %>" password= "<%= password %>" result="result" 
         profileType="<%= profileType %>" />
       
   <%     // display an error message if there is an error message 
          if(result.intValue() == UserManagementTagConstants.CREATE_USER_OK)
          {
   	          statusMsg = "User '" + cnvrtSC(user) + "' created successfully."; 
              userBean.addUser(user);
              user = ""; 
          }
          else if(result.intValue() == UserManagementTagConstants.CREATE_USER_FAILED)
          {
    	      statusMsg = "Cannot Create User : " + cnvrtSC(user); 
          }
          else if(result.intValue() == UserManagementTagConstants.RESERVED_USER_NAME)
          {
    	      statusMsg = "The username '" + cnvrtSC(user) + "' is reserved."; 
          }
          else if(result.intValue() == UserManagementTagConstants.USER_EXISTS)
          {
	          statusMsg = "User '" + cnvrtSC(user) +"' already exists, cannot create. "; 
          } %>
  </es:isNull>
   
  <%@ include file="/tools/util/endUserTransaction.inc" %>
  <%  userVector = userBean.getUsers(); %>
</wl:process>


<html>
<head>
<title>User Management</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<SCRIPT LANGUAGE="JavaScript">
function submitForm() {
   this.document.UserMgmtForm.submit();
   return true;
}
</SCRIPT>
</head>

<body bgcolor="#FFFFFF" topmargin="0" leftmargin="0" marginwidth="0" marginheight="0">
<%@ include file="/tools/util/startUserTransaction.inc" %>

<!-- Header  -->
<jsp:include page="<%=JspUtilPages.JSP_UTIL_HOME_HDR%>"/>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td width="1%" bgcolor="#000000"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></b></font></td>
    <td width="90%" bgcolor="#000000"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></b></font></td>
    <td width="6%" bgcolor="#000000"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/stopclear.gif"/>" width="65" height="8"></b></font></td>
    <td width="3%" bgcolor="#000000"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></b></font></td>
  </tr>
  <tr> 
    <td width="1%" bgcolor="#006666"><img src="<wf:createResourceURL resource="/repository/images/um.gif"/>" width="30" height="24"></td>
    <td width="90%" bgcolor="#006666"><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#000000"><b><font color="#FFFFFF">Users</font></b></font></td>
    <td width="6%" bgcolor="#006666"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/smiddleclear.gif"/>" width="65" height="24"></b></font></td>
    <td width="3%" bgcolor="#FFFFFF"><img src="<wf:createResourceURL resource="/repository/images/curves_um1_1.gif"/>" width="30" height="24"></td>
  </tr>
  <tr> 
    <td width="1%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></b></font></td>
    <td width="90%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>"  width="5" height="8"></b></font></td>
    <td width="6%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/sbottomclear.gif"/>" width="65" height="8"></b></font></td>
    <td width="3%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></b></font></td>
  </tr>
</table>
<% if(statusMsg != null) { %> <%@ include file="status.inc" %> <% } %>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
  <tr> 
    <td width="2%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="76%">&nbsp;</td>
    <td width="16%">&nbsp;</td>
  </tr>
  <tr> 
    <td width="2%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="20" height="8"></td>
    <td rowspan="2" width="6%"> <font face="Verdana, Arial, Helvetica, sans-serif" size="2"><img src="<wf:createResourceURL resource="/repository/images/icon_create.gif"/>" width="65" height="50"></font></td>
    <td bgcolor="#CCCCCC" width="76%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8">Create 
      New Users</b></font></td>
    <td width="16%" bgcolor="#CCCCCC">&nbsp;</td>
  </tr>
  <tr> 
    <td width="2%">&nbsp;</td>
    <td width="76%" colspan="2"><font face="Verdana, Arial, Helvetica, sans-serif" size="2">Enter 
      the appropriate information then click Create. New users will display in 
      the list below.</font></td>

  </tr>
  <tr>
    <!-- validation error display -->
    <td width="2%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="76%">&nbsp;</td>
    <td width="16%">&nbsp;</td>
  </tr>
  <tr> 
    <td width="2%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="76%">&nbsp;</td>
    <td width="16%">&nbsp;</td>
  </tr>

  <tr> 
    <td width="2%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="76%" colspan="2">
      <form method="post" action="<wf:createWebflowURL event="link.user_create"/>" name="UserMgmtForm">
        <table width="100%" border="0" cellspacing="2" cellpadding="0">        
          <tr> 
            <td width="30%"> 
              <div align="left"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><nobr>
                Username:&nbsp;</nobr></b></font></div>
            </td>
            <td width="40%"> <font face="Verdana, Arial, Helvetica, sans-serif"> 
              <input type="text" name="Username" size="20" value="<%= user %>" maxlength="50"><img src="<wf:createResourceURL resource="/repository/images/required.gif"/>">
              </font></td>
            <td width="30%">&nbsp;</td>
          </tr>
          <tr> 
            <td width="30%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><nobr>
               Password:&nbsp;</nobr></b></font></td>
            <td width="40%" valign="bottom"><font face="Verdana, Arial, Helvetica, sans-serif"> 
              <input type="password" name="password" size="20" value="" maxlength="50"><img src="<wf:createResourceURL resource="/repository/images/required.gif"/>">
              </font></td>
            <td width="30%">&nbsp;</td>
          </tr>
          <tr> 
            <td width="30%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><nobr>Verify 
              Password:&nbsp;</nobr></b></font></td>
            <td width="40%" valign="bottom"><font face="Verdana, Arial, Helvetica, sans-serif"> 
              <input type="password" name="verifyPassword" size="20" value="" maxlength="50"><img src="<wf:createResourceURL resource="/repository/images/required.gif"/>">
              </font></td>
            <td width="30%">&nbsp;</td>
          </tr>

          <%
            String[] profileTypes = userBean.getUnifiedProfileTypes();
            if ( profileTypes != null && profileTypes.length > 0 )
            {
          %>

          <tr> 
            <td width="30%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><nobr>User Type:&nbsp;</nobr></b></font></td>
            <td width="40%" valign="bottom"><font face="Verdana, Arial, Helvetica, sans-serif">
              <select name="profileType">
                <option value="">User
                <%
                  for ( int i=0; i<profileTypes.length; i++ )
                  {
                %>
                  <option value="<%= profileTypes[i] %>"><%= profileTypes[i] %>
                <%
                  }
                %>
              </select>
              </font></td>
            <td width="30%">&nbsp;</td>
          </tr>

          <%
            }
          %>

          <tr> 
            <td width="30%">&nbsp;</td>
            <td width="40%" valign="bottom">&nbsp; </td>
            <td width="30%"> 
              <table border="0" cellspacing="4" cellpadding="0" align="right">
                <tr> 
                  <td> 
                    <div align="right"><a href="<wf:createWebflowURL event="link.user_home"/>"><img src="<wf:createResourceURL resource="/repository/images/back_um1.gif"/>" width="65" height="40" alt="Return to the Previous Page" border="0"></a></div></td>
                  <td> 
                    <div align="right"><A HREF="javascript:submitForm();" onClick="submitForm(); return false;"><img src="<wf:createResourceURL resource="/repository/images/create_um1.gif"/>" width="65" height="40" alt="Create User" border="0"></a></div></td>
                </tr>
              </table>
            </td>
          </tr>
         
         <% // Displays users if any of the users found for a given query %>
         <% if(userVector.size() > 0)
            { %>
	      <tr> 
            <td width="30%" bgcolor="#CCCCCC" colspan="3"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8">New Users</b></font></td> 
          </tr>
          <tr> 
            <td width="30%">&nbsp;</td>
            <td width="40%">&nbsp;</td>
            <td width="30%">&nbsp;</td>
          </tr>
          <tr>
            <td width="30%">&nbsp;</td>
            <td width="40%" colspan="2"><font face="Verdana, Arial, Helvetica, sans-serif" size="2">Click 
                   a username to edit the user.</font></td>
          </tr>
          <tr> 
            <td width="30%">&nbsp;</td>
            <td width="40%" colspan="3">
              <table width="100%" border="0" cellspacing="4" cellpadding="0">
                <tr bgcolor="#ffffff">
	              <td height="5" width="50%">&nbsp;</td> 
	              <td height="5" width="50%">&nbsp;</td>
	            </tr> 
              <% int userVectorSize = userVector.size();
                 int i = 0;
                 String encodedUserName = null;
                 while(i < userVectorSize)
                 { %>
                <%   if(i%4 == 0)
                     { %>
                <!-- Changing the row colors from white to "cccccc" (gray) --> 
                <tr bgcolor="#cccccc">
                <%   }
                     else
                     { %>
                <!-- Changing the row colors from gray to "ffffff" (white) --> 
                <tr bgcolor="#ffffff">
                <%   } %>
                   <!-- Displaying the odd numbered user -->  
                   <%encodedUserName = java.net.URLEncoder.encode( (String)userVector.get(i) );
                    String oddParams = "userName="+encodedUserName;%>
                  <td height="20" width="50%" ><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><a href="<wf:createWebflowURL event="link.user_scope_property" extraParams="<%=oddParams%>"/>"><%=userVector.get(i)%></a></font></td> 
                   <%   // adjust i to account for displaying 2 users on one row %>
                   <%   i++; %>
                  <!-- Displaying the even numbered user -->      
                   <% // check first to see if there is one!
                      if( i < userVectorSize )
                      { %>
                   <%encodedUserName = java.net.URLEncoder.encode( (String)userVector.get(i) );
                   String evenParams = "userName="+ encodedUserName;%>
                  <td height="20" width="50"><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><a href="<wf:createWebflowURL event="link.user_scope_property" extraParams="<%=evenParams%>"/>"><%=userVector.get(i)%></a></font></td>
                   <% }
                      else
                      { %>
                  <td height="20" width="50"></td>
                   <% } %>
                   <%   // increment i for next loop iteration %>
                   <%   i++; %>
              </tr>
              <% } // END for( int i = 0; i < userVector.size()) %>
             </table>
         <% } // END if(userVector.size() > 0) %>
        </table>
        <!-- hidden parameters -->
        <input type="hidden" name="<%=DESTINATION_TAG%>" value="<%=getRequestURI(request)%>">
        <input type="hidden" name="formSubmit" value="formSubmit">
        <input type="hidden" name="firstTime" value="no">
      </form></td>
  </tr>
</table>

<%@ include file="/tools/util/endUserTransaction.inc" %>
</body>
