<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->

<%----------------------------------------------------------
Clean up checklist

[x] - using header include for the header
[x] - page extends com.bea.jsptools.common.servlets.jsp.ToolsJspBase
[x] - finished button at top and bottom (if page requires it)
[x] - check color consistency
[x] - cnvrtSC()
[x] - check tool tips 
[x] - blank text fields when first loaded 
[x] - check text input size
[x] - page wrapped in transaction 
[x] - colon after textfield labels
[x] - monitor session tag
[x] - goto error page
[x] - check for TODOs
----------------------------------------------------------%>

<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>
<%@ page import="java.net.URLEncoder" %>
<%@ page import="com.bea.jsptools.p13n.common.servlets.jsp.JspUtilPages" %>
<%@ page import="com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTagConstants"%>
<%@ page import="java.util.Vector"%>
<%@ taglib uri="weblogic.tld" prefix="wl" %>
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="es.tld" prefix="es" %>
<%@ taglib uri="um.tld" prefix="um" %>

<% request.setAttribute(SERVICEMANAGER_CURRENT_PAGE, getJspName(pageContext));%>

<%
 String userName = request.getParameter("userName");
 String statusMsg = null;
%>

<wl:process name="formSubmit">
<%@ include file="/tools/util/startUserTransaction.inc" %>

<% String user = request.getParameter("userName"); %>
<% String password = request.getParameter("password"); %>
<% String verifyPassword = request.getParameter("verifyPassword"); %>

   <% boolean noPassword = (password==null) || password.length()==0;
      
      if(noPassword)
      { 
          statusMsg ="Please enter a valid Password.";
      } 

      boolean passwordsMatch = password.equals(verifyPassword);

      if(!passwordsMatch)
      {
          statusMsg = "Passwords do not match.";
      }
      
      if(!noPassword && passwordsMatch)
      { %>
          <um:setPassword username="<%= user %>" password="<%= password %>" result="passwordResult"/>

<%        if(passwordResult.intValue() == UserManagementTagConstants.SET_PASSWORD_FAILED)
          {
              statusMsg = "Cannot update password. Check that the user is not from an external security realm.";
          }
          else if(passwordResult.intValue() == UserManagementTagConstants.SET_PASSWORD_OK)
          {
              statusMsg = "User Information updated successfully. ";
          }
      } %>

<%@ include file="/tools/util/endUserTransaction.inc" %>
</wl:process>

<html>
<head>
<title>User Management</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<SCRIPT LANGUAGE="JavaScript">
function submitForm() {
   this.document.EditInfoForm.submit();
   return true;
}
</SCRIPT>
</head>

<body bgcolor="#FFFFFF" topmargin="0" leftmargin="0" marginwidth="0" marginheight="0">
<%@ include file="/tools/util/startUserTransaction.inc" %>
<!-- Header  -->
<jsp:include page="<%=JspUtilPages.JSP_UTIL_HOME_HDR%>"/>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td width="3%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="89%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="4%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/stopclear.gif"/>" width="65" height="8"></td>
    <td width="4%" bgcolor="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
  </tr>
  <tr> 
    <td width="3%" bgcolor="#006666" height="14"><font color="#FFFFFF"><img src="<wf:createResourceURL resource="/repository/images/um.gif"/>" width="30" height="24"></font></td>
    <td width="89%" bgcolor="#006666" height="14"><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#FFFFFF"><b>Users: 
      Username</b></font></td>
    <td width="4%" bgcolor="#006666" height="14"><img src="<wf:createResourceURL resource="/repository/images/smiddleclear.gif"/>" width="65" height="24"></td>
    <td width="4%" height="14"><img src="<wf:createResourceURL resource="/repository/images/curves_um1_1.gif"/>" width="30" height="24"></td>
  </tr>
  <tr> 
    <td width="3%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="89%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
    <td width="4%"><img src="<wf:createResourceURL resource="/repository/images/sbottomclear.gif"/>" width="65" height="8"></td>
    <td width="4%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"></td>
  </tr>
</table>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
  <tr> 
    <td width="2%">&nbsp;</td>
    <td colspan="2"><% if(statusMsg != null) { %><%@ include file="status.inc" %><% } %></td>
    <td width="16%">&nbsp;</td>
  </tr>
  <tr> 
    <td width="2%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="76%">&nbsp;</td>
    <td width="16%">&nbsp;</td>
  </tr>
  <tr> 
    <td width="2%"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="20" height="8"></td>
    <td rowspan="2" width="6%"> <font face="Verdana, Arial, Helvetica, sans-serif" size="2"><img src="<wf:createResourceURL resource="/repository/images/icon_edit.gif"/>" width="65" height="50"></font></td>
    <td bgcolor="#CCCCCC" width="76%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><img src="<wf:createResourceURL resource="/repository/images/clear.gif"/>" width="5" height="8"><b>Edit 
      User information</b></font></td>
    <td width="16%" bgcolor="#CCCCCC">&nbsp;</td>
  </tr>
  <tr> 
    <td width="2%">&nbsp;</td>
    <td width="76%"><font face="Verdana, Arial, Helvetica, sans-serif" size="2">Enter 
      changes to the user information then click Save.</font></td>
    <td width="16%">&nbsp;</td>
  </tr>
  <tr> 
    <td width="2%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="76%">&nbsp;</td>
    <td width="16%">&nbsp;</td>
  </tr>
  <tr> 
    <td width="2%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="76%"> 
      <form method="post" action="<wf:createWebflowURL event="link.user_edit_info"/>" name="EditInfoForm">
        <table width="100%" border="0" cellspacing="4" cellpadding="0">
          <tr> 
            <td width="30%" valign="center"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b>Username:</b></font></td>
            <td width="70%" valign="center"> 
             <b> <%= cnvrtSC(userName) %> </b>
            </td>
          </tr>
          <tr> 
            <td width="30%" valign="center"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b>Password:</b></font></td>
            <td width="70%" valign="center"> 
              <input type="password" name="password" value="" size="25" maxlength="50"><img src="<wf:createResourceURL resource="/repository/images/required.gif"/>">
            </td>
          </tr>
          <tr> 
            <td width="30%" valign="center"><font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="#000000"><b><nobr>Verify 
              Password:</nobr></b></font></td>
            <td width="70%" valign="center"> 
              <input type="password" name="verifyPassword" value="" size="25" maxlength="50"><img src="<wf:createResourceURL resource="/repository/images/required.gif"/>">
            </td>
          </tr>
          <tr> 
            <td width="30%">&nbsp;</td>
            <td width="70%"> 
              <table border="0" cellspacing="4" cellpadding="0" align="right">
                <tr> 
                  <td> 
                  <%String userScopeParam = "userName="+URLEncoder.encode(userName);%>
                    <div align="right"><a href="<wf:createWebflowURL event="link.user_scope_property" extraParams="<%=userScopeParam%>"/>"><img src="<wf:createResourceURL resource="/repository/images/back_um1.gif"/>" width="65" height="40" border="0" alt="Return to the Previous Page"></a></div>
                  </td>
                  <td> 
                    <div align="right"><A HREF="javascript:submitForm();" onClick="submitForm(); return false;"><img src="<wf:createResourceURL resource="/repository/images/save_um1.gif"/>" width="65" height="40" alt="Save User Information" border="0"></a>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
       <input type="hidden" name="<%=DESTINATION_TAG%>" value="<%=getRequestURI(request)%>">
        <input type="hidden" name="formSubmit" value="formSubmit">
        <input type="hidden" name="userName" value="<%=userName %>">
      </form>
    </td>
    <td width="16%">&nbsp;</td>
  </tr>
  <tr> 
    <td width="2%">&nbsp;</td>
    <td width="6%">&nbsp;</td>
    <td width="76%">&nbsp;</td>
    <td width="16%">&nbsp;</td>
  </tr>
</table>
<%@ include file="/tools/util/endUserTransaction.inc" %>
</body>
</html>

