<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->
<%@ taglib uri="webflow.tld" prefix="wf" %>
<%@ taglib uri="lic.tld" prefix="lic" %>

<%@ page extends="com.bea.jsptools.common.servlets.jsp.ToolsJspBase"%>
<%@ page import="com.bea.p13n.appflow.webflow.*"%>
<%@ page import="com.bea.jsptools.p13n.common.servlets.jsp.JspConstants" %>
<%@ page import="com.bea.p13n.content.admin.LinkBuilder" %>
<%@ page import="com.bea.p13n.util.JndiHelper" %>
<%@ page import="javax.ejb.EJBHome" %>

<% request.setAttribute(SERVICEMANAGER_CURRENT_PAGE, getJspName(pageContext));%>

<%
	// Forward Portal Administrators and Group Administrators to the Portal Tools
	if ( !request.isUserInRole("SystemAdminRole") )
	{
		if ( request.isUserInRole("DelegatedAdminRole") )
		{
	%>
			<jsp:forward page="portal/portal_home.jsp"/>
	<%
		}
	}
%>
<lic:checkLicense id="p13nLicense" licenseComponent="com.bea.p13n.common.P13nProduct.CORE" />
<lic:checkLicense id="commerceLicense" licenseComponent="com.bea.commerce.common.CommerceProduct.CORE" />
<lic:checkLicense id="portalLicense" licenseComponent="com.bea.portal.common.PortalProduct.CORE" />
<%-- ----------------------------------------------------------------- --%>
<%-- For testing...                                                    --%>
<% //p13nLicense = new Boolean(true); %>
<% //commerceLicense = new Boolean(true); %>
<% //portalLicense = new Boolean(true); %>
<%-- ----------------------------------------------------------------- --%>

<%
    // What we're doing here is trying to see if some of the necessary
    // beans are deployed, otherwise we don't show certain links.  We don't
    // actually use them, just try to get them to see if they are there
    EJBHome home = null;
    String  ejbRefName = null;
    Class   homeClass = null;
    boolean p13nBeanCheck = false;
    boolean commerceBeanCheck = false;
    boolean portalBeanCheck = false;

    // check user management
    if(p13nLicense.booleanValue())
    {
        try
        {
            homeClass = Class.forName("com.bea.p13n.usermgmt.UserManagerHome");
            ejbRefName = "java:comp/env/ejb/UserManager";
            home = (EJBHome)JndiHelper.lookupNarrow(ejbRefName, homeClass);
            home.getClass().getMethod("create", null).invoke(home, null);
            p13nBeanCheck = true;
        }
        catch(Exception e)
        {
            //e.printStackTrace();
        }
    }

    // check commerce
    if(commerceLicense.booleanValue())
    {
        try
        {
            homeClass = Class.forName("com.beasys.commerce.ebusiness.order.OrderManagerHome");
            ejbRefName = "java:comp/env/ejb/OrderManager";
            home = (EJBHome)JndiHelper.lookupNarrow(ejbRefName, homeClass);
            home.getClass().getMethod("create", null).invoke(home, null);
            commerceBeanCheck = true;
        }
        catch(Exception e)
        {
            //e.printStackTrace();
        }
    }

    // check portal
    if(portalLicense.booleanValue())
    {
        try
        {
            homeClass = Class.forName("com.bea.portal.admin.ejb.DelegatedAdminManagerHome");
            ejbRefName = "java:comp/env/ejb/DelegatedAdminManager";
            home = (EJBHome)JndiHelper.lookupNarrow(ejbRefName, homeClass);
            home.getClass().getMethod("create", null).invoke(home, null);
            portalBeanCheck = true;
        }
        catch(Exception e)
        {
            //e.printStackTrace();
        }
    }

    boolean p13nOK     = p13nBeanCheck && p13nLicense.booleanValue();
    boolean commerceOK = commerceBeanCheck && commerceLicense.booleanValue();
    boolean portalOK   = portalBeanCheck && portalLicense.booleanValue();
%>

<%-- Check to ensure the admin user is logged in --%>
<html>
<head>
<title>WebLogic Portal Administration Tools</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<script language="JavaScript">
function MM_openBrWindow(theURL,winName,features) { //v2.0
  window.open(theURL,winName,features);
}
</script>
</head>

<body bgcolor="#FFFFFF" topmargin="0" leftmargin="0" marginwidth="0" marginheight="0">
<%setSessionValue("wlpsHome", "true", request);%>

<jsp:include page="/tools/util/t_bea_home.jsp"/>

<%setSessionValue("wlpsHome", "false", request);%>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td colspan="3">
      <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr bgcolor="#000000">
          <td colspan="2"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="24" width="24" align="absmiddle"><font color="#FFFFFF" face="Verdana, Arial, Helvetica, sans-serif" size="2"><i>Administration
            Tools Home Page</i></font></td>
          <td width="5%">&nbsp;</td>
          <td width="5%">&nbsp;</td>
          <td width="5%">&nbsp;</td>
        </tr>
        <tr bgcolor="#FFFFFF">
          <td width="10%">&nbsp;</td>
          <td width="75%">&nbsp;</td>
          <td width="5%">&nbsp;</td>
          <td width="5%">&nbsp;</td>
          <td width="5%">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
</table>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="73%">
      <blockquote> <b><font face="Verdana, Arial, Helvetica, sans-serif" size="2">Click
        the icons <img src="<wf:createResourceURL resource='/repository/images/icon_paren.gif'/>" align="absmiddle"> to launch the administration tools. To get more help as you work with the tools, click ? to view online help, or the book icon
        to view the developer's guide.</font></b> </blockquote>
    </td>
    <td width="4%" valign="top">
      <div align="right"><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><a href="javascript:openHelp();" onClick="openHelp('<wf:createWebflowURL event="link.pers_advis" />','resizable=yes,scrollbars=yes,width=800,height=650'); return false;" ><img src="<wf:createResourceURL resource='/repository/images/icon_advisor.gif'/>" width="35" height="35" align="absmiddle" border="0" alt="Personalization Advisor"></a></font></div>
    </td>
    <td width="18%" valign="top"><font face="Verdana, Arial, Helvetica, sans-serif" size="2"></font><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">See the
      <a href="#" onClick="MM_openBrWindow('<wf:createWebflowURL event="link.pers_info"/>', '', 'scrollbars,width=500,height=300'); return false;" >Personalization Advisor</a>
      for tags and tips to help you create a sample application.</font></td>
    <td width="5%" valign="top">&nbsp;</td>
  </tr>
</table>

<!-- Table of sub-tool links-->
<table width="99%" border="0" cellspacing="0" cellpadding="0">
  <tr>

    <% if(!p13nOK && !commerceOK) { %>
      <BLOCKQUOTE><B><I>
        A license problem has been encountered.  The following should be investigated:<BR>
        <UL>
          <LI>Do you have a valid license?  (Check your <CODE>license.bea</CODE> file)
          <LI>Has your license expired?
          <LI>Are all necessary support EJBs and classes deployed as part of this enterprise application?
        </UL>
      </i></B></BLOCKQUOTE>
    <%     p13nOK = false;
           commerceOK = false;
           portalOK = false;
       } else if(portalOK && (!p13nOK || !commerceOK)) { %>
      <BLOCKQUOTE><B><I>
        A license problem has been encountered.  The following should be investigated:<BR>
        <UL>
          <LI>It seems that you may have a license file for WebLogic Portal Server, but not for
              WebLogic Personalization Server and WebLogic Commerce Server.  WebLogic Portal Server requires
              WebLogic Personalization Server and WebLogic Commerce Server.  Please make sure your license
              is not corrupt, and that you have active license components
              for these products in your <CODE>license.bea</code> file.

          <LI>It seems that you may have a license file for WebLogic Portal Server, but
              some required WebLogic Personalization Server or Weblogic Commerce Server components might
              not be properly deployed in this enterprise application.
        </UL>
      </i></B></BLOCKQUOTE>
    <%     portalOK = false;  // it's no good without p13n and commerce
           commerceOK = false;
           p13nOK = false;
       } else if(commerceOK && !p13nOK) { %>
      <BLOCKQUOTE><B><I>
        A license problem has been encountered.  The following should be investigated:<BR>
        <UL>
          <LI>It seems that you may have a license file for WebLogic Commerce Server, but not for
              WebLogic Personalization Server.  WebLogic Commerce Server requires WebLogic Personalization
              Server.  Please make sure your license is not corrupt, and that you have active license components
              for both products in your <CODE>license.bea</code> file.

          <LI>It seems that you may have a license file for WebLogic Commerce Server, but
              some required WebLogic Personalization Server components might not be properly deployed in this
              enterprise application.
        </UL>
      </i></B></BLOCKQUOTE>
    <%     commerceOK = false;  // it's no good without p13n
           portalOK = false;  // it's no good without p13n
           p13nOK = false;
       } %>

    <!-- User Management -->
    <td width="47%" valign="top">
      <% if(p13nOK) { %>
      <table border="0" cellspacing="0" cellpadding="0" width="100%">
        <tr bgcolor="#FFFFFF">
          <td width="24"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td width="80%"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td width="65">
            <div align="center"><img src="<wf:createResourceURL resource='/repository/images/um_r1_c1.gif'/>" width="65" height="8"></div>
          </td>
          <td colspan="2"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
        </tr>
        <tr bgcolor="#000000">
          <td><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="24" width="24"></td>
          <td><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#FFFFFF"><b>User
            Management </b></font></td>
          <td>
             <div align="center"><a href="<wf:createWebflowURL event="link.usermanagement"/>"><img src="<wf:createResourceURL resource='/repository/images/um_r2_c1.gif'/>" width="65" height="24" border="0"></a></div>
          </td>
          <td bgcolor="#FFFFFF" colspan="2"> <img src="<wf:createResourceURL resource='/repository/images/curves_black_r1_c1.gif'/>" width="30" height="24"></td>
        </tr>
        <tr bgcolor="#FF0000">
          <td><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="1" width="8"></td>
          <td><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="1" width="8"></td>
          <td><img src="<wf:createResourceURL resource='/repository/images/um_r3_c1.gif'/>" width="65" height="1"></td>
          <td><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="1" width="16"></td>
          <td bgcolor="#FFFFFF"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="1" width="8"></td>
        </tr>
        <tr bgcolor="#006666">
          <td><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td><font face="Verdana, Arial, Helvetica, sans-serif" size="3"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></font></td>
          <td>
            <div align="center"><img src="<wf:createResourceURL resource='/repository/images/um_r4_c1.gif'/>" width="65" height="8"></div>
          </td>
          <td bgcolor="#006666"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td bgcolor="#FFFFFF"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="14"></td>
        </tr>
        <tr>
          <td bgcolor="#99CCCC"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td bgcolor="#99CCCC"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td bgcolor="#99CCCC">
            <div align="center"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></div>
          </td>
          <td bgcolor="#99CCCC"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td bgcolor="#FFFFFF"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="14"></td>
        </tr>
      </table>
      <table width="100%" border="0" cellspacing="0" cellpadding="2">
        <tr>
          <td>
            <blockquote>
              <p><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><i>Administer
                users and groups and their associated properties <a href="#" onClick="MM_openBrWindow('<wf:createWebflowURL event="link.user_info"/>','','scrollbars=yes,width=500,height=300'); return false" >more
                explanation...</a></i></font></p>
            </blockquote>
          </td>
        </tr>
      </table>
      <% } %>
    </td>
<!-- License validation and user permission check -->
    <td width="3%"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="5" width="30"></td>
    <td width="50%" valign="top">
      <% if(commerceOK) { %>
      <table border=0 cellPadding=0 cellSpacing=0 width="100%">
        <tr bgColor=#ffffff>
          <td width="8"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=8 width="8"></td>
          <td width="90%"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td width="65">
            <div align="center"> <img src="<wf:createResourceURL resource='/repository/images/catm_r1.gif'/>" width="65" height="8" border="0"></div>
          </td>
          <td width="8"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
        </tr>
        <tr bgColor=#000000>
          <td bgColor=#ffffff><img src="<wf:createResourceURL resource='/repository/images/curves_black_r1_c3.gif'/>" width="30" height="24"></td>
          <td nowrap><FONT face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#ffffff"><b>Catalog
            Management</b></font></td>
          <td>
            <DIV align=center><A href="<wf:createWebflowURL event="link.catalogmanagement"/>"><img src="<wf:createResourceURL resource='/repository/images/catm_r2.gif'/>" width="65" height="24" border="0"></a></div>
          </TD>
          <TD bgColor=#000000>&nbsp;</TD>
        </TR>
        <TR bgColor=#ff0000>
          <TD><IMG src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=1 width=8></TD>
          <TD><IMG src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=1 width=8></TD>
          <TD><IMG src="<wf:createResourceURL resource='/repository/images/catm_r3.gif'/>" height=1 width=65></TD>
          <TD><IMG src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=1 width=8></TD>
        </TR>
        <TR bgColor=#008000>
          <TD><IMG src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=8 width=8></TD>
          <TD><FONT face="Verdana, Arial, Helvetica, sans-serif" size=3><IMG src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=8 width=8></FONT></TD>
          <TD>
            <DIV align=center><IMG src="<wf:createResourceURL resource='/repository/images/catm_r4.gif'/>" height=8 width=65></DIV>
          </TD>
          <TD><IMG src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=8 width=8></TD>
        </TR>
        <TR bgColor=#33cc33>
          <TD><IMG src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=8 width=8></TD>
          <TD><IMG src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=8 width=8></TD>
          <TD>
            <DIV align=center><IMG src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=8 width=8></DIV>
          </TD>
          <TD><IMG src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=8 width=8></TD>
        </TR>
      </TABLE>
      <TABLE width="100%" border=0 cellPadding=2 cellSpacing=0 >
        <TR>
          <TD>
            <BLOCKQUOTE>
              <P><FONT face="Verdana, Arial, Helvetica, sans-serif" size=2><I>Create
                and administer catalog content and structure <a href="#" onClick="MM_openBrWindow('<wf:createWebflowURL event="link.catalog_info"/>','','scrollbars=yes,width=500,height=300'); return false" >
                more explanation...</a></i></font></p>
            </BLOCKQUOTE>
          </TD>
        </TR>
      </TABLE>
      <% } %>
    </td>
  </tr>
  <!-- Order Administration Section -->
  <tr>
    <td width="47%" valign="top">
      <% if(commerceOK) { %>
      <table border="0" cellspacing="0" cellpadding="0" width="100%">
        <tr bgcolor="#FFFFFF">
          <td width="8"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td width="90%"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td width="65">
            <div align="center"><img src="<wf:createResourceURL resource='/repository/images/om_r1_c1.gif'/>" width="65" height="8"></div>
          </td>
          <td colspan="2" width="24"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
        </tr>
        <tr bgcolor="#000000">
          <td><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="24" width="24"></td>
          <td nowrap><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#FFFFFF"><b>Order
            Management</b></font></td>
          <td>
            <div align="center"><a href="<wf:createWebflowURL event="link.ordermanagement"/>"><img src="<wf:createResourceURL resource='/repository/images/om_r2_c1.gif'/>" width="65" height="24" border="0"></a></div>
          </td>
          <td bgcolor="#FFFFFF" colspan="2"> <img src="<wf:createResourceURL resource='/repository/images/curves_black_r1_c1.gif'/>" width="30" height="24"></td>
        </tr>
        <tr bgcolor="#FF0000">
          <td bgcolor="#FF0000"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="1" width="8"></td>
          <td bgcolor="#FF0000"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="1" width="8"></td>
          <td bgcolor="#FF0000"><img src="<wf:createResourceURL resource='/repository/images/om_r3_c1.gif'/>" width="65" height="1"></td>
          <td bgcolor="#FF0000"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="1" width="16"></td>
          <td bgcolor="#FFFFFF"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="1" width="8"></td>
        </tr>
        <tr>
          <td bgcolor="#777788"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td bgcolor="#777788"><font face="Verdana, Arial, Helvetica, sans-serif" size="3"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></font></td>
          <td bgcolor="#777788">
            <div align="center"><img src="<wf:createResourceURL resource='/repository/images/om_r4_c1.gif'/>" width="65" height="8"></div>
          </td>
          <td bgcolor="#777788"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td bgcolor="#FFFFFF"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="14"></td>
        </tr>
        <tr>
          <td bgcolor="#BCBCDF"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td bgcolor="#BCBCDF"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td bgcolor="#BCBCDF">
            <div align="center"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></div>
          </td>
          <td bgcolor="#BCBCDF"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td bgcolor="#FFFFFF"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="14"></td>
        </tr>
      </table>
      <table width="100%" border="0" cellspacing="0" cellpadding="2">
        <tr>
          <td>
            <blockquote>
              <p><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><i>View
                and manage product orders <a href="#" onClick="MM_openBrWindow('<wf:createWebflowURL event="link.order_info"/>','','scrollbars=yes,width=500,height=300'); return false" >more
                explanation...</a></i></font></p>
            </blockquote>
          </td>
        </tr>
      </table>
      <% } %>
    </td>
    <td width="3%"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="5" width="30"></td>
    <!--  Order Mgmt End -->
    <!-- Payment Administration Section -->
    <td width="50%" valign="top">
      <% if(commerceOK) { %>
      <table border=0 cellPadding=0 cellSpacing=0 width="100%">
        <tr bgColor=#ffffff>
          <td width="8"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=8 width="8"></td>
          <td width="90%"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td width="65">
            <div align="center"> <img src="<wf:createResourceURL resource='/repository/images/py_r1_c1.gif'/>" width="65" height="8" border="0"></div>
          </td>
          <td width="8"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
        </tr>
        <tr bgColor=#000000>
          <td bgColor=#ffffff><img src="<wf:createResourceURL resource='/repository/images/curves_black_r1_c3.gif'/>" width="30" height="24"></td>
          <td nowrap><FONT face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#ffffff"><b>Payment
            Management</b></font></td>
          <td>
            <DIV align=center><A href="<wf:createWebflowURL event="link.paymentmanagement"/>"><img src="<wf:createResourceURL resource='/repository/images/py_r2_c1.gif'/>" width="65" height="24" border="0"></a></div>
          </TD>
          <TD bgColor=#000000>&nbsp;</TD>
        </TR>
        <TR bgColor=#ff0000>
          <TD><IMG src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=1 width=8></TD>
          <TD><IMG src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=1 width=8></TD>
          <TD><IMG src="<wf:createResourceURL resource='/repository/images/py_r3_c1.gif'/>" height=1 width=65></TD>
          <TD><IMG src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=1 width=8></TD>
        </TR>
        <TR bgColor="#45349A">
          <TD><IMG src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=8 width=8></TD>
          <TD><FONT face="Verdana, Arial, Helvetica, sans-serif" size=3><IMG src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=8 width=8></FONT></TD>
          <TD>
            <DIV align=center><IMG src="<wf:createResourceURL resource='/repository/images/py_r4_c1.gif'/>" height=8 width=65></DIV>
          </TD>
          <TD><IMG src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=8 width=8></TD>
        </TR>
        <TR bgColor="#9999DD">
          <TD><IMG src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=8 width=8></TD>
          <TD><IMG src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=8 width=8></TD>
          <TD>
            <DIV align=center><IMG src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=8 width=8></DIV>
          </TD>
          <TD><IMG src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height=8 width=8></TD>
        </TR>
      </TABLE>
      <TABLE width="100%" border=0 cellPadding=2 cellSpacing=0 >
        <TR>
          <TD>
            <BLOCKQUOTE>
              <P><FONT face="Verdana, Arial, Helvetica, sans-serif" size=2><I>View
                and administer order payments <a href="#" onClick="MM_openBrWindow('<wf:createWebflowURL event="link.payment_info"/>','','scrollbars=yes,width=500,height=300'); return false" >more
                explanation...</a></i></font></p>
            </BLOCKQUOTE>
          </TD>
        </TR>
      </TABLE>
      <% } %>
      <!-- End payment management -->
    </td>

  <tr>
    <!-- Portal Management -->
    <td width="47%" valign="top">
      <% if(portalOK) { %>
	  <table border="0" cellspacing="0" cellpadding="0" width="100%">
        <tr bgcolor="#FFFFFF">
          <td width="8" nowrap><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td width="80%" nowrap><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td width="65" nowrap>
            <div align="center"><img src="<wf:createResourceURL resource='/repository/images/pm_r1_c1.gif'/>" width="65" height="8"></div>
          </td>
          <td colspan="2" width="24" nowrap><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="30"></td>
        </tr>
        <tr bgcolor="#000000">
          <td><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="24" width="24"></td>
          <td nowrap><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#FFFFFF"><b>Portal
            Management </b></font></td>
          <td nowrap>
            <div align="center"><a href="<wf:createWebflowURL event="link.portal_home"/>"><img src="<wf:createResourceURL resource='/repository/images/pm_r2_c1.gif'/>" width="65" height="24" border="0"></a></div>
		  </td>
          <td bgcolor="#FFFFFF" colspan="2" nowrap><img src="<wf:createResourceURL resource='/repository/images/curves_black_r1_c1.gif'/>" width="30" height="24"></td>
        </tr>
        <tr bgcolor="#FF0000">
          <td><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="1" width="8"></td>
          <td><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="1" width="8"></td>
          <td><img src="<wf:createResourceURL resource='/repository/images/pm_r3_c1.gif'/>" width="65" height="1"></td>
          <td><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="1" width="16"></td>
          <td bgcolor="#FFFFFF"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="1" width="8"></td>
        </tr>
        <tr bgcolor="#333399">
          <td bgcolor="#336699" nowrap><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td bgcolor="#336699" nowrap><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td bgcolor="#336699" nowrap>
            <div align="center"><img src="<wf:createResourceURL resource='/repository/images/pm_r4_c1.gif'/>" width="65" height="8"></div>
          </td>
          <td bgcolor="#336699" nowrap><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td bgcolor="#FFFFFF" nowrap><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="14"></td>
        </tr>
        <tr bgcolor="#9999CC">
          <td bgcolor="#6699CC" nowrap><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td bgcolor="#6699CC" nowrap><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td bgcolor="#6699CC" nowrap>
            <div align="center"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></div>
          </td>
          <td bgcolor="#6699CC" nowrap><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td bgcolor="#FFFFFF" nowrap><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="14"></td>
        </tr>
      </table>
            <table width="100%" border="0" cellspacing="0" cellpadding="2">
        <tr>
          <td>
            <blockquote>
              <p><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><i>Create
                and administer portals and portlets <a href="#" onClick="MM_openBrWindow('<wf:createWebflowURL event="link.portal_info"/>','','scrollbars=yes,width=500,height=300'); return false" >more
                explanation...</a></i></font></p>
            </blockquote>
          </td>
        </tr>
      </table>
      <% } %>
    </td>
	<!-- End Portal Management -->

    <td width="3%">&nbsp;</td>
    <td width="50%" valign="top">
<%
    // LinkBuilder is used to build up content management links if the installed system
    // has them. This check was added to just not show the main link if no links have been
    // established.

    if (LinkBuilder.hasLinks() && p13nOK)
    {
        // include the content link info
%>
      <table border="0" cellspacing="0" cellpadding="0" width="100%">
        <tr bgcolor="#FFFFFF">
          <td width="8"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td width="90%"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td width="65">
            <div align="center"><img src="<wf:createResourceURL resource='/repository/images/cm_r1_c1.gif'/>" width="65" height="8"></div>
          </td>
          <td width="8"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
        </tr>
        <tr bgcolor="#000000">
          <td bgcolor="#FFFFFF"><img src="<wf:createResourceURL resource='/repository/images/curves_black_r1_c3.gif'/>" width="30" height="24"></td>
          <td nowrap><font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="#FFFFFF"><b>Content
            Management</b></font></td>
          <td>
            <div align="center"><a href="<wf:createWebflowURL event="link.content_home"/>">
              <img src="<wf:createResourceURL resource='/repository/images/cm_r2_c1.gif'/>" width="65" height="24" border="0"></a></div>
          </td>
          <td bgcolor="#000000"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
        </tr>
        <tr bgcolor="#FF0000">
          <td><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="1" width="8"></td>
          <td><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="1" width="8"></td>
          <td><img src="<wf:createResourceURL resource='/repository/images/cm_r3_c1.gif'/>" width="65" height="1"></td>
          <td><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="1" width="8"></td>
        </tr>
        <tr bgcolor="#999966">
          <td><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td><font face="Verdana, Arial, Helvetica, sans-serif" size="3"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></font></td>
          <td>
            <div align="center"><img src="<wf:createResourceURL resource='/repository/images/cm_r4_c1.gif'/>" width="65" height="8"></div>
          </td>
          <td><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
        </tr>
        <tr bgcolor="#CCCC99">
          <td><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
          <td>
            <div align="center"><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></div>
          </td>
          <td><img src="<wf:createResourceURL resource='/repository/images/clear.gif'/>" height="8" width="8"></td>
        </tr>
      </table>
      <table width="100%" border="0" cellspacing="0" cellpadding="2">
        <tr>
          <td>
            <blockquote>
              <p><font face="Verdana, Arial, Helvetica, sans-serif" size="2"><i>Administer
                content management systems <a href="#" onClick="MM_openBrWindow('<wf:createWebflowURL event="link.content_info"/>','','scrollbars=yes,width=500,height=300'); return false" >more
                explanation...</a></i></font></p>
            </blockquote>
          </td>
        </tr>
      </table>
<%   }%>
    </td>
  </tr>
</table>
</body>
</html>
