<%--
  Defines styles for all pages in the console.  This page is
  automatically included by HtmlHeadTag (which is a component
  of PageTag). 
--%>

<%@ page import='weblogic.management.console.helpers.*' %>
<%@ page import='weblogic.management.console.catalog.Catalog' %>

<%
  BrowserHelper browser = Helpers.browser(pageContext);
  UrlHelper url = Helpers.url(pageContext); 
%>

<%--
    The colors for the UI   
    1 style="BACKGROUND-COLOR: #ffffff; COLOR: black"  (white)
    2 style="BACKGROUND-COLOR: #e8f7f7; COLOR: black"  (lightest green)
    3 style="BACKGROUND-COLOR: #b8cece; COLOR: black"  (light green)
    4 style="BACKGROUND-COLOR: #608c8c; COLOR: white"  (dark green)
    5 style="BACKGROUND-COLOR: #000000; COLOR: white"  (black)
    6 style="BACKGROUND-COLOR: #325e5e; COLOR: white"  (darkest green)
--%>


.top-background {
	COLOR: white; BACKGROUND-COLOR: #608c8c
}
.sidenav {
	BACKGROUND-COLOR: white
}
.content-background {
	BACKGROUND-COLOR: white
}
.top-info-background {
	COLOR: yellow; BACKGROUND-COLOR: black
}
.behind-main-tabs-background {
	BACKGROUND-COLOR: #e8f7f7;
}
.tab-selected {
	FONT-WEIGHT: bold; 
	MARGIN: 0px; 
	CURSOR: default; 
	COLOR: white; 
	FONT-FAMILY: Arial, Helvetica; 
	BACKGROUND-COLOR: #608c8c
}
.tab {
	MARGIN: 0px; 
	CURSOR: default; 
	FONT-FAMILY: Arial, Helvetica; 
    color: black;
    BACKGROUND-COLOR: #b8cece;
    TEXT-DECORATION: none;
}
.subtab-selected {
	FONT-WEIGHT: bold; 
	MARGIN: 0px; 
	CURSOR: default; 
	FONT-FAMILY: Arial, Helvetica; 
	COLOR: black; 
	BACKGROUND-COLOR: white
}
.subtab {
	MARGIN: 0px; 
	CURSOR: default; 
	FONT-FAMILY: Arial, Helvetica; 
	COLOR: black; 
	BACKGROUND-COLOR: #b8cece;
    TEXT-DECORATION: none;
}
.tab-dropshadow {
	BACKGROUND-COLOR: black
}


/* style used for content/page heading */
.pageheader{
  FONT-FAMILY:Arial,Helvetica,Tahoma,Verdana,sans-serif;
  MARGIN-BOTTOM: 4pt; MARGIN-TOP: 0pt;
  FONT-SIZE:120%;
  FONT-WEIGHT:bold;
  TEXT-ALIGN: center;
  COLOR: #325e5e;
}
.instructions {
  FONT-STYLE: normal;  /* using 'italic'  to test */
}
.spacer {
    FONT-SIZE: 30%;
}

BODY {
	BORDER-RIGHT: 0px; PADDING-RIGHT: 0px; BORDER-TOP: 0px; PADDING-LEFT: 0px; PADDING-BOTTOM: 0px; 
	MARGIN: 0px; BORDER-LEFT: 0px; PADDING-TOP: 0px; BORDER-BOTTOM: 0px; FONT-FAMILY: Arial, Helvetica; BACKGROUND-COLOR: #ffffff
}

/* =======  top nav bar ======= */
.topbarbig{
  FONT-FAMILY:Arial,Helvetica,Tahoma,Verdana,sans-serif;
  LINE-HEIGHT:22px;
  COLOR:white;
  FONT-SIZE:18px;
  FONT-WEIGHT:bold;
}

/* style for first line of the product name in the top nav bar */
.topbarsmall{
  FONT-FAMILY:Arial,Helvetica,Tahoma,Verdana,sans-serif;
  LINE-HEIGHT:16px;
  FONT-SIZE:14px;
  COLOR:white;
}

/* style for white text */
.WHITETEXT {
  FONT-FAMILY:Arial,Helvetica,Tahoma,Verdana,sans-serif;
  LINE-HEIGHT:16px;
  FONT-SIZE:12px;
  COLOR:#FFFFFF;
}

A:link {
	BACKGROUND: none transparent scroll repeat 0% 0%; COLOR: #0000aa; FONT-FAMILY: Arial, Helvetica
}
A:active {
	BACKGROUND: none transparent scroll repeat 0% 0%; COLOR: #0000aa; FONT-FAMILY: Arial, Helvetica
}
A:visited {
	BACKGROUND: none transparent scroll repeat 0% 0%; COLOR: #0000aa; FONT-FAMILY: Arial, Helvetica
}
A:hover {
	BACKGROUND: none transparent scroll repeat 0% 0%; COLOR: #aa00aa; FONT-FAMILY: Arial, Helvetica
}

td, li, dl, ol, ul, blockquote,span,br,p
{
	FONT-FAMILY: Arial,Helvetica,Tahoma,Verdana,sans-serif;
}

CODE {
	FONT-FAMILY: Courier
}
PRE {
	MARGIN: 12pt
}
.log
{
    font-size: 10pt
}
DIV.content {
	PADDING-RIGHT: 4pt; 
	PADDING-LEFT: 4pt; 
	PADDING-BOTTOM: 4pt; 
	PADDING-TOP: 4pt; 
    MARGIN: 4pt; 
	FONT-FAMILY: Arial, Helvetica
}
P.content {
	PADDING-RIGHT: 4pt; PADDING-LEFT: 4pt; PADDING-BOTTOM: 4pt; MARGIN: 4pt; PADDING-TOP: 4pt; FONT-FAMILY: Arial, Helvetica
}
span.banner
{
	FONT-FAMILY: Arial, Helvetica;
    font-size: 110%;
    font-weight: bold;
    color: white;
}
.title {
    color: white;
}

.heading{
  FONT-FAMILY:Arial,Helvetica,Tahoma,Verdana,sans-serif;
  FONT-SIZE: 100%;
  FONT-WEIGHT:bold;
  BACKGROUND-COLOR: #b8cece;
}
.sub-heading{
  FONT-FAMILY:Arial,Helvetica,Tahoma,Verdana,sans-serif;
  FONT-SIZE: 90%;
  FONT-WEIGHT:bold;
}

P.headerlink {
	PADDING-RIGHT: 0pt; PADDING-LEFT: 0pt; PADDING-BOTTOM: 0pt; MARGIN: 0pt 0pt 0pt 8pt; PADDING-TOP: 0pt; FONT-FAMILY: Arial, Helvetica; HEIGHT: 0pt
}
P.dialoglink {
	PADDING-RIGHT: 0pt; PADDING-LEFT: 0pt; PADDING-BOTTOM: 0pt; MARGIN: 0pt; COLOR: red; PADDING-TOP: 0pt; FONT-FAMILY: Arial, Helvetica; HEIGHT: 0pt
}
SPAN.copyright {
	FONT-SIZE: 80%; FONT-FAMILY: Arial, Helvetica
}
SPAN.headerstatus {
	FONT-SIZE: 80%; COLOR: #ffffff; FONT-FAMILY: Arial, Helvetica
}
span.bannerstatus    { 
	FONT-FAMILY: Arial,Helvetica,Tahoma,Verdana,sans-serif;
    COLOR: #FFFFFF; 
    FONT-SIZE: 80%; 
}
.column-header {
	FONT-WEIGHT: bold; MARGIN: 0px; 
	FONT-FAMILY: Arial, Helvetica;
	BACKGROUND-COLOR: #b8cece
}
span.error           { 
	FONT-FAMILY: Arial,Helvetica,Tahoma,Verdana,sans-serif;
    font-color: red; 
    font-weight: bold; 
    margin: 0; 
}

SPAN.dialog-label {
	FONT-WEIGHT: bold; FONT-FAMILY: Arial, Helvetica
}
span.group-link      { 
	FONT-FAMILY: Arial,Helvetica,Tahoma,Verdana,sans-serif;
    font-weight: bold; 
}
SPAN.dialog-label-small {
	FONT-WEIGHT: bold; FONT-SIZE: 90%; FONT-FAMILY: Arial, Helvetica
}
SPAN.dialog-content {
	
}
SPAN.dialog-units {
	FONT-WEIGHT: bold; MARGIN: 0px; FONT-FAMILY: Arial, Helvetica
}
SPAN.alert {
	FONT-WEIGHT: bold; FONT-SIZE: 80%; COLOR: red; FONT-FAMILY: Arial, Helvetica
}
SPAN.message {
	FONT-SIZE: 80%; FONT-FAMILY: Arial, Helvetica
}
