<!-- Copyright (c) 2000-2002  BEA Systems, Inc. All Rights Reserved. -->
<%-- This page defines the extension's addition to the console nav tree. --%>

<%@ taglib uri='extension_taglib.tld' prefix='wlcx' %> 
<%@ taglib uri='wlcxx-taglib.tld' prefix='wlcxx' %>
<%@ taglib uri="lic.tld" prefix="lic" %>

<%@ page import='com.bea.console.extensions.ConsoleMBean' %>
<%@ page import='com.bea.console.extensions.ConsoleMBeanAdminHelper' %>
<%@ page import='com.bea.console.extensions.DeploymentManager' %>
<%@ page import="com.bea.p13n.license.LicenseHelper" %>
<%@ page import="com.bea.p13n.management.ServiceConfigurationMBean" %>
<%@ page import="weblogic.management.configuration.ApplicationConfigurationMBean" %>
<%@ page import='weblogic.management.console.actions.Action' %>                                   
<%@ page import='weblogic.management.console.actions.mbean.ConfigureServicesAction' %>
<%@ page import='weblogic.management.console.helpers.Helpers' %>
<%@ page import="java.util.ArrayList" %>
<%@ page import="java.util.List" %>

<%@ include file="includes/applicationName.inc" %>

<lic:checkLicense id="p13nLicense" licenseComponent="com.bea.p13n.common.P13nProduct.CORE" />
<lic:checkLicense id="commerceLicense" licenseComponent="com.bea.commerce.common.CommerceProduct.CORE" />
<lic:checkLicense id="campaignLicense" licenseComponent="com.bea.campaign.CampaignProduct.CORE" />
<lic:checkLicense id="portalLicense" licenseComponent="com.bea.portal.common.PortalProduct.CORE" />
 
<!-- Get all available MBeans -->
<% 
    ServiceConfigurationMBean mBean = null;
    List consoleMBeans = null;
    try
    {
        consoleMBeans = DeploymentManager.getInstance().getDeployedMBeans(appName);
%> 

<!-- MBeans deployed, so make the Service Configuration folder -->
<wlcx:node label='Service Configuration' icon='/images/debug_folder.gif' expanded='false' >
<%
        for (int i=0; i<consoleMBeans.size();i++)
        {
            ConsoleMBean cmb = (ConsoleMBean)consoleMBeans.get(i);
            String label = cmb.getDisplayName();
            // Get parent MBean and children
            if (cmb.hasChildType())
            {
%>
            <wlcx:node label='<%=cmb.getDisplayName()%>'
                       icon='/images/debug_bullet.gif' 
                       url='<%=cmb.getConfigureURL()+appURL%>'>
<%
                List childMBeans = cmb.getChildren();
                for (int j=0; j<childMBeans.size(); j++)
                {
                    ConsoleMBean childCMB = (ConsoleMBean)childMBeans.get(j);
                    if (childCMB.doShow())
                    {
%>
                    <wlcx:node label='<%=childCMB.getDisplayName() %>' 
                               icon='/images/debug_bullet.gif' 
                               url='<%=childCMB.getConfigureURL()+appURL+"&child="+childCMB.getDisplayName()%>' />
<%
                    }
                }
%>
  </wlcx:node>
<%
            }
            // MBeans that are NOT child MBeans and do not have child MBeans themselves
            else
            {
                if ( !cmb.isChild())
                {
%>
                <wlcx:node label='<%=label %>' 
                           icon='/images/debug_bullet.gif' 
                           url='<%=cmb.getConfigureURL()+appURL+"&mbeanName="+cmb.getMBeanName()%>' />
<%
                }
            }
        }
%>
    <!-- Option to create new app-config.  Have to use SmartNavNode tag here instead
         of NavNodeTag, to get the bean.  -->
      <wlcxx:node icon='/images/debug_folder.gif'
             action='<%= new ConfigureServicesAction(appName) %>' 
             labelid='Add or remove managed services'  /> 
    
</wlcx:node>
<%
    }
    catch (Exception e)
    {
        System.err.println(e.getMessage());
        e.printStackTrace();
    }

%>

