@echo off
REM Copyright (c) 2000-2002  BEA Systems, Inc.
REM ============================================================= 
REM = Create End to End sample WLI database schema components
REM = 
REM = This script is called by create_db and it must be run from 
REM = the current directory.
REM =
REM = The type of dbms that is built; oracle, mssql, pointbase
REM = is dependant upon the database settings in 
REM =   <PORTAL_HOME>\config\demoDomain\db_settings.properties
REM =
REM = For POINTBASE both WLI.POINTBASE.USER and WLI.POINTBASE.PASSWORD
REM = MUST be PBPUBLIC.
REM = 
REM =============================================================
SET DEBUG=0
if %DEBUG% EQU 0 ( @echo off ) ELSE @echo on

REM Work around for CR066379
set DB2_HOME=@DB2_HOME_BACK_SLASH@

set WLI_HOME="..\..\..\integration"
set SAMPLES_HOME="..\..\..\samples"

IF NOT EXIST "%WLI_HOME%" (
    echo Unable to find the %WLI_HOME%\setenv.cmd file - WebLogic Platform may not be fully installed
    set ABORT=1
    goto :EOF
)

REM Call WLI set environment script
call "%WLI_HOME%\setenv.cmd"
if %DEBUG% EQU 0 ( @echo off ) ELSE @echo on
REM Call Portal set environment script
REM call "..\..\..\portal\bin\win32\set-environment.bat"
if %DEBUG% EQU 0 ( @echo off ) ELSE @echo on

@echo ************************* Setting domain for demoDomain
@echo ************************* Setting domain for demoDomain >> create_db.log
REM domain to the CURRENT directory
call "%WLI_HOME%\bin\setdomain"  >> create_db.log
REM set DOMAIN_NAME to be passed to WLI createDB
set DOMAIN_NAME=demoDomain

@echo ************************* Creating WLI database objects and Bulkloading E2ESample data 
@echo ************************* Creating WLI database objects and Bulkloading E2ESample data >> create_db.log
REM Call createDB with the -f flag to bypass the pause message about destroying tables when the script is run.    
call "%WLI_HOME%\bin\createDB.cmd" -f >> create_db.log

if %DEBUG% EQU 0 ( @echo off ) ELSE @echo on
call "%WLI_HOME%\bin\bulkloader" -load "%SAMPLES_HOME%\integration\samples\e2e\lib\BulkloaderData.xml" >> create_db.log
if %DEBUG% EQU 0 ( @echo off ) ELSE @echo on
:EOF
