@echo off

SETLOCAL



CALL ..\..\..\..\portal\bin\win32\set-environment.bat


FOR /F "eol=# tokens=1,2 delims==" %%i in (..\db_settings.properties) do  (
    SET %%i=%%j
)

REM ########################################################################### 
REM check to see if PointBase is up and running.
REM ########################################################################### 

%JDK_HOME%\bin\java -classpath %CLASSPATH%;%PORTAL_HOME%\lib\p13n\ejb\p13n_util.jar com.bea.p13n.db.internal.PointBasePing -host %host% -port %port% -database %db_name%

IF ERRORLEVEL 1 GOTO NOTSTARTED
GOTO PB_IS_UP

:NOTSTARTED

echo  -----------------------------------------------------------
echo  The Pointbase Server has not been started
echo  Please run the 'startPBServer.bat' script to start the Server
echo  -----------------------------------------------------------
PAUSE

GOTO END    

:PB_IS_UP

REM ########################################################################### 
REM Reload the database for UC1
REM ########################################################################### 
"%JDK_HOME%\bin\java.exe" -cp "%DB_CLASSPATH%" com.pointbase.tools.toolsCommander com.pointbase.jdbc.jdbcUniversalDriver jdbc:pointbase:server://localhost/wlportal ./StoreLocations.sql weblogic weblogic > reloadUC1.log

echo .
echo Database reloaded for UC1
echo Read 'reloadUC1.log' for details.
echo .

:END

ENDLOCAL

