@ECHO OFF
REM ############################################################################
REM #      (c) 2000 BEA SYSTEMS INC. All rights reserved
REM #
REM #      BEA script to launch the PointBase database server.
REM #
REM ############################################################################


SETLOCAL

CALL "..\..\..\portal\bin\win32\set-environment.bat"

if NOT "%WL_COMMERCE_HOME%" == "" SET WL_PORTAL_HOME=%WL_COMMERCE_HOME%

if "%DB_SETTINGS%" == "" SET DB_SETTINGS=db_settings.properties

FOR /F "eol=# tokens=1,2 delims==" %%i in (%DB_SETTINGS%) do  (
    if %%i == port SET PORT=%%j
)
FOR /F "eol=# tokens=1,2 delims==" %%i in (%DB_SETTINGS%) do  (
    if %%i == pointbase_ini SET POINTBASE_INI=%%j
)
FOR /F "eol=# tokens=1,2 delims==" %%i in (%DB_SETTINGS%) do  (
    if %%i == domain_name SET DOMAIN_NAME=%%j
)


SET CLASSPATH=.\;%CLASSPATH%

"%JDK_HOME%\bin\java" -classpath "%CLASSPATH%" com.pointbase.net.netServer /noconsole /port:%PORT% /d:0 /pointbase.ini=%POINTBASE_INI% > pointbase.log 2>&1

REM  before exiting loop ... this is meant to ensure that the database server
REM  is up and running before any connection is attempted.

SET LOOP_VALUES=1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25

FOR %%i IN ( %LOOP_VALUES% ) DO FOR %%j IN ( %LOOP_VALUES% ) DO @echo %j > nullpb

REM  do some cleanup ... delete the nullpb file just created

DEL nullpb

ENDLOCAL

:END
EXIT
